using System;
using System.Globalization;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace gchang_inventory
{
	/// <summary>
	/// Summary description for Checkout.
	/// </summary>
	public class Checkout : Bahamas
	{
		protected System.Web.UI.WebControls.DataGrid dgrCustInfo;
		protected System.Web.UI.WebControls.TextBox ad_zip;
		protected System.Web.UI.WebControls.TextBox ad_state;
		protected System.Web.UI.WebControls.TextBox ad_city;
		protected System.Web.UI.WebControls.TextBox ad_street;
		protected System.Web.UI.WebControls.TextBox lname;
		protected System.Web.UI.WebControls.TextBox fname;
		protected System.Web.UI.WebControls.TextBox phone1;
		protected System.Web.UI.WebControls.TextBox phone2;
		protected System.Web.UI.WebControls.TextBox phone3;
		protected System.Web.UI.WebControls.CheckBox chkBox;		
		protected System.Web.UI.WebControls.TextBox specialShip;
		protected System.Web.UI.WebControls.Button btnContinue;
		protected System.Web.UI.HtmlControls.HtmlTable tblShip;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!IsPostBack)
			{
				tblShip.Visible = false;
				
				DataSet dsCustInfo = new DataSet();
				
				// Open connection to retrieve customer info				
				SqlParameter[] sqlParams = new SqlParameter[1];
				sqlParams[0] = new SqlParameter("@customer#", Session["customer#"].ToString());
								
				sqlConnBill.Open();
				SqlDataAdapter sqlAdapter = executeStoredProcAdapter(sqlConnBill, "sps_getCustomerInfo", sqlParams);
				sqlAdapter.Fill(dsCustInfo);
				sqlConnBill.Close();

				dgrCustInfo.DataSource = dsCustInfo.Tables[0];
				dgrCustInfo.DataBind();
				dgrCustInfo.Visible = true;

				Session.Add("city", dsCustInfo.Tables[0].Rows[0]["ad_city"].ToString());
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{			
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion

		protected void btnContinue_Click(object sender, System.EventArgs e)
		{			
			if (chkBox.Checked)
			{
				Session["city"] = ad_city.Text;

				// Add new customer to the database
				sqlConnBill.Open();

				string tempSql = "INSERT INTO customers(fname, lname, "+
					"ad_street, ad_city, ad_state, ad_zip, phone, email, " +
					"creditcard, gender) VALUES( '" +
					fname.Text +"', '"+
					lname.Text +"', '"+
					ad_street.Text +"', '"+
					ad_city.Text +"', '"+
					ad_state.Text +"', "+
					ad_zip.Text +", "+
					phone1.Text+phone2.Text+phone3.Text+
					",null ,null ,null )";
				
				sqlCom = new SqlCommand(tempSql, sqlConnBill);				
				sqlCom.ExecuteNonQuery();

				// Get the new customer numbers
				tempSql = "SELECT max(customer#) FROM customers";
				sqlCom = new SqlCommand(tempSql, sqlConnBill);					
				sqlRdr = sqlCom.ExecuteReader();			
				sqlRdr.Read();
				int temp = sqlRdr.GetInt32(0);
				int customer_num = ++temp; 

				sqlConnBill.Close();				
				
				Session.Add("shippingCust#", customer_num);
			}

			Response.Redirect("Shipping.aspx");
		}

		protected void chkBox_CheckedChanged(object sender, System.EventArgs e)
		{			
			if(specialShip.Text != null)			
				Session.Add("specialShip", specialShip.Text);			

			if(chkBox.Checked)
			{
				tblShip.Visible = true;
				
				/* ad_zip.Visible = true;
				ad_state.Visible = true;
				ad_city.Visible = true;
				ad_street.Visible = true;
				lname.Visible = true;
				fname.Visible = true;
				phone1.Visible = true;
				phone2.Visible = true;
				phone3.Visible = true; */
			}
			if(!chkBox.Checked)
			{
				tblShip.Visible = false;
				/* ad_zip.Visible = false;
				ad_state.Visible = false;
				ad_city.Visible = false;
				ad_street.Visible = false;
				lname.Visible = false;
				fname.Visible = false;
				phone1.Visible = false;
				phone2.Visible = false;
				phone3.Visible = false; */
			}
		}
	}
}
