using System;
using System.Globalization;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace gchang_inventory
{
	/// <summary>
	/// Summary description for CreateAccount.
	/// </summary>
	public class CreateAccount :  Bahamas
	{
		protected System.Web.UI.WebControls.TextBox fname;
		protected System.Web.UI.WebControls.TextBox lname;
		protected System.Web.UI.WebControls.TextBox ad_street;
		protected System.Web.UI.WebControls.TextBox ad_city;
		protected System.Web.UI.WebControls.TextBox ad_state;
		protected System.Web.UI.WebControls.TextBox ad_zip;
		protected System.Web.UI.WebControls.TextBox phone1;
		protected System.Web.UI.WebControls.TextBox phone2;
		protected System.Web.UI.WebControls.TextBox phone3;
		protected System.Web.UI.WebControls.TextBox email1;
		protected System.Web.UI.WebControls.TextBox email2;
		protected System.Web.UI.WebControls.TextBox cc;
		protected System.Web.UI.WebControls.DropDownList gender;
		protected System.Web.UI.WebControls.TextBox username;
		protected System.Web.UI.WebControls.TextBox pw1;
		protected System.Web.UI.WebControls.Button Submit;
		protected System.Web.UI.WebControls.TextBox pw2;
		private string productID;
		private int quantity;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			productID = Request.QueryString["productID"];
			quantity = Convert.ToInt32(Request.QueryString["quantity"]);

			if (!IsPostBack) username.Text = System.Web.HttpUtility.UrlDecode(Request.QueryString.Get("username"));
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Submit.Click += new System.EventHandler(this.Submit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Submit_Click(object sender, System.EventArgs e)
		{				
			SqlParameter[] sqlParams = new SqlParameter[1];
			sqlParams[0] = new SqlParameter("@username", username.Text);
			
			sqlConnBill.Open();	
			
			SqlDataReader sqlReader = executeStoredProcReader(sqlConnBill, "sps_getLoginInfo", sqlParams);

			if(sqlReader.HasRows)
			{
				// Inform user that the username is already taken
				sqlConnBill.Close();
				Response.Write("<font size='3' class='t1'><b>The username is already taken.</b></font>");				
				return;
			}

			sqlConnBill.Close();
            
			// Create account here
			string genderstring = "";
			
			if (gender.SelectedIndex == 0)
				genderstring = "M";
			else
				genderstring = "F";

			long phone = Int64.Parse(phone1.Text + phone2.Text + phone3.Text);

			sqlParams = new SqlParameter[12];
			sqlParams[0] = new SqlParameter("@username", username.Text);
			sqlParams[1] = new SqlParameter("@password", pw1.Text);
			sqlParams[2] = new SqlParameter("@fname", fname.Text);
			sqlParams[3] = new SqlParameter("@lname", lname.Text);
			sqlParams[4] = new SqlParameter("@ad_street", ad_street.Text);
			sqlParams[5] = new SqlParameter("@ad_city", ad_city.Text);
			sqlParams[6] = new SqlParameter("@ad_state", ad_state.Text);
			sqlParams[7] = new SqlParameter("@ad_zip", Int32.Parse(ad_zip.Text));
			sqlParams[8] = new SqlParameter("@phone", phone);
			sqlParams[9] = new SqlParameter("@email", email1.Text);
			sqlParams[10] = new SqlParameter("@creditcard", cc.Text);
			sqlParams[11] = new SqlParameter("@gender", genderstring);

			sqlConnBill.Open();			
			executeStoredProcNonQuery(sqlConnBill, "spi_newCustomer", sqlParams);
			sqlConnBill.Close();

			// Get the new customer #
			sqlParams = new SqlParameter[1];
			sqlParams[0] = new SqlParameter("@username", username.Text);
			
			sqlConnBill.Open();			
			sqlReader = executeStoredProcReader(sqlConnBill, "sps_getLoginInfo", sqlParams);			

			// Clear the session 
			Session.Clear();
			
			// Set the customer number in the session
			if (sqlReader.Read())
				Session.Add("customer#", sqlReader.GetInt32(2));

			sqlConnBill.Close();
			
			// Redirect accordingly
			if(Request.QueryString["home"] != null)
				Response.Redirect("home.aspx");
				
			else if(Request.QueryString["productID"] != null && Request.QueryString["quantity"] != null)
				Response.Redirect("ShoppingCart.aspx?productID="+productID+"&quantity="+quantity);

			else				
				Response.Redirect("ShoppingCart.aspx");
		}
	}
}
