using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	

namespace gchang_inventory
{
	/// <summary>
	/// Summary description for TotalSales.
	/// </summary>
	public class M_TotalSales : Bahamas
	{
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Hashtable hash = new Hashtable();
			string tempSql = "SELECT productID FROM products ORDER BY productID";

			string tempSql1 = "SELECT unique_ident, quant FROM invoices, items "+
				"WHERE productID = unique_ident "+
				"AND i_id = invoice#";


			// Put user code to initialize the page here
			/*
			 1. SELECT unique_ident, quant FROM invoices, items
		     WHERE item2 is null 
			 AND item3 is null
			 AND item1 = name
			 AND i_id = invoice#
			*/

			// Place all productIDs into the hash
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	
			sqlCom = new SqlCommand(tempSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			string tempID;
			while(sqlRdr.Read())
			{
					tempID = ""+sqlRdr.GetInt32(0);				
					hash.Add(tempID, ""+0);
			}
			sqlConn.Close();

			// Place all item1's into hash
			sqlConn = new SqlConnection( strSqlStringBill );
			sqlConn.Open();	
			sqlCom = new SqlCommand(tempSql1, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			int tempQ, tempHashQ;
			while(sqlRdr.Read())
			{
				tempID = ""+sqlRdr.GetInt32(0);
				tempQ = sqlRdr.GetInt32(1);
				if(hash.Contains(tempID))
				{
					tempHashQ = Convert.ToInt32(hash[tempID]);
					hash[tempID] = "" + (tempQ + tempHashQ);
				}
				else
				{
					hash.Add(tempID, ""+tempQ);
				}
			}
			sqlConn.Close();

			DataTable dt = new DataTable();
			DataRow dr;		
			dt.Columns.Add(new DataColumn("productID", typeof(string)));
			dt.Columns.Add(new DataColumn("quantity", typeof(double)));
			// Query books or discs for each row and store the quantity
			foreach(string name in hash.Keys) 
			{
				double price;
				dr = dt.NewRow();
				
				
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	
				tempSql = "SELECT * FROM Products";//+
					//" WHERE productID = " +name;
					
				
				sqlCom = new SqlCommand(tempSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				if(sqlRdr.HasRows)
				{
					sqlRdr.Read();
					price = (double)sqlRdr.GetDecimal(3);					
				}
				else
				{
					price = 0;
				}

				sqlConn.Close();
				

				dr["productID"] = name;
				dr["quantity"] = (Convert.ToInt32(hash[name]))*price;
				dt.Rows.Add(dr);
			}
 
			DataView dv = new DataView(dt);
			DataGrid1.DataSource = dv;
			DataGrid1.DataBind();
			DataGrid1.Visible = true;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
