<%@ Page language="c#" Codebehind="billing.aspx.cs" AutoEventWireup="false" Inherits="proj1.shop.billing" Transaction="Supported" smartNavigation="True" aspCompat="True" enableViewStateMac="True"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>billing</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="Form1" method="post" runat="server">
			Your order is summarized below:
			<asp:datalist id="listItems" Runat="server" OnItemDataBound="computeTotals">
				<HeaderTemplate>
					<table width="1000">
						<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
							<td>Item</td>
							<td>Unit<br>
								Price</td>
							<td>Discount</td>
							<td>Quantity</td>
							<td>Cost</td>
							<td>Ships From</td>
						</tr>
				</HeaderTemplate>
				<FooterTemplate>
				</FooterTemplate>
				<ItemTemplate>
					<tr>
						<td><%# DataBinder.Eval(Container.DataItem, "itemName") %></td>
						<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "price")) %></td>
						<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "discount")) %></td>
						<td align="center"><%# DataBinder.Eval(Container.DataItem, "Quantity") %></td>
						<td style="font-weight: bold;"><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "itemCost")) %></td>
						<td><%# DataBinder.Eval(Container.DataItem, "warehouseName") %></td>
					</tr>
				</ItemTemplate>
			</asp:datalist>
			<hr>
			<table width="1000">
				<tr>
					<td vAlign="top" width="400"><b>Ship To:<BR>
						</b>
						<br>
						<asp:label id="lblShipAddress1" runat="server" Width="376px" Height="8px"></asp:label><asp:label id="lblShipAddress2" runat="server" Width="376px" Height="8px"></asp:label><asp:label id="lblShipAddress3" runat="server" Width="376px" Height="8px"></asp:label></td>
					<td vAlign="top" width="400"><b>Special Instructions:<BR>
						</b>
						<br>
						<asp:label id="lblInstructions" runat="server" Width="349px" Height="64px"></asp:label></td>
					<td vAlign="top" align="right" width="200">
						<table>
							<tr>
								<td style="HEIGHT: 21px" align="right">Subtotal:</td>
								<td style="HEIGHT: 21px"><asp:label id="lblSubtotal" runat="server" Width="72px"></asp:label></td>
							</tr>
							<tr>
								<td align="right">Shipping:</td>
								<td><asp:label id="lblShipping" runat="server" Width="72px"></asp:label></td>
							</tr>
							<tr>
								<td align="right">Sales Tax:</td>
								<td><asp:label id="lblTax" runat="server" Width="72px"></asp:label></td>
							</tr>
							<tr>
								<td align="right"><b>Total:</b></td>
								<td><asp:label id="lblTotal" runat="server" Width="72px"></asp:label></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<h1>Billing:
				<hr>
			</h1>
			<P>If you are satisfied with the information above, enter your credit card 
				information below to place your order:</P>
			<P>
				<table>
					<tr>
						<td vAlign="top" align="right"><b>Card Type:</b></td>
						<td><asp:dropdownlist id="listCardTypes" runat="server"></asp:dropdownlist></td>
					</tr>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Card Number:</STRONG></TD>
						<TD><asp:textbox id="txtCCNum" runat="server" Width="200px" MaxLength="16"></asp:textbox></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Exp. Date:</STRONG></TD>
						<TD><asp:textbox id="txtExpDate" runat="server" Width="100px" MaxLength="6"></asp:textbox>&nbsp;(yyyymm)</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>CVN:</STRONG></TD>
						<TD><asp:textbox id="txtCVN" runat="server"></asp:textbox></TD>
					</TR>
				</table>
			</P>
			<P>
				<table>
					<tr>
						<td vAlign="top">Select a billing address:<br>
							<asp:radiobuttonlist id="listAddress" Runat="server" AutoPostBack="True">
								<asp:ListItem Value="1">asdf</asp:ListItem>
								<asp:ListItem Value="2">asd235f</asp:ListItem>
								<asp:ListItem Value="3">asasdfdf</asp:ListItem>
								<asp:ListItem Value="4">353151asdf</asp:ListItem>
								<asp:ListItem Value="5">asd f hadf f</asp:ListItem>
							</asp:radiobuttonlist>
							<P>&nbsp;</P>
						</td>
						<td vAlign="top">
							<table>
								<tr>
									<td align="right"><strong>Name:</strong></td>
									<td align="left"><asp:textbox id="newAName" runat="server" MaxLength="100" EnableViewState="False"></asp:textbox></td>
								</tr>
								<tr>
									<td align="right"><strong>Address 1:</strong></td>
									<td align="left"><asp:textbox id="newAAddress1" runat="server" Width="250px" MaxLength="255" EnableViewState="False"></asp:textbox></td>
								</tr>
								<tr>
									<td align="right"><strong>Address 2:</strong></td>
									<td align="left"><asp:textbox id="newAAddress2" runat="server" Width="250px" MaxLength="225" EnableViewState="False"></asp:textbox></td>
								</tr>
								<tr>
									<td align="right"><strong>City:</strong></td>
									<td align="left"><asp:textbox id="newACity" runat="server" Width="150px" MaxLength="100" EnableViewState="False"></asp:textbox></td>
								</tr>
								<tr>
									<td align="right"><strong>State:</strong></td>
									<td align="left"><asp:textbox id="newAState" runat="server" Width="50px" MaxLength="2" EnableViewState="False"></asp:textbox></td>
								</tr>
								<tr>
									<td align="right"><strong>Zip:</strong></td>
									<td align="left"><asp:textbox id="newAZip" runat="server" Width="100px" MaxLength="10" EnableViewState="False"></asp:textbox></td>
								</tr>
								<TR>
									<TD align="right"></TD>
									<TD align="left"></TD>
								</TR>
								<TR>
									<TD align="right"></TD>
									<TD align="left"><asp:button id="Button3" runat="server" Text="Add Address"></asp:button></TD>
								</TR>
							</table>
						</td>
					</tr>
				</table>
			</P>
			<P><asp:button id="Button1" runat="server" Text="Submit Order"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<asp:label id="Label1" runat="server" Width="328px"></asp:label><br>
				<br>
				<br>
				<br>
				&nbsp;</P>
		</form>
	</body>
</HTML>
