using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient; 
using System.Web.Security;
using System.Xml;

namespace proj1.shop
{
	/// <summary>
	/// Summary description for billing.
	/// </summary>
	public class billing : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataList listItems;
		public int selectedAddress;
		public int selectedShippingMethod;
		public string specialInstructions;
		public Hashtable warehouses;
		public string bConnString = "server=IISQLSRV.cs.washington.edu; uid=bkk; pwd=mydbpw; database=gheocr_inventory";
		public double subtotalPrice;
		public double totalPrice;
		public double shippingCost;
		public double taxRate;
		protected System.Web.UI.WebControls.Label lblSubtotal;
		protected System.Web.UI.WebControls.Label lblShipping;
		protected System.Web.UI.WebControls.Label lblTax;
		protected System.Web.UI.WebControls.Label lblTotal;
		protected System.Web.UI.WebControls.Label lblInstructions;
		protected System.Web.UI.WebControls.Label lblShipAddress2;
		protected System.Web.UI.WebControls.Label lblShipAddress3;
		protected System.Web.UI.WebControls.Label lblShipAddress1;
		protected System.Web.UI.WebControls.DropDownList listCardTypes;
		protected System.Web.UI.WebControls.TextBox txtCCNum;
		protected System.Web.UI.WebControls.TextBox txtExpDate;
		protected System.Web.UI.WebControls.TextBox txtCVN;
		protected System.Web.UI.WebControls.RadioButtonList listAddress;
		protected System.Web.UI.WebControls.TextBox newAName;
		protected System.Web.UI.WebControls.TextBox newAAddress1;
		protected System.Web.UI.WebControls.TextBox newAAddress2;
		protected System.Web.UI.WebControls.TextBox newACity;
		protected System.Web.UI.WebControls.TextBox newAState;
		protected System.Web.UI.WebControls.TextBox newAZip;
		protected System.Web.UI.WebControls.Button Button3;
		public double taxCost;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label1;
		public int customerID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			HttpCookie cookie = Request.Cookies["Mycookie"];
			//Response.Write(Request.Cookies["Mycookie"].Values["companyShip~foofaraw"]);
			//Response.End();

			try 
			{
				object k = Context.Session;
				selectedAddress = (int)Session["selectedAddress"];
				selectedShippingMethod = (int)Session["selectedShippingMethod"];
				specialInstructions = (string)Session["specialInstructions"];

			} 
			catch
			{
				

				selectedAddress = Convert.ToInt32(cookie.Values["address"]);
				selectedShippingMethod =  Convert.ToInt32(cookie.Values["shipping"]);
				specialInstructions =  cookie.Values["instructions"];
				//selectedAddress = 209;
				//selectedShippingMethod = 4;
				//specialInstructions = "handle with care";
			}
			// Put user code to initialize the page here
			//Response.Write(selectedAddress + " //d " + selectedShippingMethod + " // " + specialInstructions);

			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();
			SqlConnection conn2 = new SqlConnection(bConnString);
			conn2.Open();

			//get customer id
			SqlCommand cmdCID = new SqlCommand("SELECT CustomerID FROM bkrell_billing.dbo.Login WHERE login='" + Context.User.Identity.Name + "'", conn);
			customerID = (int)cmdCID.ExecuteScalar();


			if (selectedShippingMethod > -1) 
			{
				// get shipping cost
				SqlCommand cmdShip = new SqlCommand("SELECT UnitOfPricing, PricePerUnit " +
					"FROM shen321_shipping.bkk.VendorShippingOptionDetail " +
					"WHERE VendorShippingOptionID = " + selectedShippingMethod, conn);
				SqlDataReader drShip = cmdShip.ExecuteReader();
				drShip.Read();
				string pricingUnit;
				double pricePerUnit;

				pricingUnit = drShip.GetString(0);
				pricePerUnit = drShip.GetSqlMoney(1).ToDouble();

				drShip.Close();

				if (pricingUnit == "Flat") 
				{
					shippingCost = pricePerUnit;
				} 
				else if (pricingUnit == "Weight") 
				{
					// calculate weight
					SqlCommand getWeight = new SqlCommand("SELECT SUM(C.Quantity * P.Weight) " +
						"FROM bkk.ShoppingCart C, Product P " +
						"WHERE C.productnumber = P.productnumber AND C.isbook = P.isbook " +
						"AND C.login='" + Context.User.Identity.Name + "' AND C.company=' '", conn);
					double weight = (double)getWeight.ExecuteScalar();

					shippingCost = weight * pricePerUnit;
				} 
				else 
				{
					// calculate num items
					SqlCommand getItems = new SqlCommand("SELECT SUM(Quantity) FROM bkk.ShoppingCart " +
						"WHERE login='" + Context.User.Identity.Name + "' AND company=' '", conn);
					int items = (int)getItems.ExecuteScalar();

					shippingCost = items * pricePerUnit;
				}
			} 
			else 
			{
				shippingCost = 0;
			}

			// now calculate shipping for other companies
			SqlCommand compShip;
			SqlDataReader rcs;
			string ccval;
			double pPPU;
			string pPType;

			SqlCommand getCompanies = new SqlCommand("SELECT DISTINCT company FROM product", conn);
			SqlDataReader cr = getCompanies.ExecuteReader();
			// check all companies for cookies
			while (cr.Read()) 
			{
				ccval = cookie.Values["companyShip~" + cr.GetString(0)];
				if (ccval != null) 
				{
					compShip = new SqlCommand("SELECT pricingtype, price FROM partner_shipping " +
						"WHERE companyname='" + cr.GetString(0) + "' AND shippingoptionid='" + ccval + "'", conn2);
					rcs = compShip.ExecuteReader();
					rcs.Read();
					
					pPType = rcs.GetString(0);
					pPPU = rcs.GetSqlMoney(1).ToDouble();
					rcs.Close();

					if (pPType == "flat") 
					{
						shippingCost += pPPU;
					} 
					else if (pPType == "perPound") 
					{
						compShip = new SqlCommand("SELECT SUM(P.weight * C.quantity) " +
							"FROM bkk.ShoppingCart C, product P " +
							"WHERE P.storeid = (C.productnumber + CAST(C.isbook AS char)) " +
							"AND C.company='" + cr.GetString(0) + "'", conn2);
						shippingCost += ((double)compShip.ExecuteScalar() * pPPU);
					} 
					else 
					{
						compShip = new SqlCommand("SELECT SUM(quantity) FROM bkk.ShoppingCart WHERE company='" + cr.GetString(0) + "'", conn2);
						shippingCost += ((int)compShip.ExecuteScalar() * pPPU);
					}
				}
			}
			cr.Close();

			taxRate = 0.09;
			totalPrice = shippingCost;

			string cartSql = "SELECT productid, (artist + ' - ' + albumname) AS itemName, price, discount, " +
				"quantity, quantity*(price-discount) AS itemCost, warehouseName " +
				"FROM music, product, ShoppingCart_Warehouse " +
				"WHERE music.albumid + '0' = product.storeid " +
				"AND ShoppingCart_Warehouse.productid = product.storeid " +
				"AND login='" + Context.User.Identity.Name + "' " +
				"UNION " +
				"SELECT productid, (author + ' - ' + title) AS itemName, price, discount, " +
				"quantity, quantity*(price-discount) AS itemCost, warehouseName " +
				"FROM books, product, ShoppingCart_Warehouse " +
				"WHERE books.ISBN + '1' = product.storeid " +
				"AND ShoppingCart_Warehouse.productid = product.storeid " +
				"AND login='" + Context.User.Identity.Name + "' ";

			cartSql += "UNION " +
				"SELECT C.productnumber + '0' as productid, (artist + ' - ' + albumname) AS itemName, price, discount, " +
				"quantity, quantity*(price-discount) AS itemCost, C.company " +
				"FROM music M, product P, bkk.ShoppingCart C " +
				"WHERE M.albumid = P.productnumber AND P.isbook=0 " +
				"AND C.productnumber = P.productnumber " +
				"AND C.company <> ' ' " +
				"AND login='" + Context.User.Identity.Name + "' " +
				"UNION " +
				"SELECT C.productnumber + '1' as productid, (author + ' - ' + title) AS itemName, price, discount,  " +
				"quantity, quantity*(price-discount) AS itemCost, C.company " +
				"FROM books B, Product P, bkk.ShoppingCart C " +
				"WHERE B.ISBN = P.productNumber AND P.isbook=1 " +
				"AND C.productnumber = P.productnumber " +
				"AND C.company <> ' ' " +
				"AND login='" + Context.User.Identity.Name + "' ";

			SqlCommand cmdCart = new SqlCommand(cartSql, conn);
			SqlDataReader drCart = cmdCart.ExecuteReader();

			listItems.DataSource = drCart;
			listItems.DataBind();

			//taxCost = (1 + taxRate) * totalPrice;

			drCart.Close();

			lblSubtotal.Text = String.Format("{0:c}", subtotalPrice);
			lblShipping.Text = String.Format("{0:c}", shippingCost);
			lblTax.Text = String.Format("{0:c}", taxCost);
			lblTotal.Text = String.Format("{0:c}", totalPrice);

			// ship to address

			SqlCommand cmdShipAddress = new SqlCommand("SELECT Name, Address1, Address2, City, State, Zip " +
				"FROM bkrell_billing.dbo.Customer_Address WHERE addressID=" + selectedAddress, conn);
			SqlDataReader drSA = cmdShipAddress.ExecuteReader();

			drSA.Read();
			lblShipAddress1.Text = drSA.GetString(0);
			lblShipAddress2.Text = drSA.GetString(1);
			if (drSA.GetString(2) != "") lblShipAddress2.Text += " / " + drSA.GetString(2);
			lblShipAddress3.Text = drSA.GetString(3) + ", " + drSA.GetString(4) + " " + drSA.GetString(5);

			drSA.Close();

			lblInstructions.Text = specialInstructions;

			SqlCommand cmdCardTypes = new SqlCommand("SELECT cardTypeID, cardTypeDesc " +
				"FROM bkrell_billing.dbo.CreditCardTypes", conn);
			SqlDataReader drCardTypes = cmdCardTypes.ExecuteReader();

			listCardTypes.DataValueField = "cardTypeID";
			listCardTypes.DataTextField = "cardTypeDesc";
			listCardTypes.DataSource = drCardTypes;
			listCardTypes.DataBind();

			drCardTypes.Close();

			if (!Page.IsPostBack) bindAddresses();

			conn.Close();
			conn2.Close();
		}

		public void bindAddresses() 
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			string addressSql = "SELECT addressID, '<strong>' + Name + '</strong> -  ' + Address1 + ', ' + City AS addressString " +
				"FROM bkrell_billing.dbo.Customer_Address AS CA, bkrell_billing.dbo.Login AS L WHERE CA.customerID = L.customerID " +
				"AND L.login='" + Context.User.Identity.Name + "' " + 
				"ORDER BY isPrimaryBilling DESC";

			SqlCommand cmdAddress = new SqlCommand(addressSql, conn);
			SqlDataReader dra = cmdAddress.ExecuteReader();

			listAddress.DataValueField = "addressID";
			listAddress.DataTextField = "addressString";
			listAddress.DataSource = dra;
			listAddress.DataBind();

			dra.Close();
			

			conn.Close();
	/*		try 
			{

				HttpCookie cookie = new HttpCookie("Mycookie");
				cookie.Values.Add("address",Convert.ToString((int)Session["selectedAddress"]));
				cookie.Values.Add("shipping",Convert.ToString((int)Session["selectedShippingMethod"]));
				cookie.Values.Add("instructions",(string)Session["specialInstructions"]);
				cookie.Expires = DateTime.MaxValue; // Never Expires
				Response.AppendCookie(cookie);
				Response.Cookies.Add(cookie);
				Response.AppendCookie(cookie);
			}
			catch 
			{
			
			} */
		}

		public void computeTotals(object sender, System.Web.UI.WebControls.DataListItemEventArgs e)
		{
			if (e.Item.ItemType == ListItemType.Item ||
				e.Item.ItemType == ListItemType.AlternatingItem) 
			{
				double itemp = Convert.ToDouble(
					DataBinder.Eval(e.Item.DataItem, "itemCost"));

				subtotalPrice += itemp;
				taxCost += (itemp * taxRate);
				totalPrice = totalPrice + (itemp * (1 + taxRate));
				//Response.Write(totalPrice);
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);





		}
		#endregion

		/**
		private void Button2_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			SqlCommand cmdDelA = new SqlCommand("DELETE FROM bkrell_billing.dbo.Customer_Address " +
				"WHERE addressID=" + listAddress.SelectedItem.Value.ToString(), conn);
			cmdDelA.ExecuteNonQuery();
			
			conn.Close();
			
			bindAddresses();
		}
*/
		private void Button3_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);
			conn.Open();
			
			SqlCommand cmdNewA = new SqlCommand("INSERT INTO bkrell_billing.dbo.Customer_Address " +
				"(customerID, Name, Address1, Address2, City, State, Zip) VALUES(" +
				customerID + ", " +
				"'" + newAName.Text + "', " +
				"'" + newAAddress1.Text + "', " +
				"'" + newAAddress2.Text + "', " +
				"'" + newACity.Text + "', " +
				"'" + newAState.Text + "', " +
				"'" + newAZip.Text + "')", conn);
			cmdNewA.ExecuteNonQuery();

			conn.Close();
			
			bindAddresses();
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			HttpCookie cookie = Request.Cookies["Mycookie"];
			SqlConnection conn3 = new SqlConnection(bConnString);
			conn3.Open();
			SqlConnection conn2 = new SqlConnection(bConnString);
			conn2.Open();
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();
			if (txtCCNum.Text == "" || txtExpDate.Text == "" || txtCVN.Text == "" || listAddress.SelectedIndex == -1) 
			{
				Label1.Text = "Must enter billing information.";
			}
			else
			{
				Label1.Text = "";
				// we have confirmed that all the data is there

				//get vendor info
				
				int vendorID;
				int guaranteedTime;

				SqlCommand cmdV = new SqlCommand("SELECT O.VendorID, D.GuaranteedTime " +
					"FROM shen321_shipping.dbo.VendorShippingOption AS O, shen321_shipping.bkk.VendorShippingOptionDetail AS D " +
					"WHERE O.vendorShippingOptionID = D.vendorShippingOptionID " +
					"AND O.VendorShippingOptionID=" + selectedShippingMethod, conn);
				SqlDataReader drV = cmdV.ExecuteReader();
				drV.Read();

				if (drV.HasRows) 
				{
					vendorID = drV.GetInt32(0);
					guaranteedTime = drV.GetInt32(1);
	
					drV.Close();

					// add package
					string sqlWarehouses = "SELECT warehouseName, SUM(Quantity) AS NumItems, SUM(P.weight * CW.Quantity) AS Weight " +
						"FROM bkk.ShoppingCart_Warehouse AS CW, product AS P " +
						"WHERE CW.productid = P.storeid " +
						"AND login='" + Context.User.Identity.Name + "' " +
						"GROUP BY warehouseName";
					SqlCommand cmdWarehouses = new SqlCommand(sqlWarehouses, conn);
					SqlDataReader drWarehouses = cmdWarehouses.ExecuteReader();
					
					SqlCommand cmdAddPackage,cmdvwhid;
					int vwhid;

					while(drWarehouses.Read()) 
					{
						// add package for each warehouse the order pulls from

						// get vendorwarehouseid
						cmdvwhid = new SqlCommand("SELECT vendorWarehouseID " +
							"FROM shen321_shipping.dbo.VendorWarehouse AS VW, shen321.WarehouseLink AS W " +
							"WHERE VW.warehouseID = W.warehouseID " +
							"AND warehouseName='" + drWarehouses.GetString(0) + "' AND VendorID=" + vendorID.ToString(), conn3);
						vwhid = (int)cmdvwhid.ExecuteScalar();
						
						cmdAddPackage = new SqlCommand("INSERT INTO shen321_shipping.dbo.Package " +
							"(Weight, NumberOfItems, VendorShippingOptionID, SpecialDeliveryInstructions, VendorWarehouseID, CustomerID, ExpectedDeliveryTime) " +
							"VALUES(" +
							drWarehouses.GetSqlDouble(2) + ", " +
							drWarehouses.GetInt32(1) + ", " +
							selectedShippingMethod + ", '" +
							specialInstructions + "', " +
							vwhid + ", " +
							customerID + ", " +
							"DATEADD(d, " + guaranteedTime + ", GETDATE()))", conn2);



						cmdAddPackage.ExecuteNonQuery();

					}
					
					drWarehouses.Close();
				} 
				else 
				{
					drV.Close();
				}
				
				// next step - add payment
				SqlCommand cmdPayment = new SqlCommand("INSERT INTO bkrell_billing.dbo.Payment_CreditCard " +
					"(PaymentDate, PaymentAmount, Completed, BillingAddress, cardTypeId, CreditCardNumber, CreditCardExp, CreditCardCVN) " +
					"VALUES(GETDATE(), " + 
					totalPrice + ", " +
					"1, " +
					listAddress.SelectedValue + ", " +
					listCardTypes.SelectedValue + ", " +
					"'" + txtCCNum.Text + "', " +
					"'" + txtExpDate.Text + "', " +
					"'" + txtCVN.Text + "'); " +
					"SELECT @@IDENTITY", conn);
				int paymentID = Convert.ToInt32(cmdPayment.ExecuteScalar().ToString());


				// boolean that keeps track if only partner companies
				bool isdefpartner =false;

				// now add products from other companies
				// loop through all companies, find those with cookie present
				// don't forget to clear out cookies when done
				string ccval;
				// a sql command
				string strSql;
				// the invoice id
				int invoiceID = 0;
				SqlCommand getCompanies = new SqlCommand("SELECT DISTINCT company FROM product where company != ' '", conn);
				SqlDataReader cr = getCompanies.ExecuteReader();
				// check all companies for cookies one at the time
				while (cr.Read()) 
				{
					ccval = cookie.Values["companyShip~" + cr.GetString(0)];					
					
					if (ccval != null) 
					{

						
						// next step - add invoice for each company
						// if partner company is default remember.. so we dont update twice
						if (selectedShippingMethod == Convert.ToInt16(ccval)) 
						{
							isdefpartner = true;
						}
					
							strSql = "INSERT INTO bkrell_billing.dbo.Invoice " +
								"(invoiceDate,Buyer,ShipTo,shippingMethod,ShippingCost,TaxRate,paymentTypeID,paymentID,SpecialInstructions)" +
								" VALUES(" +
								"GETDATE(), " +
								customerID + ", " +
								selectedAddress + ", " +
								ccval + ", " +
								shippingCost + ", " +
								taxRate + ", " +
								"0, " +
								paymentID + ", " +
								"'" + specialInstructions + "');" +
								"SELECT @@IDENTITY";
							SqlCommand cmdInvoice = new SqlCommand(strSql, conn2);
							invoiceID = Convert.ToInt32(cmdInvoice.ExecuteScalar().ToString());

						
						
						
						
						
						
						
						
						
						//////////////////////////////////////////////////////////////
						//////////////////////////////////////////////////////////////
						//////////////////////////////////////////////////////////////
						///
						///
						///    XML OUTPUT GOES HERE!!!!!
						///
						///
						//////////////////////////////////////////////////////////////
						//////////////////////////////////////////////////////////////
						///
						/// selectedAddress is in the cookie - use that to find the shipping address
						/// query the shopping cart to get a list of products order from the current company,
						///		and use that to output the <product></product> part of the order.xml file
						///	ccval is the shipping method id
						/// 
						// generate an unique xml file for each order
						string ctime = DateTime.Now.Month + "-" + DateTime.Now.Day + "-" +DateTime.Now.Year +
							"_" + DateTime.Now.Hour + "_" + DateTime.Now.Millisecond;
			
						System.IO.FileInfo fi = new System.IO.FileInfo(Server.MapPath("..\\orders\\") + cr.GetString(0) + ctime + ".xml");
						if (fi.Exists)//if file exists delete it
						{     
							fi.Delete();
						}
		
						// write the xml
						XmlTextWriter xt = new XmlTextWriter((Server.MapPath("..\\orders\\") + ctime.Trim() + cr.GetString(0).Trim() + ".xml").Trim(),System.Text.Encoding.ASCII);
						xt.WriteStartDocument(true);
			
						xt.WriteStartElement("order");
						xt.WriteElementString("issuingCompany","444b");
						xt.WriteElementString("partnerCompany",cr.GetString(0));
						

						SqlCommand getProductInfo = new SqlCommand(String.Format("SELECT productnumber,isbook, quantity FROM bkk.shoppingcart where company = '{0}' AND login = '{1}'",cr.GetString(0),Context.User.Identity.Name) , conn2);
						SqlDataReader cdr = getProductInfo.ExecuteReader();
						// while we read a certain company's products
						while(cdr.Read())
						{
							String id = cdr.GetString(0);
							int isbook = Convert.ToInt16(cdr.GetBoolean(1));
							int quantity = cdr.GetInt32(2);
							// lets also get that items name
							String itemName;
							String type;

							SqlCommand getName;
							// if the item is book .. otherwise
							if(isbook == 1)
							{
								getName = new SqlCommand(String.Format("Select title,price,discount from books, product where isbn = '{0}' and isbn = productnumber",id), conn3);				
								type = "book";
							}
							else
							{

								getName = new SqlCommand(String.Format("Select albumname,price,discount from music,product where albumid = '{0}' and productnumber = albumid",id), conn3);
								type = "music";
							}
							SqlDataReader myRead = getName.ExecuteReader();
							myRead.Read();
							itemName = myRead.GetString(0);
							System.Data.SqlTypes.SqlMoney money = myRead.GetSqlMoney(1);
							System.Data.SqlTypes.SqlMoney discount = myRead.GetSqlMoney(2);
							// close reader.. to enable future usage
							while(myRead.Read()){}
							myRead.Close();
						
							// output the product tag
							xt.WriteStartElement("product");
							xt.WriteElementString("type", type);
							xt.WriteElementString("identifier",id);
							xt.WriteElementString("name", itemName);
							xt.WriteElementString("quantity", Convert.ToString(quantity));
							xt.WriteEndElement();

							// get item id
							strSql = " SELECT MAX(ITEMID) FROM bkrell_billing.dbo.ItemProductLink ";
							SqlCommand cmdItem = new SqlCommand(strSql, conn3);
							int itemID = Convert.ToInt16(cmdItem.ExecuteScalar()) + 1;

							// update product link correctly
							strSql = " INSERT INTO bkrell_billing.dbo.ItemProductLink(ItemId,ProductNumber) Values('" + itemID + "','" + id + "')";
							cmdItem = new SqlCommand(strSql, conn3);
							cmdItem.ExecuteNonQuery();
							

							// update the Invoice items tables with the product
							strSql = "INSERT INTO bkrell_billing.dbo.Invoice_Item " +
								"(invoiceID,itemID,Quantity,UnitPrice,DiscountAmount,ShipWarehouse,ShipDate) " +
								"VALUES(" +
								invoiceID + ", " +
								itemID + ", " +
								quantity + ", " +
								money + ", " +
								discount + ", " +
								"1"  + ", " +
								"DATEADD(d, 0 , GETDATE()))";
							cmdItem = new SqlCommand(strSql, conn3);
							cmdItem.ExecuteNonQuery();

							// it wont let me write on 3 so I had to do this one
							SqlConnection conn4 = new SqlConnection("server=IISQLSRV.cs.washington.edu; uid=gheocr; pwd=mihail; database=gheocr_inventory");
							conn4.Open();
							// update the product table with correct ammount
							cmdItem = new SqlCommand(String.Format(" UPDATE PRODUCT SET stock = stock - {0} where productNumber = '{1}' and isbook = {2}",quantity,id,isbook),conn4);
							cmdItem.ExecuteNonQuery();
							conn4.Close();
						
						}
						cdr.Close();

						// add the shipping method ccval
						xt.WriteElementString("shippingMethod" , ccval);

						// add the address

						/// first query the contact information
						SqlCommand contactInfo = new SqlCommand(String.Format("SELECT Address1, Address2, City, State, Zip,Phone " +
									" FROM bkrell_billing.dbo.Customer_Address as A , bkrell_billing.dbo.Customer as B " +
									" where addressid = '{0}' and B.customerID = A.customerID", this.selectedAddress ), conn2);
						SqlDataReader mycontacts = contactInfo.ExecuteReader();
						mycontacts.Read();
						String address = mycontacts.GetString(0).Trim() + " " + mycontacts.GetString(1).Trim();
						String city = mycontacts.GetString(2).Trim();
						String state = mycontacts.GetString(3).Trim();
						String zip = mycontacts.GetString(4).Trim();
						String phone = mycontacts.GetString(5).Trim();
						while(mycontacts.Read()){} mycontacts.Close();

						xt.WriteStartElement("destination");
						xt.WriteElementString("address",address);
						xt.WriteElementString("city",city);
						xt.WriteElementString("state",state);
						xt.WriteElementString("zip",zip);
						xt.WriteStartElement("contact");
						xt.WriteElementString("tel",phone);
						xt.WriteElementString("fax"," ");
						xt.WriteEndElement();
						xt.WriteEndElement();
						xt.WriteEndElement();
						xt.WriteEndDocument();
						xt.Close();
					}
				}
				cr.Close();

				

		
		
				// next step - add invoice
				if (selectedShippingMethod > -1 && !isdefpartner) 
				{
					strSql = "INSERT INTO bkrell_billing.dbo.Invoice " +
						"(invoiceDate,Buyer,ShipTo,shippingMethod,ShippingCost,TaxRate,paymentTypeID,paymentID,SpecialInstructions)" +
						" VALUES(" +
						"GETDATE(), " +
						customerID + ", " +
						selectedAddress + ", " +
						selectedShippingMethod + ", " +
						shippingCost + ", " +
						taxRate + ", " +
						"0, " +
						paymentID + ", " +
						"'" + specialInstructions + "');" +
						"SELECT @@IDENTITY";
					SqlCommand cmdInvoice = new SqlCommand(strSql, conn);
					invoiceID = Convert.ToInt32(cmdInvoice.ExecuteScalar().ToString());
				}
			
				// next step - add invoiceitems and decrease availability
				SqlCommand cmdCartW = new SqlCommand("SELECT I.itemID, CW.productid, CW.quantity, P.price, P.discount, WL.warehouseID, CW.warehouseName " +
					"FROM bkk.ShoppingCart_Warehouse AS CW, product AS P, shen321.WarehouseLink AS WL, " +
					"	bkrell_billing.dbo.ItemProductLink I " +
					"WHERE CW.warehouseNAme = WL.warehouseName " +
					"AND CW.productid = P.storeid " +
					"AND I.productNumber = LEFT(CW.productid,10) " +
					"AND CW.login='" + Context.User.Identity.Name + "'", conn);
				SqlDataReader drCartW = cmdCartW.ExecuteReader();


				guaranteedTime = 0;

				while(drCartW.Read()) 
				{
					// add item

					//Response.Write(drCartW.GetInt32(5));
					//Response.End();

					strSql = "INSERT INTO bkrell_billing.dbo.Invoice_Item " +
						"(invoiceID,itemID,Quantity,UnitPrice,DiscountAmount,ShipWarehouse,ShipDate) " +
						"VALUES(" +
						invoiceID + ", " +
						drCartW.GetInt32(0) + ", " +
						drCartW.GetInt32(2) + ", " +
						drCartW.GetSqlMoney(3) + ", " +
						drCartW.GetSqlMoney(4) + ", " +
						drCartW.GetString(5) + ", " +
						"DATEADD(d, " + guaranteedTime + ", GETDATE()))";
					SqlCommand cmdItem = new SqlCommand(strSql, conn2);
					cmdItem.ExecuteNonQuery();

					// decrease availability

					strSql = "UPDATE availability SET quantity = (quantity - " + drCartW.GetInt32(2) + ") " +
						"WHERE warehouse='" + drCartW.GetString(6) + "' AND productid='" + drCartW.GetString(1) + "'";
					SqlCommand cmdAvail = new SqlCommand(strSql, conn2);
					cmdAvail.ExecuteNonQuery();
					
					
					
					
					// it wont let me write on 3 so I had to do this one
					SqlConnection conn4 = new SqlConnection("server=IISQLSRV.cs.washington.edu; uid=gheocr; pwd=mihail; database=gheocr_inventory");
					conn4.Open();
					// decrease the quantity in product
					strSql = "UPDATE product SET stock = (stock - " + drCartW.GetInt32(2) + ") " +
						"WHERE storeid='" + drCartW.GetString(1) + "'";
					cmdAvail = new SqlCommand(strSql, conn4);
					cmdAvail.ExecuteNonQuery();
					conn4.Close();
				}
				drCartW.Close();


				strSql = "DELETE FROM gheocr_inventory.bkk.ShoppingCart " +
					" WHERE login = '" + Context.User.Identity.Name + "'";
				SqlCommand delCart = new SqlCommand(strSql, conn);
				delCart.ExecuteNonQuery();


				strSql = "DELETE FROM gheocr_inventory.bkk.ShoppingCart_Warehouse " +
					" WHERE login = '" + Context.User.Identity.Name + "'";
				SqlCommand delCW = new SqlCommand(strSql, conn);
				delCW.ExecuteNonQuery();
				conn.Close();
				conn2.Close();
				Response.Redirect("orderplaced.aspx");
				return;
			}
			conn.Close();
			conn2.Close();
			conn3.Close();

			
		}
	}
}
