<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="false" Inherits="proj1._default" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>default</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<style>
			body {
				font-family: Verdana, Arial;
				font-size: 10pt;
			}
			
			a {
				font-weight: bold;
				color: #3050e0;
				text-decoration: none;
			}
			
			a:hover {
				text-decoration: underline;
			}
			
			table {
				font-size: 10pt;
			}
			
			
		</style>
	</HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="Form1" method="post" runat="server">
		<table width="1000" cellspacing="0" border="0" cellpadding="0">
		<tr>
			<td width="575" valign="top">
			<b>Invoices:</b>
			<ASP:DataList ID="listInvoices" Runat="server">
				
				<HeaderTemplate>
					<table>
					<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
						<td width="30">ID</td>
						<td width="125">Date</td>
						<td width="165">Buyer</td>
						<td width="75">Products</td>
						<td width="75">Subtotal</td>
						<td width="75">Payment</td>
					</tr>
				</HeaderTemplate>
				<FooterTemplate>
					</table>
				</FooterTemplate>
				<ItemTemplate>
					<tr>
						<td><a href="invoice.aspx?id=<%# DataBinder.Eval(Container.DataItem, "invoiceID") %>"><%# DataBinder.Eval(Container.DataItem, "invoiceID") %></a></td>
						<td><%# String.Format("{0:MMM dd, yyyy}", DataBinder.Eval(Container.DataItem, "invoiceDate")) %></td>
						<td><%# DataBinder.Eval(Container.DataItem, "FirstName") %> <%# DataBinder.Eval(Container.DataItem, "LastName") %></td>
						<td><%# DataBinder.Eval(Container.DataItem, "productCount") %></td>
						<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "subTotal")) %></td>
						<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "paymentAmount")) %></td>
					</tr>
				</ItemTemplate>
			</ASP:DataList>
			</td>
			<td width="15">&nbsp;</td>
			<td valign="top">
				<b>Query Filter:</b>
				<table width="100%">
				<tr>
				<td valign="top">
					<asp:RadioButtonList ID="queryFilter" runat="server">
						<asp:ListItem Selected="True" Value=0>All invoices</asp:ListItem>
						<asp:ListItem Value=1>Ship Date passed</asp:ListItem>
						<asp:ListItem Value=2>Product count</asp:ListItem>
						<asp:ListItem Value=3>Warehouse count</asp:ListItem>
						<asp:ListItem Value=4>Customer name</asp:ListItem>
					</asp:RadioButtonList>
				</td>
				<td valign="bottom">
					<b>Query Variable:</b><br/>
					<asp:TextBox id="filterVar" runat="server"/>
				</td>
				</tr>
				</table>
				<div align="center">
					<br/>
					<asp:Button id="updateQuery" Runat="server" Text="Apply Filter"/>
				</div>
				<br/>
				<em>For product count, warehouse count, and customer name, enter the appropriate value into the query variable box</em>
				<br><br>
				<b>Shipping Summary:</b><br/>
				Find total number of each product being shipped to the following city:<br/><br/>
				<asp:TextBox ID="cityName" Runat="server"/> <asp:Button ID="productQuery" Runat="server" Text="List Products"/> 
				<asp:Button ID="clearProduct" Runat="server" OnClick="clearProductList" Text="Clear Results"/>
				<br/><br/>
				<asp:DataList ID="productList" Runat="server">
					<HeaderTemplate>
						<table width="100%">
						<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
							<td width="30">ID</td>
							<td>Product</td>
							<td>Count</td>
						</tr>
					</HeaderTemplate>
					<FooterTemplate>
						</table>
					</FooterTemplate>
					<ItemTemplate>
						<tr>
							<td valign="top"><%# DataBinder.Eval(Container.DataItem, "itemID") %></td>
							<td valign="top"><%# DataBinder.Eval(Container.DataItem, "itemName") %></td>
							<td valign="top"><%# DataBinder.Eval(Container.DataItem, "shipCount") %></td>
						</tr>
					</ItemTemplate>
				</asp:DataList>
			</td>
		</form>
	</body>
</HTML>
