<%@ Page language="c#" Codebehind="invoice.aspx.cs" AutoEventWireup="false" Inherits="proj1.invoice" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>invoice</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    	<style>
			body {
				font-family: Verdana, Arial;
				font-size: 10pt;
			}
			
			a {
				font-weight: bold;
				color: #3050e0;
				text-decoration: none;
			}
			
			a:hover {
				text-decoration: underline;
			}
			
			table {
				font-size: 10pt;
			}
			
			
		</style>
  </head>
  <body MS_POSITIONING="FlowLayout">
	<form id="Form1" method="post" runat="server">
		<a href="default.aspx">Back...</a><br>
		<asp:DataList id="listItems" Runat="server" OnItemDataBound="computeTotals">
			<HeaderTemplate>
				<table width="1000">
				<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
					<td>Item</td>
					<td width="65">Unit<br>Price</td>
					<td width="65">Disc<br>$</td>
					<td width="65">Disc<br>%</td>
					<td width="40">Quan</td>
					<td width="75">Cost</td>
					<td width="50">Ware-<br>house</td>
					<td width="75">Ship Date</td>
				</tr>
			</HeaderTemplate>
			<FooterTemplate>
				</table>
			</FooterTemplate>
			<ItemTemplate>
				<tr>
					<td><%# DataBinder.Eval(Container.DataItem, "itemName") %></td>
					<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "UnitPrice")) %></td>
					<td><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "DiscountAmount")) %></td>
					<td align="right"><%# String.Format("{0:p}", DataBinder.Eval(Container.DataItem, "DiscountPercent")) %></td>
					<td align="center"><%# DataBinder.Eval(Container.DataItem, "Quantity") %></td>
					<td style="font-weight: bold;"><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "itemCost")) %></td>
					<td><%# DataBinder.Eval(Container.DataItem, "shipWarehouse") %></td>
					<td><%# String.Format("{0:MMM dd, yyyy}", DataBinder.Eval(Container.DataItem, "shipDate")) %></td>
				</tr>
			</ItemTemplate>
		</asp:DataList>
		<br><br>
		<asp:DataList id="invoiceDetail" Runat="server">
			<ItemTemplate>
				<table width="1000">
				<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
					<td>Invoice Date: <%# Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "invoiceDate")).ToLongDateString() %></td>
					<td width="200" align="center">Order Summary</td>
				</tr>
				<tr>
					<td valign="top">
						<table width="100%">
							<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
								<td width="50%">Buyer</td>
								<td width="50%">Shipping</td>
							</tr>
							<tr>
								<td valign="top">
									<%# DataBinder.Eval(Container.DataItem, "bFirstName") %> <%# DataBinder.Eval(Container.DataItem, "bLastName") %><br>
									<a href="mailto:<%# DataBinder.Eval(Container.DataItem, "bEmail") %>"><%# DataBinder.Eval(Container.DataItem, "bEmail") %></a><br>
									<%# String.Format("{0:(###) ###-####}", Convert.ToInt64(DataBinder.Eval(Container.DataItem, "bPhone"))) %> &nbsp;&nbsp;<%# DataBinder.Eval(Container.DataItem, "bPhoneExt") %>
								</td>
								<td valign="top">
									Method: <%# DataBinder.Eval(Container.DataItem, "shippingMethodDesc") %><br>
									<br>
									<%# DataBinder.Eval(Container.DataItem, "sName") %><br>
									<%# DataBinder.Eval(Container.DataItem, "sAddress1") %> <%# DataBinder.Eval(Container.DataItem, "sAddress2") %><br>
									<%# DataBinder.Eval(Container.DataItem, "sCity") %>, <%# DataBinder.Eval(Container.DataItem, "sState") %> <%# DataBinder.Eval(Container.DataItem, "sZip") %><br><br>
								</td>
								<!--
								
								p.paymentDate, p.paymentAmount, p.Completed, ct.cardTypeDesc, p.CreditCardNumber, p.CreditCardExp, p.CreditCardCVN, " +
				"ba.Name AS bName, ba.Address1 AS bAddress1, ba.Address2 AS bAddress2, ba.City AS bCity, ba.State AS bState, ba.Zip AS bZip " +
								-->
							</tr>
						</table>
						<table width="100%">
							<tr style="font-weight: bold; color: #ffffff; background-color: #5080e0">
								<td>Payment</td>
								<td>Special Instructions</td>
							</tr>
							<tr>
								<td valign="top">
									Amount: <%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "paymentAmount")) %><br>
									Date: <%# Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "paymentDate")).ToShortDateString() %><br><br>
									Method: Credit Card<br>
									Card Type: <%# DataBinder.Eval(Container.DataItem, "cardTypeDesc") %><br>
									Card #: <%# String.Format("{0:####-####-####-####}", Convert.ToInt64(DataBinder.Eval(Container.DataItem, "creditCardNumber"))) %><br>
									Card Exp: <%# String.Format("{0:####-##}", Convert.ToInt64(DataBinder.Eval(Container.DataItem, "creditCardExp"))) %><br>
									CVN: <%# DataBinder.Eval(Container.DataItem, "creditCardCVN") %><br><br>
									Billing Address:<br>
									<%# DataBinder.Eval(Container.DataItem, "bName") %><br>
									<%# DataBinder.Eval(Container.DataItem, "bAddress1") %> <%# DataBinder.Eval(Container.DataItem, "bAddress2") %><br>
									<%# DataBinder.Eval(Container.DataItem, "bCity") %>, <%# DataBinder.Eval(Container.DataItem, "bState") %> <%# DataBinder.Eval(Container.DataItem, "bZip") %>
								</td>
								<td valign="top">
									<%# DataBinder.Eval(Container.DataItem, "specialInstructions") %><br>
									Is Gift: <%# Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "isGift")).ToString() %><br>
									Gift Message: <%# DataBinder.Eval(Container.DataItem, "giftMessage") %>
								</td>
							</tr>
						</table>
					</td>
					<td valign="top">
						<table width="100%" cellspacing="0" cellpadding="2">
						<tr>
							<td align="left">Items:</td>
							<td valign="bottom" width="5">&nbsp;</td>
							<td align="right"><%# String.Format("{0:c}", totalPrice) %></td>
						</tr>
						<tr>
							<td align="left" valign="top">Discounts:</td>
							<td valign="bottom" style="BORDER-BOTTOM: black 1px solid" width="5">-</td>
							<td align="right" style="BORDER-BOTTOM: black 1px solid"><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "discountAmount")) %><br>
								%<%# String.Format("{0:g}", Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountPercent")) * 100) %>
							</td>
						</tr>
						<tr>
							<td align="left">Subtotal:</td>
							<td valign="bottom" width="5">&nbsp;</td>
							<td align="right"><%# String.Format("{0:c}", (totalPrice - Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountAmount"))) - (totalPrice * Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountPercent")))) %></td>
						</tr>
						<tr>
							<td align="left">Shipping:</td>
							<td valign="bottom" width="5">&nbsp;</td>
							<td align="right"><%# String.Format("{0:c}", DataBinder.Eval(Container.DataItem, "shippingCost")) %></td>
						</tr>
						<tr>
							<td align="left">Tax (<%# String.Format("{0:p}", DataBinder.Eval(Container.DataItem, "taxRate")) %>):</td>
							<td valign="bottom" style="BORDER-BOTTOM: black 1px solid" width="5">+</td>
							<td align="right" style="BORDER-BOTTOM: black 1px solid"><%# String.Format("{0:c}", Convert.ToDouble(DataBinder.Eval(Container.DataItem, "taxRate")) * ((totalPrice - Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountAmount"))) - (totalPrice * Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountPercent"))))) %></td>
						</tr>
						<tr>
							<td align="left" style="font-weight: bold;">Total:</td>
							<td valign="bottom" width="5">&nbsp;</td>
							<td align="right" style="font-weight: bold;">
								<%# String.Format("{0:c}", (totalPrice - Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountAmount"))) - (totalPrice * Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountPercent"))) + (Convert.ToDouble(DataBinder.Eval(Container.DataItem, "taxRate")) * ((totalPrice - Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountAmount"))) - (totalPrice * Convert.ToDouble(DataBinder.Eval(Container.DataItem, "discountPercent"))))) + Convert.ToDouble(DataBinder.Eval(Container.DataItem, "shippingCost"))) %>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</ItemTemplate>
		</asp:DataList>
		
	</form>
	
  </body>
</html>
