<%@ Page language="c#" Codebehind="CreateUser.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.CreateUser" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Create New User</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</HEAD>
	<body>
		<form id="CreateUser" method="post" runat="server">
			<table>
				<tr>
					<td>Please Enter the following:</td>
					<td></td>
					<TD></TD>
				</tr>
				<tr>
					<td>New User ID:</td>
					<td><asp:TextBox ID="txtUserID" Runat="server" /><FONT color="red">*</FONT></td>
					<TD>
						<asp:Label id="LabelUserIDTooShort" runat="server" Visible="False" ForeColor="Red">Min Length is 4 characters.</asp:Label>&nbsp;
						<asp:RequiredFieldValidator id="RequiredFieldValidatorUserID" runat="server" ErrorMessage="User ID is a required field."
							ControlToValidate="txtUserID"></asp:RequiredFieldValidator>&nbsp;
						<asp:Label id="LabelUserNameAlreadyExists" runat="server" ForeColor="Red" Visible="False">User Name already exists. Pick another.</asp:Label></TD>
				</tr>
				<tr>
					<td style="HEIGHT: 26px">Password:</td>
					<td style="HEIGHT: 26px">
						<asp:TextBox id="txtPassword" runat="server" TextMode="Password"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD style="HEIGHT: 26px">
						<asp:Label id="LabelPasswordTooShort" runat="server" Visible="False" ForeColor="Red">Min Length is 4 characters.</asp:Label>&nbsp;
						<asp:RequiredFieldValidator id="RequiredFieldValidatorPassword" runat="server" ErrorMessage="Password is a required field."
							ControlToValidate="txtPassword"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td>Confirm Password:</td>
					<td>
						<asp:TextBox id="txtConfirmPassword" runat="server" TextMode="Password"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD>
						<asp:Label id="LabelPasswordMismatch" runat="server" ForeColor="Red" Visible="False">Password Mismatch</asp:Label></TD>
				</tr>
			</table>
			<br>
			<table>
				<tr>
					<td style="HEIGHT: 26px">First Name:</td>
					<td style="HEIGHT: 26px"><asp:TextBox id="TextBoxFirstName" runat="server"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD style="HEIGHT: 26px">
						<asp:RequiredFieldValidator id="RequiredFieldValidatorFirstName" runat="server" ErrorMessage="First Name is a required field"
							ControlToValidate="TextBoxFirstName"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td>Last Name:</td>
					<td><asp:TextBox id="TextBoxLastName" runat="server"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD>
						<asp:RequiredFieldValidator id="RequiredFieldValidatorLastName" runat="server" ErrorMessage="Last Name is a required field"
							ControlToValidate="TextBoxLastName"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td>Street Address:</td>
					<td><asp:TextBox id="TextBoxStreetAddress" runat="server"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD>
						<asp:RequiredFieldValidator id="RequiredFieldValidatorStreeAddress" runat="server" ErrorMessage="Street Address is a required field"
							ControlToValidate="TextBoxStreetAddress"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td>Apartment Address:</td>
					<td><asp:TextBox id="TextBoxApartmentAddress" runat="server"></asp:TextBox><FONT color="red"></FONT></td>
					<TD></TD>
				</tr>
				<tr>
					<td>City:</td>
					<td><asp:TextBox id="TextBoxCity" runat="server"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD>
						<asp:RequiredFieldValidator id="RequiredFieldValidatorCity" runat="server" ErrorMessage="City is a required field"
							ControlToValidate="TextBoxCity"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td>State:</td>
					<td><asp:TextBox id="TextBoxState" MaxLength="2" runat="server"></asp:TextBox><FONT color="red">*</FONT></td>
					<TD>
						<asp:RequiredFieldValidator id="RequiredFieldValidatorState" runat="server" ErrorMessage="State is a required field"
							ControlToValidate="TextBoxState"></asp:RequiredFieldValidator></TD>
				</tr>
				<tr>
					<td style="HEIGHT: 25px">Zip Code:</td>
					<td style="HEIGHT: 25px"><asp:TextBox id="TextBoxZip" runat="server" MaxLength="5" Width="96px"></asp:TextBox><FONT color="red">*</FONT>-
						<asp:TextBox id="TextBoxZipExtended" runat="server" MaxLength="4" Width="40px"></asp:TextBox></td>
					<TD style="HEIGHT: 25px">
						<asp:RequiredFieldValidator id="RequiredFieldValidatorZipCode" runat="server" ErrorMessage="The first five digits of the zip code is a required field."
							ControlToValidate="TextBoxZip"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator id="RegularExpressionValidator4" runat="server" ErrorMessage="Zip Code is misformatted. "
							ControlToValidate="TextBoxZip" ValidationExpression="[0-9]{5}"></asp:RegularExpressionValidator>
						<asp:RegularExpressionValidator id="RegularExpressionValidator5" runat="server" ErrorMessage="Extended Zip Code is misformatted."
							ControlToValidate="TextBoxZipExtended" ValidationExpression="[0-9]{4}"></asp:RegularExpressionValidator></TD>
				</tr>
				<tr>
					<td>
						<P>Phone Number:</P>
					</td>
					<td>(
						<asp:TextBox id="TextBoxAreaCode" runat="server" MaxLength="3" Width="40px"></asp:TextBox>)
						<asp:TextBox id="TextBoxPhonePrefix" runat="server" MaxLength="3" Width="40px"></asp:TextBox>-
						<asp:TextBox id="TextBoxPhoneEnd" runat="server" MaxLength="4" Width="48px"></asp:TextBox></td>
					<TD>
						<asp:RegularExpressionValidator id="RegularExpressionValidatorAreaCode" runat="server" ErrorMessage="Area Code is misformatted. "
							ControlToValidate="TextBoxAreaCode" ValidationExpression="[0-9]{3}"></asp:RegularExpressionValidator>&nbsp;
						<asp:RegularExpressionValidator id="RegularExpressionValidatorPhonePrefix" runat="server" ErrorMessage="Phone prefix is misformatted. "
							ControlToValidate="TextBoxPhonePrefix" ValidationExpression="[0-9]{3}"></asp:RegularExpressionValidator>&nbsp;
						<asp:RegularExpressionValidator id="RegularExpressionValidatorPhoneEnd" runat="server" ErrorMessage="Phone end is misformatted."
							ControlToValidate="TextBoxPhoneEnd" ValidationExpression="[0-9]{4}"></asp:RegularExpressionValidator>&nbsp;
						<asp:CustomValidator id="CustomValidatorPhone" runat="server" ErrorMessage="Incomplete Phone Information."></asp:CustomValidator></TD>
				</tr>
			</table>
			<asp:Button ID="btnSubmit" Runat="server" Text="Submit" />&nbsp;
			<asp:Button id="btnReset" runat="server" Text="Reset" CausesValidation="False"></asp:Button>
		</form>
	</body>
</HTML>
