<%@ Page language="c#" Codebehind="UpdateCustomer.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.UpdateCustomer" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Update Customer Information</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<H1>Update Customer Information</H1>
			<H3>Change Password</H3>
			<P>
				<TABLE id="Table1">
					<TR>
						<TD>Old Password:</TD>
						<TD style="WIDTH: 159px"><asp:textbox id="TextBoxOldPassword" Runat="server" TextMode="Password"></asp:textbox><FONT color="red"></FONT></TD>
						<TD><asp:label id="LabelIncorrectOldPassword" runat="server" ForeColor="Red" Visible="False">Incorrect Old Password</asp:label></TD>
					</TR>
					<TR>
						<TD>Password:</TD>
						<TD style="WIDTH: 159px"><asp:textbox id="txtPassword" runat="server" TextMode="Password"></asp:textbox><FONT color="red"></FONT></TD>
						<TD>
							<asp:label id="LabelPasswordTooShort" runat="server" ForeColor="Red" Visible="False">New password is too short (at least four characters required)</asp:label></TD>
					</TR>
					<TR>
						<TD>Confirm Password:</TD>
						<TD style="WIDTH: 159px"><asp:textbox id="txtConfirmPassword" runat="server" TextMode="Password"></asp:textbox><FONT color="red"></FONT></TD>
						<TD>
							<asp:label id="LabelPasswordMismatch" runat="server" ForeColor="Red" Visible="False">Password mismatch</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P><asp:button id="ButtonUpdatePassword" runat="server" Text="Update" CausesValidation="False"></asp:button>&nbsp;
				<asp:button id="ButtonCancelPassword" runat="server" Text="Cancel" CausesValidation="False"></asp:button>&nbsp;
				<asp:label id="LabelPasswordUpdated" runat="server" Visible="False">Password Updated</asp:label></P>
			<hr>
			<H3>Change Name/Address</H3>
			<P>
				<TABLE id="Table2">
					<TR>
						<TD style="HEIGHT: 26px">First Name:</TD>
						<TD style="HEIGHT: 26px"><asp:textbox id="TextBoxFirstName" runat="server">&lt;&lt;&lt;&lt;&gt;&gt;&gt;&gt;&lt;&lt;&lt;&lt;&gt;&gt;&gt;&gt;&lt;&lt;&lt;&lt;&gt;&gt;&gt;&gt;</asp:textbox><FONT color="red"></FONT></TD>
						<TD style="HEIGHT: 26px"><asp:requiredfieldvalidator id="RequiredFieldValidatorFirstName" runat="server" ErrorMessage="First Name is a required field"
								ControlToValidate="TextBoxFirstName"></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>Last Name:</TD>
						<TD><asp:textbox id="TextBoxLastName" runat="server"></asp:textbox><FONT color="red"></FONT></TD>
						<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorLastName" runat="server" ErrorMessage="Last Name is a required field"
								ControlToValidate="TextBoxLastName"></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>Street Address:</TD>
						<TD><asp:textbox id="TextBoxStreetAddress" runat="server"></asp:textbox><FONT color="red"></FONT></TD>
						<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorStreeAddress" runat="server" ErrorMessage="Street Address is a required field"
								ControlToValidate="TextBoxStreetAddress"></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>Apartment Address:</TD>
						<TD><asp:textbox id="TextBoxApartmentAddress" runat="server"></asp:textbox><FONT color="red"></FONT></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>City:</TD>
						<TD><asp:textbox id="TextBoxCity" runat="server"></asp:textbox><FONT color="red"></FONT></TD>
						<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorCity" runat="server" ErrorMessage="City is a required field"
								ControlToValidate="TextBoxCity"></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>State:</TD>
						<TD><asp:textbox id="TextBoxState" runat="server" MaxLength="2"></asp:textbox><FONT color="red"></FONT></TD>
						<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorState" runat="server" ErrorMessage="State is a required field"
								ControlToValidate="TextBoxState"></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 25px">Zip Code:</TD>
						<TD style="HEIGHT: 25px"><asp:textbox id="TextBoxZip" runat="server" MaxLength="5" Width="96px"></asp:textbox>-
							<asp:textbox id="TextBoxZipExtended" runat="server" MaxLength="4" Width="40px"></asp:textbox></TD>
						<TD style="HEIGHT: 25px"><asp:requiredfieldvalidator id="RequiredFieldValidatorZipCode" runat="server" ErrorMessage="The first five digits of the zip code is a required field."
								ControlToValidate="TextBoxZip"></asp:requiredfieldvalidator><asp:regularexpressionvalidator id="RegularExpressionValidatorZipCodeFormat" runat="server" ErrorMessage="Zip Code is misformatted. "
								ControlToValidate="TextBoxZip" ValidationExpression="[0-9]{5}"></asp:regularexpressionvalidator><asp:regularexpressionvalidator id="RegularExpressionValidatorZipCodeExtFormat" runat="server" ErrorMessage="Extended Zip Code is misformatted."
								ControlToValidate="TextBoxZipExtended" ValidationExpression="[0-9]{4}"></asp:regularexpressionvalidator></TD>
					</TR>
					<TR>
						<TD>Phone Number</TD>
						<TD>(
							<asp:textbox id="TextBoxAreaCode" runat="server" MaxLength="3" Width="40px"></asp:textbox>)
							<asp:textbox id="TextBoxPhonePrefix" runat="server" MaxLength="3" Width="40px"></asp:textbox>-
							<asp:textbox id="TextBoxPhoneEnd" runat="server" MaxLength="4" Width="56px"></asp:textbox></TD>
						<TD><asp:regularexpressionvalidator id="RegularExpressionValidatorAreaCode" runat="server" ErrorMessage="Area Code is misformatted. "
								ControlToValidate="TextBoxAreaCode" ValidationExpression="[0-9]{3}"></asp:regularexpressionvalidator>&nbsp;<asp:regularexpressionvalidator id="RegularExpressionValidatorPhonePrefix" runat="server" ErrorMessage="Phone prefix is misformatted. "
								ControlToValidate="TextBoxPhonePrefix" ValidationExpression="[0-9]{3}"></asp:regularexpressionvalidator>&nbsp;<asp:regularexpressionvalidator id="RegularExpressionValidatorPhoneEnd" runat="server" ErrorMessage="Phone end is misformatted."
								ControlToValidate="TextBoxPhoneEnd" ValidationExpression="[0-9]{4}"></asp:regularexpressionvalidator>&nbsp;
							<asp:CustomValidator id="CustomValidatorPhone" runat="server" ErrorMessage="Incomplete Phone Information"></asp:CustomValidator></TD>
					</TR>
				</TABLE>
			</P>
			<P><asp:button id="ButtonUpdateInfo" runat="server" Text="Update"></asp:button>&nbsp;
				<asp:button id="ButtonCancelInfo" runat="server" Text="Reset" CausesValidation="False"></asp:button>&nbsp;
				<asp:label id="LabelInfoUpdated" runat="server" Visible="False">Name/Address Updated</asp:label></P>
			<hr>
			<P><a href="Inventory.aspx">Return to the Main Page</a></P>
		</form>
	</body>
</HTML>
