<%@ Page language="c#" Codebehind="Confirmation.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.Confirmation" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Confirmation</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<H1>Confirmation Page</H1>
			<P>
				<TABLE id="Table1" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Order Date:</STRONG></TD>
						<TD><asp:label id="LabelOrderDate" runat="server">(Order Date)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<H3>Ship To:</H3>
			<P><asp:label id="LabelShipTo" runat="server">(Ship To)</asp:label></P>
			<H3>Bill To:</H3>
			<P><asp:label id="LabelBillTo" runat="server">(Bill To)</asp:label></P>
			<P>
				<TABLE id="Table2" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Payment Type:</STRONG></TD>
						<TD><asp:label id="LabelPaymentType" runat="server">(Payment Type)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P><asp:label id="LabelCCInfo" runat="server" Visible="False">(Credit Card Info)</asp:label></P>
			<H3>Items Purchased:</H3>
			<P><asp:datagrid id="GridBooksPurchased" runat="server" BorderWidth="1px" CellSpacing="1" CellPadding="1"
					AutoGenerateColumns="False">
					<Columns>
						<asp:BoundColumn DataField="ISBN" HeaderText="ISBN"></asp:BoundColumn>
						<asp:BoundColumn DataField="BookName" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="warehouse" HeaderText="Source Warehouse"></asp:BoundColumn>
						<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
						<asp:BoundColumn DataField="unitPrice" HeaderText="Unit Price" DataFormatString="${0:F2}"></asp:BoundColumn>
					</Columns>
				</asp:datagrid></P>
			<P><asp:datagrid id="DataGridCDsPurchased" runat="server" BorderWidth="1px" CellSpacing="1" CellPadding="1"
					AutoGenerateColumns="False">
					<Columns>
						<asp:BoundColumn DataField="CDID" HeaderText="CDID"></asp:BoundColumn>
						<asp:BoundColumn DataField="CDName" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="warehouse" HeaderText="Source Warehouse"></asp:BoundColumn>
						<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
						<asp:BoundColumn DataField="unitPrice" HeaderText="Unit Price" DataFormatString="${0:F2}"></asp:BoundColumn>
					</Columns>
				</asp:datagrid></P>
			<H3>Cost Information:</H3>
			<P>
				<TABLE id="Table3" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Subtotal:</STRONG></TD>
						<TD>$
							<asp:label id="LabelSubtotal" runat="server">(Subtotal)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Tax:</STRONG></TD>
						<TD>$
							<asp:label id="LabelTax" runat="server">(Tax)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Shipping:</STRONG></TD>
						<TD>$
							<asp:label id="LabelShipping" runat="server">(Shipping)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Total:</STRONG></TD>
						<TD>$
							<asp:label id="LabelTotal" runat="server">(Total)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P>Only Click the Submit Button Once!</P>
			<P><asp:button id="ButtonSubmit" runat="server" Text="Submit"></asp:button>&nbsp;
				<asp:button id="ButtonCancel" runat="server" Text="Back"></asp:button></P>
		</form>
	</body>
</HTML>
