<%@ Page language="c#" Codebehind="Inventory.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.StartPage" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Chris's Inventory</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body style="FONT-SIZE: smaller; FONT-FAMILY: Arial">
		<form id="Form1" method="post" runat="server">
			<h1>Inventory Page:</h1>
			<P><A href="UpdateCustomer.aspx">Update Customer Information</A>&nbsp;| <A href="CustomerInvoices.aspx">
					View My Invoices</A>&nbsp;|&nbsp;<a href="ShoppingCart.aspx">View Shopping Cart</a></P>
			<P>
				<hr>
			<P></P>
			<asp:panel id="booksPanel" Runat="server">
				<BR>
				<asp:label id="Label1" Runat="server" Font-Bold="True">Books:</asp:label>
				<asp:datagrid id="dgBooks" runat="server" OnItemCommand="dgBooks_Command" AutoGenerateColumns="False">
					<AlternatingItemStyle BackColor="WhiteSmoke"></AlternatingItemStyle>
					<ItemStyle BackColor="Gainsboro"></ItemStyle>
					<HeaderStyle Font-Bold="True" BackColor="#666699"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="ISBN" HeaderText="ISBN"></asp:BoundColumn>
						<asp:BoundColumn DataField="Title" HeaderText="Title"></asp:BoundColumn>
						<asp:BoundColumn DataField="Publisher" HeaderText="Publisher"></asp:BoundColumn>
						<asp:BoundColumn DataField="Price" HeaderText="Price" DataFormatString="${0:F2}"></asp:BoundColumn>
						<asp:HyperLinkColumn Text="Details" DataNavigateUrlField="ProductID" DataNavigateUrlFormatString="Products.aspx?table=books&amp;id={0}"
							SortExpression="CDID" HeaderText="Product Details">
							<ItemStyle HorizontalAlign="Center"></ItemStyle>
						</asp:HyperLinkColumn>
						<asp:HyperLinkColumn Text="Purchase" DataNavigateUrlField="params" DataNavigateUrlFormatString="ShoppingCart.aspx?op=add&amp;quantity=1&amp;{0}"></asp:HyperLinkColumn>
					</Columns>
				</asp:datagrid>
				<asp:Label id="lblBookRowCount" Runat="server"></asp:Label>
			</asp:panel><asp:panel id="musicPanel" Runat="server"><BR>
				<asp:label id="Label2" Runat="server" Font-Bold="True">Music:</asp:label>
				<asp:datagrid id="dgMusic" runat="server" OnItemCommand="dgMusic_Command" AutoGenerateColumns="False">
					<AlternatingItemStyle BackColor="WhiteSmoke"></AlternatingItemStyle>
					<ItemStyle BackColor="Gainsboro"></ItemStyle>
					<HeaderStyle Font-Bold="True" BackColor="#666699"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="CDID" HeaderText="ID"></asp:BoundColumn>
						<asp:BoundColumn DataField="Name" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="RecordCompany" HeaderText="Record Company"></asp:BoundColumn>
						<asp:BoundColumn DataField="Price" HeaderText="Price" DataFormatString="${0:F2}"></asp:BoundColumn>
						<asp:HyperLinkColumn Text="Details" DataNavigateUrlField="ProductID" DataNavigateUrlFormatString="Products.aspx?table=music&amp;id={0}"
							SortExpression="CDID" HeaderText="Product Details">
							<ItemStyle HorizontalAlign="Center"></ItemStyle>
						</asp:HyperLinkColumn>
						<asp:HyperLinkColumn Text="Purchase" DataNavigateUrlField="params" DataNavigateUrlFormatString="ShoppingCart.aspx?op=add&amp;quantity=1&amp;{0}"></asp:HyperLinkColumn>
					</Columns>
				</asp:datagrid>
				<asp:Label id="lblMusicRowCount" Runat="server"></asp:Label>
			</asp:panel><br>
			<hr>
			<table>
				<tr>
					<td><asp:button id="btnShowAll" Runat="server" Text="Show All Products" Width="300px"></asp:button></td>
				</tr>
				<!--
                <tr>
                    <td><asp:button id="btnOutOfStock" Runat="server" Text="Show out-of-stock items" Width="300px"></asp:button></td>
                </tr>
                <tr>
                    <td><asp:button id="btnProductsAfter" Runat="server" Text="Show Products with Amount >= " Width="300px"></asp:button></td>
                    <td><asp:textbox id="txtMinAmount" Runat="server"></asp:textbox></td>
                </tr>
                <tr>
                    <td><asp:button id="btnWarehouses" Runat="server" Text="Show From Distinct Warehouses >" Width="300px"></asp:button></td>
                    <td><asp:textbox id="txtWarehouses" Runat="server"></asp:textbox></td>
                </tr>
                -->
				<tr>
					<td><asp:button id="btnAuthorArtist" Runat="server" Text="Lookup by Author/Artist" Width="300px"></asp:button></td>
					<td><asp:dropdownlist id="ddlProductTypes" Runat="server" Width="155px" AutoPostBack="True">
							<asp:ListItem Value="Books" Selected="True">Books</asp:ListItem>
							<asp:ListItem Value="Music">Music</asp:ListItem>
						</asp:dropdownlist></td>
					<td><asp:dropdownlist id="ddlAuthorArtist" Runat="server"></asp:dropdownlist></td>
				</tr>
				<tr>
					<td><asp:button id="ButtonFindTitle" runat="server" Text="Find by Title" Width="300px"></asp:button></td>
					<td><asp:textbox id="TextBoxFindTitle" runat="server"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:button id="ButtonFindAuthorMusician" runat="server" Text="Find by Author/Musician" Width="300px"></asp:button></td>
					<td><asp:textbox id="TextBoxAuthorMusician" runat="server"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:button id="ButtonKeyword" runat="server" Text="Find Book by Keyword" Width="300px"></asp:button></td>
					<td><asp:textbox id="TextBoxKeyword" runat="server"></asp:textbox></td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
