<%@ Page language="c#" Codebehind="Payment.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.Payment" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Payment</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<H1>Select Payment Form</H1>
			<P>
				<TABLE id="Table1" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD>Payment Type:</TD>
						<TD><asp:dropdownlist id="DropDownListPaymentType" runat="server" AutoPostBack="True">
								<asp:ListItem Value="CreditCard" Selected="True">Credit Card</asp:ListItem>
								<asp:ListItem Value="Cash">Cash</asp:ListItem>
								<asp:ListItem Value="Check">Check/Money Order</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
				</TABLE>
			</P>
			<P>&nbsp;</P>
			<H4>Credit Card Information:</H4>
			<P>
				<TABLE id="Table3" cellSpacing="3" cellPadding="3">
					<TR>
						<TD>Select Credit Card:</TD>
						<TD><asp:dropdownlist id="DropDownListCC" runat="server" AutoPostBack="True">
								<asp:ListItem Value="AddNew" Selected="True">Add New</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
				</TABLE>
			</P>
			<P>
				<TABLE id="Table2" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD>Card Number:</TD>
						<TD><asp:textbox id="TextBoxCCNumber" runat="server" MaxLength="16"></asp:textbox></TD>
						<TD><asp:regularexpressionvalidator id="RegularExpressionValidatorCCNumber" runat="server" ValidationExpression="[0-9]{15}[0-9]?"
								ControlToValidate="TextBoxCCNumber" ErrorMessage="Invalid Credit Card Format."></asp:regularexpressionvalidator>&nbsp;
							<asp:requiredfieldvalidator id="RequiredFieldValidatorCCNumber" runat="server" ControlToValidate="TextBoxCCNumber"
								ErrorMessage="Credit Card Number is a Required Field."></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>Expiration Date (mm/yyyy):</TD>
						<TD><asp:textbox id="TextBoxExpMonth" runat="server" MaxLength="2" Width="40px"></asp:textbox>/
							<asp:textbox id="TextBoxExpYear" runat="server" MaxLength="4" Width="64px"></asp:textbox></TD>
						<TD>
							<asp:RangeValidator id="RangeValidatorExpMonth" runat="server" ControlToValidate="TextBoxExpMonth" ErrorMessage="Invalid month format."
								MaximumValue="12" MinimumValue="1" Type="Integer"></asp:RangeValidator>&nbsp;
							<asp:RangeValidator id="RangeValidatorExpYear" runat="server" ControlToValidate="TextBoxExpYear" ErrorMessage="Invalid Year Format."
								MaximumValue="2099" MinimumValue="2000"></asp:RangeValidator>&nbsp;&nbsp;
							<asp:requiredfieldvalidator id="RequiredFieldValidatorCCMonth" runat="server" ControlToValidate="TextBoxExpMonth"
								ErrorMessage="Expiration Month is a Required Field."></asp:requiredfieldvalidator>&nbsp;
							<asp:requiredfieldvalidator id="RequiredFieldValidatorCCYear" runat="server" ControlToValidate="TextBoxExpYear"
								ErrorMessage="Expiration Year is a required field."></asp:requiredfieldvalidator></TD>
					</TR>
					<TR>
						<TD>Type:</TD>
						<TD><asp:dropdownlist id="DropDownListCCType" runat="server">
								<asp:ListItem Value="Visa">Visa</asp:ListItem>
								<asp:ListItem Value="MasterCard">Master Card</asp:ListItem>
								<asp:ListItem Value="AmericanExpress">American Express</asp:ListItem>
							</asp:dropdownlist></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>Security Code:</TD>
						<TD>
							<asp:TextBox id="TextBoxCCCode" runat="server" MaxLength="4" Width="72px"></asp:TextBox></TD>
						<TD>
							<asp:RegularExpressionValidator id="RegularExpressionValidatorCCCode" runat="server" ErrorMessage="Invalid Security Code Format."
								ControlToValidate="TextBoxCCCode" ValidationExpression="[0-9]{3}[0-9]?"></asp:RegularExpressionValidator></TD>
					</TR>
				</TABLE>
			</P>
			<P>
				<asp:Button id="ButtonContinue" runat="server" Text="Continue"></asp:Button></P>
		</form>
	</body>
</HTML>
