<%@ Page language="c#" Codebehind="ShoppingCart.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.ShoppingCart" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
    <HEAD>
        <title>ShoppingCart</title>
        <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
        <meta content="C#" name="CODE_LANGUAGE">
        <meta content="JavaScript" name="vs_defaultClientScript">
        <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
    </HEAD>
    <body>
        <form id="Form1" method="post" runat="server">
            <asp:label id="LabelShoppingCart" Visible="False" Runat="server">
                <H1>Shopping Cart</H1>
            </asp:label>
            <P><asp:datagrid id="DataGridBooksInCart" runat="server" Visible="False" AutoGenerateColumns="False"
                    OnCancelCommand="DataGridBooksInCart_Cancel" OnUpdateCommand="DataGridBooksInCart_Update"
                    OnEditCommand="DataGridBooksInCart_Edit" OnItemCommand="DataGridBooksInCart_Command">
                    <AlternatingItemStyle BackColor="WhiteSmoke"></AlternatingItemStyle>
                    <ItemStyle BackColor="Gainsboro"></ItemStyle>
                    <HeaderStyle Font-Bold="True" BackColor="#666699"></HeaderStyle>
                    <Columns>
                        <asp:BoundColumn DataField="ISBN" SortExpression="ISBN" ReadOnly="True" HeaderText="ISBN" />
                        <asp:BoundColumn DataField="BookName" ReadOnly="True" HeaderText="Title" />
                        <asp:BoundColumn DataField="quantity" SortExpression="quantity" HeaderText="Quantity"></asp:BoundColumn>
                        <asp:BoundColumn DataField="UnitPrice" SortExpression="UnitPrice" ReadOnly="True" HeaderText="Price" DataFormatString="${0:F2}"></asp:BoundColumn>
                        <asp:EditCommandColumn ButtonType="PushButton" EditText="Change Quantity" UpdateText="Update" CancelText="Cancel" />
                        <asp:ButtonColumn ButtonType="PushButton" CommandName="Delete" Text="Remove All" />
                    </Columns>
                </asp:datagrid><asp:label id="lblBooksError" Visible="False" Runat="server" ForeColor="red"></asp:label></P>
            <P><asp:datagrid id="DataGridCDsInCart" runat="server" Visible="False" AutoGenerateColumns="False"
                    OnCancelCommand="DataGridCDsInCart_Cancel" OnUpdateCommand="DataGridCDsInCart_Update" OnEditCommand="DataGridCDsInCart_Edit"
                    OnItemCommand="DataGridCDsInCart_Command">
                    <AlternatingItemStyle BackColor="WhiteSmoke"></AlternatingItemStyle>
                    <ItemStyle BackColor="Gainsboro"></ItemStyle>
                    <HeaderStyle Font-Bold="True" BackColor="#666699"></HeaderStyle>
                    <Columns>
                        <asp:BoundColumn DataField="CDID" SortExpression="CDID" ReadOnly="True" HeaderText="CDID"></asp:BoundColumn>
                        <asp:BoundColumn DataField="CDName" SortExpression="CDName" ReadOnly="True" HeaderText="Name"></asp:BoundColumn>
                        <asp:BoundColumn DataField="quantity" SortExpression="quantity" HeaderText="Quantity"></asp:BoundColumn>
                        <asp:BoundColumn DataField="UnitPrice" SortExpression="UnitPrice" ReadOnly="True" HeaderText="Price" DataFormatString="${0:F2}"></asp:BoundColumn>
                        <asp:EditCommandColumn ButtonType="PushButton" EditText="Change Quantity" UpdateText="Update" CancelText="Cancel" />
                        <asp:ButtonColumn ButtonType="PushButton" CommandName="Delete" Text="Remove All" />
                    </Columns>
                </asp:datagrid><asp:label id="lblMusicError" Visible="False" Runat="server" ForeColor="red"></asp:label></P>
            <p><asp:button id="Return" runat="server" Text="Return"></asp:button>&nbsp;
                <asp:button id="ButtonCheckout" runat="server" Text="Check Out" Enabled="False"></asp:button></p>
        </form>
    </body>
</HTML>
