using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;



namespace CSE444_project2
{
	/// <summary>
	/// Summary description for PlaceOrder.
	/// </summary>
	public class PlaceOrder : System.Web.UI.Page
	{

		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=bklee02; pwd=password; database=bklee02_billing";

		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Label Label16;
		protected System.Web.UI.WebControls.Label Label19;
		protected System.Web.UI.WebControls.Label Label20;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Label Label15;
		protected System.Web.UI.WebControls.Label Label17;
		protected System.Web.UI.WebControls.Label Label18;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		protected System.Web.UI.WebControls.Label Label10;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here

			PrintItems();
			PrintMethods();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void PrintItems()
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			string strSql = "select nameOrtitle as Item, howmany as Qty " +
				"from htk_invent.dbo.BASKET, htk_invent.dbo.PRODUCTS " +
				"where cId = '" + (string)(Session["ID"]) + "' and pid = prodid";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			if(sqlRdr.HasRows)
			{
				DataGrid1.DataSource = sqlRdr;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;
			}

			sqlConn.Close();

		}
		private void PrintMethods()
		{
			Label17.Text = (string)(Session["shipVendor"]);
			Label15.Text = (string)(Session["shipType"]);
			Label11.Text = (string)(Session["days"]);
			Label16.Text = (string)(Session["sub_total"]);
			Label9.Text = (string)(Session["shipping"]);
			Label19.Text = (string)(Session["tax"]);
			Label18.Text = (string)(Session["total_p"]);
	
		}
		private void updateAvail() 

		{

			sqlConn = new SqlConnection(strSqlString);

			sqlConn.Open();

			



			string getTempo = "select * from htk_invent.dbo.tStock";



			sqlCom = new SqlCommand(getTempo, sqlConn);

			sqlRdr = sqlCom.ExecuteReader();



			if (sqlRdr.HasRows)

			{

				DataGrid3.DataSource = sqlRdr;

				DataGrid3.DataBind();



				//DataGrid3.Visible = true;



				foreach(DataGridItem dataGridItem in DataGrid3.Items)

				{ 

					string Item = dataGridItem.Cells[0].Text;

					string wH = dataGridItem.Cells[1].Text;

					int newS = int.Parse(dataGridItem.Cells[2].Text);



					sqlConn = new SqlConnection(strSqlString);

					sqlConn.Open();



					//update avail set a_quantity = 56 where a_productid = 'b0066214130' and a_warehouse = 'aa1'



					string updateNow = "update htk_invent.dbo.avail set a_quantity = " + newS + " where a_productid = '" + Item + "' and a_warehouse = '" + wH + "'";

					

					sqlCom = new SqlCommand(updateNow, sqlConn);

					sqlRdr = sqlCom.ExecuteReader();

					sqlConn.Close();

			

				}

			}

 

			sqlConn.Close();

		}
		private void Button2_Click(object sender, System.EventArgs e)
		{
			//// UPDATE CREDITCARD
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			
			string strSql = "select * from creditcard where card_num = '" + (string)(Session["card_num"]) +
							"'";
			sqlCom = new SqlCommand(strSql, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			if(!sqlRdr.HasRows)
			{
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection				
				strSql = "insert into creditcard(card_num, holder, card_type)" +
					" values('" + (string)(Session["card_num"]) + "', '" + (string)(Session["ID"]) + "', '" + (string)(Session["card_type"]) + "')";
		
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);

				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();
			}

			sqlConn.Close();


			///// UPDATE INVOICE
			string id = getInvoiceID();
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			strSql = "insert into invoice(invoice_id, order_date, buyer, ship_to, payment_method, card_id, ship_method)" +
					" values('" + id + "', '" + DateTime.Now + "', '" + (string)(Session["ID"]) + "', '" + (string)(Session["Ship_to_ID"])
					+ "', 'cc', '" + (string)(Session["card_num"]) + "', '" +  (string)(Session["shipType"]) + "')";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			sqlConn.Close();
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			/////// UPDATE ITEMS
			strSql = "select distinct invoice_id, pId " +  "from invoice, htk_invent.dbo.basket "
					+ " where invoice_id = '" + id + "' and buyer = '" + (string)(Session["ID"]) + 
					"' and buyer = cId";
			sqlCom = new SqlCommand(strSql, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				 DataGrid2.DataSource = sqlRdr;
				DataGrid2.DataBind();

				DataGrid2.Visible = false;

				foreach(DataGridItem dataGridItem in DataGrid2.Items)
				{ 
					string invoice = dataGridItem.Cells[0].Text;
					string pro_id = dataGridItem.Cells[1].Text;

					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();

					string update = "insert into items(item_id, product_id)" +
									" values('" + invoice + "', '" + pro_id + "')";;
					
					sqlCom = new SqlCommand(update, sqlConn);
					sqlRdr = sqlCom.ExecuteReader();
					sqlConn.Close();
			
				}
			}
 
			sqlConn.Close();


			///// KEEP UPDATE ITEMS
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			DateTime today = DateTime.Now;
			string temp = (string)(Session["days"]);
			DateTime delivery = today.AddDays(double.Parse(temp));

			strSql = "update items " +
					" set item_name = (select nameOrtitle " +
										"from htk_invent.dbo.products " +
										"where product_id = prodid), " +
						"delivery_date = '" + delivery + "', " +
						"quantity = (select howmany " +
									"from htk_invent.dbo.basket " +
									"where product_id = pId and cId =  '" + (string)(Session["ID"]) + "'), " +
						"unit_price = (select sellprice " +
										"from htk_invent.dbo.products " +
 										"where product_id = prodid) " +
					" where item_id = '" + id + "' ";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			sqlConn.Close();
			

			///// update price
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			strSql = "insert into price(purchase_id, total_price, total_purchase, shipping, tax_rate) " +
						"values('" + id + "', " + (string)(Session["total_p"]) + ", " + (string)(Session["sub_total"]) + 
						", " + (string)(Session["shipping"]) +", " + (string)(Session["tax"]) + ")";;

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();


			///// update price
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			strSql = "INSERT INTO shipping.dbo.PACKAGE (order#, delInstr, expDlvry, status, shippingCompany, wHouseId, tracking#, shipMethod)" +
						" VALUES ('" + id + "', '" + (string)(Session["inst"]) + "', " + (string)(Session["days"]) + ", 'pending', '" + (string)(Session["shipVendor"]) + "', '" + (string)(Session["wh"]) + 
									"', '"  + id+ "', '" + (string)(Session["shipType"]) + "')";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();


			updateAvail();
			cleanTemp();
			/////Empty basket
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			strSql = "delete " +
				"from htk_invent.dbo.BASKET " +
				"where cId = '" + (string)(Session["ID"]) + "'";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();

			
			
			Session.Add("invoice", id);
			Session.Add("ID", (string)(Session["ID"]));
			Server.Transfer("tracking.aspx");


		}
		private string getRandomID()
		{
			string id = "";
			Random random = new Random();
			char ch ;
			for(int i=0; i< 10; i++)
			{
				ch = Convert.ToChar(Convert.ToInt32(26 * random.NextDouble() + 65)) ;
				id += ch.ToString(); 
			}

			return id;
		}
		private string getInvoiceID()
		{
			String id = getRandomID();
			string strSql = "select * from invoice where invoice_id = '" + id + "'";
			
			// Start a new connection to the database specified in strSqlString
			SqlConnection conn = new SqlConnection( strSqlString );
			conn.Open();	// open the connection
			
			// The command needs to know the query and the connection
			SqlCommand com = new SqlCommand(strSql, conn);
			// Execute the command
			SqlDataReader rdr = com.ExecuteReader();
			while (rdr.HasRows)
			{
				id = getRandomID();
				conn = new SqlConnection( strSqlString );
				conn.Open();	// open the connection
				strSql = "select * from invoice where invoice_id = '" + id + "'";
				// The command needs to know the query and the connection
				com = new SqlCommand(strSql, conn);
				// Execute the command
				rdr = com.ExecuteReader();
			}
			// Close the sql connection at the end
			conn.Close();
			return id;
		}
		private void Button1_Click(object sender, System.EventArgs e)
		{
			//empty basket of the customer
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			string strSql = "delete " +
				"from htk_invent.dbo.BASKET " +
				"where cId = '" + (string)(Session["ID"]) + "'";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();
			Response.Redirect("index2.aspx");
		}

		
		private  void cleanTemp() 
		{
			sqlConn = new SqlConnection(strSqlString);
			sqlConn.Open();
			
			//delete from tStock where  tPid like '%' 

			string cleanTempo = "delete from htk_invent.dbo.tStock where tPid like '%'";

			sqlCom = new SqlCommand(cleanTempo, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			sqlConn.Close();
		}
	}
}
