using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace CSE444_project2
{
	/// <summary>
	/// Summary description for accountInfo.
	/// </summary>
	public class accountInfo : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.WebControls.TextBox TextBox7;
		protected System.Web.UI.WebControls.TextBox TextBox6;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.TextBox TextBox5;
		protected System.Web.UI.WebControls.TextBox TextBox4;
		protected System.Web.UI.WebControls.TextBox TextBox3;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=bklee02; pwd=password; database=bklee02_billing";

	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!IsPostBack)
			
			
			{
				// Put user code to initialize the page here
				
				ShowAccountInfo();
				
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			
			
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	
		private void ShowAccountInfo()
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			string id = (string)(Session["ID"]);
			//Automatically fill in the form

			string strSql = "SELECT * " +
				"FROM customer " + 
				"WHERE customer_id = '" + id +"'";
					
			// The command needs to know the query and the connection
			
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			
			while (sqlRdr.Read())
			{
				if (!sqlRdr.IsDBNull(0))
				{
					TextBox1.Text  = sqlRdr.GetString(1).ToString();
					TextBox2.Text  = sqlRdr.GetString(2).ToString();	
					TextBox3.Text  = sqlRdr.GetString(3).ToString();
					TextBox4.Text  = sqlRdr.GetString(4).ToString();
					TextBox5.Text  = sqlRdr.GetString(5).ToString();
					TextBox6.Text  = sqlRdr.GetString(6).ToString();
					TextBox7.Text  = sqlRdr.GetString(7).ToString();
				}
			} 
		
			sqlConn.Close();

		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			Session.Add("ID", (string)(Session["ID"]));
			Session.Add("UserID", (string)(Session["UserID"]));
			Server.Transfer("index2.aspx");
		}

		private void Button3_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			TextBox1.Text  = TextBox1.Text;
			TextBox2.Text  = TextBox2.Text;	
			TextBox3.Text  = TextBox3.Text;
			TextBox4.Text  = TextBox4.Text;
			TextBox5.Text  = TextBox5.Text;
			TextBox6.Text  = TextBox6.Text;
			TextBox7.Text  = TextBox7.Text;

			if(TextBox1.Text.Length < 1 || TextBox2.Text.Length < 1 || TextBox3.Text.Length < 1)
			{
				sqlConn.Close();
				Label2.Text = "Some of the fields are empty";
				return;
			}
			if(TextBox7.Text.Length != 10)
			{
				sqlConn.Close();
				Label2.Text = "Invalid phone number";
				return;
			}
			else if (TextBox7.Text.Length != 10)
			{
				try
				{
					int i = int.Parse(TextBox7.Text);
				}
				catch
				{
					sqlConn.Close();
					Label2.Text = "Invalid phone number";
					return;
				}
			}
			if(TextBox4.Text.Length != 2)
			{	
				sqlConn.Close();
				Label2.Text = "Invalid State address";
				return;
			}
			if(!(TextBox5.Text.Length == 5 || TextBox5.Text.Length == 10))
			{
				sqlConn.Close();
				Label2.Text = "Invalid zipcode";
				return;
			}
			else if(TextBox5.Text.Length == 5 || TextBox5.Text.Length == 10)
			{
				try
				{
					int i = int.Parse(TextBox5.Text);
				}
				catch
				{
					sqlConn.Close();
					Label2.Text = "Invalid zipcode";
					return;
				}

			}
				
			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "update customer " +
				"set name = '" + TextBox1.Text + "', street_addr = '" + TextBox2.Text + 
													  			"', city_addr = '" + TextBox3.Text + "', city_code = '" + TextBox4.Text
														  + "', zipcode = '" + TextBox5.Text + "', e_mail = '" + TextBox6.Text +
														  "', phone_num = '" + TextBox7.Text + "' " +
														  "where customer_id = '" + (string)(Session["ID"]) + "'";			   
			
		
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			sqlConn.Close();
			Label2.Text = "Your account is updated";
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			string id = (string)(Session["ID"]);
				// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			string strSql = "select * " +
							"from invoice " +
							"where buyer = '" + id + "'";
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);

			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			if(sqlRdr.HasRows)
			{
				DataGrid1.DataSource = sqlRdr;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;
			}
			else
			{
				Label3.Text = "You have no previous transaction";
			}
			sqlConn.Close();
		
		}
	}
}
