use marie_shipping;

SELECT vendor.Vendor_Name as name, Url as url, Phone_Number as 'toll-free', ID as id, method.Shipping_Option as 'option', method.Pricing_Unit as pricing_unit, method.Price_per_Unit as price, maximumWeight, maximumitems, city
FROM Shipping_Vendors as vendor, Shipping_Methods as method,
	(SELECT vendor.Vendor_Name, Shipping_Option, Max_Weight as maximumWeight, Max_Num_Items as maximumitems, Delivery_City as city
	FROM Shipping_Vendors as vendor, Shipping_Methods as restrictions, Shipping_Cities as cities
	WHERE vendor.Vendor_Name = restrictions.Vendor_Name AND vendor.Vendor_Name = cities.Shipping_Vendor) as restrictions
WHERE vendor.Vendor_Name = method.Vendor_Name AND restrictions.Vendor_Name = vendor.Vendor_Name AND restrictions.Shipping_Option = method.Shipping_Option
FOR XML AUTO, ELEMENTS
