<%@ Page language="c#" Codebehind="checkout.aspx.cs" AutoEventWireup="false" Inherits="phase2.checkout" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>checkout</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK media="screen" href="style.css" type="text/css" rel="StyleSheet">
	</HEAD>
	<body>
		<!--#include file="header.html"-->
		<form id="Form1" method="post" runat="server">
			<H1>Checkout</H1>
			<DL>
				<asp:label id="errorLabel" runat="server"></asp:label></DL>
			<asp:panel id="shippingAddrPanel" runat="server" visible="true">
				<H2>Address</H2>
				<P>Please select a shipping address.<BR>
					<asp:RadioButton id="myAddrRadio" runat="server" AutoPostBack="True" GroupName="whichAddr" Text="My Shipping Address"
						Checked="True"></asp:RadioButton>&nbsp;
					<asp:Button id="changeShippingAddr" runat="server" Text="Change" Height="24px"></asp:Button><BR>
					<asp:RadioButton id="otherAddrRadio" runat="server" AutoPostBack="True" GroupName="whichAddr" Text="Someone Else"></asp:RadioButton></P>
				<asp:DataGrid id="shippingAddrGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
					BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966" CellPadding="4">
					<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
					<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
					<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
					<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="name" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="address1" HeaderText="Address"></asp:BoundColumn>
						<asp:BoundColumn DataField="address2" HeaderText="Address 2"></asp:BoundColumn>
						<asp:BoundColumn DataField="city" HeaderText="City"></asp:BoundColumn>
						<asp:BoundColumn DataField="state" HeaderText="State"></asp:BoundColumn>
						<asp:BoundColumn DataField="zip" HeaderText="ZIP code"></asp:BoundColumn>
					</Columns>
					<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
				</asp:DataGrid>
				<asp:Panel id="blankAddrPanel" runat="server" visible="true">
					<P>
						<asp:Label id="addrNoteLabel" runat="server">Please Enter</asp:Label></P>
					<asp:Panel id="otherPersonNamePanel" runat="server">
						<DL>
							<DT>Name*
								<DD>
									<asp:TextBox id="name" runat="server" MaxLength="255" Columns="40"></asp:TextBox></DD></DL>
					</asp:Panel>
					<DL>
						<DT>Address*
							<DD>
								<asp:TextBox id="address1" runat="server" MaxLength="255" Columns="40"></asp:TextBox>
								<DT>Address 2
									<DD>
										<asp:TextBox id="address2" runat="server" MaxLength="255" Columns="40"></asp:TextBox>
										<DT>City*
											<DD>
												<asp:TextBox id="city" runat="server" MaxLength="255" Columns="20"></asp:TextBox>
												<DT>State*
													<DD>
														<asp:TextBox id="state" runat="server" MaxLength="2" Columns="2"></asp:TextBox>
														<DT>ZIP*
															<DD>
																<asp:TextBox id="zip" runat="server" MaxLength="10" Columns="10"></asp:TextBox>
																<DT>Phone</DT>
																<DD>
																	<asp:TextBox id="phone" runat="server"></asp:TextBox>
																	<DT>Fax</DT>
																	<DD>
																		<asp:TextBox id="fax" runat="server"></asp:TextBox></DD></DL>
				</asp:Panel>
				<P>
					<asp:Button id="shippingAddrButton" runat="server" visible="true" Text="Submit"></asp:Button></P>
			</asp:panel><asp:panel id="shippingOptsPanel" runat="server" visible="true">
				<H2>Shipping Options</H2>
				<P>
					<asp:Label id="CompanyItemsLabel" runat="server"></asp:Label></P>
				<P>
					<asp:DataGrid id="PackageItemsGrid" runat="server" BackColor="White" BorderWidth="1px" BorderStyle="None"
						BorderColor="#CC9966" CellPadding="4" Visible="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>
					<asp:Label id="ShippingOptsLabel" runat="server"></asp:Label></P>
				<P>
					<asp:DataGrid id="ShippingOptsGrid" runat="server" Height="20px" AutoGenerateColumns="False" BackColor="White"
						BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966" CellPadding="4" Width="424px">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:ButtonColumn ButtonType="PushButton" DataTextField="ID" HeaderText="ID" DataTextFormatString="{0}"></asp:ButtonColumn>
							<asp:BoundColumn DataField="Vendor_Name" HeaderText="Shipping Vendor"></asp:BoundColumn>
							<asp:BoundColumn DataField="Shipping_Option" HeaderText="Shipping Option"></asp:BoundColumn>
							<asp:BoundColumn DataField="Package_Cost" HeaderText="Shipping Cost"></asp:BoundColumn>
							<asp:BoundColumn DataField="Days_to_Deliver" HeaderText="Delivery time"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>&nbsp;</P>
			</asp:panel><asp:panel id="methodOfPaymentPanel" runat="server" visible="true" Height="56px" DESIGNTIMEDRAGDROP="1214">
				<H2>Summary of Order</H2>
				<TABLE id="costSummaryTable" borderColor="#ffb7d4" cellSpacing="0" cols="4" cellPadding="2"
					border="2" runat="server">
					<TR>
						<TD>Item Cost with discounts</TD>
						<TD>Tax</TD>
						<TD>Shipping</TD>
						<TD>Total</TD>
					</TR>
					<TR>
						<TD id="itemCostBox" runat="server"></TD>
						<TD id="taxBox" runat="server"></TD>
						<TD id="shippingCostBox" runat="server"></TD>
						<TD id="totalCostBox" runat="server"></TD>
					</TR>
				</TABLE>
				<P><BR>
					Payment Method:<BR>
					<asp:RadioButton id="creditRadio" runat="server" visible="true" AutoPostBack="True" GroupName="howPay"
						Text="Credit Card" Checked="True"></asp:RadioButton>&nbsp;
					<asp:Button id="changeCreditCardButton" runat="server" Text="Change" Height="24px"></asp:Button><BR>
					<asp:RadioButton id="pigeonRadio" runat="server" AutoPostBack="True" GroupName="howPay" Text="Carrier Pigeon"></asp:RadioButton></P>
				<P>
					<asp:DataGrid id="creditGrid" runat="server" AutoGenerateColumns="False" BackColor="White" BorderWidth="1px"
						BorderStyle="None" BorderColor="#CC9966" CellPadding="4">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="cardnumber" HeaderText="Card Number"></asp:BoundColumn>
							<asp:BoundColumn DataField="company" HeaderText="Company"></asp:BoundColumn>
							<asp:BoundColumn DataField="expiremonth" HeaderText="Expiration Month"></asp:BoundColumn>
							<asp:BoundColumn DataField="expireyear" HeaderText="Expiration Year"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<asp:Panel id="creditPanel" runat="server">
					<DL>
						<DT>Please Enter Card Information:<BR>
							CardNumber* <SMALL>Note: This is very unsecure. We recommend Carrier Pigeon.</SMALL>
							<DD>
								<asp:TextBox id="cardNumText" runat="server" MaxLength="16" Columns="16"></asp:TextBox>
								<DT>Company*
									<DD>
										<asp:TextBox id="cardCompanyText" runat="server" MaxLength="20" Columns="20"></asp:TextBox>
										<DT>Expiration Month*
											<DD>
												<asp:TextBox id="exprMonthText" runat="server" MaxLength="2" Columns="2"></asp:TextBox>
												<DT>Expiration Year* <SMALL>(four digits)</SMALL>
													<DD>
														<asp:TextBox id="yearBox" runat="server" MaxLength="4" Columns="4"></asp:TextBox></DD></DL>
				</asp:Panel>
				<P>
					<asp:Button id="methodOfPaymentSubmit" runat="server" Text="Submit"></asp:Button></P>
			</asp:panel><asp:panel id="confirmPanel" runat="server" visible="true">
				<H2>Confirmation</H2>
				<P>You have decided to purchase:</P>
				<P>
					<asp:DataGrid id="confirmItemsGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
						BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966" CellPadding="4">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
							<asp:BoundColumn DataField="title" HeaderText="Title"></asp:BoundColumn>
							<asp:BoundColumn DataField="type" HeaderText="Book / CD"></asp:BoundColumn>
							<asp:BoundColumn DataField="id" HeaderText="ISBN / CD id"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>Your items will be shipped to:</P>
				<ADDRESS>
					<asp:Label id="confirmAddress" runat="server"></asp:Label></ADDRESS>
				<P>You have chosen the shipping option:
					<asp:Label id="confirmShippingLabel" runat="server"></asp:Label></P>
				<P>Payment will be made by:
					<asp:Label id="confirmPaymentLabel" runat="server"></asp:Label></P>
				<P>
					<asp:DataGrid id="confirmCreditGrid" runat="server" AutoGenerateColumns="False" BackColor="White"
						BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966" CellPadding="4">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="cardnumber" HeaderText="Card Number"></asp:BoundColumn>
							<asp:BoundColumn DataField="company" HeaderText="Company"></asp:BoundColumn>
							<asp:BoundColumn DataField="expiremonth" HeaderText="Expiration Month"></asp:BoundColumn>
							<asp:BoundColumn DataField="expireyear" HeaderText="Expiration Year"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>Are you sure you want to buy all this junk from our website?</P>
				<P>
					<asp:Button id="confirmFinalSubmit" runat="server" Text="I sure am! Gimmie, gimmie!"></asp:Button></P>
			</asp:panel></form>
	</body>
</HTML>
