using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Checkout.
	/// </summary>
	public class Checkout : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.Label Books_lbl;
		protected System.Web.UI.WebControls.Panel Books_pnl;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		protected System.Web.UI.WebControls.LinkButton verifyInfo_btn;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
		protected System.Web.UI.WebControls.Label BooksNA_lbl;
		protected System.Web.UI.WebControls.Panel BooksNA_pnl;
		protected System.Web.UI.WebControls.Label MusicNA_lbl;
		protected System.Web.UI.WebControls.DataGrid MusicNA_grid;
		protected System.Web.UI.WebControls.Panel MusicNA_pnl;
		protected System.Web.UI.WebControls.DataGrid BooksNA_grid;
		protected System.Web.UI.WebControls.Label importBooks_lbl;
		protected System.Web.UI.WebControls.DataGrid importBooks_grid;
		protected System.Web.UI.WebControls.Panel importBooks_pnl;
		protected System.Web.UI.WebControls.Label importBooksNA_lbl;
		protected System.Web.UI.WebControls.DataGrid importBooksNA_grid;
		protected System.Web.UI.WebControls.Panel importBooksNA_pnl;
		protected System.Web.UI.WebControls.Label importMusic_lbl;
		protected System.Web.UI.WebControls.DataGrid importMusic_grid;
		protected System.Web.UI.WebControls.Panel importMusic_pnl;
		protected System.Web.UI.WebControls.Label importMusicNA_lbl;
		protected System.Web.UI.WebControls.DataGrid importMusicNA_grid;
		protected System.Web.UI.WebControls.Panel importMusicNA_pnl;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "Checkout.aspx";
						
			// Put user code to initialize the page here
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = System.Drawing.Color.Black;

				string sqlquery;

				SqlConnection sqlConn;
				SqlCommand sqlCom;
				SqlDataReader sqlRdr;

				// check that the music that was ordered is available or not. If not we want to show these
				sqlquery = "select	albumname as Album, Artist, m.discount as Price, " +
					"(m.price - m.discount) * s.qty as Saved, s.ItemId as ID, s.qty as QtyWanted, " +
					"avail.qty as QtyAvailable " +
					"from	Shoppingcart3 as s, " +
					"susik82_Inv.dbo.music3 as m, " +
						"(select	musicid as id, sum(a.quantity) as qty " +
						"from	susik82_Inv.dbo.Availability3 as a " +
						"group by 	musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
						"s.type = 'm' and " +
						"m.id = avail.id and " +
						"s.qty > avail.qty and " +
						"s.ItemID = m.id";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				
				if (sqlRdr.HasRows) 
				{
					MusicNA_grid.DataSource = sqlRdr;
					MusicNA_grid.DataBind();					
					MusicNA_pnl.Visible = true;
				}
				else
				{
					MusicNA_pnl.Visible = false;
				}
				sqlConn.Close();

				// the following should get all the music that is available and displays them
				sqlquery = "select	albumname as Album, Artist, (m.price - m.discount) as Price, " +
					"s.ItemID as ID, (m.price - m.discount) * s.qty as Total, s.qty as Quantity, " +
					"avail.qty as QtyAvailable " +
					"from	Shoppingcart3 as s, " +
					"susik82_Inv.dbo.music3 as m, " +
					"(select	a.musicid as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability3 as a " +
					"group by 	a.musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'm' and " +
					"m.id = avail.id and " +
					"s.qty <= avail.qty and " +
					"s.ItemID = m.id";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				
				if (sqlRdr.HasRows)
				{
					Music_grid.DataSource = sqlRdr;
					Music_grid.DataBind();
					Music_pnl.Visible = true;
				}
				else
				{
					Music_pnl.Visible = false;
				}
				sqlConn.Close();

				// check to see if any of the music that was ordered is unavailiable
				sqlquery = "select	Title, Author, b.discount as Price, " +
					"(b.price - b.discount) * s.qty as Saved, s.ItemID as ID, s.qty as QtyWanted, " +
					"avail.qty as QtyAvailable " +
					"from	shoppingcart3 as s, " +
					"susik82_Inv.dbo.Books3 as b, " +
					"(select	a.ISBN as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability3 as a " +
					"group by 	a.ISBN) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'b' and " +
					"b.isbn = avail.id and " +
					"s.qty > avail.qty and " +
					"s.ItemID = b.isbn";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows) 
				{
					BooksNA_grid.DataSource = sqlRdr;
					BooksNA_grid.DataBind();
					BooksNA_pnl.Visible = true;
				}
				else
				{
					BooksNA_pnl.Visible = false;
				}
				sqlConn.Close();
				
				// check to see if any of the music that was ordered is availiable
				sqlquery = "select	Title, Author, b.discount as Price, " +
					"(b.price - b.discount) * s.qty as Saved, s.ItemID as isbn, s.qty as Quantity, " +
					"b.discount * s.qty as Total " +
					"from	shoppingcart3 as s, " +
					"susik82_Inv.dbo.Books3 as b, " +
					"(select	a.ISBN as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability3 as a " +
					"group by 	a.ISBN) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'b' and " +
					"b.isbn = avail.id and " +
					"s.qty <= avail.qty and " +
					"s.ItemID = b.isbn";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
			
				if (sqlRdr.HasRows) 
				{
					Books_grid.DataSource = sqlRdr;
					Books_grid.DataBind();
					Books_pnl.Visible = true;
				}
				else
				{
					Books_pnl.Visible = false;
				}
				sqlConn.Close();

				// display all books from partner companies that are satisifiable
				sqlquery = "select b.Title, b.Author, s.Price, s.Qty as Quantity, s.Price * s.Qty as Total, " +
					"b.CompanyName, rtrim(s.Itemid) + '!' + cast(s.CompanyID as varchar(10)) as ISBN " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportBooks3 as b " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = b.CID and " +
					"s.type = 'b' and s.ItemID = b.ISBN and s.Qty <= b.Quantity";
				
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows) 
				{
					importBooks_grid.DataSource = sqlRdr;
					importBooks_grid.DataBind();
					importBooks_pnl.Visible = true;
				}
				else
				{
					importBooks_pnl.Visible = false;
				}
				sqlConn.Close();

				// display all books from partner companys that are unsatisfiable
				sqlquery = "select b.Title, b.Author, s.Price, s.Qty as QtyWanted, " +
					"b.Quantity as QtyAvailable, b.CompanyName " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportBooks3 as b " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = b.CID and " +
					"s.type = 'b' and s.ItemID = b.ISBN and s.Qty > b.Quantity";
				
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows) 
				{
					importBooksNA_grid.DataSource = sqlRdr;
					importBooksNA_grid.DataBind();
					importBooksNA_pnl.Visible = true;
				}
				else
				{
					importBooksNA_pnl.Visible = false;
				}
				sqlConn.Close();

				// get all music from importSCart that are satisfiable
				sqlquery = "select m.AlbumName as Album, m.Artist, s.Price, s.Qty as Quantity, " +
					"s.Price * s.Qty as Total, m.CompanyName, rtrim(s.Itemid) + '!' + cast(s.CompanyID as varchar(10)) as ID " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportMusic3 as m " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = m.CID and " +
					"s.type = 'm' and s.ItemID = m.ID and s.Qty <= m.Quantity";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows)
				{
					importMusic_grid.DataSource = sqlRdr;
					importMusic_grid.DataBind();
					importMusic_pnl.Visible = true;
				}
				else
				{
					importMusic_pnl.Visible = false;
				}
				sqlConn.Close();

				// get all music from importSCart that are unsatisfiable
				sqlquery = "select m.AlbumName as Album, m.Artist, s.Price, " +
					"s.Qty as QtyWanted, m.Quantity as QtyAvailable, m.CompanyName " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportMusic3 as m " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = m.CID and " +
					"s.type = 'm' and s.ItemID = m.ID and s.Qty > m.Quantity";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows)
				{
					importMusicNA_grid.DataSource = sqlRdr;
					importMusicNA_grid.DataBind();
					importMusicNA_pnl.Visible = true;
				}
				else
				{
					importMusicNA_pnl.Visible = false;
				}
				sqlConn.Close();
			}
			else
			{
				//oh snap
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.verifyInfo_btn.Click += new System.EventHandler(this.verifyInfo_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			Server.Transfer("Index.aspx");
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void verifyInfo_btn_Click(object sender, System.EventArgs e)
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			int invID;
			
			string sqlquery = "select	inv.count + imInv.count + 1 " +
				"from	(select	count(distinct invoiceid) as count " +
				"from	invoice3) as inv, " +
				"(select	count(distinct ImportInvoice3.InvoiceID) as count " +
				"from	Invoice3, ImportInvoice3 " +
				"where	Invoice3.InvoiceID <> ImportInvoice3.InvoiceID) as imInv";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if(sqlRdr.HasRows)
			{
				sqlRdr.Read();
				invID = sqlRdr.GetInt32(0);
				Session["InvID"] = invID;

				sqlConn.Close();
				Session["Date"] = DateTime.Today;
				string date = Convert.ToString(Session["Date"]);

				sqlquery = "insert	invoice3 " +
					"select	" + invID + ", '" + date + "', CID, 0.09 * s.price * s.qty, s.price * 1.09 * s.qty, " +
						"s.ItemID, s.price, s.qty, 'm' " +
					"from	shoppingcart3 as s, " +
						"(select		a.musicid as id, sum(a.quantity) as qty " +
						"from		susik82_Inv.dbo.availability3 as a " +
						"group by	a.musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
						"s.qty <= avail.qty and " +
						"s.ItemID = avail.id and " +
						"s.type = 'm'";
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

				sqlquery = "insert	invoice3 " +
					"select	" + invID + ", '" + date + "', CID, 0.09 * s.price * s.qty, s.price * 1.09 * s.qty, " +
					"s.ItemID, s.price, s.qty, 'b' " +
					"from	shoppingcart3 as s, " +
					"(select		a.ISBN as id, sum(a.quantity) as qty " +
					"from		susik82_Inv.dbo.availability3 as a " +
					"group by	a.ISBN) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.qty <= avail.qty and " +
					"s.ItemID = avail.id and " +
					"s.type = 'b'";
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

				sqlquery = "insert ImportInvoice3 " +
					"select " + invID + ", '" + date + "', s.CID, s.Price * s.Qty * 0.09, " +
					"s.Price * s.Qty * 1.09, s.ItemID, b.CID, s.Price * s.Qty, s.Qty, 'b' " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportBooks3 as b " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = b.CID and " +
					"s.type = 'b' and s.ItemID = b.ISBN and s.Qty <= b.Quantity";
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

				sqlquery = "insert ImportInvoice3 " +
					"select " + invID + ", '" + date + "', s.CID, s.Price * s.Qty * 0.09, " +
					"s.Price * s.Qty * 1.09, s.ItemID, m.CID, s.Price * s.Qty, s.Qty, 'm' " +
					"from ImportShoppingCart3 as s, susik82_Inv.dbo.ImportMusic3 as m " +
					"where s.CID = " + Session["CustomerID"] + " and s.CompanyID = m.CID and " +
					"s.type = 'm' and s.ItemID = m.ID and s.Qty <= m.Quantity";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();
			}
			else
			{
				// oh snap, we should crash right here...
			}

			Server.Transfer("Payment.aspx");
		}
	}
}
