using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found {
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class Index : System.Web.UI.Page
	{				
		protected System.Web.UI.WebControls.Button Search_button;
		protected System.Web.UI.WebControls.Button Login_button;
		protected System.Web.UI.WebControls.LinkButton Register_link;
		protected System.Web.UI.WebControls.Label New_User_lbl;
		protected System.Web.UI.WebControls.TextBox Password_txt;
		protected System.Web.UI.WebControls.Label Login_Id_lbl;
		protected System.Web.UI.WebControls.Label Password_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.TextBox Search_txt;
		protected System.Web.UI.WebControls.TextBox Login_txt;
		protected System.Web.UI.WebControls.Label loginstatus_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton adv_seach_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.LinkButton Trace_btn;
		protected System.Web.UI.WebControls.LinkButton mngnt_lnk;
		private SqlDataReader sqlRdr;
		
		public string getSearchTxt
		{
			get
			{
				return Search_txt.Text;
			}
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;
				logout_btn.Visible = true;
				checkout_btn.Visible = true;
			}

			Session["LastPage"] = "Index.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Trace_btn.Click += new System.EventHandler(this.Trace_btn_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.Search_button.Click += new System.EventHandler(this.Search_button_Click);
			this.Login_button.Click += new System.EventHandler(this.Login_button_Click);
			this.Register_link.Click += new System.EventHandler(this.Register_link_Click);
			this.adv_seach_btn.Click += new System.EventHandler(this.adv_seach_btn_Click);
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.mngnt_lnk.Click += new System.EventHandler(this.mngnt_lnk_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Search_button_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void Login_button_Click(object sender, System.EventArgs e)
		{
			if (Session["CustomerID"] != null)
			{
				loginstatus_lbl.Text = "Error, already logged in as " + 
					Convert.ToString(Session["CustomerName"]);
				loginstatus_lbl.Visible = true;
				return;
			}

			string loginID;
			string pw;

			loginID = Login_txt.Text;
			pw = Password_txt.Text;

			string strsql;

			strsql = "select	login.customerid, fname, lname " +
				"from	login, customer " +
				"where	loginID = '" + loginID + "' and " +
				"password = '" + pw + "' and " +
				"login.customerid = customer.customerid";
			
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();

			sqlCom = new SqlCommand(strsql, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				Session["CustomerID"] = sqlRdr.GetInt32(0);
				Session["CustomerName"] = sqlRdr.GetString(1) + 
					" " + sqlRdr.GetString(2);
			}
			else
			{
				loginstatus_lbl.Text = "Error, invalid login or password";
				loginstatus_lbl.Visible = true;
				return;
			}
			
			sqlConn.Close();
			if (Session["NextPage"] != null)
			{
				string nPage = Session["NextPage"].ToString();
				Server.Transfer(nPage);
			}
			else
			{
				Server.Transfer("Search.aspx");
			}
		}

		private void Register_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Register.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			logout_btn.Visible = false;
			checkout_btn.Visible = false;
			return;
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void adv_seach_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Checkout.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Checkout.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void Trace_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Trace.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Trace.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void mngnt_lnk_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Management.aspx");
		}
	}
}
