using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Search.
	/// </summary>
	public class Search : System.Web.UI.Page
	{
		public Index fp;

		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Button Search_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.DropDownList search_type_dbox;
		protected System.Web.UI.WebControls.TextBox search_txt;
		protected System.Web.UI.WebControls.LinkButton display_all;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.LinkButton login_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		protected System.Web.UI.WebControls.Label Books_lbl;
		protected System.Web.UI.WebControls.Panel Book_pnl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.LinkButton Trace_btn;
		protected System.Web.UI.WebControls.LinkButton accnt_btn;
		protected System.Web.UI.WebControls.Label importMusic_lbl;
		protected System.Web.UI.WebControls.DataGrid importMusic_grid;
		protected System.Web.UI.WebControls.Panel importMusic_pnl;
		protected System.Web.UI.WebControls.DataGrid importBooks_grid;
		protected System.Web.UI.WebControls.Panel importBooks_pnl;
		protected System.Web.UI.WebControls.Label importBooks_lbl;
		private SqlDataReader sqlRdr;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["LastPage"] != null &&
				Convert.ToString(Session["LastPage"]).Equals("Index.aspx"))
			{
				if (!IsPostBack)
				{
					fp = (Index) Context.Handler;
					string input = fp.getSearchTxt;
					if (input != "")
						getSearchResults(input);
				}
			}

			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;
				login_btn.Visible= false;
				logout_btn.Visible = true;
				checkout_btn.Visible = true;
			}

			Session["LastPage"] = "Search.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.display_all.Click += new System.EventHandler(this.display_all_Click);
			this.Search_btn.Click += new System.EventHandler(this.Search_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.accnt_btn.Click += new System.EventHandler(this.accnt_btn_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.login_btn.Click += new System.EventHandler(this.login_btn_Click);
			this.Trace_btn.Click += new System.EventHandler(this.Trace_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void Search_btn_Click(object sender, System.EventArgs e)
		{
			string strSql;
			string input = search_txt.Text;
			
			Music_pnl.Visible = false;
			Book_pnl.Visible = false;
			importBooks_pnl.Visible = false;
			importMusic_pnl.Visible = false;
			
			switch(search_type_dbox.SelectedValue)
			{
				case "1":
					strSql = "select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
						"from	books3 " +
						"where	title = '" + input + "'";
					searchBooks(strSql);
					
					strSql = "select distinct rtrim(substring(Title, 0, 25)) as Title, rtrim(substring(Author, 0, 25)) as Author, " +
						"Price * 1.1 as Price, Discount * 1.1 as Discount, rtrim(substring(Publisher, 0, 15)) as Publisher, " +
						"rtrim(ISBN) + '!' + cast(CID as varchar(10)) as ISBN " +
						"from importBooks3 " +
						"where Title = '" + input + "'";
					searchImportBooks(strSql);
					break;
				case "2":
					strSql = "select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
						"from	music3 " +
						"where	albumname = '" + input + "'";
					searchMusic(strSql);

					strSql = "select	distinct rtrim(substring(AlbumName, 0, 25)) as Album, rtrim(substring(Artist, 0, 25)) as Artist, " +
						"Price * 1.1 as Price, Discount * 1.1 as Discount, Type, rtrim(ID) + '!' + cast(CID as varchar(10)) as ID " + 
						"from importMusic3 " +
						"where	albumname = '" + input + "'";;
					searchImportMusic(strSql);
					break;
				case "3":
					strSql = "select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
						"from	books3 " +
						"where	Author = '" + input + "'";
					searchBooks(strSql);

					strSql = "select distinct rtrim(substring(Title, 0, 25)) as Title, rtrim(substring(Author, 0, 25)) as Author, " +
						"Price * 1.1 as Price, Discount * 1.1 as Discount, rtrim(substring(Publisher, 0, 15)) as Publisher, " +
						"rtrim(ISBN) + '!' + cast(CID as varchar(10)) as ISBN " +
						"from importBooks3 " +
						"where Author = '" + input + "'";
					searchImportBooks(strSql);
					break;
				case "4":
					strSql = "select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID  " +
						"from	music3 " +
						"where	artist = '" + input + "'";
					searchMusic(strSql);

					strSql = "select	distinct rtrim(substring(AlbumName, 0, 25)) as Album, rtrim(substring(Artist, 0, 25)) as Artist, " +
						"Price * 1.1 as Price, Discount * 1.1 as Discount, Type, rtrim(ID) + '!' + cast(CID as varchar(10)) as ID " + 
						"from importMusic3 " +
						"where	artist = '" + input + "'";
					searchImportMusic(strSql);
					break;
				case "5":
					strSql = "select	distinct Title, Author, Price, Discount, Publisher, books3.ISBN " +
						"from	books3, keywords3 " +
						"where	books3.isbn = keywords3.isbn and " +
						"keyword = '" + input + "'";
					searchBooks(strSql);

					strSql = "select distinct rtrim(substring(Title, 0, 25)) as Title, rtrim(substring(Author, 0, 25)) as Author, " +
						"Price * 1.1 as Price, Discount * 1.1 as Discount, rtrim(substring(Publisher, 0, 15)) as Publisher, " +
						"rtrim(ISBN) + '!' + cast(CID as varchar(10)) as ISBN " +
						"from importBooks3, importKeywords3 " +
						"where importBooks3.isbn = importKeywords3.isbn and " +
						"keyword = '" + input + "'";
					searchImportBooks(strSql);
					break;
				default:
					break; // oh snap
			}
		}

		private void getSearchResults(string input) 
		{			
			string strSql = 
				"select	distinct Title, Author, Price, Discount, Publisher, books3.ISBN " +
				"from	books3, keywords3 " +
				"where	books3.isbn = keywords3.isbn and " +
				"(title = '" + input + "' or " +
				"author = '" + input + "' or " +
				"keyword = '" + input + "')";
			
			searchBooks(strSql);

			strSql = 
				"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
				"from	music3 " +
				"where	artist = '" + input + "' or " +
				"albumname = '" + input + "'";

			searchMusic(strSql);
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void display_all_Click(object sender, System.EventArgs e)
		{
			string strSql = 
				"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
				"from	books3";
			searchBooks(strSql);

			strSql = 
				"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
				"from	music3";

			searchMusic(strSql);

			strSql =
				"select distinct rtrim(substring(Title, 0, 25)) as Title, rtrim(substring(Author, 0, 25)) as Author, " +
				"Price, Discount, rtrim(substring(Publisher, 0, 15)) as Publisher, " +
				"rtrim(ISBN) + '!' + cast(CID as varchar(10)) as ISBN " +
				"from importBooks3";
			searchImportBooks(strSql);

			strSql =
				"select	distinct rtrim(substring(AlbumName, 0, 25)) as Album, rtrim(substring(Artist, 0, 25)) as Artist, " +
					"Price, Discount, Type, rtrim(ID) + '!' + cast(CID as varchar(10)) as ID " + 
					"from importMusic3";
			searchImportMusic(strSql);
		}

		private void searchBooks(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Books_grid.DataSource = sqlRdr;
				Books_grid.DataBind();
				Book_pnl.Visible = true;
			}
			else 
			{
				Book_pnl.Visible = false;
			}

			sqlConn.Close();
		}

		private void searchMusic(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows) 
			{
				Music_grid.DataSource = sqlRdr;
				Music_grid.DataBind();
				Music_pnl.Visible = true;
			}
			else 
			{
				Music_pnl.Visible = false;
			}
			sqlConn.Close();
		}

		private void searchImportBooks(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				importBooks_grid.DataSource = sqlRdr;
				importBooks_grid.DataBind();
				importBooks_pnl.Visible = true;
			}
			else 
			{
				importBooks_pnl.Visible = false;
			}

			sqlConn.Close();
		}

		private void searchImportMusic(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows) 
			{
				importMusic_grid.DataSource = sqlRdr;
				importMusic_grid.DataBind();
				importMusic_pnl.Visible = true;
			}
			else 
			{
				importMusic_pnl.Visible = false;
			}
			sqlConn.Close();
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			login_btn.Visible= true;
			logout_btn.Visible = false;
			checkout_btn.Visible = false;
			return;
		}

		private void login_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Checkout.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Checkout.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void Trace_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Trace.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Trace.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void accnt_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("accnt_details.aspx");
		}
	}
}
