using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Trace.
	/// </summary>
	public class Trace : System.Web.UI.Page
	{
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.DataGrid History_grid;
		protected System.Web.UI.WebControls.Panel History_pnl;
		protected System.Web.UI.WebControls.Label History_lbl;
		protected System.Web.UI.WebControls.Label NoHistory_lbl;
		protected System.Web.UI.WebControls.DataGrid importHistory_grid;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;

				                   
				string strsql = "select	distinct invoiceID, invdate " +
							"from	Invoice3 " +
							"where	buyer = " + Session["CustomerID"];
				getHistory(strsql);

				strsql = "select	invoiceid, InvDate " +
					"from	importinvoice3	where	invoiceid not in " +
					"(select	invoiceid	from	invoice3) and " +
					"Buyer = " + Session["CustomerID"];

				getImportHistory(strsql);
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "BookAdded.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void getHistory(string query)
		{
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				History_grid.DataSource = sqlRdr;
				History_grid.DataBind();
				History_pnl.Visible = true;
				NoHistory_lbl.Visible = false;
			}
			else
			{
				History_pnl.Visible = false;
				NoHistory_lbl.Visible = true;
			}
		}

		private void getImportHistory(string query)
		{
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				importHistory_grid.DataSource = sqlRdr;
				importHistory_grid.DataBind();
				History_pnl.Visible = true;
				NoHistory_lbl.Visible = false;
			}
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			logout_btn.Visible = false;
			return;
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			Server.Transfer("ShoppingCart.aspx");
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}
	}
}
