using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ImportMusicAdded.
	/// </summary>
	public class ImportMusicAdded : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Stock_lbl;
		protected System.Web.UI.WebControls.Label Item_lbl;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		private string MusicID;
		private string CID;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "ImportMusicAdded.aspx";

			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;

				if (Request.QueryString["id"] != null )
				{
					char[] delim = {'!'};
					string[] id = (Request.QueryString["id"]).Split(delim);

					MusicID = id[0];
					CID = id[1];

					if (musicAvailable())
					{
						addToCart();
					}
					else 
					{
						Item_lbl.Text = "SORRY, but the item you have requested " + 
							"cannot be added.";
						Stock_lbl.Visible = true;
						Item_lbl.ForeColor = Color.Red;
						Item_lbl.Visible = true;
					}
				}
				else
				{
					// oh snap
				}
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "BookAdded.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private bool musicAvailable()
		{
			string query = "select Artist " +
				"from	importMusic3 " +
				"where	CID = " + CID + " and " +
				"ID = '" + MusicID + "' and " + 
				"Quantity > 0";
			
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(query, sqlConn);
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				sqlConn.Close();
				return true;
			}
			
			sqlConn.Close();
			return false;
		}

		private void addToCart()
		{
			string query = "select	* " +
				"from importShoppingCart3 " +
				"where CID = " + Session["CustomerID"] + " and " +
				"ItemID = '" + MusicID + "' and type = 'm' and " +
				"CompanyID = " + CID;

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows)
			{
				Item_lbl.Text = "The item you requested is already in your shopping cart.";
				Item_lbl.ForeColor = Color.Black;
				Item_lbl.Visible = true;
				Stock_lbl.Visible = false;
				sqlConn.Close();
			}
			else
			{
				sqlConn.Close();

				query = "insert	importShoppingCart3 " +
					"select " + Session["CustomerID"] + ", " + 
					"CID, ID, 1, discount * 1.1, 'm' " + 
					"from	susik82_Inv.dbo.importMusic3 " +
					"where	ID = '" + MusicID + "' and " +
					"CID = " + CID;

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(query, sqlConn);
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

				Item_lbl.Text = "Item has been successfuly added to your cart.";
				Item_lbl.ForeColor = Color.Black;
				Item_lbl.Visible = true;
			}
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			Server.Transfer("ShoppingCart.aspx");
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			Server.Transfer("Index.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Checkout.aspx");
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
