using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Checkout.
	/// </summary>
	public class Checkout : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.Label Books_lbl;
		protected System.Web.UI.WebControls.Panel Books_pnl;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		protected System.Web.UI.WebControls.LinkButton verifyInfo_btn;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
		protected System.Web.UI.WebControls.Label BooksNA_lbl;
		protected System.Web.UI.WebControls.Panel BooksNA_pnl;
		protected System.Web.UI.WebControls.Label MusicNA_lbl;
		protected System.Web.UI.WebControls.DataGrid MusicNA_grid;
		protected System.Web.UI.WebControls.Panel MusicNA_pnl;
		protected System.Web.UI.WebControls.DataGrid BooksNA_grid;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "Checkout.aspx";
						
			// Put user code to initialize the page here
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = System.Drawing.Color.Black;

				string sqlquery;

				SqlConnection sqlConn;
				SqlCommand sqlCom;
				SqlDataReader sqlRdr;

				// check to see if any of the music that was ordered is availiable
				sqlquery = "select	albumname as Album, Artist, (m.price - m.discount) as Price, " +
					"m.discount as Saved, s.id as ID, s.qty as QtyWanted, " +
					"avail.qty as QtyAvailable " +
					"from	shoppingcart as s, " +
					"susik82_Inv.dbo.music as m, " +
						"(select	a.musicid as id, sum(a.quantity) as qty " +
						"from	susik82_Inv.dbo.availability as a " +
						"group by 	a.musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
						"s.type = 'm' and " +
						"m.id = avail.id and " +
						"s.qty > avail.qty and " +
						"s.id = m.id and s.type = 'm'";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				
				
				if (sqlRdr.HasRows) 
				{
					MusicNA_grid.DataSource = sqlRdr;
					MusicNA_grid.DataBind();					
					MusicNA_pnl.Visible = true;
				}
				else
				{
				
					MusicNA_pnl.Visible = false;
				}
				sqlConn.Close();

				// check to see if any of the music that was ordered is availiable
				sqlquery = "select	albumname as Album, Artist, (m.price - m.discount) as Price, " +
					"s.id as ID, (m.price - m.discount) * s.qty as Total, s.qty as Quantity, " +
					"avail.qty as QtyAvailable " +
					"from	shoppingcart as s, " +
					"susik82_Inv.dbo.music as m, " +
					"(select	a.musicid as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability as a " +
					"group by 	a.musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'm' and " +
					"m.id = avail.id and " +
					"s.qty <= avail.qty and " +
					"s.id = m.id and s.type = 'm'";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				
				
				if (sqlRdr.HasRows) 
				{
					Music_grid.DataSource = sqlRdr;
					Music_grid.DataBind();
					Music_pnl.Visible = true;
				}
				else
				{
					Music_pnl.Visible = false;
				}
				sqlConn.Close();

				// check to see if any of the music that was ordered is availiable
				sqlquery = "select	Title, Author, (b.price - b.discount) as Price, " +
					"b.discount as Saved, s.id as ID, s.qty as QtyWanted, " +
					"avail.qty as QtyAvailable " +
					"from	shoppingcart as s, " +
					"susik82_Inv.dbo.Books as b, " +
					"(select	a.Bookid as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability as a " +
					"group by 	a.Bookid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'b' and " +
					"b.isbn = avail.id and " +
					"s.qty > avail.qty and " +
					"s.id = b.isbn and s.type = 'b'";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
			
				if (sqlRdr.HasRows) 
				{
					BooksNA_grid.DataSource = sqlRdr;
					BooksNA_grid.DataBind();
					BooksNA_pnl.Visible = true;
				}
				else
				{
					BooksNA_pnl.Visible = false;
				}
				sqlConn.Close();
				// check to see if any of the music that was ordered is availiable
				sqlquery = "select	Title, Author, (b.price - b.discount) as Price, " +
					"b.discount as Saved, s.id as isbn, s.qty as Quantity, " +
					"(b.price - b.discount) * s.qty as Total " +
					"from	shoppingcart as s, " +
					"susik82_Inv.dbo.Books as b, " +
					"(select	a.Bookid as id, sum(a.quantity) as qty " +
					"from	susik82_Inv.dbo.availability as a " +
					"group by 	a.Bookid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.type = 'b' and " +
					"b.isbn = avail.id and " +
					"s.qty <= avail.qty and " +
					"s.id = b.isbn and s.type = 'b'";

				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
			
				if (sqlRdr.HasRows) 
				{
					Books_grid.DataSource = sqlRdr;
					Books_grid.DataBind();
					Books_pnl.Visible = true;
				}
				else
				{
					Books_pnl.Visible = false;
				}
				sqlConn.Close();
			}
			else
			{
				//oh snap
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.verifyInfo_btn.Click += new System.EventHandler(this.verifyInfo_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			Server.Transfer("Index.aspx");
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void verifyInfo_btn_Click(object sender, System.EventArgs e)
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			int invID;
			
			string sqlquery = "select	count(distinct invoiceid) + 1 " +
				"from	invoice";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if(sqlRdr.HasRows)
			{
				sqlRdr.Read();
				invID = sqlRdr.GetInt32(0);
				
				Session["InvID"] = invID;

				sqlConn.Close();
				
				Session["Date"] = DateTime.Today;

				string date = Convert.ToString(Session["Date"]);

				sqlquery = "insert	invoice " +
					"select	" + invID + ", '" + date + "', CID, 0.09 * s.price, s.price * 1.09 * s.qty, " +
						"s.id, s.price, s.qty, 'm' " +
					"from	shoppingcart as s, " +
						"(select		a.musicid as id, sum(a.quantity) as qty " +
						"from		susik82_Inv.dbo.availability as a " +
						"group by	a.musicid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
						"s.qty <= avail.qty and " +
						"s.id = avail.id and " +
						"s.type = 'm'";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

				sqlquery = "insert	invoice " +
					"select	" + invID + ", '" + date + "', CID, 0.09 * s.price, s.price * 1.09 * s.qty, " +
					"s.id, s.price, s.qty, 'b' " +
					"from	shoppingcart as s, " +
					"(select		a.bookid as id, sum(a.quantity) as qty " +
					"from		susik82_Inv.dbo.availability as a " +
					"group by	a.bookid) as avail " +
					"where	s.cid = " + Session["CustomerID"] + " and " +
					"s.qty <= avail.qty and " +
					"s.id = avail.id and " +
					"s.type = 'b'";

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();
			}
			else
			{
				// oh snap, we should crash right here...
			}

			Server.Transfer("Payment.aspx");
		}
	}
}
