using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for NotLoggedIn.
	/// </summary>
	public class NotLoggedIn : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label loginstatus_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Password_lbl;
		protected System.Web.UI.WebControls.Label Login_Id_lbl;
		protected System.Web.UI.WebControls.TextBox Password_txt;
		protected System.Web.UI.WebControls.TextBox Login_txt;
		protected System.Web.UI.WebControls.Label New_User_lbl;
		protected System.Web.UI.WebControls.LinkButton Register_link;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Button Login_button;
		protected System.Web.UI.WebControls.Label NotLoggedIn_lbl;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.LinkButton home_link;
		private SqlDataReader sqlRdr;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;
				NotLoggedIn_lbl.Visible = false;
			}

			Session["LastPage"] = "NotLoggedIn.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Login_button.Click += new System.EventHandler(this.Login_button_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.Register_link.Click += new System.EventHandler(this.Register_link_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Login_button_Click(object sender, System.EventArgs e)
		{
			//Checks whether customer is already logged in
			if (Session["CustomerID"] != null)
			{
				loginstatus_lbl.Text = "Error, already logged in as " + 
					Convert.ToString(Session["CustomerName"]);
				loginstatus_lbl.Visible = true;
				return;
			}

			string loginID;
			string pw;

			loginID = Login_txt.Text;
			pw = Password_txt.Text;

			string strsql;

			strsql = "select	login.customerid, fname, lname " +
				"from	login, customer " +
				"where	loginID = '" + loginID + "' and " +
				"password = '" + pw + "' and " +
				"login.customerid = customer.customerid";
			
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();

			sqlCom = new SqlCommand(strsql, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				Session["CustomerID"] = sqlRdr.GetInt32(0);
				Session["CustomerName"] = sqlRdr.GetString(1) + 
					" " + sqlRdr.GetString(2);
				string nPage = Convert.ToString(Session["NextPage"]);
				//Figuring out where to go next
				if (nPage != null)
				{
					Server.Transfer(nPage);
				}
				else
				{
					Server.Transfer("Index.aspx");
				}	
			}
			else
			{
				loginstatus_lbl.Text = "Error, invalid login or password";
				loginstatus_lbl.Visible = true;
				return;
			}
			
			sqlConn.Close();
			
		}

		private void Register_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Register.aspx");
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}
	}
}
