using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Search.
	/// </summary>
	public class Search : System.Web.UI.Page
	{
		public Index fp;

		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Button Search_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.DropDownList search_type_dbox;
		protected System.Web.UI.WebControls.TextBox search_txt;
		protected System.Web.UI.WebControls.LinkButton display_all;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.LinkButton login_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		protected System.Web.UI.WebControls.Label Books_lbl;
		protected System.Web.UI.WebControls.Panel Book_pnl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.LinkButton Trace_btn;
		protected System.Web.UI.WebControls.LinkButton accnt_btn;
		private SqlDataReader sqlRdr;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["LastPage"] != null &&
				Convert.ToString(Session["LastPage"]).Equals("Index.aspx"))
			{
				if (!IsPostBack)
				{
					fp = (Index) Context.Handler;
					string input = fp.getSearchTxt;
					getSearchResults(input);
				}
			}

			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;
				login_btn.Visible= false;
				logout_btn.Visible = true;
				checkout_btn.Visible = true;
			}

			Session["LastPage"] = "Search.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.display_all.Click += new System.EventHandler(this.display_all_Click);
			this.Search_btn.Click += new System.EventHandler(this.Search_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.accnt_btn.Click += new System.EventHandler(this.accnt_btn_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.login_btn.Click += new System.EventHandler(this.login_btn_Click);
			this.Trace_btn.Click += new System.EventHandler(this.Trace_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void Search_btn_Click(object sender, System.EventArgs e)
		{
			string strSql;
			string input = search_txt.Text;
			
			Music_pnl.Visible = false;
			Book_pnl.Visible = false;
			/*
			Books_grid.Visible = false;
			Music_grid.Visible = false;
			Books_lbl.Visible = false;
			Music_lbl.Visible = false;
			*/
			switch(search_type_dbox.SelectedValue)
			{
				case "1":
					strSql = 
						"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
						"from	books " +
						"where	title = '" + input + "'";
					searchBooks(strSql);
					break;
				case "2":
					strSql = 
						"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
						"from	music " +
						"where	albumname = '" + input + "'";
					searchMusic(strSql);
					break;
				case "3":
					strSql = 
						"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
						"from	books " +
						"where	Author = '" + input + "'";
					searchBooks(strSql);
					break;
				case "4":
					strSql = 
						"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID  " +
						"from	music " +
						"where	artist = '" + input + "'";
					searchMusic(strSql);
					break;
				case "5":
					strSql = 
						"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
						"from	books, keywords " +
						"where	isbn = booksid and " +
						"keyword = '" + input + "'";
					searchBooks(strSql);
					break;
				default:
					break; // oh snap
			}
		}

		private void getSearchResults(string input) 
		{			
			string strSql = 
				"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
				"from	books, keywords " +
				"where	isbn = booksid and " +
				"(title = '" + input + "' or " +
				"author = '" + input + "' or " +
				"keyword = '" + input + "')";
			
			searchBooks(strSql);

			strSql = 
				"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
				"from	music " +
				"where	artist = '" + input + "' or " +
				"albumname = '" + input + "'";

			searchMusic(strSql);
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void display_all_Click(object sender, System.EventArgs e)
		{
			string strSql = 
				"select	distinct Title, Author, Price, Discount, Publisher, ISBN " +
				"from	books";

			searchBooks(strSql);

			strSql = 
				"select	distinct AlbumName as Album, Artist, Price, Discount, Type, ID " +
				"from	music ";

			searchMusic(strSql);
		}

		private void searchBooks(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Books_grid.DataSource = sqlRdr;
				Books_grid.DataBind();
				Book_pnl.Visible = true;
				//Books_grid.Visible = true;
				//Books_grid.Visible = true;
				//Books_lbl.Visible = true;
			}
			else 
			{
				Book_pnl.Visible = false;
				//Books_grid.Visible = false;
			}

			sqlConn.Close();
		}

		private void searchMusic(string sqlquery)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows) 
			{
				Music_grid.DataSource = sqlRdr;
				Music_grid.DataBind();
				Music_pnl.Visible = true;
				//Music_grid.Visible = true;
				//Music_lbl.Visible = true;
			}
			else 
			{
				Music_pnl.Visible = false;
				//Music_grid.Visible = false;
			}
			sqlConn.Close();
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}


		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			login_btn.Visible= true;
			logout_btn.Visible = false;
			checkout_btn.Visible = false;
			return;
		}

		private void login_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Checkout.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Checkout.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void Trace_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Trace.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Trace.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void accnt_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("accnt_details.aspx");
		}
		

	}
}
