using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for accnt_details.
	/// </summary>
	public class accnt_details : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid addr_grid;
		protected System.Web.UI.WebControls.DataGrid cc_grid;
		protected System.Web.UI.WebControls.DataGrid info_grid;
		protected System.Web.UI.WebControls.Panel cc_pnl;
		protected System.Web.UI.WebControls.Panel info_pnl;
		protected System.Web.UI.WebControls.Panel addr_pnl;
		protected System.Web.UI.WebControls.Label info_lbl;
		protected System.Web.UI.WebControls.Label addr_lbl;
		protected System.Web.UI.WebControls.Label cc_lbl;
		protected System.Web.UI.WebControls.TextBox reenter_pw_txt;
		protected System.Web.UI.WebControls.Label reenter_pw_lbl;
		protected System.Web.UI.WebControls.LinkButton new_pw_btn;
		protected System.Web.UI.WebControls.Label old_pw_lbl;
		protected System.Web.UI.WebControls.TextBox old_pw_txt;
		protected System.Web.UI.WebControls.Label new_pw_lbl;
		protected System.Web.UI.WebControls.TextBox new_pw_txt;
		protected System.Web.UI.WebControls.Label feedback_lbl;
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "accnt_details.aspx";

			if (Session["CustomerID"] != null)
			{
				update();
			}
			else
			{
				Session["NextPage"] = "accnt_details.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		private void update()
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			string sqlquery;

			sqlConn = new SqlConnection(billing);
			
			sqlquery = "select	lname as LastName, fname as FirstName, Phone, Email " +
				"from	Customer " +
				"where	customerid = " + Session["CustomerID"];
			
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				info_grid.DataSource = sqlRdr;
				info_grid.DataBind();
				info_pnl.Visible = true;
			}

			sqlConn.Close();

			sqlquery = "select	Street, City, State, Zip " +
				"from	address " +
				"where	customerid = " + Session["CustomerID"];
			
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				addr_grid.DataSource = sqlRdr;
				addr_grid.DataBind();
				addr_pnl.Visible = true;
			}

			sqlConn.Close();

			sqlquery = "select	CreditCardNo, ExpirationMonth, ExpirationYear " +
				"from	CCPayment " +
				"where	customerid = " + Session["CustomerID"];

			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				cc_grid.DataSource = sqlRdr;
				cc_grid.DataBind();
				cc_pnl.Visible = true;
			}

			sqlConn.Close();

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.new_pw_btn.Click += new System.EventHandler(this.new_pw_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void new_pw_btn_Click(object sender, System.EventArgs e)
		{
			string oldpw, newpw, rnewpw;

			oldpw = old_pw_txt.Text;
			newpw = new_pw_txt.Text;
			rnewpw = reenter_pw_txt.Text;

			old_pw_txt.Text = new_pw_txt.Text = reenter_pw_txt.Text = "";

			if (newpw != rnewpw)
			{
				feedback_lbl.Text = "New passwords do not match";
				return;
			}

			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			string sqlquery;

			sqlConn = new SqlConnection(billing);
			
			sqlquery = "select	password " +
				"from	login " +
				"where	customerid = " + Session["CustomerID"];
			
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				if (sqlRdr.GetString(0) != oldpw)
				{
					feedback_lbl.Text = "Incorrect old password";
					return;
				}
			}

			sqlConn.Close();

			sqlquery = "update login " +
				"set password = '" + newpw +
				"' where customerid = " + Session["CustomerID"];

			feedback_lbl.Text = "Password changed";

			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			sqlConn.Close();
		}
	}
}
