using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace phase2
{
	/// <summary>
	/// Summary description for account1.
	/// </summary>
	public class account1 : System.Web.UI.Page
	{
		private const string _sqlConnectString = "server=IISQLSRV; uid=bovinium; pwd=m6c5f1c; database=MattMcKenzieBilling";
		private SqlDataAdapter _sqlDataAdapter;

		private string _customerID = "";

		protected System.Web.UI.WebControls.Button ButtonAddCreditCard;
		protected System.Web.UI.WebControls.DropDownList DropDownListExpirationYear;
		protected System.Web.UI.WebControls.Label LabelExpirationYear;
		protected System.Web.UI.WebControls.DropDownList DropDownListExpirationMonth;
		protected System.Web.UI.WebControls.Label LabelExpirationMonth;
		protected System.Web.UI.WebControls.Label LabelExpiration;
		protected System.Web.UI.WebControls.DropDownList DropDownListCreditCardType;
		protected System.Web.UI.WebControls.Label LabelCreditCardType;
		protected System.Web.UI.WebControls.TextBox TextBoxSecurityNumber;
		protected System.Web.UI.WebControls.Label LabelSecurityNumber;
		protected System.Web.UI.WebControls.PlaceHolder PlaceHolder2;
		protected System.Web.UI.WebControls.TextBox TextBoxCreditCardNumber;
		protected System.Web.UI.WebControls.Label LabelCreditCardNumber;
		protected System.Web.UI.WebControls.TextBox TextBoxCreditCardName;
		protected System.Web.UI.WebControls.Label LabelCreditCardName;
		protected System.Web.UI.WebControls.DataGrid DataGridCreditCards;
		protected System.Web.UI.WebControls.Label LabelCreditCards;
		protected System.Web.UI.WebControls.Button ButtonAddPhoneNumber;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidatorPhoneNumber;
		protected System.Web.UI.WebControls.DropDownList DropDownListPhoneNumberType;
		protected System.Web.UI.WebControls.Label LabelPhoneNumberType;
		protected System.Web.UI.WebControls.PlaceHolder PlaceHolder1;
		protected System.Web.UI.WebControls.TextBox TextBoxPhoneNumber;
		protected System.Web.UI.WebControls.Label LabelPhoneNumber;
		protected System.Web.UI.WebControls.DataGrid DataGridPhoneNumbers;
		protected System.Web.UI.WebControls.Button ButtonAddEmail;
		protected System.Web.UI.WebControls.CheckBox CheckBoxEmailNewsletter;
		protected System.Web.UI.WebControls.CheckBox CheckBoxEmailPayPal;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidatorEmail;
		protected System.Web.UI.WebControls.TextBox TextBoxEmail;
		protected System.Web.UI.WebControls.Label LabelEmail;
		protected System.Web.UI.WebControls.DataGrid DataGridEmails;
		protected System.Web.UI.WebControls.Label LabelEmailAddresses;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidatorZipCode;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorZipCode;
		protected System.Web.UI.WebControls.TextBox TextBoxZipCode;
		protected System.Web.UI.WebControls.Label LabelZipCode;
		protected System.Web.UI.WebControls.DropDownList DropDownListState;
		protected System.Web.UI.WebControls.Label LabelState;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorCity;
		protected System.Web.UI.WebControls.TextBox TextBoxCity;
		protected System.Web.UI.WebControls.Label LabelCity;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorStreetAddress;
		protected System.Web.UI.WebControls.TextBox TextBoxStreetAddress;
		protected System.Web.UI.WebControls.Label LabelStreetAddress;
		protected System.Web.UI.WebControls.TextBox TextBoxMiddleInitial;
		protected System.Web.UI.WebControls.Label LabelMiddleInitial;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorLastName;
		protected System.Web.UI.WebControls.TextBox TextBoxLastName;
		protected System.Web.UI.WebControls.Label LabelLastName;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorFirstName;
		protected System.Web.UI.WebControls.TextBox TextBoxFirstName;
		protected System.Web.UI.WebControls.Label LabelFirstName;
		protected System.Web.UI.WebControls.Label LabelNameAndAddress;
		protected System.Web.UI.WebControls.CompareValidator CompareValidatorPassword;
		protected System.Web.UI.WebControls.TextBox TextBoxVerifyPassword;
		protected System.Web.UI.WebControls.Label LabelVerifyPassword;
		protected System.Web.UI.WebControls.TextBox TextBoxPassword;
		protected System.Web.UI.WebControls.Label LabelPassword;
		protected System.Web.UI.WebControls.Label LabelAccountMain;
		protected System.Web.UI.WebControls.Button ButtonCreateAccount;
		protected System.Web.UI.WebControls.Button ButtonUpdateNameAndAddress;
		protected System.Web.UI.WebControls.TextBox TextBoxCustomerID;
		protected System.Web.UI.WebControls.Label LabelCustomerID;
		protected System.Web.UI.WebControls.CustomValidator CustomValidatorCustomerID;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorCustomerID;
		protected System.Web.UI.WebControls.Label LabelCustomerIDDisplay;
		protected System.Web.UI.WebControls.Button ButtonChangePassword;
		protected System.Web.UI.WebControls.Label LabelOldPassword;
		protected System.Web.UI.WebControls.TextBox TextBoxOldPassword;
		protected System.Web.UI.WebControls.CustomValidator CustomValidatorOldPasswordCorrect;
		protected System.Web.UI.WebControls.Label LabelPhoneNumbers;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorVerifyPassword;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorPassword;
		protected System.Web.UI.WebControls.CustomValidator CustomValidatorPaymentCreate;
		protected System.Web.UI.WebControls.Button ButtonToIndex;
		protected System.Web.UI.WebControls.Label LabelAccount;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if( !this.Page.IsPostBack )
				populateStates();

			if( (Session["AccountPageType"] as string).Equals( "creation" ) )
				initAccountCreationPage();

			else if( (Session["AccountPageType"] as string).Equals( "modification" ) )
				initAccountModificationPage();
		}

		#region Initilization Methods
		private void initAccountCreationPage()
		{
			Session.Add("AccountPageType", "creation");

			this.LabelAccountMain.Text = "Account Creation";
			this.LabelCustomerIDDisplay.Visible = false;

			this.LabelOldPassword.Visible = false;
			this.TextBoxOldPassword.Visible = false;
			this.CustomValidatorOldPasswordCorrect.Enabled = false;
			this.CustomValidatorOldPasswordCorrect.Visible = false;

			this.ButtonChangePassword.Visible = false;
			this.ButtonUpdateNameAndAddress.Visible = false;
			this.ButtonAddEmail.Visible = false;
			this.ButtonAddPhoneNumber.Visible = false;
			this.ButtonAddCreditCard.Visible = false;

			this.DataGridEmails.Visible = false;
			this.DataGridPhoneNumbers.Visible = false;
			this.DataGridCreditCards.Visible = false;

			this.ButtonToIndex.Text = "Cancel, back to main page.";

			// Connect the validation events for my custom validators
			this.CustomValidatorCustomerID.ServerValidate += new ServerValidateEventHandler(CustomValidatorCustomerID_ServerValidate);
			this.CustomValidatorPaymentCreate.ServerValidate += new ServerValidateEventHandler(CustomValidatorPaymentCreate_ServerValidate);
		}

		private void initAccountModificationPage()
		{
			_customerID = Session["CustomerID"] as string;
			Session.Add("AccountPageType", "modification");

			this.LabelAccountMain.Text = "Account Modification";

			this.TextBoxCustomerID.Visible = false;
			this.LabelCustomerIDDisplay.Text = _customerID;

			this.RequiredFieldValidatorCustomerID.Enabled = false;

			this.CustomValidatorPaymentCreate.Enabled = false;

			this.ButtonCreateAccount.Visible = false;

			this.ButtonToIndex.Text = "Done, back to main page.";

			if( !this.Page.IsPostBack )
				populateNameAndAddressFields();

			populateEmailAddresses();
			populatePhoneNumbers();
			populateCreditCards();
		}
		#endregion Initilization Methods

		#region Population Methods
		private void populateStates()
		{
			string query =	"select State " +
				"from SalesTax ";
			DataSet dataSet = performSqlQuery( query );
			this.DropDownListState.DataSource = dataSet.Tables[0];
			this.DropDownListState.DataMember = "SalesTax";
			this.DropDownListState.DataTextField = "State";
			this.DropDownListState.DataValueField = "State";
			this.DropDownListState.DataBind();
		}

		private void populateNameAndAddressFields()
		{
			string query =	"select FirstName, LastName, MiddleInitial, StreetAddress, City, State, Zip " +
				"from Customers " +
				"where CustomerID = '" + _customerID + "'";

			DataSet dataSet = performSqlQuery( query );

			this.TextBoxFirstName.Text = dataSet.Tables[0].Rows[0]["FirstName"] as string;
			this.TextBoxLastName.Text = dataSet.Tables[0].Rows[0]["LastName"] as string;
			this.TextBoxMiddleInitial.Text = dataSet.Tables[0].Rows[0]["MiddleInitial"] as string;
			this.TextBoxStreetAddress.Text = dataSet.Tables[0].Rows[0]["StreetAddress"] as string;
			this.TextBoxCity.Text = dataSet.Tables[0].Rows[0]["City"] as string;
			this.DropDownListState.SelectedIndex = this.DropDownListState.Items.IndexOf(this.DropDownListState.Items.FindByText(dataSet.Tables[0].Rows[0]["State"] as string));
			this.TextBoxZipCode.Text = ((int)dataSet.Tables[0].Rows[0]["Zip"]).ToString( "00000-0000" );
		}

		private void populateEmailAddresses()
		{
			string query =	"select Address as 'Email Address', " +
				"       SendNewsLetter as 'Receives our Newsletter', " +
				"       PayPal as 'Use for Paypal Payments' " +
				"from EmailAddresses " +
				"where CustomerID = '" + _customerID + "'";

			DataSet dataSet = performSqlQuery( query );

			ButtonColumn buttonColumn;
			buttonColumn = new ButtonColumn();
			buttonColumn.ButtonType = ButtonColumnType.PushButton;
			buttonColumn.Text = "Remove";
			buttonColumn.CommandName = "Remove";
			buttonColumn.Visible = true;

			this.DataGridEmails.Columns.Clear();
			this.DataGridEmails.Columns.Add( buttonColumn );

			this.DataGridEmails.DataSource = dataSet;
			this.DataGridEmails.DataBind();
		}

		private void populatePhoneNumbers()
		{
			string query =	"select Number as 'Phone Number', " +
				"       Type " +
				"from PhoneNumbers " +
				"where CustomerID = '" + _customerID + "'";

			DataSet dataSet = performSqlQuery( query );

			ButtonColumn buttonColumn;
			buttonColumn = new ButtonColumn();
			buttonColumn.ButtonType = ButtonColumnType.PushButton;
			buttonColumn.Text = "Remove";
			buttonColumn.CommandName = "Remove";
			buttonColumn.Visible = true;

			this.DataGridPhoneNumbers.Columns.Clear();
			this.DataGridPhoneNumbers.Columns.Add( buttonColumn );

			this.DataGridPhoneNumbers.DataSource = dataSet;
			this.DataGridPhoneNumbers.DataBind();
		}

		private void populateCreditCards()
		{
			string query =	"select Number as 'Card Number', " +
				"       NameAsOnCard as 'Name', " +
				"       Type, " +
				"       SecurityNumber as 'Security Number', " +
				"       ExpMonth as 'Month', " +
				"       ExpYear as 'Year' " +
				"from CreditCards " +
				"where CustomerID = '" + _customerID + "'";

			DataSet dataSet = performSqlQuery( query );

			ButtonColumn buttonColumn;
			buttonColumn = new ButtonColumn();
			buttonColumn.ButtonType = ButtonColumnType.PushButton;
			buttonColumn.Text = "Remove";
			buttonColumn.CommandName = "Remove";
			buttonColumn.Visible = true;

			this.DataGridCreditCards.Columns.Clear();
			this.DataGridCreditCards.Columns.Add( buttonColumn );

			this.DataGridCreditCards.DataSource = dataSet;
			this.DataGridCreditCards.DataBind();
		}
		#endregion Population Methods

		#region SQL Query Methods
		private DataSet performSqlQuery( string sqlQuery )
		{
			_sqlDataAdapter = new SqlDataAdapter( sqlQuery, _sqlConnectString );
			DataSet dataSet = new DataSet();

			_sqlDataAdapter.Fill( dataSet );

			return dataSet;
		}

		private int performSqlNonQuery( string sqlQuery )
		{
			SqlConnection sqlConnection = new SqlConnection( _sqlConnectString );
			sqlConnection.Open();

			SqlCommand sqlCommand = new SqlCommand( sqlQuery, sqlConnection );
			
			int result = sqlCommand.ExecuteNonQuery();

			sqlConnection.Close();

			return result;
		}
		#endregion SQL Query Methods

		#region DB Modification Methods

		private void createAccount()
		{
			_customerID = this.TextBoxCustomerID.Text;
			Session.Add( "CustomerID", _customerID );

			string zipCode = getZipCode( this.TextBoxZipCode.Text );

			string command =	"insert into Customers " +
								"values ( " +
								"'" + _customerID + "', " +
								"'" + this.TextBoxPassword.Text + "', " +
								"'" + this.TextBoxFirstName.Text + "', " +
								"'" + this.TextBoxLastName.Text + "', " +
								(this.TextBoxMiddleInitial.Text.Equals( "" ) ? "NULL" : "'" + this.TextBoxMiddleInitial.Text + "'") + ", " +
								"'" + this.TextBoxStreetAddress.Text + "', " +
								"'" + this.TextBoxCity.Text + "', " +
								"'" + this.DropDownListState.SelectedItem.Value + "', " +
								zipCode +
								" )";

			performSqlNonQuery( command );

			if( !this.TextBoxEmail.Text.Trim().Equals( "" ) )
				addEmailAddress();

			if( !this.TextBoxPhoneNumber.Text.Trim().Equals( "" ) )
				addPhoneNumber();

			if( !this.TextBoxCreditCardName.Text.Trim().Equals( "" ) &&
				!this.TextBoxCreditCardNumber.Text.Trim().Equals( "" ) )
				addCreditCard();

			Response.Redirect( "accountsuccess.aspx" );
		}

		private void updatePassword()
		{
			string command =	"update Customers " +
								"set Pass = '" + this.TextBoxPassword.Text + "' " +
								"where CustomerID = '" + _customerID + "'";

			performSqlNonQuery( command );
		}

		private void updateNameAndAddress()
		{
			string zipCode = getZipCode( this.TextBoxZipCode.Text );

			string command =	"update Customers " +
								"set FirstName = '" + this.TextBoxFirstName.Text + "', " +
								"LastName = '" + this.TextBoxLastName.Text + "', " +
								"MiddleInitial = " + (this.TextBoxMiddleInitial.Text.Equals( "" ) ? "NULL" : "'" + this.TextBoxMiddleInitial.Text + "'") + ", " +
								"StreetAddress = '" + this.TextBoxStreetAddress.Text + "', " +
								"City = '" + this.TextBoxCity.Text + "', " +
								"State = '" + this.DropDownListState.SelectedItem.Value + "', " +
								"Zip = " + zipCode + " " +
								"where CustomerID = '" + _customerID + "'";

			performSqlNonQuery( command );

			populateNameAndAddressFields();
		}

		private void addEmailAddress( )
		{
			string addEmail =	"insert into EmailAddresses " +
								"values ( " +
								"'" + _customerID + "', " +
								"'" + this.TextBoxEmail.Text + "', " +
								(this.CheckBoxEmailNewsletter.Checked ? "1" : "0") + ", " +
								(this.CheckBoxEmailPayPal.Checked ? "1" : "0") +
								" )";

			performSqlNonQuery( addEmail );
		}

		private void addPhoneNumber( )
		{
			string trimmedPhoneNumber = extractDigits( this.TextBoxPhoneNumber.Text );

			string addPhoneNumber =	"insert into PhoneNumbers " +
									"values ( " +
									"'" + _customerID + "', " +
									trimmedPhoneNumber + ", " +
									"'" + this.DropDownListPhoneNumberType.SelectedItem.Value + "' " +
									")";

			performSqlNonQuery( addPhoneNumber );
		}

		private void addCreditCard()
		{
			string trimmedCreditCardNumber = extractDigits( this.TextBoxCreditCardNumber.Text );
			string trimmedSecurityNumber = extractDigits( this.TextBoxSecurityNumber.Text );

			string addCreditCard =	"insert into CreditCards " +
									"values ( " +
									"'" + _customerID + "', " +
									trimmedCreditCardNumber + ", " +
									"'" + this.TextBoxCreditCardName.Text + "', " +
									"'" + this.DropDownListCreditCardType.SelectedItem.Value + "', " +
									(trimmedSecurityNumber.Equals( "" ) ? "NULL" : trimmedSecurityNumber) + ", " +
									this.DropDownListExpirationMonth.SelectedItem.Value + ", " +
									this.DropDownListExpirationYear.SelectedItem.Value +
									" )";

			performSqlNonQuery( addCreditCard );
		}

		#endregion DB Modification Methods

		#region Validation Methods
		private void validatePassword()
		{
			this.CustomValidatorOldPasswordCorrect.Validate();
			this.RequiredFieldValidatorPassword.Validate();
			this.RequiredFieldValidatorVerifyPassword.Validate();
			this.CompareValidatorPassword.Validate();
		}

		private void validateNameAndAddress()
		{
			this.RequiredFieldValidatorFirstName.Validate();
			this.RequiredFieldValidatorLastName.Validate();
			this.RequiredFieldValidatorStreetAddress.Validate();
			this.RequiredFieldValidatorCity.Validate();
			this.RequiredFieldValidatorZipCode.Validate();
		}
		#endregion Validation Methods

		#region Utility Methods

		private string getZipCode( string zipCodeInput )
		{
			string zipCode = extractDigits( zipCodeInput );

			if( zipCode.Length == 5 )
				zipCode += "0000";

			return zipCode;
		}

		private string extractDigits( string input )
		{
			string output = "";

			foreach( char c in input )
			{
				if( char.IsDigit( c ) )
					output += c;
			}

			return output;
		}

		#endregion UtilityMethods

		#region Events
		private void ButtonCreateAccount_Click(object sender, System.EventArgs e)
		{
			if( this.Page.IsValid )
				createAccount( );
		}

		private void CustomValidatorCustomerID_ServerValidate(object source, System.Web.UI.WebControls.ServerValidateEventArgs args)
		{
			string query =	"select * " +
				"from Customers " +
				"where CustomerID = '" + args.Value + "'";

			DataSet dataSet = performSqlQuery( query );

			if( dataSet.Tables[0].Rows.Count > 0 )
				args.IsValid = false;
			else
				args.IsValid = true;
		}

		private void CustomValidatorPaymentCreate_ServerValidate(object source, System.Web.UI.WebControls.ServerValidateEventArgs args)
		{
			if( (this.CheckBoxEmailPayPal.Checked &&
				!this.TextBoxEmail.Text.Equals( "" )) ||
				(!this.TextBoxCreditCardName.Text.Equals( "" ) &&
				!this.TextBoxCreditCardNumber.Text.Equals( "" )) )
				args.IsValid = true;
			else
				args.IsValid = false;
		}

		private void DataGridPhoneNumbers_ItemDataBound(object sender, System.Web.UI.WebControls.DataGridItemEventArgs e)
		{
			if( e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem )
			{
				DataGridColumnCollection dc = this.DataGridPhoneNumbers.Columns;
				e.Item.Cells[1].Text = string.Format("{0:(000) 000-0000}", double.Parse(e.Item.Cells[1].Text));
			}
		}

		private void DataGridEmails_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			if( e.CommandName.Equals( "Remove" ) )
			{
				int numPayPal = 0;

				foreach( DataRow row in ((source as DataGrid).DataSource as DataSet).Tables[0].Rows )
				{
					if( (bool)row.ItemArray[2] )
						numPayPal++;
				}

				if( this.DataGridCreditCards.Items.Count > 0 || ( e.Item.Cells[3].Text == "True" && numPayPal > 1 ) )
				{
					string emailAddress = ((source as DataGrid).DataSource as DataSet).Tables[0].Rows[ e.Item.DataSetIndex ].ItemArray[0].ToString();

					string query =	"delete " +
						"from EmailAddresses " +
						"where CustomerID = '" + _customerID + "' and Address = '" + emailAddress + "'";

					performSqlNonQuery( query );

					populateEmailAddresses();
				}
			}
		}

		private void DataGridPhoneNumbers_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			if( e.CommandName.Equals( "Remove" ) )
			{
				string number = ((source as DataGrid).DataSource as DataSet).Tables[0].Rows[ e.Item.DataSetIndex ].ItemArray[0].ToString();

				string query =	"delete " +
								"from PhoneNumbers " +
								"where CustomerID = '" + _customerID + "' and Number = " + number;

				performSqlNonQuery( query );

				populatePhoneNumbers();
			}
		}

		private void DataGridCreditCards_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			if( e.CommandName.Equals( "Remove" ) )
			{
				int numPayPal = 0;

				foreach( DataRow row in (this.DataGridEmails.DataSource as DataSet).Tables[0].Rows )
				{
					if( (bool)row.ItemArray[2] )
						numPayPal++;
				}

				if( numPayPal > 0 )
				{
					string query =	"delete " +
						"from CreditCards " +
						"where CustomerID = '" + _customerID + "' and Number = " + e.Item.Cells[1].Text;

					performSqlNonQuery( query );

					populateCreditCards();
				}
			}
		}

		private void ButtonChangePassword_Click(object sender, System.EventArgs e)
		{
			this.validatePassword();

			if( this.CustomValidatorOldPasswordCorrect.IsValid &&
				this.RequiredFieldValidatorPassword.IsValid &&
				this.RequiredFieldValidatorVerifyPassword.IsValid &&
				this.CompareValidatorPassword.IsValid )
				updatePassword();
		}

		private void ButtonUpdateNameAndAddress_Click(object sender, System.EventArgs e)
		{
			validateNameAndAddress();

			if( this.RequiredFieldValidatorFirstName.IsValid &&
				this.RequiredFieldValidatorLastName.IsValid &&
				this.RequiredFieldValidatorStreetAddress.IsValid &&
				this.RequiredFieldValidatorCity.IsValid &&
				this.RequiredFieldValidatorZipCode.IsValid &&
				this.RegularExpressionValidatorZipCode.IsValid )
			{
				updateNameAndAddress();
			}
		}

		private void ButtonAddEmail_Click(object sender, System.EventArgs e)
		{
			if( this.RegularExpressionValidatorEmail.IsValid )
			{
				addEmailAddress();

				populateEmailAddresses();
			}
		}

		private void ButtonAddPhoneNumber_Click(object sender, System.EventArgs e)
		{
			if( this.RegularExpressionValidatorPhoneNumber.IsValid )
			{
				addPhoneNumber();

				populatePhoneNumbers();
			}
		}

		private void ButtonAddCreditCard_Click(object sender, System.EventArgs e)
		{
			if( !this.TextBoxCreditCardName.Text.Trim().Equals( "" ) &&
				!this.TextBoxCreditCardNumber.Text.Trim().Equals( "" ) )
			{
				addCreditCard();

				populateCreditCards();
			}
		}

		private void CustomValidatorOldPasswordCorrect_ServerValidate(object source, System.Web.UI.WebControls.ServerValidateEventArgs args)
		{
			string query =	"select Pass " +
							"from Customers " +
							"where CustomerID = '" + _customerID + "'";

			DataSet dataSet = this.performSqlQuery( query );

			if( this.TextBoxOldPassword.Text.Equals( dataSet.Tables[0].Rows[0]["Pass"] as string ) )
				args.IsValid = true;
			else
				args.IsValid = false;
		}

		private void ButtonToIndex_Click(object sender, System.EventArgs e)
		{
			this.Response.Redirect( "index.aspx" );
		}
		#endregion Events

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.CustomValidatorCustomerID.ServerValidate += new System.Web.UI.WebControls.ServerValidateEventHandler(this.CustomValidatorCustomerID_ServerValidate);
			this.CustomValidatorOldPasswordCorrect.ServerValidate += new System.Web.UI.WebControls.ServerValidateEventHandler(this.CustomValidatorOldPasswordCorrect_ServerValidate);
			this.ButtonChangePassword.Click += new System.EventHandler(this.ButtonChangePassword_Click);
			this.ButtonUpdateNameAndAddress.Click += new System.EventHandler(this.ButtonUpdateNameAndAddress_Click);
			this.DataGridEmails.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.DataGridEmails_ItemCommand);
			this.ButtonAddEmail.Click += new System.EventHandler(this.ButtonAddEmail_Click);
			this.DataGridPhoneNumbers.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.DataGridPhoneNumbers_ItemCommand);
			this.DataGridPhoneNumbers.ItemDataBound += new System.Web.UI.WebControls.DataGridItemEventHandler(this.DataGridPhoneNumbers_ItemDataBound);
			this.ButtonAddPhoneNumber.Click += new System.EventHandler(this.ButtonAddPhoneNumber_Click);
			this.DataGridCreditCards.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.DataGridCreditCards_ItemCommand);
			this.ButtonAddCreditCard.Click += new System.EventHandler(this.ButtonAddCreditCard_Click);
			this.CustomValidatorPaymentCreate.ServerValidate += new System.Web.UI.WebControls.ServerValidateEventHandler(this.CustomValidatorPaymentCreate_ServerValidate);
			this.ButtonCreateAccount.Click += new System.EventHandler(this.ButtonCreateAccount_Click);
			this.ButtonToIndex.Click += new System.EventHandler(this.ButtonToIndex_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
