using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace phase2
{
	/// <summary>
	/// Summary description for checkout2.
	/// </summary>
	public class checkout2 : System.Web.UI.Page
	{
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=djwatson; pwd=login4me; database=djwatson_shipping";
		int numitems = 0;
		double weight = 0.0;
		double shippingprice = 0;
		double sellingprice = 0;
		double discountprice = 0;

		private string _customerID;
		private long _newInvoiceID;
		private string _destCity;
		private string _state;
		private string _destState;

		private SqlConnection sqlConnection;	// Declare a connection object
		private SqlCommand sqlCommand;		  // Declare a command object
		private SqlDataReader sqlRdr;

		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.DataGrid paymentinfo;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DropDownList cardnumber;
		protected System.Web.UI.WebControls.TextBox dname;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.TextBox instructions;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.DataGrid shipinfo;
		protected System.Web.UI.WebControls.DropDownList shipoption;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.DropDownList paypalemail;
		protected System.Web.UI.WebControls.DropDownList paymethod;
		protected System.Web.UI.WebControls.Button Experiment;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.HyperLink home;
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.LinkButton LinkButton2;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.DropDownList shipvendor;
		protected System.Web.UI.WebControls.Button PackageFormer;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Set the customer ID
			_customerID = Session["CustomerID"] as string;

			string strSql;
			sqlConnection = new SqlConnection( strSqlString );
			sqlConnection.Open();	// open the connection

			//figure out where the user lives
			string city = "";
			strSql = "select city, state from MattMckenzieBilling.dbo.Customers where CustomerID = '" + _customerID + "'";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			sqlRdr.Read();
			city = sqlRdr.GetString(0);
			_state = sqlRdr.GetString(1);
			sqlRdr.Close();

			_destCity = (bool)Session["shiptocustomer"] ? city : Session["altcity"] as string;
			_destState = (bool)Session["shiptocustomer"] ? _state : Session["altstate"] as string;

			if(!Page.IsPostBack)
			{
				//set shipvendor dropdown
				strSql = "select distinct vendor from shipmethods where city = '' or city = '" + _destCity + "'";
				sqlCommand = new SqlCommand(strSql, sqlConnection);
				sqlRdr = sqlCommand.ExecuteReader();
				shipvendor.DataSource = sqlRdr;
				shipvendor.DataBind();
				sqlRdr.Close();
				
				populateShipMethodDropDown( );

				//set email dropdown
				strSql = "select Address from MattMckenzieBilling.dbo.EmailAddresses where CustomerID = '" + _customerID + "' and PayPal = 1;";
				sqlCommand = new SqlCommand(strSql, sqlConnection);	
				sqlRdr = sqlCommand.ExecuteReader();
				paypalemail.DataSource = sqlRdr;
				paypalemail.DataBind();
				sqlRdr.Close();

				//set credit card dropdown
				strSql = "select Number from MattMckenzieBilling.dbo.CreditCards where CustomerID = '" + _customerID + "';";
				sqlCommand = new SqlCommand(strSql, sqlConnection);	
				sqlRdr = sqlCommand.ExecuteReader();
				cardnumber.DataSource = sqlRdr;
				cardnumber.DataBind();
				sqlRdr.Close();
			}

			//determine shipping weight, etc
			strSql = "select count(*),sum(weight),sum(sellingprice),sum(discountprice) from Cart,jblat_inventory.dbo.Books where type = 'book' and ProductID = jblat_inventory.dbo.Books.ISBN";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			sqlRdr.Read();
			if(!sqlRdr.IsDBNull(1))
			{
				numitems = sqlRdr.GetInt32(0);
				weight = sqlRdr.GetDouble(1);
				sellingprice = sqlRdr.GetSqlMoney(2).ToDouble();
				discountprice =  sqlRdr.GetSqlMoney(3).ToDouble();
			}
			sqlRdr.Close();
			strSql = "select count(*),sum(weight),sum(sellingprice),sum(discountprice) from Cart,jblat_inventory.dbo.Music where type = 'cd' and ProductID = jblat_inventory.dbo.Music.CDID";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			sqlRdr.Read();
			if(!sqlRdr.IsDBNull(1))
			{
				numitems += sqlRdr.GetInt32(0);
				weight += sqlRdr.GetDouble(1);
				sellingprice +=  sqlRdr.GetSqlMoney(2).ToDouble();
				discountprice +=  sqlRdr.GetSqlMoney(3).ToDouble();
			}
			sqlRdr.Close();
			shipoption_SelectedIndexChanged(sender,e);

			//update shipinfo with data from above queries
			strSql = "select " + sellingprice + " as price,"+ discountprice +"as discountprice,TaxRate*"+ discountprice +" as tax,"+ shippingprice +"as shipping," + 
				(discountprice + shippingprice) + "+TaxRate*" + discountprice
				+ "as total from MattMckenzieBilling.dbo.SalesTax where State = 'Wa';";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			paymentinfo.DataSource = sqlRdr;
			paymentinfo.DataBind();
			sqlRdr.Close();
			sqlConnection.Close();
		}

		private void populateShipMethodDropDown( )
		{
			SqlConnection sqlConnection = new SqlConnection( strSqlString );
			sqlConnection.Open();
			//set shipmethods dropdown
			string strSql = "select distinct method from shipmethods where vendor = '" + shipvendor.SelectedValue + "' and (city = '' or city = '" + _destCity + "')";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			shipoption.DataSource = sqlRdr;
			shipoption.DataBind();
			sqlRdr.Close();

			sqlConnection.Close();
		}

		private void performCheckout()
		{
			SqlConnection connection = new SqlConnection( strSqlString );

			// Open connection and begin a transaction
			connection.Open();
			this.beginTransaction( connection );

			// Create the new invoice (initially empty, ie. contains no items)
			this.createInvoice( connection );

			// Package up and add to invoice all items in the cart as well as create packages in shipping
			this.performSaleOfCart( connection );

			// Commit the transaction and close connection
			this.commitTransaction( connection );
			connection.Close();

			this.Response.Redirect( "receipt.aspx" );
		}

		private void beginTransaction( SqlConnection connection )
		{
			sqlCommand = new SqlCommand( "begin transaction", connection );
			sqlCommand.ExecuteNonQuery();
		}

		private void commitTransaction( SqlConnection connection )
		{
			sqlCommand = new SqlCommand( "commit", connection );
			sqlCommand.ExecuteNonQuery();
		}

		private void createInvoice( SqlConnection connection )
		{
			string sqlString = "";

			// Get a new invoice number
			sqlString = "select max(InvoiceID) + 1 as NewInvoiceID from MattMckenzieBilling.dbo.Invoices";
			sqlCommand = new SqlCommand( sqlString, connection );
			_newInvoiceID = (long)sqlCommand.ExecuteScalar();

			// Command to create the invoice
			string paymethod = this.paymethod.SelectedValue;
			bool shiptocustomer = (bool)Session["shiptocustomer"];
			string shiptocustomerstring = shiptocustomer ? "1" : "0";
			string creditnum = paymethod.Equals("credit") ? this.cardnumber.SelectedValue : "NULL";

			sqlString =	"insert into MattMckenzieBilling.dbo.Invoices values ( " + _newInvoiceID + ", '" + _customerID + "', '" + System.DateTime.Now +
																				"', '" + paymethod + "', " + shiptocustomerstring + ", " + creditnum + " )";

			sqlCommand = new SqlCommand( sqlString, connection );
			sqlCommand.ExecuteNonQuery();

			// Add the alternate shipping address if required
			if( !shiptocustomer )
			{
				sqlString = "insert into MattMckenzieBilling.dbo.AltShippingAddresses values ("
					+ _newInvoiceID + ",'"
					+ Session["altname"] + "','"
					+ Session["altline1"] + "','"
					+ Session["altcity"] + "','"
					+ Session["altstate"] + "',"
					+ Session["altzip"]
					+ ");";
				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();
			}
		}

		private void performSaleOfCart( SqlConnection connection )
		{
			// Query that returns (bookid, warehouse, and numberinstock) for each book in cart
			// from the warehouse with the most of that item.
			string queryBooks =	"select book, max(numinstock) as numberinstock, max(warehouse), Qty " +
				"from jblat_inventory.dbo.Bookstock, Cart " +
				"where book = ProductID and CustomerID = '" + _customerID + "' and Qty > 0 and type = 'book' and " +
				"     (select max(numinstock) " +
				"      from jblat_inventory.dbo.Bookstock as bookstock " +
				"      where bookstock.book = ProductID ) = numinstock " +
				"group by book, Qty";
			
			SqlDataAdapter dataAdapter = new SqlDataAdapter( queryBooks, connection );
			DataSet dataSet = new DataSet();
			dataSet.Tables.Add( "BooksWarehouses" );
			dataAdapter.Fill( dataSet.Tables["BooksWarehouses"] );

			string queryMusic =	"select cd, max(numinstock) as numberinstock, max(warehouse), Qty " +
				"from jblat_inventory.dbo.Musicstock, Cart " +
				"where cd = ProductID and CustomerID = '" + _customerID + "' and Qty > 0 and type = 'cd' and " +
				"     (select max(numinstock) " +
				"      from jblat_inventory.dbo.Musicstock as musicstock " +
				"      where musicstock.cd = ProductID ) = numinstock " +
				"group by cd, Qty";

			dataAdapter = new SqlDataAdapter( queryMusic, connection );
			dataSet.Tables.Add( "MusicWarehouses" );
			dataAdapter.Fill( dataSet.Tables["MusicWarehouses"] );

			while( dataSet.Tables["BooksWarehouses"].Rows.Count > 0 || dataSet.Tables["MusicWarehouses"].Rows.Count > 0 )
			{
				if( dataSet.Tables["BooksWarehouses"].Rows.Count > 0 )
				{
					foreach( DataRow row in dataSet.Tables["BooksWarehouses"].Rows )
					{
						long productID = (long)(row.ItemArray[0]);
						long numinstock = (long)(row.ItemArray[1]);
						long warehouse = (long)(row.ItemArray[2]);
						int qty = (int)(row.ItemArray[3]);

						if( qty > numinstock )
						{
							//set warehouse numinstock = 0
							string sqlcmd = "update jblat_inventory.dbo.Bookstock set numinstock = 0 where book = '" + productID + "' and warehouse = " + warehouse;

							SqlCommand cmd = new SqlCommand( sqlcmd, connection );	
							cmd.ExecuteNonQuery();

							sqlcmd = "update Cart set Qty = " + (qty - numinstock) + " where CustomerID = '" + _customerID + "' and ProductID = '" + productID + "' and type = 'book'";
							cmd = new SqlCommand( sqlcmd, connection );
							cmd.ExecuteNonQuery();
						}
						else
						{
							string sqlcmd = "update jblat_inventory.dbo.Bookstock set numinstock = " + (numinstock - qty) + " where book = '" + productID + "' and warehouse = " + warehouse;

							SqlCommand cmd = new SqlCommand( sqlcmd, connection );	
							cmd.ExecuteNonQuery();

							sqlcmd = "update Cart set Qty = 0 where CustomerID = '" + _customerID + "' and ProductID = '" + productID + "' and type = 'book'";
							cmd = new SqlCommand( sqlcmd, connection );
							cmd.ExecuteNonQuery();
						}
						
						// Create/Update packages/(invoice items)
						this.updateItemInfo( connection, "book", productID, qty, warehouse, numinstock );
						this.updatePackageInfo( connection, productID, qty, warehouse, numinstock );
						this.cleanCart( connection );
					}
				}

				if( dataSet.Tables["MusicWarehouses"].Rows.Count > 0 )
				{
					foreach( DataRow row in dataSet.Tables["MusicWarehouses"].Rows )
					{
						long productID = (long)(row.ItemArray[0]);
						long numinstock = (long)(row.ItemArray[1]);
						long warehouse = (long)(row.ItemArray[2]);
						int qty = (int)(row.ItemArray[3]);

						if( qty > numinstock )
						{
							//set warehouse numinstock = 0
							string sqlcmd = "update jblat_inventory.dbo.Musicstock set numinstock = 0 where cd = '" + productID + "' and warehouse = " + warehouse;

							SqlCommand cmd = new SqlCommand( sqlcmd, connection );	
							cmd.ExecuteNonQuery();

							sqlcmd = "update Cart set Qty = " + (qty - numinstock) + " where CustomerID = '" + _customerID + "' and ProductID = '" + productID + "' and type = 'cd'";
							cmd = new SqlCommand( sqlcmd, connection );
							cmd.ExecuteNonQuery();
						}
						else
						{
							string sqlcmd = "update jblat_inventory.dbo.Musicstock set numinstock = " + (numinstock - qty) + " where cd = '" + productID + "' and warehouse = " + warehouse;

							SqlCommand cmd = new SqlCommand( sqlcmd, connection );	
							cmd.ExecuteNonQuery();

							sqlcmd = "update Cart set Qty = 0 where CustomerID = '" + _customerID + "' and ProductID = '" + productID + "' and type = 'cd'";
							cmd = new SqlCommand( sqlcmd, connection );
							cmd.ExecuteNonQuery();
						}

						// Create/Update packages/(invoice items)
						this.updateItemInfo( connection, "cd", productID, qty, warehouse, numinstock );
						this.updatePackageInfo( connection, productID, qty, warehouse, numinstock );
						this.cleanCart( connection );
					}
				}
				
				// Query again for next loop
				dataSet.Tables.Clear();

				dataAdapter = new SqlDataAdapter( queryBooks, connection);
				dataSet.Tables.Add( "BooksWarehouses" );
				dataAdapter.Fill( dataSet.Tables["BooksWarehouses"] );
				
				dataAdapter = new SqlDataAdapter( queryMusic, connection );
				dataSet.Tables.Add( "MusicWarehouses" );
				dataAdapter.Fill( dataSet.Tables["MusicWarehouses"] );
			}
		}

		private void updateItemInfo( SqlConnection connection, string type, long productID, int qty, long warehouse, long numinstock )
		{
			string sqlString = "";
			SqlCommand sqlCommand;
			SqlDataReader sqlDataReader;

			int dQty = ( qty > numinstock) ? (int)numinstock : qty;
			string strProductID = type + " " + productID;

			// Query if the Item exists
			sqlString = "select * from MattMckenzieBilling.dbo.Items where InvoiceID = '" + _newInvoiceID + "' and ProductID = '" + strProductID + "' and Warehouse = '" + warehouse + "'";
			sqlCommand = new SqlCommand( sqlString, connection );
			sqlDataReader = sqlCommand.ExecuteReader();

			// If it exists, update info, else create it.
			if( sqlDataReader.HasRows )
			{
				sqlDataReader.Close();

				sqlString =	"update MattMckenzieBilling.dbo.Items " +
							"set Qty = Qty + " + dQty + " " +
							"where InvoiceID = '" + _newInvoiceID + "' and ProductID = '" + strProductID + "' and Warehouse = '" + warehouse + "'";

				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();
			}
			else
			{
				sqlDataReader.Close();

				// Get the info needed about the items
				decimal unitPrice = 0.0M;
				float unitTax = 0.0F;

				if( type.Equals( "book" ) )
				{
					sqlString = "select discountprice from jblat_inventory.dbo.Books where ISBN = '" + productID + "'";
					sqlCommand = new SqlCommand( sqlString, connection );
					unitPrice = (decimal)sqlCommand.ExecuteScalar();
				}
				else
				{
					sqlString = "select discountprice from jblat_inventory.dbo.Music where CDID = '" + productID + "'";
					sqlCommand = new SqlCommand( sqlString, connection );
					unitPrice = (decimal)sqlCommand.ExecuteScalar();
				}

				sqlString = "select TaxRate from MattMckenzieBilling.dbo.SalesTax where State = '" + _state + "'";
				sqlCommand = new SqlCommand( sqlString, connection );
				unitTax = (float)unitPrice * (float)sqlCommand.ExecuteScalar();

				sqlString =	"insert into MattMckenzieBilling.dbo.Items values ( " + _newInvoiceID + ", '" + strProductID + "', '" +
					getProductName( connection, productID, type ) + "', " + dQty + ", " + unitPrice + ", " + (decimal)unitTax + ", '" + warehouse + "', '" + System.DateTime.Today.AddDays( 1.5 ) + "' )";

				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();
			}
		}

		private void updatePackageInfo( SqlConnection connection, long productID, int qty, long warehouse, long numinstock )
		{
			string sqlString = "";
			SqlCommand sqlCommand;
			SqlDataReader sqlDataReader;

			int dQty = ( qty > numinstock) ? (int)numinstock : qty;

			// Query if a package for this invoice is already created from this warehouse
			sqlString = "select invoicetracking.trackingnum from invoicetracking, packages where InvoiceID = '" + _newInvoiceID + "' and invoicetracking.trackingnum = packages.trackingnum and warehouse = '" + warehouse + "'";
			sqlCommand = new SqlCommand( sqlString, connection );
			sqlDataReader = sqlCommand.ExecuteReader();

			// If so, update info, else create a package.
			if( sqlDataReader.HasRows )
			{
				// Get the tracking number to uniquely identify this package
				sqlDataReader.Read();
				int trackingnum = sqlDataReader.GetInt32( 0 );
				sqlDataReader.Close();

				// TODO Update weight as well
				sqlString =	"update packages " +
							"set numitems = numitems + " + dQty + " " +
							"where trackingnum = " + trackingnum;
				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();
			}
			else
			{
				sqlDataReader.Close();

				sqlString = "select max(trackingnum) + 1 as newtrackingnum from packages";
				sqlCommand = new SqlCommand( sqlString, connection );
				int newtrackingnum = (int)sqlCommand.ExecuteScalar();

				// TODO update weight, shipmethod, instructions, address as well
				sqlString =	"insert into packages values ( " + newtrackingnum + ", 0, " + dQty + ", 1, 'instructions', '" + warehouse + "', 1, 1, 0, 'inroute', NULL ) ";
				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();

				// Don't forget to bind tracking number to an invoice
				sqlString = "insert into invoicetracking values ( " + _newInvoiceID + ", " + newtrackingnum + " )";
				sqlCommand = new SqlCommand( sqlString, connection );
				sqlCommand.ExecuteNonQuery();
			}
		}

		private void cleanCart( SqlConnection connection )
		{
			string sqlString = "delete from Cart where Qty <= 0";
			SqlCommand sqlCommand = new SqlCommand( sqlString, connection );
			sqlCommand.ExecuteNonQuery();
		}

		private string getProductName( SqlConnection connection, long productID, string type )
		{
			SqlCommand sqlCommand = new SqlCommand( "select name from Cart where ProductID = " + productID + " and type = '" + type + "'", connection );

			return sqlCommand.ExecuteScalar() as string;
		}

		private void modifyAccount( )
		{
			Session.Add( "AccountPageType", "modification" );
			Response.Redirect( "account.aspx" );
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.LinkButton2.Click += new System.EventHandler(this.LinkButton2_Click);
			this.PackageFormer.Click += new System.EventHandler(this.PackageFormer_Click);
			this.shipvendor.SelectedIndexChanged += new System.EventHandler(this.shipvendor_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void shipoption_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			//display some shipping info
			SqlConnection sqlConn = new SqlConnection( strSqlString );
			SqlCommand sqlCom;

			sqlConn.Open();	// open the connection
			string strSql = "select vendor,fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " as price,maxtime from shipmethods where method = '" + shipoption.SelectedValue + "' and fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " >= ALL (select fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " as price from shipmethods where method = '" + shipoption.SelectedValue + "');";
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			shipinfo.DataSource = sqlRdr;
			shipinfo.DataBind();
			sqlRdr.Close();

			//get the shipping price
			strSql = "select fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " as price from shipmethods where method = '" + shipoption.SelectedValue + "' and fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " >= ALL (select fixedrate+weightrate*" + weight + "+itemrate*" + numitems + " as price from shipmethods where method = '" + shipoption.SelectedValue + "');";
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			sqlRdr.Read();
			shippingprice = (double)sqlRdr.GetDecimal(0);
			sqlRdr.Close();
		}

		//This is the method that is meeting the most success so far. This replaces button1_click
		private void PackageFormer_Click(object sender, System.EventArgs e)
		{
			this.performCheckout();

			/*
			//this.beginTransaction();
			//this.createInvoice();
			
			//we must give first priority when forming packages to a local warehouse with necessary stock,
			//2nd to a non-local with necessary stock, then to local warehouses, then to non-local warehouses
			//before anything else, we figure out there are any items that we just don't have enough of. If so, screw 'em.

			//sqlConn = new SqlConnection( strSqlString );
			//sqlConn.Open();	// open the connection
			string strSql = "select (totalStocked - qty) as diff from djwatson_shipping.dbo.cart, (select sum(numinstock) as totalStocked from jblat_inventory.dbo.books, jblat_inventory.dbo.bookstock where jblat_inventory.dbo.bookstock.book = isbn group by book) as stock where type = 'book' and CustomerID = '" + _customerID + "'";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt64(0) <= 0)
				{
					Response.Redirect("outofstock.aspx");
				}
				else { Label10.Text = "Seems to have gone all right. Enough books"; }
			}
			sqlRdr.Close();
			strSql = "select (totalStocked - qty) as diff from djwatson_shipping.dbo.cart, (select sum(numinstock) as totalStocked from jblat_inventory.dbo.music, jblat_inventory.dbo.musicstock where cd = cdid group by cd) as stock where type = 'cd' and CustomerID = '" + _customerID + "'";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			//right now it cancels the whole transaction and doesn't tell you which item
			//AND appears to be giving this error when there are no out of stock items in the cart, for some odd reason
			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt64(0) <= 0)
				{
					Response.Redirect("outofstock.aspx");
				}
				else { Label9.Text = "Seems to have gone all right. Enough cds";}
			}

			sqlRdr.Close();
			//we have sufficient stock. Somewhere. 
			//first we look for a warehouse in our city
			//sqlConn = new SqlConnection( strSqlString );
			//sqlConn.Open();	// open the connection
			strSql = "select warehouse from jblat_inventory.dbo.warehouses, (select warehouse from jblat_inventory.dbo.bookstock as bs, cart where numinstock > qty and _customerID = 'foo' and productid = book and type = 'book' AND EXISTS (select warehouse from jblat_inventory.dbo.musicstock as ms, cart where numinstock > qty and _customerID = 'foo' and productid = cd and type = 'cd' and bs.warehouse = ms.warehouse)) as goodW where warehousid = warehouse and city = '" + usercity + "'";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			sqlRdr.Read();
			if (sqlRdr.HasRows) //we have a warehouse in the right city
			{
				//this.updateInvoices();
				//package everything into a package shipped from this warehouse
				//delete items from the warehouses, and clean out the shopping cart
			
			}
			sqlRdr.Close();
			
			
			//sqlConn = new SqlConnection( strSqlString );
			//sqlConn.Open();	// open the connection
			strSql = "select warehouse from jblat_inventory.dbo.bookstock as bs, cart where numinstock > qty and _customerID = '" + _customerID + "' and productid = book and type = 'book' AND EXISTS (select warehouse from jblat_inventory.dbo.musicstock as ms, cart where numinstock > qty and CustomerID = '" + _customerID + "' and productid = cd and type = 'cd' and bs.warehouse = ms.warehouse) ";
			sqlCommand = new SqlCommand(strSql, sqlConnection);	
			sqlRdr = sqlCommand.ExecuteReader();
			sqlRdr.Read();
			if (sqlRdr.HasRows) //we have a warehouse farther away
			{
				//this.updateInvoices();
				//package everything into a package shipped from this warehouse
				//delete items from the warehouses, and clean out the shopping cart

			}
			sqlRdr.Close();
			//here we see what combination of warehouses will let us complete our order
			//let's get the shopping cart!

			
			//get shopping cart
			//go through item by item. Get the warehouse that will provide the max number of that item
			//subtract numitems from warehouse, subtract from shopping cart, create a new package if needed, modify otherwise
			//will need to query differently for books and music, will implement some sort of check

			//this.commitTransaction();
			*/
		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			modifyAccount();
		}

		private void LinkButton2_Click(object sender, System.EventArgs e)
		{
			modifyAccount();
		}

		private void shipvendor_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			populateShipMethodDropDown( );
		}
	}
}


