using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below
namespace phase2
{
	/// <summary>
	/// Summary description for shoppingcart.
	/// </summary>
	public class shoppingcart : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label LoggedInGreeting;
		protected System.Web.UI.WebControls.HyperLink goHome;
		protected System.Web.UI.WebControls.HyperLink goCheckout;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=jblat; pwd=pass; database=jblat_inventory";
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlConnection sqlConn2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid Cart;
		protected System.Web.UI.WebControls.Label ChangeInstructions;
		private SqlDataReader sqlRdr;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!this.Page.IsPostBack) 
			{//we want to load their shopping cart immediatly.
				if (Session["CustomerID"] != null) 
				{
					LoggedInGreeting.Text = Session["CustomerID"] as string;
					//this.LoggedIn();
					//string strSql = ""; //we'll need to query for their shopping cart
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection
					// Execute query -- Here you could make 'strSql' any query you want
					string strSQL = "SELECT name AS title, ProductID, type, Qty FROM djwatson_shipping.dbo.Cart WHERE CustomerID = '" +
						Session["CustomerID"] + "'";
					sqlCom = new SqlCommand(strSQL, sqlConn);
					sqlRdr = sqlCom.ExecuteReader();
					if (sqlRdr.HasRows)
					{
					
						Cart.DataSource = sqlRdr;
						Cart.DataBind();				
						Cart.Visible = true;
						TextBox1.Visible = true;
						Label1.Text = "Items currently in your cart:";
						ChangeInstructions.Visible = true;
						
					}
					else 
					{
						Label1.Text = "You have no items in your cart. Maybe you should keep browsing.";
						Cart.Visible = false;
						ChangeInstructions.Visible = false;
						TextBox1.Visible = false;
					}

					sqlConn.Close();

				}

				else 
				{
					Label1.Text = "This page is only for logged in users. Please return to the home page and login";
					Label1.Visible = true;
					ChangeInstructions.Visible = false;
					TextBox1.Visible = false;
					Cart.Visible = false;
				}
			
			
				// Put user code to initialize the page here
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Cart.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.Cart_ItemCommand);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Cart_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			if (e.CommandName == "ChangeQuantity")
			{
				if (TextBox1.Text.Length == 0) 
				{
					Label1.Text = "You must enter a quantity first!";
				}
					//int newQty = Int32.Parse(TextBox1.Text);
				else 
				{
					string pID = e.Item.Cells[2].Text;
					string type = e.Item.Cells[3].Text;
					if (Int32.Parse(TextBox1.Text) < 0) 
					{
						Label1.Text = "That is not a valid quantity";
						Label1.Visible = true;
						TextBox1.Text = ""; //clear the contents of the box
					}
					
					else if (Int32.Parse(TextBox1.Text) == 0) // we are deleting a row
					{
						sqlConn = new SqlConnection( strSqlString );
						sqlConn.Open();	// open the connection
						string strSQL = "DELETE FROM djwatson_shipping.dbo.Cart WHERE CustomerID = '" +
							Session["CustomerID"] + "'" + " and ProductID = '" + pID + "' and type = '"
							+ type + "'";
						sqlCom = new SqlCommand(strSQL, sqlConn);
						int worked = sqlCom.ExecuteNonQuery(); // could use worked for debugging
						sqlConn.Close();
						this.ReloadCartGrid();
					}
					else  //we are updating a quantity
					{
						sqlConn = new SqlConnection( strSqlString );
						sqlConn.Open();	// open the connection
						string strSQL = "UPDATE djwatson_shipping.dbo.Cart SET Qty = '" + TextBox1.Text + 
							"' WHERE CustomerID = '" +
							Session["CustomerID"] + "'" + " and ProductID = '" + pID + "' and type = '"
							+ type + "'";
						sqlCom = new SqlCommand(strSQL, sqlConn);
						int worked = sqlCom.ExecuteNonQuery(); //could use worked for debugging
						this.ReloadCartGrid();
					}
				}
			}
		}

		private void ReloadCartGrid() 
		{
			TextBox1.Text = ""; //clear text in box
			//string strSql = ""; //we'll need to query for their shopping cart
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			// Execute query -- Here you could make 'strSql' any query you want
			string strSQL = "SELECT name AS title, ProductID, type, Qty FROM djwatson_shipping.dbo.Cart WHERE CustomerID = '" +
				Session["CustomerID"] + "'";
			sqlCom = new SqlCommand(strSQL, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			if (sqlRdr.HasRows)
			{
					
				Cart.DataSource = sqlRdr;
				Cart.DataBind();				
				Cart.Visible = true;
				TextBox1.Visible = true;
				Label1.Text = "Items currently in your cart:";
				ChangeInstructions.Visible = true;

			}
			else 
			{
				Label1.Text = "You have no items in your cart. Maybe you should keep browsing.";
				Cart.Visible = false;
				ChangeInstructions.Visible = false;
				TextBox1.Visible = false;
			}

			sqlConn.Close();

		}
	}
}
