using System;
using System.Data;
using System.Data.SqlClient;

namespace phase2
{
	/// <summary>
	/// Summary description for SQL.
	/// </summary>
	public class SQL
	{
		public const string ConnectString = "server=IISQLSRV; uid=bovinium; pwd=m6c5f1c; database=";
		public const string DefaultDatabase = "MattMcKenzieBilling";

		public static DataSet Query( string query, string database )
		{
			SqlDataAdapter sqlDataAdapter = new SqlDataAdapter( query, ConnectString + database );
			DataSet dataSet = new DataSet();

			sqlDataAdapter.Fill( dataSet );

			return dataSet;
		}

		public static DataTable QueryTable( string query, string database )
		{
			SqlDataAdapter sqlDataAdapter = new SqlDataAdapter( query, ConnectString + database );
			DataTable dataTable = new DataTable();

			sqlDataAdapter.Fill( dataTable );

			return dataTable;
		}

		public static DataSet Query( string query )
		{
			return Query( query, DefaultDatabase );
		}

		public static int NonQuery( string query, string database )
		{
			SqlConnection sqlConnection = new SqlConnection( ConnectString + database );
			sqlConnection.Open();

			SqlCommand sqlCommand = new SqlCommand( query, sqlConnection );
			
			int result = sqlCommand.ExecuteNonQuery();

			sqlConnection.Close();

			return result;
		}

		public static int NonQuery( string query )
		{
			return NonQuery( query, DefaultDatabase );
		}
	}
}
