<%@ Page language="c#" Codebehind="warehouseinfo.aspx.cs" AutoEventWireup="false" Inherits="phase2_management.warehouseinfo" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>warehouseinfo</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<P><asp:label id="LabelWarehouseInfo" runat="server" Font-Size="Large">Warehouse Statistics</asp:label></P>
			<P><asp:datagrid id="DataGridWarehouseInfo" runat="server" AutoGenerateColumns="False" CellPadding="4"
					BackColor="White" BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966">
					<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
					<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
					<ItemStyle Wrap="False" ForeColor="#330099" BackColor="White"></ItemStyle>
					<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="warehouseid" ReadOnly="True" HeaderText="Warehouse ID"></asp:BoundColumn>
						<asp:BoundColumn DataField="address" ReadOnly="True" HeaderText="Address"></asp:BoundColumn>
						<asp:BoundColumn DataField="city" ReadOnly="True" HeaderText="City"></asp:BoundColumn>
						<asp:BoundColumn DataField="state" ReadOnly="True" HeaderText="State"></asp:BoundColumn>
						<asp:BoundColumn DataField="zipcode" ReadOnly="True" HeaderText="Zip Code"></asp:BoundColumn>
						<asp:TemplateColumn HeaderText="Vendors">
							<ItemTemplate>
								<asp:DataList id=DataList1 runat="server" DataSource='<%# (Container.DataItem as System.Data.DataRowView).CreateChildView("WarehouseVendors") %>'>
									<ItemTemplate>
										<%# DataBinder.Eval(Container.DataItem, "vendor") %>
									</ItemTemplate>
								</asp:DataList>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Books in Stock">
							<ItemTemplate>
								<asp:DataList id=DataList2 runat="server" DataSource='<%# (Container.DataItem as System.Data.DataRowView).CreateChildView("WarehouseBooks") %>'>
									<ItemTemplate>
										<%# DataBinder.Eval(Container.DataItem, "book") %>
									</ItemTemplate>
								</asp:DataList>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Music in Stock">
							<ItemTemplate>
								<asp:DataList id=DataList3 runat="server" DataSource='<%# (Container.DataItem as System.Data.DataRowView).CreateChildView("WarehouseMusic") %>'>
									<ItemTemplate>
										<%# DataBinder.Eval(Container.DataItem, "cd") %>
									</ItemTemplate>
								</asp:DataList>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="numproducts" ReadOnly="True" HeaderText="Num Products Shipped"></asp:BoundColumn>
					</Columns>
					<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
				</asp:datagrid></P>
		</form>
	</body>
</HTML>
