<%@ Page language="c#" Codebehind="Inventory.aspx.cs" AutoEventWireup="false" Inherits="aldenk.Inventory" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>Inventory</title>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<script type="text/javascript">
		<!--//--><![CDATA[//><!--
			//load();
			
			function load()
			{
				if (document.getElementById && document.getElementById("cb_SearchChoice")&& document.getElementById("txt_QueryParam1"))
				{
					var slct = document.getElementById("cb_SearchChoice");
					slct.focus();
					slct.setAttribute("onChange", "endisTxt()");
					//document.getElementById("txt_QueryParam1").disabled = (slct.selectedIndex <= 2 || slct.selectedIndex == 5);
				}
			}
				
			function endisTxt()
			{
				var slct = document.getElementById("cb_SearchChoice");
				var txt = document.getElementById("txt_QueryParam1");
				if (slct && txt)
				{
					if (slct.selectedIndex <= 2 || slct.selectedIndex == 5)
					{
					//	txt.bgColor.style = "background-color:#FF3300;";
						//txt.disabled = true;
					}
					else
					{
					//	txt.bgColor.style = "background-color:" + document.body.bgColor;
						//txt.disabled = false;
					}
				}
			}
		/*]]>*/-->
		</script>
	</head>
	<body onload="load()" ms_positioning="FlowLayout">
		<form id="Form1" method="post" runat="server">
			<table cellspacing="0" cellpadding="0" width="100%" border="0" frame="void">
				<tr>
					<td style="WIDTH: 481px">
						<p>Browse:
							<asp:linkbutton id="lbtn_Browse_All" runat="server">All</asp:linkbutton>&nbsp;
							<asp:linkbutton id="lbtn_Browse_Books" runat="server">Books</asp:linkbutton>&nbsp;
							<asp:linkbutton id="lbtn_Browse_Music" runat="server">Music</asp:linkbutton>&nbsp;
							<asp:linkbutton id="lbtn_Browse_NoStock" runat="server">Out of stock items</asp:linkbutton></p>
						<p>&nbsp;<asp:dropdownlist id="cb_SearchChoice" runat="server" onchange="endisTxt();">
								<asp:listitem value="Author/Artist search">Author/Artist/Title search</asp:listitem>
								<asp:listitem value="Keywords">Keyword only search</asp:listitem>
								<asp:listitem value="Admin: Stocked min">Stocked at least</asp:listitem>
								<asp:listitem value="Admin: Stocked at x warehouses">Stocked at x warehouses</asp:listitem>
								<asp:listitem value="Admin: Find warehouse with product">Find warehouse with product</asp:listitem>
							</asp:dropdownlist>
							<asp:textbox id="txt_QueryParam1" runat="server"></asp:textbox><asp:button id="btn_Search" runat="server" text="Search"></asp:button></p>
					</td>
					<td><asp:linkbutton id="lbtn_Logout" runat="server">Logout</asp:linkbutton>
						&nbsp;&nbsp;&nbsp;&nbsp;<asp:linkbutton id="shipMethods" runat="server">Shipping Methods</asp:linkbutton>
						&nbsp;&nbsp;&nbsp;&nbsp;<asp:linkbutton id="tracking" runat="server">Package Tracking</asp:linkbutton><br>
						<asp:linkbutton id="lbtn_Login" runat="server">Login</asp:linkbutton>
						<asp:linkbutton id="updateInfo" runat="server">Update Personal Info</asp:linkbutton>
						<br>
						<asp:linkbutton id="lbtn_ViewCart" runat="server">Shopping Cart</asp:linkbutton></td>
				</tr>
				<tr>
				</tr>
			</table>
			<table width="100%">
				<tr>
					<td valign="top"><asp:datalist id="dl_Results" runat="server" gridlines="Both" borderstyle="Solid">
							<headertemplate>
								<b>Search Results</b>
							</headertemplate>
							<footertemplate>
							</footertemplate>
							<itemtemplate>
								<a href='ViewProduct.aspx?ISBN_ASIN=<%# DataBinder.Eval(Container.DataItem, "ISBN_ASIN") %>&company=<%# DataBinder.Eval(Container.DataItem, "company") %>'>
									<%# DataBinder.Eval(Container.DataItem, "title").ToString().Replace("&","&amp;") %>
								</a>
								<br />
								&nbsp;&nbsp;&nbsp;&nbsp;<%# DataBinder.Eval(Container.DataItem, "artists").ToString().Replace("&","&amp;") %>
								- (<%# DataBinder.Eval(Container.DataItem, "year") %>)<br />
								&nbsp;&nbsp;&nbsp;&nbsp;<small>ID:
									<%# DataBinder.Eval(Container.DataItem, "ISBN_ASIN") %>
									<br />
								</small>&nbsp;&nbsp;&nbsp;&nbsp; <small>
									<%# DataBinder.Eval(Container.DataItem, "publisher").ToString().Replace("&","&amp;") %>
								</small><a href='ViewCart.aspx?add=<%# DataBinder.Eval(Container.DataItem, "ISBN_ASIN") %>'>
									Add to Cart</a>
							</itemtemplate>
						</asp:datalist><asp:datalist id="dl_Warehouses" runat="server" gridlines="Both" borderstyle="Solid">
							<headertemplate>
								<b>Search Results</b>
							</headertemplate>
							<footertemplate>
							</footertemplate>
							<itemtemplate>
								Warehouse:&nbsp;<a href='ViewWarehouse.aspx?ID=<%# DataBinder.Eval(Container, "DataItem.ID") %>'>
									<%# DataBinder.Eval(Container, "DataItem.ID") %>
								</a>&nbsp;Available:&nbsp;<%# DataBinder.Eval(Container, "DataItem.quantity") %>
								<br />
								&nbsp;&nbsp;&nbsp;&nbsp;<%# (DataBinder.Eval(Container, "DataItem.streetNum") + " " + DataBinder.Eval(Container, "DataItem.city") + " " + (DataBinder.Eval(Container, "DataItem.state")).ToString().ToUpper() + ", " + DataBinder.Eval(Container, "DataItem.zip")) %>
							</itemtemplate>
						</asp:datalist><asp:label id="lbl_NoResults" runat="server"></asp:label>
						<p>&nbsp;
							<asp:datagrid id="dg_ResultsTable" runat="server"></asp:datagrid></p>
					</td>
					<td id="td_Admin" valign="top" width="30%"><asp:panel id="pnl_Admin" runat="server">
							<h4>Admin</h4>
							<hr>
							<asp:label id="lbl_AdminGrid" runat="server"></asp:label>
							<br>
							<asp:datagrid id="dg_Admin" runat="server"></asp:datagrid></td>
					<asp:label id="lbl_AdminError" runat="server"></asp:label></asp:panel></tr>
			</table>
			</TR></TABLE></form>
		<p>&nbsp;</p>
		<p><asp:label id="lbl_Error" runat="server"></asp:label></p>
	</body>
</html>
