<%@ Control Language="c#" AutoEventWireup="false" Codebehind="VerboseBook.ascx.cs" Inherits="aldenk.VerboseBook" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<asp:panel id="pnl_All" runat="server">
<p>
		<asp:label id="lbl_Title" runat="server"></asp:label><br/>
		<asp:label id="lbl_Authors" runat="server"></asp:label><br/>
		<asp:label id="lbl_Year" runat="server"></asp:label><br/>
		<asp:label id="lbl_Categories" runat="server"></asp:label><br/>
		<asp:label id="lbl_Price" runat="server"></asp:label><br/>
	</p>
<p>Availability<br/>
<asp:datagrid id="dg_Availability" runat="server" autogeneratecolumns="false" cellpadding="3">
			<columns>
				<asp:templatecolumn headertext="Warehouse ID">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.ID") %>' id="Label1">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="City">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.state")).ToString().ToUpper() + ", " + DataBinder.Eval(Container, "DataItem.city") %>' id="Label5">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="# In Stock">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.quantity") %>' id="Label2">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Address">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.streetNum") + " " + DataBinder.Eval(Container, "DataItem.city") + " " + DataBinder.Eval(Container, "DataItem.state") + ", " + DataBinder.Eval(Container, "DataItem.zip")) %>' id="Label3">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Contact">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.manager") + " at (" + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(0,3) + ") " + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(4,3) + "-" + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(7)) %>' id="Label4">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</asp:datagrid></p>
<small><asp:label id="lbl_Keywords" runat="server"></asp:label></small><br/>
</asp:panel><asp:label id="lbl_Error" runat="server"></asp:label>
