using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using prinsess_inventory.Classes;
using System.Configuration;
using System.Data.SqlClient;

namespace prinsess_inventory
{
	/// <summary>
	/// Summary description for template.
	/// </summary>
	public class customer : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox txtSearch;
		protected System.Web.UI.WebControls.DropDownList ddlSearchBy;
		protected System.Web.UI.WebControls.DropDownList ddlProductType;
		protected System.Web.UI.WebControls.DropDownList ddlCategories;
		protected System.Web.UI.WebControls.ImageButton ibSearchCategories;
		protected System.Web.UI.WebControls.HyperLink hlSignIn;
		protected System.Web.UI.WebControls.HyperLink glRegister;
		protected System.Web.UI.WebControls.Label lblWelcome;
		protected System.Web.UI.WebControls.DataList dlInvoices;
		protected System.Web.UI.WebControls.Label lblNoInvoices;
		protected System.Web.UI.WebControls.Label lblTransactions;
		protected System.Web.UI.WebControls.DataGrid dgTransactions;
		protected System.Web.UI.WebControls.Panel pCustomer;
		protected System.Web.UI.WebControls.TextBox txtInvoiceNumber;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
		protected System.Web.UI.WebControls.ImageButton ibSearch;
	
		private void Page_Load(object sender, System.EventArgs e)
		{

			Customers.fillPanel(pCustomer, Session["customerID"]);
			Customers.loginCheck(this, Session["customerID"]);

			if(!(Page.IsPostBack)){
			}
			string type;
			if(ddlProductType.SelectedIndex == 0)
			{
				type = "CD";
			}
			else{
				type = "Book";
			}
			DataSet objDS = Categories.getAllCategories(type);
			DataTable objDTCategories = new DataTable();
			objDTCategories = objDS.Tables[0];
			ddlCategories.DataSource = objDTCategories;
				
			ddlCategories.DataValueField = "categoryID";
			ddlCategories.DataTextField = "categoryName";	
			ddlCategories.DataBind();

			
			// Create the Manager 
			RollOverImageManager m = new RollOverImageManager(); 

			// Intialize the Image Controls 
			m.InitializeImage(ibSearch, "images/searchdown.jpg"); 
			m.InitializeImage(ibSearchCategories, "images/searchdown.jpg"); 

			// Load the Images (generate the JavaScript) 
			m.LoadImages(this); 
			int customerID = Convert.ToInt32(Session["customerID"]); 
			if (customerID != -1) 
			{
				lblWelcome.Text = "Welcome, " + Customers.customerAttribute(Convert.ToInt32(Session["customerID"]), "firstname");
				
				// look up invoices
				string connectionString = ConfigurationSettings.AppSettings.Get("connstringPhil");
				SqlConnection objConn = new SqlConnection(connectionString);

				SqlCommand objCommand;

				if (Request.QueryString["invoiceID"] == null) 
				{
					objCommand = new SqlCommand("SELECT TOP 5 * FROM invoices WHERE buy_customerID = " + customerID + " ORDER BY transdate DESC", objConn);
				} 
				else 
				{
					int invoiceID = Convert.ToInt32(Request.QueryString["invoiceID"]);
					objCommand = new SqlCommand("SELECT * FROM invoices WHERE buy_customerID = " + customerID + " AND invoiceID = " + invoiceID, objConn);
				}

				objConn.Open();
			
				//pipe that transfers all the information from database to the dataset
				SqlDataAdapter objDataAdapter = new SqlDataAdapter();
				objDataAdapter.SelectCommand = objCommand; //gonna use the command object
				DataSet objDSa = new DataSet();//create the virutal database
			
				objConn.Close();

				objDataAdapter.Fill(objDSa,"viewinvoices");

				DataTable objDT = new DataTable();
				objDT = objDSa.Tables[0];
				if (objDT.Rows.Count > 0) 
				{
					dgTransactions.DataSource = objDT;
					dgTransactions.DataBind();
				} 
				else 
				{
					lblTransactions.Visible = false;
					if (Request.QueryString["invoiceID"] != null)  
					{
						lblNoInvoices.Text = "Bad invoiceID";
					}
					lblNoInvoices.Visible = true;
				}
			} 
			else 
			{
				lblWelcome.Text = "Please log in to see your personalized page";
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ibSearch.Click += new System.Web.UI.ImageClickEventHandler(this.ibSearch_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void lnkEdit_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("customer_edit.aspx");
		}

		private void ibSearch_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
		
		}
		public void Grid_InvoiceCommand(Object sender, DataGridCommandEventArgs e) 
		{
			int invoiceID = Convert.ToInt32(dgTransactions.DataKeys[e.Item.DataSetIndex]);
        
			if (((LinkButton)e.CommandSource).CommandName == "Details") 
			{
				//view the vendors
				Response.Redirect("invoice.aspx?invoiceID=" + invoiceID);
				//dgInfo.DataSource = Warehouse.viewVendorsPerWarehouse(e.Item
			}
			else if(((LinkButton)e.CommandSource).CommandName == "Shipping")
			{
				Response.Redirect("viewStatus.aspx?invoiceID=" + invoiceID);
				//dgInfo.DataSource = Warehouse.viewProductsPerWarehouse(warehouseID);
			}
			else 
			{   
			}
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			if (txtInvoiceNumber.Text != "") 
			{
				Response.Redirect("customer.aspx?invoiceID=" + Convert.ToInt32(txtInvoiceNumber.Text));
			}
		}

	}
}
