using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using prinsess_inventory.Classes;
using System.Data.SqlClient;
using System.Configuration;

namespace prinsess_inventory
{
	/// <summary>
	/// Summary description for register.
	/// </summary>
	public class customer_edit : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result

		protected System.Web.UI.WebControls.TextBox txtSearch;
		protected System.Web.UI.WebControls.DropDownList ddlSearchBy;
		protected System.Web.UI.WebControls.ImageButton ibSearch;
		protected System.Web.UI.WebControls.DropDownList ddlProductType;
		protected System.Web.UI.WebControls.DropDownList ddlCategories;
		protected System.Web.UI.WebControls.ImageButton ibSearchCategories;
		protected System.Web.UI.WebControls.Label lblFirstName;
		protected System.Web.UI.WebControls.TextBox txtFirstName;
		protected System.Web.UI.WebControls.Label lblLastName;
		protected System.Web.UI.WebControls.TextBox txtLastName;
		protected System.Web.UI.WebControls.Label lblPassword;
		protected System.Web.UI.WebControls.TextBox txtPassword;
		protected System.Web.UI.WebControls.Label lblConfirmPassword;
		protected System.Web.UI.WebControls.TextBox txtConfirmPassword;
		protected System.Web.UI.WebControls.Label lblPasswordMatch;
		protected System.Web.UI.WebControls.Label lblEmail;
		protected System.Web.UI.WebControls.TextBox txtEmail;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator2;
		protected System.Web.UI.WebControls.Label lblPhone;
		protected System.Web.UI.WebControls.TextBox txtPhone;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
		protected System.Web.UI.WebControls.Panel Panel1;
		protected System.Web.UI.WebControls.ImageButton submitInfo;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Customers.fillPanel(Panel1, Session["customerID"]);
			Customers.loginCheck(this, Session["customerID"]);

			// Create the Manager 
			RollOverImageManager m = new RollOverImageManager(); 

			// Intialize the Image Controls 
			m.InitializeImage(ibSearch, "images/searchdown.jpg"); 
			m.InitializeImage(ibSearchCategories, "images/searchdown.jpg"); 

			// Load the Images (generate the JavaScript) 
			m.LoadImages(this); 
			if(!(Page.IsPostBack))
			{
				sqlConn = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringPhil"));
				sqlConn.Open();	// open the connection
			
				string strSql = "SELECT firstname, lastname, password, email, phone FROM customers WHERE customerID = " + Convert.ToInt32(Session["customerID"]);
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				if (sqlRdr.Read()) 
				{
					txtFirstName.Text = Convert.ToString(sqlRdr.GetValue(0));
					txtLastName.Text = Convert.ToString(sqlRdr.GetValue(1));
					txtEmail.Text = Convert.ToString(sqlRdr.GetValue(3));
					txtPhone.Text = Convert.ToString(sqlRdr.GetValue(4));
				}
				sqlRdr.Close();

				sqlConn.Close();

			}
			string type;
			if(ddlProductType.SelectedIndex == 0)
			{
				type = "CD";
			}
			else
			{
				type = "Book";
			}
			DataSet objDSa = Categories.getAllCategories(type);
			DataTable objDTCategories = new DataTable();
			objDTCategories = objDSa.Tables[0];
			ddlCategories.DataSource = objDTCategories;
				
			ddlCategories.DataValueField = "categoryID";
			ddlCategories.DataTextField = "categoryName";	
			ddlCategories.DataBind();

		


		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.submitInfo.Click += new System.Web.UI.ImageClickEventHandler(this.submitInfo_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void submitInfo_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//need to do some sort of insertion into the customers table and then 
			//do some redirection and set the session variable.
			bool proceed = true;


			if (txtPassword.Text != txtConfirmPassword.Text) { proceed = false; lblPasswordMatch.Visible = true;	} 
			else { lblPasswordMatch.Visible = false; }


			if (!proceed) 
			{
			} 
			else 
			{
				// all info checks out, insert it into the database
				sqlConn = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringPhil"));
				sqlConn.Open();	// open the connection
				
				// make the new customer
				// fields are firstname, lastname, username, password, email, phone
				string strSql = 
					"UPDATE customers " +
					" SET " +
					" firstname = '" + txtFirstName.Text + "'" + 
					", " + " lastname = '" + txtLastName.Text + "'" +
					", " + " email = '" + txtEmail.Text + "'" +
					", " + " phone = '" + txtPhone.Text + "'" +
					" WHERE customerID = " + Convert.ToInt32(Session["customerID"]);

				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlRdr.Close();
				
				if (txtPassword.Text != "") 
				{
					strSql = 
						"UPDATE customers " +
						" SET " +
						" password = '" + txtPassword.Text + "'" + 
						" WHERE customerID = " + Convert.ToInt32(Session["customerID"]);
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					sqlRdr.Close();
				}

				// Close the sql connection at the end
				sqlConn.Close();
				
				// redirect to welcome page

			}
		}
	}
}
