using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace phase2
{
	/// <summary>
	/// Summary description for products.
	/// </summary>
	public class products : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.Label searchLabel;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//string pid = Request.QueryString["search"];
			string type = Request.QueryString["Type"];
			string input = Request.QueryString["Input"];
			//if (pid == null) 
			if( type == null && input == null)
			{
				DataSet myDS = DBHandler.getAllProductsFromInventory();

				DataGrid1.DataSource = myDS;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;
				//searchLabel.Visible = false;
				searchLabel.Text = "Browse";
				searchLabel.Visible = true;
			}
			else if (type != null && input != null)
			{
				searchLabel.Text = "input: " + input + ", type: " + type;
				searchLabel.Visible = true;
				if(type.CompareTo("Title") == 0)
				{
					DataSet myDS = DBHandler.getProductsWhereTitleLike(input);

					DataGrid1.DataSource = myDS;
					DataGrid1.DataBind();
					DataGrid1.Visible = true;
					searchLabel.Text = "Matches with Title Like: " + input;
					searchLabel.Visible = true;
				}
				else if(type.CompareTo("AM") == 0)
				{
					DataSet myDS = DBHandler.getProductsWithAALike(input);

					DataGrid1.DataSource = myDS;
					DataGrid1.DataBind();
					DataGrid1.Visible = true;
					searchLabel.Text = "Matches with Author/Artist Like: " + input;
					searchLabel.Visible = true;
				}
				else if(type.CompareTo("Keywords") == 0)
				{
					DataSet myDS = DBHandler.getAllProductsFromInventory();

					DataGrid1.DataSource = myDS;
					DataGrid1.DataBind();
					DataGrid1.Visible = true;
					searchLabel.Text = "Matches with Keywords: " + input;
					searchLabel.Visible = true;
				}				
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
		
		}
	}
}
