using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace phase2
{
	/// <summary>
	/// Summary description for registration.
	/// </summary>
	public class registration : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=lingmann; pwd=em43erob; database=lingmann_billing";

		protected System.Web.UI.WebControls.TextBox fname;
		protected System.Web.UI.WebControls.TextBox lname;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator2;
		protected System.Web.UI.WebControls.TextBox Address;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator3;
		protected System.Web.UI.WebControls.TextBox City;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator4;
		protected System.Web.UI.WebControls.DropDownList StateList;
		protected System.Web.UI.WebControls.TextBox zipcode5;
		protected System.Web.UI.WebControls.TextBox zipcode4;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator5;
		protected System.Web.UI.WebControls.TextBox company;
		protected System.Web.UI.WebControls.TextBox dayphone;
		protected System.Web.UI.WebControls.TextBox dayphone_ext;
		protected System.Web.UI.WebControls.TextBox nightphone;
		protected System.Web.UI.WebControls.TextBox nightphone_ext;
		protected System.Web.UI.WebControls.TextBox email;
		protected System.Web.UI.WebControls.TextBox password;
		protected System.Web.UI.WebControls.TextBox ccNumber;
		protected System.Web.UI.WebControls.TextBox ccExpDate;
		protected System.Web.UI.WebControls.TextBox notes;
		protected System.Web.UI.WebControls.CheckBox mailingList;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator2;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator3;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator4;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator5;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator6;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator7;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator8;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.RegularExpressionValidator Regularexpressionvalidator9;
		protected System.Web.UI.WebControls.Button register;
		protected System.Web.UI.WebControls.Label EmailLabel;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator6;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected DataRow customerData;
		
		protected bool isLoggedIn;
		protected int customerID;
		protected System.Web.UI.WebControls.Label PageFuncLabel;
		protected string customerEmail;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			EmailLabel.Text = "";
			if (Session["customerID"] == null)
			{
				isLoggedIn = false;
				register.Text = "Register Me";
				PageFuncLabel.Text = "Register for a new account";
			}
			else
			{
				isLoggedIn = true;
				register.Text = "Update Account";
				PageFuncLabel.Text = "Update your account information";
				customerID = Convert.ToInt32(Session["customerID"]);

				try
				{
					customerData = DBHandler.getCustomerData(customerID).Tables[0].Rows[0];
					customerEmail = customerData["email"].ToString();

					// Run a hack-ish test to pre-populate the contents
					if (fname.Text == "" && lname.Text == "" && email.Text == "") 
					{
						fname.Text = customerData["firstName"].ToString();
						lname.Text = customerData["lastName"].ToString();
						Address.Text = customerData["address"].ToString();
						City.Text = customerData["city"].ToString();
						zipcode5.Text = customerData["zip5"].ToString();
						zipcode4.Text = customerData["zip4"].ToString();
						company.Text = customerData["company"].ToString();
						StateList.SelectedValue = customerData["state"].ToString();
						notes.Text = customerData["notes"].ToString();
						dayphone.Text = customerData["dayPhone"].ToString();
						dayphone_ext.Text = customerData["dayPhoneExt"].ToString();
						nightphone.Text = customerData["evePhone"].ToString();
						nightphone_ext.Text = customerData["evePhoneExt"].ToString();
						email.Text = customerData["email"].ToString();
						password.Text = customerData["password"].ToString();
						ccNumber.Text = customerData["ccNumber"].ToString();
						ccExpDate.Text = customerData["ccExpDate"].ToString();
						notes.Text = customerData["notes"].ToString();
						mailingList.Checked = Convert.ToBoolean(customerData["mailingList"].ToString());
					}
				}
				catch (Exception ex) 
				{
					// Do nothing
				}
			}

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.register.Click += new System.EventHandler(this.register_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void register_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT customerID FROM Customer WHERE email = '" + email.Text + "'";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows && email.Text != "" && customerEmail != email.Text)
			{
				EmailLabel.Text = "EMAIL IN USE";
				sqlRdr.Close();
			} 
			else 
			{	
				sqlRdr.Close();

				// Get a new unique customerID
				int newID = DBHandler.getUniqueCustomerID();
				
				int mailBit = mailingList.Checked ? 1 : 0;

				if (isLoggedIn) 
				{
					strSql = String.Format( @"
						UPDATE Customer
						SET firstName='{0}', lastName='{1}', address='{2}', city='{3}', state='{4}',
							zip5='{5}', zip4='{6}', company='{7}', dayPhone='{8}', dayPhoneExt='{9}',
							evePhone='{10}', evePhoneExt='{11}', email='{12}', password='{13}',
							ccNumber='{14}', ccExpDate='{15}', notes='{16}', mailingList='{17}'
						WHERE customerID='{18}'",
						fname.Text, lname.Text, Address.Text, City.Text, StateList.SelectedValue, zipcode5.Text,
						zipcode4.Text, company.Text, dayphone.Text, dayphone_ext.Text, nightphone.Text, nightphone_ext.Text,
						email.Text, password.Text, ccNumber.Text, ccExpDate.Text, notes.Text, mailBit, customerID);
				}
				else
				{
					strSql = String.Format( @"
						INSERT INTO Customer(customerID, firstName, lastName, address, city, state, 
							zip5, zip4, company, dayPhone, dayPhoneExt, evePhone, evePhoneExt, email, 
							password, ccNumber, ccExpDate, notes, mailingList) 
						VALUES('{0}', '{1}', '{2}', '{3}', '{4}', '{5}', '{6}', '{7}', '{8}', '{9}', '{10}', '{11}', '{12}', '{13}', '{14}', '{15}', '{16}', '{17}', '{18}')", 		
							newID, fname.Text, lname.Text, Address.Text, City.Text, StateList.SelectedValue, zipcode5.Text,
							zipcode4.Text, company.Text, dayphone.Text, dayphone_ext.Text, nightphone.Text, nightphone_ext.Text,
							email.Text, password.Text, ccNumber.Text, ccExpDate.Text, notes.Text, mailBit);

					// Update user session info
					Session["customerID"] = newID;
					Session["firstName"] = fname.Text;
					Session["lastName"] = lname.Text;
				}

				// Register the user

				sqlCom = new SqlCommand(strSql, sqlConn);
				sqlCom.ExecuteNonQuery();

				// Jump to the referring page
				// ... may want to just jump to main.aspx if this is problematic
				if (this.Request.ServerVariables["HTTP_REFERER"] != null) 
				{
					char delim = '/';
					string[] refurl = this.Request.ServerVariables["HTTP_REFERER"].Split(delim);
					if (refurl[4].Equals("registration.aspx")) 
					{
						Response.Redirect("main.aspx");
					}
					else
					{
						Response.Redirect(refurl[4]);
					}
				}
				else 
				{
					Response.Redirect("main.aspx");
				}
			}

			sqlConn.Close();
		
		}
	}
}
