using System;

namespace PageInheritanceSample
{
	/// <summary>
	/// Summary description for SimplePageInheritance.
	/// </summary>
	public class SimplePageInheritanceBase : PageBase
	{
		protected override void Render(System.Web.UI.HtmlTextWriter writer)
		{
			// First we will build up the html document, the head section
			// and the body section.
			writer.Write( @"
				<html>
					<head>
						<title>" + PageTitle + @"</title>
					</head>
					<body>
						<table bgcolor='silver' width='100%'>
						<tr>
							<td colspan=2><h1>Our Page Header</h1></td>
						</tr>
						<tr>
							<td>
								Menu:
								<ul>
									<li><a href='Page1.aspx'>Page 1</a></li>
									<li><a href='Page2.aspx'>Page 2</a></li>
								</ul>
							</td>
							<td bgcolor='white'>
			");

			// The base class will render the controls from the
			// derived .ASPX file.
			base.Render(writer);
	
			writer.Write( @"
							</td>							
						</tr>
						<tr>
							<td colspan=2><small>This is our footer</small></td>
						</tr>
						</table>	
					</body>
				</html>
			");
		}
	}
}
