using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlTypes;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
// asdfasdf

namespace phase2
{
	/// <summary>
	/// Summary description for products.
	/// </summary>
	public class checkout2 : System.Web.UI.Page
	{

		private int customerID;
		protected System.Web.UI.WebControls.Button PreviousButton;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DropDownList DropDownList1;
		protected System.Web.UI.WebControls.TextBox CreditCardNoBox;
		protected System.Web.UI.WebControls.DropDownList DropDownList2;
		protected System.Web.UI.WebControls.Button CompleteOrderButton;
		protected System.Web.UI.WebControls.DropDownList DropDownList3;
		protected System.Web.UI.WebControls.Label Partner1Label;
		protected Object[][] ShipDisplay;
		protected System.Web.UI.WebControls.DropDownList Partner1ShipMethodDropDownList;
		protected System.Web.UI.WebControls.Label Partner2Label;
		protected System.Web.UI.WebControls.DropDownList Partner2ShipMethodDropDownList;
		protected System.Web.UI.WebControls.Repeater Repeater1;
		protected System.Web.UI.WebControls.Label Partner3Label;
		protected System.Web.UI.WebControls.Label Partner4Label;
		protected System.Web.UI.WebControls.Label Partner5Label;
		protected System.Web.UI.WebControls.DropDownList Partner3ShipMethodDropDownList;
		protected System.Web.UI.WebControls.DropDownList Partner4ShipMethodDropDownList;
		protected System.Web.UI.WebControls.DropDownList Partner5ShipMethodDropDownList;
		private DataRow customerData;
		protected Hashtable shipping;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["customerID"] == null || Session["cart"] == null)
			{
				Response.Redirect("main.aspx");
			}
			else
			{
				customerID = Convert.ToInt32(Session["customerID"]);
				DataSet shoppingCart = DBHandler.getShoppingCart(customerID);
				DataGrid1.DataSource = shoppingCart;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;

				//ShipDisplay[][] = new Object[5][3];

				Hashtable shipPartners = new Hashtable();
				shipping = new Hashtable();
				Cart myCart = (Cart)Session["cart"];
				if(myCart != null)
				{
					String destination = myCart.city;	
					int i = 1;
					foreach (DataTable t in shoppingCart.Tables)
					{
						foreach (DataRow r in t.Rows)
						{
							if (!shipPartners.Contains(r["partnerID"]))
							{
								shipPartners.Add(r["partnerID"], true);				
								if(i == 1)
								{
									Partner1Label.Text = (String)r["partnerID"];
									Partner1Label.Visible = true;
									this.loadDropDown(Partner1ShipMethodDropDownList,(String)r["partnerID"],destination);
									Partner1ShipMethodDropDownList.Visible = true;
									shipping.Add((String)r["partnerID"],Partner1ShipMethodDropDownList.SelectedValue);
									i++;
								}
								else if(i == 2)
								{
									Partner2Label.Text = (String)r["partnerID"];
									this.loadDropDown(Partner2ShipMethodDropDownList,(String)r["partnerID"],destination);
									Partner2Label.Visible = true;
									Partner2ShipMethodDropDownList.Visible = true;
									shipping.Add((String)r["partnerID"],Partner2ShipMethodDropDownList.SelectedValue);
									i++;
								}
								else if( i == 3)
								{
									Partner3Label.Text = (String)r["partnerID"];
									this.loadDropDown(Partner3ShipMethodDropDownList,(String)r["partnerID"],destination);
									shipping.Add((String)r["partnerID"],Partner3ShipMethodDropDownList.SelectedValue);
									i++;
									Partner3Label.Visible = true;
									Partner3ShipMethodDropDownList.Visible = true;
								}
								else if(i == 4)
								{
									Partner4Label.Text = (String)r["partnerID"];
									this.loadDropDown(Partner4ShipMethodDropDownList,(String)r["partnerID"],destination);
									shipping.Add((String)r["partnerID"],Partner4ShipMethodDropDownList.SelectedValue);
									i++;
									Partner4Label.Visible = true;
									Partner4ShipMethodDropDownList.Visible = true;
								}
								else if(i == 5)
								{
									Partner5Label.Text = (String)r["partnerID"];
									this.loadDropDown(Partner5ShipMethodDropDownList,(String)r["partnerID"],destination);
									shipping.Add((String)r["partnerID"],Partner5ShipMethodDropDownList.SelectedValue);
									i++;
									Partner5Label.Visible = true;
									Partner5ShipMethodDropDownList.Visible = true;
								}
							}
						}
					}
				}

//				int i = 1;
				foreach (string partnerID in shipPartners.Keys)
				{
										
					//					switch (i
//					{
//
//
//					Partner1Label.Text
//					Response.Write("PARTNER ID " + partnerID + "<BR>");
//					i = i + 1;
				}

				updateCC();
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DropDownList2.SelectedIndexChanged += new System.EventHandler(this.DropDownList2_SelectedIndexChanged);
			this.PreviousButton.Click += new System.EventHandler(this.PreviousButton_Click);
			this.CompleteOrderButton.Click += new System.EventHandler(this.NextButton_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void NextButton_Click(object sender, System.EventArgs e)
		{
			int invoiceNum = DBHandler.addInvoice(customerID, ((Cart)Session["cart"]).recipient, "", "FedEX", "CC");
			DBHandler.addItems(invoiceNum, customerID, new SqlMoney(10.00), "SeattleWarehouse", "FedEx", "4522352125");
			string filePath = Server.MapPath(".\\orders\\");
			DBHandler.writeOrdersForCustomer(customerID, ((Cart)Session["cart"]).recipient, filePath, shipping);
			DBHandler.clearShoppingCart(customerID);
			Response.Redirect("thanks.aspx");
		}

		private void PreviousButton_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("checkout.aspx");
		}

		private void DropDownList2_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			updateCC();
		}

		private void updateCC()
		{
			if (DropDownList2.SelectedValue == "CC")
			{
				CreditCardNoBox.Visible = true;

				if (CreditCardNoBox.Text == "") 
				{
					try 
					{
						DataRow customerData = DBHandler.getCustomerData(customerID).Tables[0].Rows[0];
						CreditCardNoBox.Text = customerData["ccNumber"].ToString();
					}
					catch (Exception ex)
					{
					}
				}
			}
			else
			{
				CreditCardNoBox.Visible = false;
			}
		}

		public void loadDropDown(DropDownList ddl, String name, String city)
		{
			DataSet result; 
			if(name != "444l")
			{
				result = DBHandler.getPartnerShippingMethodsForCity(name,city);
			}
			else
			{
				result = DBHandler.getShippingMethodsForCity(city);
			}

			DataTable dt = new DataTable();
			dt.Columns.Add(new DataColumn("ShippingText", typeof(String)));
			dt.Columns.Add(new DataColumn("ShippingValue", typeof(String)));

			foreach(DataTable myTable in result.Tables)
			{
				foreach(DataRow myRow in myTable.Rows)
				{			
					string id = "";
					string vendor = "";
					string option = "";
					foreach(DataColumn myColumn in myTable.Columns)
					{
						if(myColumn.ToString() == "methodID")
						{
							id = myRow[myColumn].ToString();							
						}
						else if(myColumn.ToString() == "companyName")
						{
							vendor = myRow[myColumn].ToString();
						}
						else if(myColumn.ToString() == "methodName")
						{
							option = myRow[myColumn].ToString();
						}
					}
					DataRow dr = dt.NewRow();
					dr[0] = vendor + "-" + option;
					dr[1] = id;
					dt.Rows.Add(dr);
				}
			}
			DataView dv = new DataView(dt);
			ddl.DataSource = dv;
			ddl.DataTextField = "ShippingText";
			ddl.DataValueField = "ShippingValue";
			ddl.DataBind();
		}

	}	
}
