using System.Data;

namespace myprj
{
	// Calculate shipping cost
	public class MyShipping 
	{
		public static DataView costView(int wareID, int numItems, double weight)
		{
			DataView shipView;
			string q, p, m;

			MyDB.setDB("shipping");
					
			p = "SELECT shipoption, m.vendorname, dlvrytime, price=rateperunit*"+weight+
				" FROM methods as m,warehouses as w "+
				"WHERE ratingunit='weight' "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems "+
				"AND warehouseID="+wareID+
				" AND m.vendorname=w.vendorname "+
				"UNION "+
				"SELECT shipoption, m.vendorname, dlvrytime, price=rateperunit*"+numItems+
				" FROM methods as m,warehouses as w "+
				"WHERE ratingunit='items' "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems "+
				"AND warehouseID="+wareID+
				" AND m.vendorname=w.vendorname "+
				"UNION "+
				"SELECT shipoption, m.vendorname, dlvrytime, price=fixedrate "+
				"FROM methods as m,warehouses as w "+
				"WHERE isfixedrate=1 "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems "+
			    "AND warehouseID="+wareID+
				" AND m.vendorname=w.vendorname";
						
			m = "SELECT shipoption, min(price) as minprice "+
                "FROM ("+p+") as sq "+
				"GROUP BY shipoption";

			q = "SELECT p.shipoption, p.vendorname, p.price, p.dlvrytime "+
				"FROM ("+m+") as m, "+
				"     ("+p+") as p "+
				"WHERE m.shipoption=p.shipoption AND "+
				"      p.price=m.minprice";

			shipView = MyDB.getView(q);
			shipView.Sort = "shipoption, price";
			MyDB.setDB("inventory");

			return shipView;
		}
	}
}