using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


namespace Femron
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlComShip; // Declare a command object for retreiving delivery address
		private string strSqlString = "server=IISQLSRV; uid=msl3; pwd=kmaart; database=lidstrom_billing";
		private string accountID;
		private string city;
		private string state;
		private string address;
		private DataSet shippingInfo;

		private void Page_Load(object sender, System.EventArgs e)
		{
			this.accountID = this.Request["accountID"];
			this.city = this.Request["city"];
			this.state = this.Request["state"];
			this.address = this.Request["address"];
				
			if(!this.IsPostBack)
			{
                shippingInfo = this.getShippingInfo();				
			}

			
			// Put user code to initialize the page here
		}


		private DataSet getShippingInfo()
		{
			DataSet result = new DataSet();

			this.sqlConn = new SqlConnection(strSqlString);
			this.sqlConn.Open();


			// LOOK FOR A WAREHOUSE THAT CAN SUPPLY ALL ITEMS IN A CART AND IS IN THE SAME CITY AS BUYER

			this.sqlComShip = new SqlCommand("sultan_inventory.dbo.sp_findStockedWarehouseInCity",sqlConn);
			this.sqlComShip.Parameters.Add("@accountID",this.accountID);
			this.sqlComShip.Parameters.Add("@city",this.city);
			this.sqlComShip.CommandType = CommandType.StoredProcedure;

			(new SqlDataAdapter(this.sqlComShip)).Fill(result);
			
			//if found return that result
			if(result.Tables[0].Rows.Count > 0)
				return result;


			// LOOK FOR A WAREHOUSE THAT CAN SUPPLY ALL ITEMS IN A CART

			this.sqlComShip = new SqlCommand("sultan_inventory.dbo.sp_findStockedWarehouse",sqlConn);
			this.sqlComShip.Parameters.Add("@accountID",this.accountID);
			this.sqlComShip.CommandType = CommandType.StoredProcedure;

			(new SqlDataAdapter(this.sqlComShip)).Fill(result);

			//if found return that result
			if(result.Tables[0].Rows.Count > 0)
				return result;


			// FIND A LIST OF WAREHOUSES THAT CAN SUPPLY A CART

			ArrayList warehouseList = (new Femron.ShoppingCart(accountID, sqlConn)).getWarehouseList();

			//if none are found then the cart can't be purchased -- panic attack!
			if(warehouseList == null)
				return result;

			result.Tables[0].Columns.Add();
			result.Tables[0].Columns.Add();
			result.Tables[0].Columns.Add();
			result.Tables[0].Columns[0].ColumnName = "WarehouseID";
			result.Tables[0].Columns[1].ColumnName = "quantity";
			result.Tables[0].Columns[2].ColumnName = "ItemID";
			for(int i = 0; i < warehouseList.Count; i++)
			{
				result.Tables[0].Rows[i][0] = ((string [])(warehouseList[i]))[0];
				result.Tables[0].Rows[i][1] = ((string [])(warehouseList[i]))[1];
				result.Tables[0].Rows[i][2] = ((string [])(warehouseList[i]))[2];
			}

			return result;
		}



		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
