using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


namespace Femron
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class ShippingAddress : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox txtAddress;
		protected System.Web.UI.WebControls.TextBox txtCity;
		protected System.Web.UI.WebControls.TextBox txtState;
		protected System.Web.UI.WebControls.TextBox txtZipCode;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;

		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlComAddress; // Declare a command object for retreiving delivery address

		private string strSqlString = "server=IISQLSRV; uid=msl3; pwd=kmaart; database=lidstrom_billing";
		protected System.Web.UI.WebControls.TextBox txtName;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.LinkButton btnBack;
		private string accountID;
			
		private void Page_Load(object sender, System.EventArgs e)
		{
			this.accountID = this.Request["accountID"];
	
			this.sqlConn = new SqlConnection(strSqlString);
			this.sqlConn.Open();

			this.sqlComAddress = new SqlCommand("sp_getAddressInfo",sqlConn);
			this.sqlComAddress.Parameters.Add(new SqlParameter("@accountID", accountID));

			this.sqlComAddress.CommandType = CommandType.StoredProcedure;
			DataSet data = new DataSet();
			(new SqlDataAdapter(this.sqlComAddress)).Fill(data);

			//populate the text fields with the information from account
			this.txtAddress.Text = (string)data.Tables[0].Rows[0][0];
			this.txtCity.Text = (string)data.Tables[0].Rows[0][1];
			this.txtState.Text = (string)data.Tables[0].Rows[0][2];
			this.txtZipCode.Text = (string)data.Tables[0].Rows[0][3];
			this.txtName.Text = (string)data.Tables[0].Rows[0][4] + " " + (string)data.Tables[0].Rows[0][5];
		}

	
	#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.btnBack.Click += new System.EventHandler(this.btnBack_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			this.Response.Redirect("ShippingInfo.aspx?accountID="+accountID+"&address="+txtAddress.Text+"&city="+txtCity.Text+"&zipCode="+txtZipCode.Text);
		}

		private void btnBack_Click(object sender, System.EventArgs e)
		{
			this.Response.Redirect("ShoppingCart.aspx?accountID=" + accountID);
		}


	}
    
}
