<%@ Page language="c#" Codebehind="createlogin.aspx.cs" AutoEventWireup="false" Inherits="foofaraw.createlogin" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Foofaraw.com - Login Page</title>
		<LINK href="style_sheets/main.css" type="text/css" rel="stylesheet">
		<LINK href="style_sheets/login.css" type="text/css" rel="stylesheet">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<div class="container"><A href="entrypage.aspx"><IMG src="foo.jpg" border="0"></A> <!-- #include file="includes/header.inc" -->  <!-- #include file="includes/navbar.inc" -->
			<div class="content">
				<p class="title">Login Page</p>
				<form id="Form1" method="post" runat="server">
					<p>Enter your personal information into the form below to create an account with 
						Foofaraw.com</p>
					<div class="newloginbox">
						<div class="left">
							<div class="entry">New Login:
								<asp:textbox id="NewName" runat="server"></asp:textbox></div>
							<div class="entry">Password:
								<asp:textbox id="NewPassword" runat="server" Columns="22" TextMode="Password"></asp:textbox></div>
							<div class="entry">Verify Password:
								<asp:textbox id="NewPasswordCheck" runat="server" Columns="22" TextMode="Password"></asp:textbox></div>
						</div>
						<div class="right">
							<div class="entry">First Name:
								<asp:TextBox id="NewFirstName" runat="server"></asp:TextBox></div>
							<div class="entry">Last Name:
								<asp:TextBox id="NewLastName" runat="server"></asp:TextBox></div>
							<div class="entry">Email Address:
								<asp:TextBox id="NewEmail" runat="server"></asp:TextBox></div>
							<div class="entry">Phone Number:
								<asp:TextBox id="PhoneNumber" runat="server"></asp:TextBox></div>
						</div>
						<div class="center">
							<div class="entry">Street Address:
								<asp:TextBox id="NewAddress" runat="server" Columns="67"></asp:TextBox></div>
						</div>
						<div class="left">
							<div class="entry">City:
								<asp:TextBox id="NewCity" runat="server"></asp:TextBox></div>
						</div>
						<div class="right">
							<div class="entry">State:
								<asp:TextBox id="NewState" runat="server"></asp:TextBox></div>
							<div class="entry">Zip Code:
								<asp:TextBox id="NewZip" runat="server"></asp:TextBox></div>
						</div>
						<asp:LinkButton id="NewLogin" runat="server">Create Login</asp:LinkButton>
					</div>
					<p class="error">
						<asp:Label id="NewLoginErrorBox" runat="server"></asp:Label>
						<asp:RegularExpressionValidator id="Validator1" ControlToValidate="NewPassword" ValidationExpression="[0-9a-zA-Z]{5,}"
							Display="Dynamic" runat="server">
							Password must be at least five letters or characters.<br />
						</asp:RegularExpressionValidator>
						<asp:RequiredFieldValidator id="Validator2" ControlToValidate="NewName" Display="Dynamic" runat="server">
							Login cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator1" ControlToValidate="NewFirstName" Display="Dynamic"
							runat="server">
							First name cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator2" ControlToValidate="NewLastName" Display="Dynamic" runat="server">
							Last Name cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator3" ControlToValidate="NewAddress" Display="Dynamic" runat="server">
							Address cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator4" ControlToValidate="NewCity" Display="Dynamic" runat="server">
							City cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator5" ControlToValidate="NewState" Display="Dynamic" runat="server">
							State cannot be blank.<br />
						</asp:RequiredFieldValidator>
						<asp:RequiredFieldValidator id="Requiredfieldvalidator6" ControlToValidate="NewZip" Display="Dynamic" runat="server">
							Zipcode cannot be blank.<br />
						</asp:RequiredFieldValidator>
					</p>
				</form>
			</div>
			<div class="footer">Copyright 2005, Foofaraw.com</div>
		</div>
	</body>
</HTML>
