<%@ Page language="c#" Codebehind="list_inventory.aspx.cs" AutoEventWireup="false" Inherits="chuggins.list_inventory" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>View Inventory</title>
		<LINK href="book.css" type="text/css" rel="stylesheet">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
<div class="container">

<a href="entrypage.aspx"><img src="foo.jpg" border="0"></a>

<div class="header">
<a href="">Order History</a>
<a href="">View Cart</a>
</div>

<div class="navbox">
<a href="index.aspx">Inventory Home</a>
<a href="list_inventory.aspx">View Inventory</a>
<a href="outstock.aspx">Out of Stock</a>
<a href="searchinventory.aspx">Search Inventory</a>
<a href="showbookdetail.aspx">Find Book</a>
<a href="showmusicdetail.aspx">Find Music</a>
<a href="warehouse.aspx">Warehouses</a>
</div>

<div class="content">
<p class="title">View Inventory</p>
<p>Below are the books and music items currently availible at the company's wharehouses.
To view detailed information on a particular item, select its ID number.</p>
<form id="Form1" method="post" runat="server">
	<h3>Books</h3>
	<asp:DataGrid id="DataGrid1" runat="server" AutoGenerateColumns="False">
		<Columns>
			<asp:HyperLinkColumn DataNavigateUrlField="isbn" DataNavigateUrlFormatString="showbookdetail.aspx?id={0}"
				DataTextField="ISBN" HeaderText="ISBN"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="Title" HeaderText="Title"></asp:BoundColumn>
			<asp:BoundColumn DataField="Publisher" HeaderText="Publisher"></asp:BoundColumn>
			<asp:BoundColumn DataField="NumberAvailible" HeaderText="Quantity"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
	<br>
	<br>
	<h3>Music</h3>
	<asp:DataGrid id="DataGrid2" runat="server" AutoGenerateColumns="False">
		<Columns>
			<asp:HyperLinkColumn DataNavigateUrlField="cdid" DataNavigateUrlFormatString="showmusicdetail.aspx?id={0}"
				DataTextField="cdid" HeaderText="CDID"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="Title" HeaderText="Title"></asp:BoundColumn>
			<asp:BoundColumn DataField="RecordCompany" HeaderText="Record Company"></asp:BoundColumn>
			<asp:BoundColumn DataField="NumberAvailible" HeaderText="Quantity"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
</form>
</div>

<div class="footer">Copyright 2005, Foofaraw.com</div>

</div>
	</body>
</HTML>
