using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace chuggins
{
	/// <summary>
	/// Summary description for list_inventory.
	/// </summary>
	public class list_inventory : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		private string strSqlString = "server=IISQLSRV; uid=chuggins; pwd=moocow; database=chuggins_inventory";

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			string strSqlbook = "select isbn AS ISBN,title AS Title,publishers.name AS Publisher,SUM(availible) AS NumberAvailible " +
								"from books,publishers,wharehouses,book_inv " +
								"where book_inv.bookid=books.isbn " +
								"and publisher=publishers.id " +
								"and book_inv.location=wharehouses.id " +
								"group by isbn,title,publishers.name " +
								"order by isbn";
			string strSqlmusic = "select cdid AS CDID,title AS Title,record_companies.name AS RecordCompany,SUM(availible) AS NumberAvailible " +
								 "from music,record_companies,wharehouses,music_inv " +
								 "where music_inv.musicid=music.cdid " +
								"and recordco=record_companies.id " +
								"and music_inv.location=wharehouses.id " +
								 "group by cdid,title,record_companies.name " +
								 "order by cdid";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSqlbook, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				DataGrid1.DataSource = sqlRdr;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;
			}
			sqlRdr.Close();

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSqlmusic, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				DataGrid2.DataSource = sqlRdr;
				DataGrid2.DataBind();
				DataGrid2.Visible = true;
			}
			sqlRdr.Close();
			

			// Close the sql connection at the end
			sqlConn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DataGrid1.SelectedIndexChanged += new System.EventHandler(this.DataGrid1_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DataGrid1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	}
}
