using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using foofaraw.transactions;

namespace foofaraw
{
	/// <summary>
	/// Summary description for createlogin.
	/// </summary>
	public class createlogin : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.RegularExpressionValidator Validator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator Validator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator3;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator4;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator5;
		protected System.Web.UI.WebControls.RequiredFieldValidator Requiredfieldvalidator6;
		protected System.Web.UI.WebControls.LinkButton NewLogin;
		protected System.Web.UI.WebControls.TextBox NewName;
		protected System.Web.UI.WebControls.TextBox NewEmail;
		protected System.Web.UI.WebControls.TextBox NewPassword;
		protected System.Web.UI.WebControls.TextBox NewPasswordCheck;
		protected System.Web.UI.WebControls.TextBox NewFirstName;
		protected System.Web.UI.WebControls.TextBox NewLastName;
		protected System.Web.UI.WebControls.TextBox PhoneNumber;
		protected System.Web.UI.WebControls.TextBox NewAddress;
		protected System.Web.UI.WebControls.TextBox NewCity;
		protected System.Web.UI.WebControls.TextBox NewZip;
		protected System.Web.UI.WebControls.TextBox NewState;
		protected System.Web.UI.WebControls.Label NewLoginErrorBox;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;

		private string nextpage;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			nextpage = Request.QueryString["next"];
			if(nextpage==null)
				nextpage = "loginsuccess.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    			
			this.NewLogin.Click += new System.EventHandler(this.NewLogin_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		
		private void NewLogin_Click(object sender, System.EventArgs e)
		{
			Login LoginController = (Login) Session["Login"];
			if(!LoginController.CheckIfLoginUnique(NewName.Text))
				NewLoginErrorBox.Text = "Login name already exists.  Please choose a different one and try again.";
			else if(!LoginController.CheckIfPasswordsMatch(NewPassword.Text,NewPasswordCheck.Text))
				NewLoginErrorBox.Text = "Password entries did not match.  Please try again.";
			else if(!LoginController.AddNewUser(NewName.Text,NewPassword.Text,
				NewPasswordCheck.Text,NewFirstName.Text,NewLastName.Text,
				NewEmail.Text,PhoneNumber.Text,NewAddress.Text,NewCity.Text,
				NewState.Text,NewZip.Text)) 
			{
				NewLoginErrorBox.Text = "Login failed on SQL execution.  Please shoot the database administrators.";
			}
			else 
			{
				LoginController.LoginUser();				
				Response.Redirect(nextpage);
			}
					
		}
	}
}
