using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using foofaraw.transactions;

namespace foofaraw
{
	/// <summary>
	/// Summary description for transactionConfirm.
	/// </summary>
	public class transactionConfirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataList BookCart;
		protected System.Web.UI.WebControls.DataList MusicCart;
		protected System.Web.UI.WebControls.Label lSubTotal;
		protected System.Web.UI.WebControls.Label lTax;
		protected System.Web.UI.WebControls.Label lShipping;
		protected System.Web.UI.WebControls.Label lTotal;
		protected System.Web.UI.WebControls.TextBox tPaymentType;
		protected System.Web.UI.WebControls.TextBox tNameOnCard;
		protected System.Web.UI.WebControls.TextBox tCardNumber;
		protected System.Web.UI.WebControls.TextBox tExpDate;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)

			{
				Transaction trans = (Transaction) Session["transaction"];
				if (trans != null) 
				{
					bind();
					Session["transaction"] = null;
					Session["MyShoppingCart"]=new ShoppingCart ();;
				} 
				else
				{
					Response.Redirect("index.aspx");
				}
			}
		}

		private void bind()
		{
			// Put user code to initialize the page here
			ShoppingCart cart = (ShoppingCart) Session["MyShoppingCart"];
			if (cart != null) 
			{
				BookCart.DataSource = cart.BookOrders;
				BookCart.DataBind();
				MusicCart.DataSource = cart.MusicOrders;
				MusicCart.DataBind();
				Transaction trans = (Transaction) Session["transaction"];												 

				lSubTotal.Text = String.Format("{0:c}",trans.subTotal);
				lTax.Text = String.Format("{0:c}",trans.costTax);
				lShipping.Text = String.Format("{0:c}",trans.costShipping);
				lTotal.Text = String.Format("{0:c}",trans.TotalCost);
				
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
