SET ROWCOUNT 100000
SELECT book.isbn, book.title, book.genre AS category, author.fname AS fn, author.lname AS ln, book.publisher, bookkeyword.keyword, CAST(book.price AS decimal(10,2)) AS price, CAST(CASE WHEN discounts.discount IS NULL THEN book.price ELSE (book.price - discounts.discount) END AS decimal(10,2)) AS discountPrice, stock.numstock AS quantity
FROM authors AS author,bookkeywords AS bookkeyword, books AS book LEFT OUTER JOIN discounts ON book.isbn=discounts.itemid,stock
WHERE book.isbn = author.isbn AND bookkeyword.isbn = book.isbn AND stock.itemid=book.isbn
FOR XML AUTO, ELEMENTS

SET ROWCOUNT 100000
SELECT music.id, music.title AS albumName, music.genre, artist.artist, music.recordcompany AS recordingCompany, CAST(music.price AS decimal(10,2)) AS price, CAST(CASE WHEN discounts.discount IS NULL THEN music.price ELSE (music.price - discounts.discount) END AS decimal(10,2)) AS discountPrice, stock.numstock AS quantity
FROM artists AS artist, cds AS music LEFT OUTER JOIN discounts ON music.id=discounts.itemid,stock
WHERE music.id = artist.id AND stock.itemid=music.id
FOR XML AUTO, ELEMENTS