using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;

namespace cse444project
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			string[] itemType = {"book", "CD"};
			string[] itemID = {"1234567", "25326"};
			string[] itemName = {"super plush doll", "second Item's name here"};
			int[] qty = {1,5};
		WriteOrder("fakeCompany", itemType, itemID, itemName, qty, 
				"5", "4600 22nd Ave", "Seattle", "WA", "98105", "555-5555", "555-1234");
			// Put user code to initialize the page here
		}
		public void WriteOrder(string company, string[] itemType, string[] itemID, 
			string[] itemName, int[] qty, string shippingMethod, string streetAddr, 
			string city, string state, string zip, string phoneNum, string faxNum)
		{
			/* create order xml */
			string order = "<order><issuingCompany>fsycpf</issuingCompany><partnerCompany>" + company + "</partnerCompany>";
			// Append the products
			for(int i = 0; i<itemID.Length;i++)
			{
				order += "<product><type>" + itemType[i] + "</type>" +
					"<identifier>" + itemID[i] + "</identifier>" +
					"<name>" + itemName[i] + "</name>" +
					"<quantity>" + qty[i] + "</quantity>" + 
					"</product>";
			}
			// Append shipping method
			order += "<shippingMethod>" + shippingMethod + "</shippingMethod>";
			// Append customer's address
			order += "<destination>" + 
				"<address>" + streetAddr + "</address>" +
				"<city>" + city + "</city>" +
				"<state>" + state + "</state>" +
				"<zip>" + zip + "</zip>" +
				"<contact>" +
				"<tel>" + phoneNum + "</tel>" +
				"<fax>" + faxNum + "</fax>" +
				"</contact>" +
				"</destination>" +
				"</order>";

			/* output the xml to file */
			string file = Server.MapPath(".\\orders\\") + company + ".xml";
			StreamWriter output = new StreamWriter(file);
			output.Write(order);
			output.Flush();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
