using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace cse444project
{
	/// <summary>
	/// Summary description for UpdateAccount.
	/// </summary>
	public class UpdateAccount : Template
	{
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.TextBox CellBox;
		protected System.Web.UI.WebControls.TextBox LNameBox;
		protected System.Web.UI.WebControls.TextBox FNameBox;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.TextBox WorkBox;
		protected System.Web.UI.WebControls.TextBox AgeBox;
		protected System.Web.UI.WebControls.TextBox HomeBox;
		protected System.Web.UI.WebControls.TextBox EMailBox;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Label Label15;
		protected System.Web.UI.WebControls.TextBox AddrBox;
		protected System.Web.UI.WebControls.TextBox CityBox;
		protected System.Web.UI.WebControls.TextBox StateBox;
		protected System.Web.UI.WebControls.Label Label16;
		protected System.Web.UI.WebControls.TextBox ZipBox;
		protected System.Web.UI.WebControls.Label Label17;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Button UpdateButton;
		protected System.Web.UI.WebControls.Label LogLabel;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Button LoadButton;
		private string username;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Title = "Update User Account Info";
			// Put user code to initialize the page here
			try
			{
				username = Session.Contents["username"].ToString();
			}
			catch(Exception)
			{
				Server.Transfer("Login.aspx");
				username = "";
			} 
			LogLabel.Text = username;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.UpdateButton.Click += new System.EventHandler(this.UpdateButton_Click);
			this.LoadButton.Click += new System.EventHandler(this.LoadButton_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void UpdateButton_Click(object sender, System.EventArgs e)
		{
			string sqlStr = " UPDATE phil60_shipping.dbo.customers " +
							" SET phil60_shipping.dbo.customers.firstname = '" + FNameBox.Text + "', phil60_shipping.dbo.customers.lastname = '" + LNameBox.Text + "', phil60_shipping.dbo.customers.cellphone = '" + 
							CellBox.Text + "', phil60_shipping.dbo.customers.age = " + AgeBox.Text + ", phil60_shipping.dbo.customers.workphone = '" + WorkBox.Text + "', phil60_shipping.dbo.customers.homephone = '" + 
							HomeBox.Text + "', phil60_shipping.dbo.customers.email = '" + EMailBox.Text + "' " +
							" Where phil60_shipping.dbo.customers.username = '"+username+"' ";

			System.Diagnostics.Debug.WriteLine(sqlStr);

			string sqlStr2 = " UPDATE phil60_shipping.dbo.Addresses " +
							" SET phil60_shipping.dbo.Addresses.streetaddress = '" + AddrBox.Text + "', phil60_shipping.dbo.Addresses.city = '" +
							CityBox.Text + "', phil60_shipping.dbo.Addresses.state = '" + StateBox.Text + "', phil60_shipping.dbo.Addresses.zip = '" + ZipBox.Text + "' " +
							" Where phil60_shipping.dbo.addresses.username = '"+username+"' ";

			QueryHelper.ExecuteNonQuery(sqlStr);

			QueryHelper.ExecuteNonQuery(sqlStr2);
			
		}

		private void LoadButton_Click(object sender, System.EventArgs e)
		{
			string sqlStr = "Select C.firstname, C.lastname, C.cellPhone, C.Age, C.workPhone, C.Sex, C.Homephone, C.Email, A.streetAddress, A.City, A.state, A.zip "+
				"From phil60_shipping.dbo.Customers C, phil60_shipping.dbo.Addresses A "+
				"Where A.username = C.username "+
				"AND C.username = '"+username+"' ";
			DataTable dt = QueryHelper.ExecuteQuery(sqlStr).Tables[0];
			DataRow dr = (DataRow) (dt.Rows[0]);

			FNameBox.Text = dr[0].ToString();
			LNameBox.Text = dr[1].ToString();
			CellBox.Text = dr[2].ToString();
			AgeBox.Text = dr[3].ToString();
			WorkBox.Text = dr[4].ToString();
			HomeBox.Text = dr[6].ToString();
			EMailBox.Text = dr[7].ToString();
			AddrBox.Text = dr[8].ToString();
			CityBox.Text = dr[9].ToString();
			StateBox.Text = dr[10].ToString();
			ZipBox.Text = dr[11].ToString();
		}
	}
}
