<%@ Register TagPrefix="gibble" TagName="LoginStatus" Src="LoginStatus.ascx" %>
<%@ Register TagPrefix="gibble" TagName="Navigation" Src="Navigation.ascx" %>
<%@ Page language="c#" Codebehind="MyAccount.aspx.cs" AutoEventWireup="false" Inherits="gibble.MyAccount" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>My Account</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="gibble.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div class="content">
				<h1>Gibble.com</h1>
				<gibble:loginstatus id="loginstatus" runat="server"></gibble:loginstatus>
				<h2>My Account</h2>
				<gibble:navigation id="nav" runat="server"></gibble:navigation>
				<div class="text">
					<p><asp:label id="lblError" runat="server"></asp:label></p>
					<table>
						<tr>
							<td>E-mail:</td>
							<td><asp:label id="lblUserEmail" runat="server" Width="304px"></asp:label></td>
						</tr>
						<tr>
							<td>First Name:</td>
							<td><asp:textbox id="txtFname" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator1" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtFname" ValidationExpression="[a-zA-Z]+"></asp:RegularExpressionValidator></td>
						</tr>
						<tr>
							<td>Last Name:</td>
							<td><asp:textbox id="txtLname" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator2" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtLname" ValidationExpression="[a-zA-Z]+"></asp:RegularExpressionValidator></td>
						</tr>
						<tr>
							<td>Address:</td>
							<td><asp:textbox id="txtAddress" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator3" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtAddress" ValidationExpression="[\w\s\.]+"></asp:RegularExpressionValidator></td>
						</tr>
						<tr>
							<td>City:</td>
							<td><asp:textbox id="txtCity" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator4" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtCity" ValidationExpression="[a-zA-z]+"></asp:RegularExpressionValidator></td>
						</tr>
						<tr>
							<td>State:</td>
							<td><asp:textbox id="txtState" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator5" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtState" ValidationExpression="[a-zA-Z]{2}"></asp:RegularExpressionValidator></td>
							<td>(2-letter abbreviation)</td>
						</tr>
						<tr>
							<td>Zip:</td>
							<td><asp:textbox id="txtZip" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator6" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtZip" ValidationExpression="\d{5}"></asp:RegularExpressionValidator></td>
							<td>(5-digit)</td>
						</tr>
						<tr>
							<td>Primary Phone:</td>
							<td><asp:textbox id="txtPhone1" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator7" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtPhone1" ValidationExpression="\d{3}-\d{3}-\d{4}"></asp:RegularExpressionValidator></td>
							<td>(xxx-xxx-xxxx)</td>
						</tr>
						<tr>
							<td>Secondary Phone:</td>
							<td><asp:textbox id="txtPhone2" runat="server"></asp:textbox>
								<asp:RegularExpressionValidator id="RegularExpressionValidator8" runat="server" ErrorMessage="Field not in correct format!"
									ControlToValidate="txtPhone2" ValidationExpression="(\d{3}-\d{3}-\d{4})?"></asp:RegularExpressionValidator></td>
							<td>(optional)</td>
						</tr>
						<tr>
							<td>Password:</td>
							<td><asp:textbox id="txtPw" runat="server" TextMode="Password" MaxLength="10"></asp:textbox></td>
							<td>(upto 10 characters)</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td align="right" colSpan="3"><asp:button id="btnUpdate" runat="server" CssClass="fancyButton" Text="Update Account"></asp:button></td>
						</tr>
					</table>
				</div>
			</div>
		</form>
	</body>
</HTML>
