using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace gibble
{
	/// <summary>
	/// Summary description for NewUser.
	/// </summary>
	public class NewUser : System.Web.UI.Page
	{
		private SqlConnection sqlConn;		// Declare a connection object
		private SqlCommand sqlCom;			// Declare a command object
		private SqlDataReader sqlRdr;		// Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=nauledge; pwd=nm,.NM<>; database=nauledge_billing";
		protected System.Web.UI.WebControls.TextBox txtEmail;
		protected System.Web.UI.WebControls.TextBox txtFname;
		protected System.Web.UI.WebControls.TextBox txtLname;
		protected System.Web.UI.WebControls.TextBox txtAddress;
		protected System.Web.UI.WebControls.TextBox txtCity;
		protected System.Web.UI.WebControls.TextBox txtZip;
		protected System.Web.UI.WebControls.TextBox txtPhone1;
		protected System.Web.UI.WebControls.TextBox txtPhone2;
		protected System.Web.UI.WebControls.TextBox txtPw;
		protected System.Web.UI.WebControls.TextBox txtState;
		protected System.Web.UI.WebControls.Button btnSubmit;
		protected System.Web.UI.WebControls.Panel pnlInfo;
		protected System.Web.UI.WebControls.Panel pnlThankYou;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator8;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator7;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator6;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator5;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator4;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator3;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator2;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator9;
		protected System.Web.UI.WebControls.Label lblError;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSubmit.Click += new System.EventHandler(this.btnSubmit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnSubmit_Click(object sender, System.EventArgs e)
		{
			if (!allFieldsFilled()) 
			{
				lblError.Text = "Error: Not all fields are filled!";
				return;
			}

			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT fname, lname " +
				"FROM customers " + 
				"WHERE email = '" + txtEmail.Text + "'";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				lblError.Text = "Unable to create account because someone is already registered with that e-mail!";
				return;
			} 
			
			// Close the sql connection at the end
			sqlConn.Close();

			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			strSql = "insert into customers(email, fname, lname, address, " +
							"city, state, zip, primaryphone, secondaryphone, password) " +
							"values('" + txtEmail.Text + "', " +
							"'" + txtFname.Text + "', " +
							"'" + txtLname.Text + "', " +
							"'" + txtAddress.Text + "', " +
							"'" + txtCity.Text + "', " +
							"'" + txtState.Text + "', " +
							"'" + txtZip.Text + "', " +
							"'" + txtPhone1.Text + "', " +
							"'" + txtPhone2.Text + "', " +
							"'" + txtPw.Text + "')";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			// Close the sql connection at the end
			sqlConn.Close();

			// Record user's email into Session["user"]
			Session.Add("user", txtEmail.Text);
			this.pnlInfo.Visible = false;
			this.pnlThankYou.Visible = true;
		}

		private bool allFieldsFilled()
		{
			return (
				txtEmail.Text != "" &&
				txtFname.Text != "" &&
				txtLname.Text != "" &&
				txtAddress.Text != "" &&
				txtCity.Text != "" &&
				txtZip.Text != "" &&
				txtPhone1.Text != "" &&
				txtPw.Text != "" &&
				txtState.Text != ""
			);
		}
	}
}
