<%@ Register TagPrefix="gibble" TagName="LoginStatus" Src="LoginStatus.ascx" %>
<%@ Register TagPrefix="gibble" TagName="Navigation" Src="Navigation.ascx" %>
<%@ Page language="c#" Codebehind="BrowseInventory.aspx.cs" AutoEventWireup="false" Inherits="gibble.BrowseInventory" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Gibble.com Browse Inventory</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="gibble.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div class="content">
				<h1>Gibble.com</h1>
				<gibble:loginstatus id="loginstatus" runat="server"></gibble:loginstatus>
				<h2>Browse Products</h2>
				<gibble:navigation id="nav" runat="server"></gibble:navigation>
				<div class="text"><asp:datagrid id="ProductsGrid" runat="server" Font-Size="X-Small" GridLines="None" CellPadding="3"
						BackColor="White" CellSpacing="1" BorderWidth="2px" BorderStyle="Ridge" BorderColor="White" Visible="False">
						<FooterStyle ForeColor="Black" BackColor="#C6C3C6"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#9471DE"></SelectedItemStyle>
						<ItemStyle ForeColor="Black" BackColor="#DEDFDE"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#E7E7FF" BackColor="#4A3C8C"></HeaderStyle>
						<Columns>
							<asp:ButtonColumn Text="View Details" CommandName="Select"></asp:ButtonColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Right" ForeColor="Black" BackColor="#C6C3C6"></PagerStyle>
					</asp:datagrid><asp:panel id="pnlBookDetail" runat="server">
						<H3>Book Details</H3>
						<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Title</TD>
								<TD>
									<asp:Label id="lblBookTitle" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Author</TD>
								<TD>
									<asp:Label id="lblAuthor" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Category</TD>
								<TD>
									<asp:Label id="lblCategory" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Year</TD>
								<TD>
									<asp:Label id="lblBookYear" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Publisher</TD>
								<TD>
									<asp:Label id="lblPublisher" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Binding</TD>
								<TD>
									<asp:Label id="lblBinding" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Catalog Number</TD>
								<TD>
									<asp:Label id="lblISBN" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Price</TD>
								<TD>
									<asp:Label id="lblBookPrice" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Discount</TD>
								<TD>
									<asp:Label id="lblBookDiscount" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Quantity in Stock</TD>
								<TD>
									<asp:Label id="lblBookInStock" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Rating</TD>
								<TD>
									<asp:Label id="lblRating" runat="server"></asp:Label>
									<asp:Button id="btnRateBook" runat="server" Text="Rate this book" CssClass="fancyButton"></asp:Button>
									<asp:TextBox id="txtRating" runat="server" Width="24px" MaxLength="2"></asp:TextBox>
									<asp:Label id="lblRatingError" runat="server" Visible="False" ForeColor="Red">Please enter a number between 1 and 10</asp:Label></TD>
							</TR>
							<TR>
								<TD>Number of Ratings</TD>
								<TD>
									<asp:Label id="lblNumRatings" runat="server"></asp:Label></TD>
							</TR>
						</TABLE>
						<asp:TextBox id="txtbBuyBookQuant" runat="server">1</asp:TextBox>
						<asp:Button id="BuyBookbtn" runat="server" Text="Add to Cart" CssClass="fancyButton"></asp:Button>
						<asp:Label id="lblBookOutOfStock" runat="server" Visible="False" Font-Italic="True">I'm sorry.  There aren't enough in stock to fill your requst</asp:Label>
					</asp:panel><asp:panel id="pnlCdDetail" runat="server">
						<H3>CD Details</H3>
						<TABLE id="Table2" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Title</TD>
								<TD>
									<asp:Label id="lblCdTitle" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Artist</TD>
								<TD>
									<asp:Label id="lblArtist" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Genre</TD>
								<TD>
									<asp:Label id="lblGnere" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Year</TD>
								<TD>
									<asp:Label id="lblCdYear" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Recording Label</TD>
								<TD>
									<asp:Label id="lblRecLabel" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Format</TD>
								<TD>
									<asp:Label id="lblFormat" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Number of Disks</TD>
								<TD>
									<asp:Label id="lblDiskNum" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Catalog Number</TD>
								<TD>
									<asp:Label id="lblASIN" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Price</TD>
								<TD>
									<asp:Label id="lblCdPrice" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Discount</TD>
								<TD>
									<asp:Label id="lblCdDiscount" runat="server"></asp:Label></TD>
							</TR>
							<TR>
								<TD>Quantity in Stock</TD>
								<TD>
									<asp:Label id="lblCdInStock" runat="server"></asp:Label></TD>
							</TR>
						</TABLE>
						<P></P>
						<P>
							<asp:TextBox id="txtbBuyCdQuat" runat="server">1</asp:TextBox>
							<asp:Button id="BuyCDbtn" runat="server" Text="Add to Cart" CssClass="fancyButton"></asp:Button>
							<asp:Label id="lblCdOutOfStock" runat="server" Visible="False" Font-Italic="True">I'm sorry.  There aren't enough in stock to fill your requst</asp:Label></P>
					</asp:panel><asp:panel id="pnlSearch" runat="server">
						<H3>Search for Music or Books</H3>
						<P>
							<asp:Button id="viewProductsb" runat="server" Text="View All Products" CssClass="fancyButton"></asp:Button></P>
						<P>&nbsp;</P>
						<H4>Find products by Author or Artist</H4>
						<P>First name
							<asp:TextBox id="firstnametb" runat="server"></asp:TextBox></P>
						<P>Last name
							<asp:TextBox id="lastnametb" runat="server"></asp:TextBox></P>
						<P>
							<asp:Button id="artistb" runat="server" Text="View Artist/Author" CssClass="fancyButton" Width="152px"></asp:Button>
							<asp:Label id="lblArtistError" runat="server" Font-Italic="True">There were no matches for that author/artist.</asp:Label></P>
						<H4>Find Books by Keyword</H4>
						<P>
							<asp:DropDownList id="ddlKeyWords" runat="server"></asp:DropDownList>
							<asp:Button id="btnKeyword" runat="server" Text="Find" CssClass="fancyButton"></asp:Button></P>
						<P>&nbsp;</P>
						<P></P>
						<P>
							<asp:Label id="lblKeyWord" runat="server" Font-Italic="True">There were no books found for that keyword</asp:Label></P>
						<H4>Find products by catalog number</H4>
						<P>catalog number
							<asp:TextBox id="catalogNumtb" runat="server" Width="136px"></asp:TextBox></P>
						<P>
							<asp:Button id="productDetailsb" runat="server" Text="View Product Details" CssClass="fancyButton"
								Width="152px"></asp:Button>
							<asp:Label id="lblCatNumError" runat="server" Font-Italic="True">There were no matches for that catalog number.</asp:Label></P>
						<P>&nbsp;</P>
					</asp:panel></div>
			</div>
		</form>
	</body>
</HTML>
