using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace gibble
{
	/// <summary>
	/// Summary description for MyAccount.
	/// </summary>
	public class MyAccount : System.Web.UI.Page
	{
		private SqlConnection sqlConn;		// Declare a connection object
		private SqlCommand sqlCom;			// Declare a command object
		private SqlDataReader sqlRdr;		// Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=nauledge; pwd=nm,.NM<>; database=nauledge_billing";
		protected System.Web.UI.WebControls.Label lblError;
		protected System.Web.UI.WebControls.TextBox txtFname;
		protected System.Web.UI.WebControls.TextBox txtLname;
		protected System.Web.UI.WebControls.TextBox txtAddress;
		protected System.Web.UI.WebControls.TextBox txtCity;
		protected System.Web.UI.WebControls.TextBox txtState;
		protected System.Web.UI.WebControls.TextBox txtZip;
		protected System.Web.UI.WebControls.TextBox txtPhone1;
		protected System.Web.UI.WebControls.TextBox txtPhone2;
		protected System.Web.UI.WebControls.Button btnUpdate;
		protected System.Web.UI.WebControls.Label lblUserEmail;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator2;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator3;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator4;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator5;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator6;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator7;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator8;
		protected System.Web.UI.WebControls.TextBox txtPw;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!this.IsPostBack)
			{
				if(Session["user"] != null) 
				{
					lblUserEmail.Text = Session["user"].ToString();

					// Start a new connection to the database specified in strSqlString
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection

					// Execute query -- Here you could make 'strSql' any query you want
					string strSql = "SELECT * " +
						"FROM customers " + 
						"WHERE email = '" + lblUserEmail.Text + "'";
						
					// The command needs to know the query and the connection
					sqlCom = new SqlCommand(strSql, sqlConn);	
					// Execute the command
					sqlRdr = sqlCom.ExecuteReader();

					// Get the answer from the reader and write it to the label.
					if (sqlRdr.HasRows) 
					{
						sqlRdr.Read();
						lblError.Text = "Click the \"Update Account\" button to save changes.";
						txtFname.Text = sqlRdr.GetString(1);
						txtLname.Text = sqlRdr.GetString(2);
						txtAddress.Text = sqlRdr.GetString(3);
						txtCity.Text = sqlRdr.GetString(4);
						txtState.Text = sqlRdr.GetString(5);
						txtZip.Text = sqlRdr.GetString(6);
						txtPhone1.Text = sqlRdr.GetString(7);
						txtPhone2.Text = sqlRdr.GetString(8);
						txtPw.Text = sqlRdr.GetString(9);
					} 
					else 
					{
						// This actually shouldn't ever happen!!!
						lblError.Text = "Error: User logged in, but now unable to retrieve their info.";
					}

					// Close the sql connection at the end
					sqlConn.Close();
				} 
				else 
				{
					lblError.Text = "Not logged in, therefore there is no account to edit!";
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnUpdate.Click += new System.EventHandler(this.btnUpdate_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnUpdate_Click(object sender, System.EventArgs e)
		{
			
			if (!allFieldsFilled()) 
			{
				lblError.Text = "Error: Not all fields are filled!";
				return;
			}

			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "UPDATE Customers " +
				"SET fname = '" + txtFname.Text + "', " +
					"lname = '" + txtLname.Text + "', " +
					"address = '" + txtAddress.Text + "', " +
					"city = '" + txtCity.Text + "', " +
					"state = '" + txtState.Text + "', " +
					"zip = '" + txtZip.Text + "', " +
					"primaryphone = '" + txtPhone1.Text + "', " +
					"secondaryphone = '" + txtPhone2.Text + "', " +
					"password = '" + txtPw.Text + "' " +
				"WHERE email = '" + lblUserEmail.Text + "'";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			// Close the sql connection at the end
			sqlConn.Close();	


			lblError.Text = "Your account information has been updated!";
		}

		private bool allFieldsFilled()
		{
			return (
				txtFname.Text != "" &&
				txtLname.Text != "" &&
				txtAddress.Text != "" &&
				txtCity.Text != "" &&
				txtZip.Text != "" &&
				txtPhone1.Text != "" &&
				txtPw.Text != "" &&
				txtState.Text != ""
				);
		}
	}
}
