using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;

namespace RCCEbiz
{
	/// <summary>
	/// Summary description for confirm.
	/// </summary>
	public class confirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		protected System.Web.UI.WebControls.DataGrid Datagrid4;
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.Label OutOfStock;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label cardNumber;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Label shipInstructions;
		protected System.Web.UI.WebControls.Label TotalLabel;
		protected System.Web.UI.WebControls.Label ShipLabel;
		protected System.Web.UI.WebControls.Label TaxLabel;
		protected System.Web.UI.WebControls.Label FinalLabel;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label shipToID;
		protected System.Web.UI.WebControls.Label payMethod;
		protected System.Web.UI.WebControls.LinkButton MainLink;
		protected System.Web.UI.WebControls.Label Label3;

		private SqlConnection sqlConn;		//connection object
		private SqlCommand sqlCom;			//command object
		private SqlDataReader sqlRdr;
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=rickyk; pwd=qwerty; database=rickyk_billing";

		float shipFee = 0;
		float taxFee = 0;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.Label disc;
		protected System.Web.UI.WebControls.DataGrid Datagrid6;
		protected System.Web.UI.WebControls.DataGrid Datagrid5;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label17;
		protected System.Web.UI.WebControls.DataGrid Datagrid7;
		float finalFee = 0;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if(	shoppingLogin.userID == "" ) 
			{
				Server.Transfer("shoppingLogin.aspx");
			}

			OutOfStock.Visible = false;

			DataGrid1.ShowHeader = false;
			DataGrid1.DataSource = shoppingCart.qty.Keys;
			DataGrid1.DataBind();
			
			DataGrid2.ShowHeader = false;
			DataGrid2.DataSource = shoppingCart.qty.Values;
			DataGrid2.DataBind();

			DataGrid3.ShowHeader = false;
			DataGrid3.DataSource = shoppingCart.item.Values;
			DataGrid3.DataBind();

			Datagrid4.ShowHeader = false;
			Datagrid4.DataSource = shoppingCart.price.Values;
			Datagrid4.DataBind();

			Datagrid5.ShowHeader = false;
			Datagrid5.DataSource = shoppingCart.shipping.Keys;
			Datagrid5.DataBind();

			Datagrid6.ShowHeader = false;
			Datagrid6.DataSource = shoppingCart.shipping.Values;
			Datagrid6.DataBind();

			Datagrid7.ShowHeader = false;
			Datagrid7.DataSource = shoppingCart.companyName.Values;
			Datagrid7.DataBind();

			shipFee = 0;
//			string v = "";

			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

//			string strSql = "SELECT Vendor.ship_vend_id " +
//				"FROM acolinp_shipping.dbo.shipping_vendor as Vendor " +
//				"WHERE Vendor.name = '" + checkOut.shipVendor + "'";
//
//			//Command to enter the password data for the user
//			sqlCom = new SqlCommand(strSql, sqlConn);
//			sqlRdr = sqlCom.ExecuteReader();
//
//			if(sqlRdr.Read()) 
//			{
//				v = sqlRdr.GetValue(0).ToString();
//			}
//				
//			sqlRdr.Close();

			IDictionaryEnumerator enumKey  = shoppingCart.shipmethod.GetEnumerator();
			while (enumKey.MoveNext())
			{

				int q = 0;
				IDictionaryEnumerator enum2 = shoppingCart.company.GetEnumerator();
				while (enum2.MoveNext()) 
				{
					if((int)enum2.Value == (int)enumKey.Key)
						q += Convert.ToInt32(shoppingCart.qty[enum2.Key].ToString());
				}

				string strSql = "SELECT Methods.price, Methods.price_w_qual " +
					"FROM acolinp_shipping.dbo.shipping_method as Methods " +
					"WHERE Methods.ship_meth_id = '" + (int)enumKey.Value + "' AND Methods.c_id = '" + (int)enumKey.Key + "'";

				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();
			
				if(sqlRdr.Read()) 
				{
					string opt = sqlRdr.GetValue(1).ToString();
				
					if(opt.Equals("Flat Rate"))
						shipFee += float.Parse(sqlRdr.GetValue(0).ToString());
					else
						shipFee += q * float.Parse(sqlRdr.GetValue(0).ToString());
				}

				sqlRdr.Close();
			}
			sqlConn.Close();

			disc.Text = checkOut.discount.ToString();
			TotalLabel.Text = checkOut.total.ToString();
			ShipLabel.Text = shipFee.ToString();
			taxFee = (float)(checkOut.total * 0.08);
			TaxLabel.Text = taxFee.ToString();
			finalFee = checkOut.total + shipFee + taxFee;
			FinalLabel.Text = finalFee.ToString();
			
			//shipVendor.Text = "Shipping vendor:\t" + checkOut.shipVendor;
			//shipMethod.Text = "Shipping method:\t" + checkOut.shipMethod;
			//delivery.Text = "Expected delivery:\t" + checkOut.delivery + " days";
			if(checkOut.shipToID ==	shoppingLogin.userID)
				shipToID.Text = "Ship Order to yourself (" + shoppingLogin.userID + ")";
			else
				shipToID.Text = "Ship Order to " + checkOut.fname + " " + checkOut.lname;
			shipInstructions.Text = "Instructions: " + checkOut.shipInstructions.ToString();
			payMethod.Text = "Payment method:\t" + checkOut.payMethod;
			cardNumber.Text = "Card Number:\t" + checkOut.cardNumber;
			if(checkOut.payMethod.Equals("Money Order") || checkOut.payMethod.Equals("Check"))
				cardNumber.Visible = false;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.MainLink.Click += new System.EventHandler(this.MainLink_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button2_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("shoppingCart.aspx");
		}

		private void MainLink_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("shoppingPage.aspx");
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			string strSql = "SELECT max(cast (invoiceid as int)) as id " + "FROM rickyk_billing.dbo.invoice";

			int currInvoiceNum = 1;

			sqlConn.Open();
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			if(sqlRdr.Read()) 
			{
				if(!sqlRdr.GetValue(0).ToString().Equals(""))
					currInvoiceNum = Int32.Parse(sqlRdr["id"].ToString().Trim()) + 1;
			}
			sqlRdr.Close();
			
			//checking stock
			IDictionaryEnumerator enumKey = shoppingCart.qty.GetEnumerator();
			while (enumKey.MoveNext()) 
			{
				string itemid = (string)enumKey.Key;
				string cat = (string)shoppingCart.category[itemid];
				int qty = (int)enumKey.Value;

				if(cat.Equals("book"))
				{
					strSql = "SELECT SUM(qty) FROM cjh_inventory.dbo.bookav WHERE ISBN = '" + itemid + "'";
					
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					
					if(sqlRdr.Read()) 
					{
						if (sqlRdr.IsDBNull(0) || qty > Convert.ToInt32(sqlRdr.GetValue(0).ToString()))
						{
							if(sqlRdr.IsDBNull(0))
								OutOfStock.Text = "Item " + itemid + " is out of stock. Available: 0";
							else
								OutOfStock.Text = "Item " + itemid + " is out of stock. Available: " + sqlRdr.GetValue(0).ToString();
							OutOfStock.Visible = true;
							sqlRdr.Close();
							return;
						}

					}
					sqlRdr.Close();


				}
				else
				{
					strSql = "SELECT SUM(qty) FROM cjh_inventory.dbo.CDav WHERE BarCode = '" + itemid + "'";
					
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					if(sqlRdr.Read()) 
					{
						if (sqlRdr.IsDBNull(0) || qty > Convert.ToInt32(sqlRdr.GetValue(0).ToString()))
						{
							if(sqlRdr.IsDBNull(0))
								OutOfStock.Text = "Item " + itemid + " is out of stock. Available: 0";
							else
								OutOfStock.Text = "Item " + itemid + " is out of stock. Available: " + sqlRdr.GetValue(0).ToString();
							OutOfStock.Visible = true;
							sqlRdr.Close();
							return;
						}

					}
					sqlRdr.Close();
				}
			}

			//NOW, ALL ITEM in STOCK, so UPDATE ALL THE TABLES
			//update credit card table if necessary
			enumKey = shoppingCart.shipmethod.GetEnumerator();
			while (enumKey.MoveNext()) 
			{
				if((int)enumKey.Key != 1)
				{
					string companyName = "";
					strSql = "SELECT CName FROM cjh_inventory.dbo.Companies WHERE CompID = '" + (int)enumKey.Key + "'";
					
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					if(sqlRdr.Read()) 
					{
						companyName = sqlRdr.GetValue(0).ToString().Trim();
					}
					sqlRdr.Close();

					string filename = Server.MapPath(".\\orders\\") + "order" + currInvoiceNum.ToString() + companyName + ".xml";

					XmlTextWriter myXmlTextWriter = new XmlTextWriter (filename, null);

					myXmlTextWriter.WriteStartElement("order");
					myXmlTextWriter.WriteElementString("issuingCompany", null, "RCCEbiz");
					myXmlTextWriter.WriteElementString("partnerCompany", null, companyName);
					
					IDictionaryEnumerator enumProd = shoppingCart.company.GetEnumerator();
					while (enumProd.MoveNext()) 
					{
						if((int)enumProd.Value == (int)enumKey.Key)
						{
							string type = (string)shoppingCart.category[enumProd.Key];
							string identifier = (string)enumProd.Key;
							int quantity = (int)shoppingCart.qty[enumProd.Key];
							string name = (string)shoppingCart.item[enumProd.Key];
							myXmlTextWriter.WriteStartElement("product",null);
							myXmlTextWriter.WriteElementString("type", type);
							myXmlTextWriter.WriteElementString("identifier", identifier);
							myXmlTextWriter.WriteElementString("name", name);
							myXmlTextWriter.WriteElementString("quantity", quantity.ToString());
							myXmlTextWriter.WriteEndElement();
						}
					}
					
					myXmlTextWriter.WriteElementString("shippingMethod", null, enumKey.Value.ToString());
					myXmlTextWriter.WriteStartElement("destination",null);
					myXmlTextWriter.WriteElementString("address", checkOut.address);
					myXmlTextWriter.WriteElementString("city", checkOut.city);
					myXmlTextWriter.WriteElementString("state", checkOut.state);
					myXmlTextWriter.WriteElementString("zip", checkOut.zip.ToString());
					myXmlTextWriter.WriteStartElement("contact",null);
					myXmlTextWriter.WriteElementString("email", checkOut.email);
					myXmlTextWriter.WriteEndElement();
					myXmlTextWriter.WriteEndElement();
					myXmlTextWriter.WriteEndElement();

					//Write the XML to file and close the myXmlTextWriter
					myXmlTextWriter.Flush();
					myXmlTextWriter.Close();
				}
			}

			if(checkOut.payMethod.Equals("Visa") || checkOut.payMethod.Equals("MasterCard"))
			{
				strSql = "SELECT card FROM rickyk_billing.dbo.creditcard WHERE userid ='" +shoppingLogin.userID+"' and card = '"+checkOut.cardNumber+"'";
				

				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if(!sqlRdr.HasRows) 
				{
					sqlRdr.Close();

					strSql = "INSERT INTO rickyk_billing.dbo.creditcard Values('" + shoppingLogin.userID +"', '" + checkOut.cardNumber + "', '" + checkOut.payMethod +"')" ;
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
				}
				sqlRdr.Close();
			}

			//update customer
			if(checkOut.shipToID != shoppingLogin.userID)
			{
				strSql = "INSERT INTO rickyk_billing.dbo.customer Values('" + checkOut.shipToID + "','" + checkOut.lname + "','" + checkOut.fname +"'," +
					"'" + checkOut.address + "','" + checkOut.city +"','" + checkOut.state +"','" +checkOut.zip+"',null,null,'" +checkOut.email +"')";
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				sqlRdr.Close();
			}

			//update invoice
			strSql = " select methods.ship_meth_id FROM acolinp_shipping.dbo.shipping_method as Methods, " +
				" acolinp_shipping.dbo.shipping_vendor as vendors WHERE methods.ship_vend_id = vendors.ship_vend_id AND vendors.name = '"+checkOut.shipVendor+"' AND methods.type = '"+checkOut.shipMethod+"'";

			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			string shipm = "1";
			if(sqlRdr.Read())
			{
				shipm = sqlRdr.GetValue(0).ToString();
			}
			sqlRdr.Close();
			
			strSql = "INSERT INTO rickyk_billing.dbo.invoice(orderdate,expecteddate,invoiceid,buyerid,shipid,shippingmethod,paymentmethod,cardnumber,itemstotal,shippingfee,tax,discount,invoicetotal) " +
				"VALUES(getdate(),getdate()+" + Int32.Parse(checkOut.delivery)+", '"+ currInvoiceNum + "','" + shoppingLogin.userID + "','" + checkOut.shipToID + "','" + shipm + "','" +
				checkOut.payMethod + "','" + checkOut.cardNumber + "'," + checkOut.total + "," + shipFee + "," + taxFee + "," + checkOut.discount + "," + finalFee + ")";

			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			sqlRdr.Close();

			
			//updating the purchase table and book availability and CD availability table
			enumKey = shoppingCart.qty.GetEnumerator();
			while (enumKey.MoveNext()) 
			{
				Hashtable diffQtyWarehouse = new Hashtable();
				string itemid = (string)enumKey.Key;
				string cat = (string)shoppingCart.category[itemid];
				int qty = (int)enumKey.Value;

				if(cat == "book")
				{
					strSql = "SELECT Availability.warehouseid, Warehouse.city " +
						"FROM cjh_inventory.dbo.bookav as Availability, cjh_inventory.dbo.warehouse as Warehouse " +
						"WHERE Availability.warehouseid = Warehouse.warehouseid AND Availability.qty >= " + qty + " AND Availability.ISBN = '" + itemid +"'";
				}
				else
				{
					strSql = "SELECT Availability.warehouseid, Warehouse.city " +
						"FROM cjh_inventory.dbo.CDav as Availability, cjh_inventory.dbo.warehouse as Warehouse " +
						"WHERE Availability.warehouseid = Warehouse.warehouseid AND Availability.qty >= " + qty + " AND Availability.barcode = '" + itemid +"'";
				}
				
				Hashtable warehouse = new Hashtable();

				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				while(sqlRdr.Read()) 
				{
					int whID = Int32.Parse(sqlRdr["warehouseid"].ToString());
					string city = sqlRdr["city"].ToString();
					warehouse.Add(whID,city);
				}
				sqlRdr.Close();
				
				//if one warehouse have enough quantity
				if(warehouse.Count > 0) 
				{
					int theKey = -1;
					int tempKey = -1;
					IDictionaryEnumerator enumc = warehouse.GetEnumerator();
					while (enumc.MoveNext()) 
					{
						int currWh = (int)enumc.Key;
						string currCity = (string)enumc.Value;
						tempKey = currWh;
						if(currCity == checkOut.city) 
						{
							theKey = currWh;
							break;
						}
					}

					if(theKey == -1) 
					{
						theKey = tempKey;
					}

					strSql = "SELECT price "+
						"FROM rickyk_billing.dbo.items " +
						"WHERE itemid ='" + itemid + "'";
					float price= 0;
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					if(sqlRdr.Read()) 
					{
						price = float.Parse(sqlRdr["price"].ToString());
					}
					sqlRdr.Close();

					strSql = "INSERT INTO rickyk_billing.dbo.purchase " +
						"VALUES('" +currInvoiceNum.ToString()+"','" +itemid+ "','" + theKey.ToString() + "'," + qty +","+ qty +"*" +price+")";
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					sqlRdr.Close();


					if(cat == "book")
					{
						strSql = "UPDATE cjh_inventory.dbo.bookav " +
							"SET qty = qty - " + qty + " " +
							"WHERE warehouseid = " + theKey + " AND "+
							"ISBN = '" + itemid +"'";
					}
					else
					{
						strSql = "UPDATE cjh_inventory.dbo.CDav " +
							"SET qty = qty - " + qty + " " +
							"WHERE warehouseid = " + theKey + " AND "+
							"barcode = '" + itemid +"'";
					}

					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					sqlRdr.Close();
				} 
				else // no single warehouse have enough stock 
				{
					if(cat == "book")
					{
						strSql = "SELECT Availability.warehouseid, Availability.qty " +
							"FROM cjh_inventory.dbo.bookav as Availability " +
							"WHERE Availability.ISBN = '" + itemid +"'";
					}
					else
					{
						strSql = "SELECT Availability.warehouseid, Availability.qty " +
							"FROM cjh_inventory.dbo.CDav as Availability " +
							"WHERE Availability.barcode = '" + itemid +"'";
					}
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					Hashtable warehouse_temp = new Hashtable();
					while(sqlRdr.Read()) 
					{
						int whID = Int32.Parse(sqlRdr["warehouseid"].ToString());
						int qtyB = Int32.Parse(sqlRdr["qty"].ToString());
						warehouse_temp.Add(whID,qtyB);
					}
					sqlRdr.Close();

					if(cat == "book")
					{
						strSql = "SELECT Availability.warehouseid, Warehouse.city " +
							"FROM cjh_inventory.dbo.bookav as Availability, cjh_inventory.dbo.warehouse as Warehouse " +
							"WHERE Availability.warehouseid = Warehouse.warehouseid AND Availability.qty > 0 AND Availability.ISBN = '" + itemid +"'";
					}
					else
					{
						strSql = "SELECT Availability.warehouseid, Warehouse.city " +
							"FROM cjh_inventory.dbo.CDav as Availability, cjh_inventory.dbo.warehouse as Warehouse " +
							"WHERE Availability.warehouseid = Warehouse.warehouseid AND Availability.qty > 0 AND Availability.barcode = '" + itemid +"'";
					}

					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					Hashtable warehouse_temp2 = new Hashtable();
					while(sqlRdr.Read()) 
					{
						int whID = Int32.Parse(sqlRdr["warehouseid"].ToString());
						string city = sqlRdr["city"].ToString();
						warehouse_temp2.Add(whID,city);
					}
					sqlRdr.Close();

					int temp_qty = qty;
					IDictionaryEnumerator enumWh = warehouse_temp2.GetEnumerator();
					// update the warehouse available quantity with the same location with ship to city
					while (enumWh.MoveNext() && temp_qty != 0) 
					{
						int currWh = (int)enumWh.Key;
						string currCity = enumWh.Value.ToString();
						if(currCity == checkOut.city) 
						{
							if((int)warehouse_temp[enumWh.Key] < temp_qty) 
							{
								diffQtyWarehouse[enumWh.Key] = (int)warehouse_temp[enumWh.Key];
								temp_qty -= (int)warehouse_temp[enumWh.Key];
								warehouse_temp[enumWh.Key] = 0;
							} 
							else 
							{
								diffQtyWarehouse[enumWh.Key] = temp_qty;
								warehouse_temp[enumWh.Key] = (int)warehouse_temp[enumWh.Key] - temp_qty;
								temp_qty = 0;
							}
						}
							
					}
					
					// update the warehouse available quantity regardless the same location with ship to city
					enumWh = warehouse_temp2.GetEnumerator();
					while (enumWh.MoveNext() && temp_qty != 0)
					{
						int currWh = (int)enumWh.Key;
						if((int)warehouse_temp[enumWh.Key] < temp_qty) 
						{
							diffQtyWarehouse[enumWh.Key] = (int)warehouse_temp[enumWh.Key];
							temp_qty -= (int)warehouse_temp[enumWh.Key];
							warehouse_temp[enumWh.Key] = 0;
						} 
						else 
						{
							diffQtyWarehouse[enumWh.Key] = temp_qty;
							warehouse_temp[enumWh.Key] = (int)warehouse_temp[enumWh.Key] - temp_qty;
							temp_qty = 0;
						}
					}

					strSql = "SELECT price "+
						"FROM rickyk_billing.dbo.items " +
						"WHERE itemid ='" + itemid + "'";
					float price= 0;
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					if(sqlRdr.Read()) 
					{
						price = float.Parse(sqlRdr["price"].ToString());
					}
					sqlRdr.Close();

					//update purchase table
					enumWh = diffQtyWarehouse.GetEnumerator();
					while(enumWh.MoveNext()) 
					{
						strSql = "INSERT INTO rickyk_billing.dbo.purchase " +
							"VALUES(" +currInvoiceNum+",'" +itemid+ "','" + Convert.ToInt32(enumWh.Key) + "'," + Convert.ToInt32(enumWh.Value) +","+ Convert.ToInt32(enumWh.Value) +"*" +price+",null)";
						sqlCom = new SqlCommand(strSql, sqlConn);
						sqlRdr = sqlCom.ExecuteReader();
						sqlRdr.Close();
					}
					
					//update availability
					enumWh = warehouse_temp.GetEnumerator();
					while(enumWh.MoveNext()) 
					{
						if(cat == "book")
						{
							strSql = "UPDATE cjh_inventory.dbo.bookav " +
								"SET qty = " + Int32.Parse(enumWh.Value.ToString()) + " " +
								"WHERE warehouseid = " + Int32.Parse(enumWh.Key.ToString()) + " AND "+
								"ISBN = '" + itemid +"'";
						}
						else
						{
							strSql = "UPDATE cjh_inventory.dbo.CDav " +
								"SET qty = " + Int32.Parse(enumWh.Value.ToString()) + " " +
								"WHERE warehouseid = " + Int32.Parse(enumWh.Key.ToString()) + " AND "+
								"barcode = '" + itemid +"'";
						}
						sqlCom = new SqlCommand(strSql, sqlConn);	

						sqlRdr = sqlCom.ExecuteReader();
						sqlRdr.Close();

					}			
				}
			}


			//update colin_shipping
			Hashtable shipping = new Hashtable();
			strSql =	"SELECT purchase.warehouse, SUM(purchase.quantity) as quantity " +
				"FROM rickyk_billing.dbo.purchase " +
				"WHERE purchase.invoice = " + currInvoiceNum + " " +
				"GROUP BY purchase.warehouse";
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			while(sqlRdr.Read()) 
			{
				string tempname = sqlRdr["warehouse"].ToString();
				shipping[tempname] = Int32.Parse(sqlRdr["quantity"].ToString());
			}
			sqlRdr.Close();

			strSql = " select methods.ship_meth_id, vendors.ship_vend_id FROM acolinp_shipping.dbo.shipping_method as Methods, " +
				" acolinp_shipping.dbo.shipping_vendor as vendors WHERE methods.ship_vend_id = vendors.ship_vend_id AND vendors.name = '"+checkOut.shipVendor+"' AND methods.type = '"+checkOut.shipMethod+"'";

			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			int shipmt = 1;
			int shipv = 1;
			if(sqlRdr.Read())
			{
				shipmt = Convert.ToInt32 (sqlRdr.GetValue(0));
				shipv = Convert.ToInt32 (sqlRdr.GetValue(1));
			}
			sqlRdr.Close();

			IDictionaryEnumerator shipEnum = shipping.GetEnumerator();
			while(shipEnum.MoveNext()) 
			{
				strSql = "INSERT INTO acolinp_shipping.dbo.package(notes,track_num,invoice_num,start_id,num_items,ship_meth_id,ship_vend_id,pick_up_time,dlvry_time,weight,end_id,status_id) " +
					"VALUES('" + checkOut.shipInstructions + "','" + currInvoiceNum + " " + (shipEnum.Key).ToString() + "','"+currInvoiceNum+"','"+Convert.ToInt32(shipEnum.Key)+"',"+Convert.ToInt32(shipEnum.Value)+"," +shipmt+","+shipv+", getdate(), getdate()+" + Int32.Parse(checkOut.delivery) +",0,1,1)";
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				sqlRdr.Close();
			}
			sqlConn.Close();

			// clear shopping cart
			shoppingCart.qty.Clear();
			shoppingCart.category.Clear();
			shoppingCart.price.Clear();
			shoppingCart.item.Clear();
			shoppingCart.discount.Clear();
			shoppingCart.company.Clear();
			shoppingCart.companyName.Clear();
			shoppingCart.shipping.Clear();
			shoppingCart.shipmethod.Clear();
			sqlConn.Close();
			Server.Transfer("purchased.aspx");

		}
	}
}
