using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace gchang_inventory
{
	/// <summary>
	/// Summary description for home.
	/// </summary>
	public class home : Bahamas
	{
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblTotalBooks;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblTotalDiscs;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblTotalArtists;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblTotalAuthors;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblUser;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblGuest;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblAccountInfo;
		protected HyperLink lnkLog;
		protected HyperLink lnkProfile;
		protected HyperLink lnkCart;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblDivider;
		protected System.Web.UI.HtmlControls.HtmlGenericControl lblDivider2;
		protected DataGrid dgrInvoices;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Not logged in			
			if(Session["customer#"] == null)
			{
				lblUser.InnerHtml = " Guest";
				lnkLog.Text = "(sign in)";
				lnkLog.NavigateUrl= "LogIn.aspx?home=1";
				lblDivider.Visible = false;
				lblDivider2.Visible = false;
				lnkProfile.Visible = false;
				lnkCart.Visible = false;

				lblGuest.Visible = true;
				lblAccountInfo.Visible = false;
			}
			else	// Logged In
			{				
				// Update invoices grid
				DataSet ds = new DataSet();
				DataTable dt;
				
				sqlConnBill.Open();
			
				SqlParameter[] sqlParam = new SqlParameter[1];					
				sqlParam[0] = new SqlParameter("@customer#", Session["customer#"].ToString());
				SqlDataAdapter sqlDA = executeStoredProcAdapter(sqlConnBill, "sps_getInvoiceHistory", sqlParam);

				sqlDA.Fill(ds);
				dt = ds.Tables[0];

				dgrInvoices.DataSource = dt;
				dgrInvoices.DataBind();
				dgrInvoices.Visible = true;

				sqlConnBill.Close();


				
				lblGuest.Visible = false;
				lblAccountInfo.Visible = true;

				SqlParameter[] sqlParams = new SqlParameter[1];
				sqlParams[0] = new SqlParameter("@customer#", Session["customer#"].ToString());
				
				sqlConnBill.Open();					
				DataRow dr = executeStoredProcDataRow(sqlConnBill, "sps_getCustomerInfo", sqlParams);
				sqlConnBill.Close();
			
				string fname = dr["fname"].ToString();

				lblUser.InnerHtml = " " + fname;
				lnkLog.Text = "(sign out)";
				lnkLog.NavigateUrl= "Logout.aspx";
				lblDivider.Visible = true;
				lblDivider2.Visible = true;
				lnkProfile.Visible = true;
				lnkCart.Visible = true;
			}

			// Put user code to initialize the page here
			/* sqlConn.Open();

			SqlDataAdapter sqlAdapter = executeStoredProcAdapter(sqlConn, "sps_getCatalogStats", null);

			DataTable dtInfo = new DataTable();
			sqlAdapter.Fill(dtInfo);

			sqlConn.Close();

			if (dtInfo.Rows.Count > 0)
			{
				lblTotalBooks.InnerHtml = dtInfo.Rows[0]["numBooks"].ToString();
				lblTotalDiscs.InnerHtml = dtInfo.Rows[0]["numDiscs"].ToString();
				lblTotalAuthors.InnerHtml = dtInfo.Rows[0]["numAuthors"].ToString();
				lblTotalArtists.InnerHtml = dtInfo.Rows[0]["numArtists"].ToString();
			} */

		} 

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}


