using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Data.SqlClient;

namespace proj1
{
	/// <summary>
	/// Summary description for importing.
	/// </summary>
	public class importing : System.Web.UI.Page
	{
		private SqlConnection sqlConn;// Declare a connection object
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;


		private void Page_Load(object sender, System.EventArgs e) 
		{
				
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				// Put user code to initialize the page here
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();

				string companyName;
				// file I load from
				string filename;
				// an xml text reader
				XmlTextReader xmlReader;
				filename =  Request.Params.Get("filename");
				xmlReader = new XmlTextReader(filename);
				// represent as XML document
				XmlDocument doku = new XmlDocument();
				doku.Load(xmlReader);

				

			
				foreach (XmlNode rootNode in doku.ChildNodes)
				{
					// if its correct format
					if (rootNode.Name == "companyInfo")
					{
						//if incorrect company name
						if( rootNode.FirstChild.Name.ToLower().Trim() != "companyname")
						{
							Response.Write("No Company Name");
							return;
						}


						XmlNode companyOrder = rootNode.SelectSingleNode("products");
						XmlNode shippingOptions = rootNode.SelectSingleNode("shipping");

						companyName = rootNode.FirstChild.InnerText;
						
						// update the PartnerShipping table
						foreach(XmlNode vendor in shippingOptions)
						{
							Response.Write(vendor.InnerText + "<br>");
							string name = vendor["name"].InnerText;
							if(name.Length > 64)
								name = name.Substring(0,64);

							string url = " ";
							if (vendor["url"] != null)
							{
								url = vendor["url"].InnerText;
							}
							url = url.Replace("'","");
							if(url.Length > 64)
								url = url.Substring(0,64);
							string tool = "1800NULL";
							if(vendor["toll-free"] != null)
								tool = vendor["toll-free"].InnerText;
							if(tool.Length > 64)
								tool = tool.Substring(0,64);
					
							foreach(XmlNode method in vendor)
							{
								if(method.Name == "method")
								{
									string option = "standard";	
									string optionid = "1";
									if(method.Attributes["id"] != null)
									{
										optionid = method.Attributes["id"].InnerXml;
									}
									if(method["option"] != null)
									{
										option = method["option"].InnerText.Trim().Replace("'","");
									}
									else
									{

										option = method.Attributes["id"].InnerXml;
									}
									double pricing = 50.00;
									string pricingtype = "flat";
									// adding the pricing type .. 
									if(method["price"] != null)
									{
										foreach(XmlNode prices in method["price"])
										{
											if(prices.InnerXml != "")
											{
												pricingtype = prices.Name;
												pricing = Convert.ToDouble(prices.InnerXml);
											}
										}
									}
									
									// finally for the restrictions
									double maximumWeight = 99999;
									int maximumItems = 99999;
									string restrCities = " ";
 
									if(method["restrictions"] != null)
									{
										foreach(XmlNode rest in method["restrictions"])
										{
											if(rest.Name == "maximumWeight" && rest.InnerXml != "")
											{
												maximumWeight = Convert.ToDouble(rest.InnerXml);
											}
											if(rest.Name == "maximumitems" && rest.InnerXml != "")
											{
												maximumItems = Convert.ToInt32(rest.InnerXml);
											}
											if(rest.Name == "cities")
											{
												restrCities = rest.InnerXml;
											}
										}
									}
									
									// finally update the vendor shipping table
									SqlCommand cmdName = new SqlCommand(String.Format("INSERT INTO partner_shipping(companyname,vendor,url,toolfree,shippingoptionid,shippingoption,pricingtype,price,maxweight,maximumitems,cities) "+
										" Values('{0}','{1}','{2}','{3}','{4}','{5}','{6}',{7},{8},{9},'{10}')", companyName,name,url,tool,optionid,option,pricingtype,pricing,maximumWeight,maximumItems,restrCities), sqlConn);
									cmdName.ExecuteNonQuery();


								}
							}
						}
						
						// get the books and musics and update
					foreach (XmlNode product in companyOrder)
					{
						// add the books working
							if(product.Name.ToLower().Trim() == "book")
							{
								Response.Write(product.InnerText + "<br>");
								string isbn = product["isbn"].InnerText;

								string title = "";
								if(product["title"] != null)
									title = product["title"].InnerText;
								title = title.Replace("'","");
								if(title.Length > 64)
									title = title.Substring(0,64);
								string year = "1999";
								if(product["year"] != null)
									year = product["year"].InnerText;
								string category = "none";
								if(product["category"] != null)	
									category = product["category"].InnerText;
								if(category.Length > 32)
									category = category.Substring(0,32);
								string publisher = "unknown";
								if(product["publisher"] != null)
									publisher = product["publisher"].InnerText.Replace("'","");

								if(publisher.Length > 32)
									publisher = publisher.Substring(0,32);
								double price = 0;
								if(product["price"] != null)
									price = Convert.ToDouble(product["price"].InnerText);
								double dprice = 0;
								if(product["discountPrice"] != null)
									dprice = Convert.ToDouble(product["discountPrice"].InnerText);
								double discount = price - dprice;
								int quantity = 11;
								if(product["quantity"] != null)
									quantity = Convert.ToInt32(product["quantity"].InnerText);
								// get all the authors
								string authors = "";
							
								foreach(XmlNode author in product)
								{
										if(author.Name == "author" && author["fn"] != null && author["ln"] != null)
											authors = authors + author["fn"].InnerXml + " " + author["ln"].InnerXml + ", ";
								}
								if(authors.Length > 5)
									authors = authors.Substring(0,authors.Length - 2);
								if(authors.Length > 64)
									authors = authors.Substring(0,64);

								string description = " ";
								if(product["description"] != null){
									description = product["description"].InnerText;
									if(description.Length > 4000)
										description.Substring(0,4000);
									description = description.Replace("'","");
								}

								// now if the ISBN IS DUPLICATE SIMPLY GENERATE A NEW ONE
								SqlCommand cmdName = new SqlCommand(String.Format("SELECT 1 " +
								" FROM BOOKS WHERE ISBN = '{0}' ", isbn),sqlConn);

								bool notunique = Convert.ToBoolean(cmdName.ExecuteScalar());

								while(notunique)
								{
									Random number = new Random();
									
									isbn = (Convert.ToString(number.Next(10000,99999)) + "RANDO").Substring(0,10);
									cmdName = new SqlCommand(String.Format("SELECT 1 " +
										" FROM BOOKS WHERE ISBN = '{0}' ", isbn),sqlConn);
									notunique = Convert.ToBoolean(cmdName.ExecuteScalar());
								}


								// lets write the sql queries to update books.
								// get logged in user's name
								
								//insert into the book table
								cmdName = new SqlCommand(String.Format("INSERT INTO BOOKS(ISBN,title,author,genre,content,publisher,nrpages) "+
									" Values('{0}','{1}','{2}','{3}','{4}','{5}',{6})",isbn,title,authors,category,description,publisher,500 ), sqlConn);
								cmdName.ExecuteNonQuery();
								
								// insert into product
								cmdName = new SqlCommand(String.Format("INSERT INTO product(storeid,isbook,productnumber,price,discount,weight,aboutproduct, similaritems,releasedate,company,stock) " +
											" Values('{0}',{1},'{2}',{3},{4},{5},'{6}','{7}','{8}','{9}', {10})",(isbn + "1"),1,isbn,price,discount,0, " ", " ", "02/02/05",companyName, quantity),sqlConn);
								cmdName.ExecuteNonQuery();
							
							}
						 if(product.Name.ToLower().Trim() == "music")
							{
								Response.Write(product.InnerText + "<br>");
								string isbn = product["id"].InnerText;
								
								string title =  " ";
								if(product["albumName"] != null)
									title = product["albumName"].InnerText;
								title = title.Replace("'","");
								if(title.Length > 64)
									title = title.Substring(0,64);
								string category = "kungfu";
								if(product["genre"] != null)
									category = product["genre"].InnerText;

							 
								if(category.Length > 32)
									category = category.Substring(0,32);
								string publisher = " ";
							    if(product["recordingCompany"] != null)
									publisher = product["recordingCompany"].InnerText;
								if(publisher.Length > 32)
									publisher = publisher.Substring(0,32);
								double price = 0;
								if(product["price"] != null)
									price = Convert.ToDouble(product["price"].InnerText);
								double dprice = 0;
							    if(product["discountPrice"] != null)
									dprice = Convert.ToDouble(product["discountPrice"].InnerText);
								double discount = price - dprice;
								int quantity = 11;
								if(product["quantity"] != null)
									quantity = Convert.ToInt32(product["quantity"].InnerText);

									 
								// get all the authors
								string authors = "none";
							    if(product["artist"] != null)
									authors = product["artist"].InnerText.Replace("'","");
								if(authors.Length > 64)
									authors = authors.Substring(0,64);

								
								string description = " ";
								if(product["description"] != null)
								{
									description = product["description"].InnerText;
									if(description.Length > 4000)
										description.Substring(0,4000);
									description = description.Replace("'","");
								}

							 // now if the ISBN IS DUPLICATE SIMPLY GENERATE A NEW ONE
							 SqlCommand cmdName = new SqlCommand(String.Format("SELECT 1 " +
								 " FROM MUSIC WHERE albumid = '{0}' ", isbn),sqlConn);

							 bool notunique = Convert.ToBoolean(cmdName.ExecuteScalar());

							 while(notunique)
							 {
								 Random number = new Random();
									
								 isbn = Convert.ToString(number.Next(100000,999999)) + "RAND";
								 cmdName = new SqlCommand(String.Format("SELECT 1 " +
									 " FROM MUSIC WHERE albumid = '{0}' ", isbn),sqlConn);
								 notunique = Convert.ToBoolean(cmdName.ExecuteScalar());
							 }




								// lets write the sql queries to update music.
								// get logged in user's name
								
								//insert into the music table
								cmdName = new SqlCommand(String.Format("INSERT INTO music(albumid,albumname,type,artist,genre,company,tracks) "+
									" Values('{0}','{1}','{2}','{3}','{4}','{5}','{6}')",isbn,title," ",authors,category,publisher," "), sqlConn);
								cmdName.ExecuteNonQuery();
								
								// insert into product
								cmdName = new SqlCommand(String.Format("INSERT INTO product(storeid,isbook,productnumber,price,discount,weight,aboutproduct, similaritems,releasedate,company,stock) " +
									" Values('{0}',{1},'{2}',{3},{4},{5},'{6}','{7}','{8}','{9}',{10})",(isbn + "0"),0,isbn,price,discount,0, " ", " ", "02/02/05",companyName,quantity),sqlConn);
								cmdName.ExecuteNonQuery();
							
							}

						}

					}
					// otherwise break import
					else
					{
						Response.Write("Incorrect Format");
						return;
					}
				}
			sqlConn.Close();
				
		}
				
		

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
