using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
/*	Class WebForm1
 *  Content: This is the main form for our program
 *  Author: Razvan Gheoca v1.2 
 */

namespace proj1
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm10 : System.Web.UI.Page
	{
		// the gui controls
		protected System.Web.UI.WebControls.Button OutStock;
		protected System.Web.UI.WebControls.TextBox productid;
		protected System.Web.UI.WebControls.Label lproductid;
		protected System.Web.UI.WebControls.Button searchproduct;
		protected System.Web.UI.WebControls.Button locateAt;
		protected System.Web.UI.WebControls.Label lauthor;
		protected System.Web.UI.WebControls.TextBox authorname;
		protected System.Web.UI.WebControls.Button author;
		protected System.Web.UI.WebControls.Label lints;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Button prodquantity;
		protected System.Web.UI.WebControls.Button warehousefind;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label title;
		protected System.Web.UI.WebControls.Button FetchAll;
		protected System.Web.UI.WebControls.DataGrid sqlGRID;  // Declare a reader to read the query result
		protected System.Web.UI.WebControls.DataGrid sqlGRID2; 
		protected System.Web.UI.WebControls.Button feedback;

		// the sql particularities

		private SqlConnection sqlConn;// Declare a connection object
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.ImageButton Logo;
		protected System.Web.UI.WebControls.ImageButton ImageButton1;
		private SqlDataReader sqlRdr;
		
		
		private void Page_Load(object sender, System.EventArgs e)
		{}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		// adds the button event on the primary sql grid
		protected virtual void sqlGRID_OnItemCommand(object isa, DataGridCommandEventArgs e){
				productid.Text = e.Item.Cells[1].Text;
				searchproduct_Click(isa,e);
				productid.Text = "";
		}
		//}
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void FetchAll_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection();
			sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
			sqlConn.Open();// open the connection
			

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT * " +
				"FROM product ";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				sqlGRID2.Visible = false;
				sqlGRID.DataSource = sqlRdr;
				sqlGRID.DataBind();
				sqlGRID.Visible = true;
			}


			// Close the sql connection at the end
			sqlConn.Close();
		}

		private void OutStock_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection();
			sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
			sqlConn.Open();// open the connection

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT productid as OutOfStock FROM itemtransaction where warehouse is NULL";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				sqlGRID2.Visible = false;
				sqlGRID.DataSource = sqlRdr;
				sqlGRID.DataBind();
				sqlGRID.Visible = true;
			}
	
			// if no items out of stock
			else
			{
				
				Response.Redirect("htmlcodes/nostock.htm");
				
			}
			
			// Close the sql connection at the end
			sqlConn.Close();
		}

		private void searchproduct_Click(object sender, System.EventArgs e)
		{
			string itemID = productid.Text.Trim();
			// only search if our string is proper
			if(itemID != "" && itemID.Length == 11)
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();// open the connection
				string strSql;
					
				// check if out product is book music or other...
				if(itemID.EndsWith("0"))
				{
					// Execute query -- Here you could make 'strSql' any query you want
					strSql = "SELECT storeid,productnumber as albumid,price , discount, weight,albumname, type,artist,genre,company, tracks," +
							"aboutproduct,similaritems,releasedate FROM product, music where albumid = productnumber AND storeid = '" + itemID + "'";
				}
				else if(itemID.EndsWith("1"))
				{
					strSql ="SELECT storeid,productnumber as ISBN,price , discount, weight, title, author,genre,content,publisher, nrpages," +
							"aboutproduct,similaritems,releasedate FROM product, books where isbn = productnumber AND storeid = '" + itemID + "'";
				}
				else
				{
					productid.Text = "invalid code";
					return;
				}
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					sqlGRID.Visible = false;
					sqlGRID2.DataSource = sqlRdr;
					sqlGRID2.DataBind();
					sqlGRID2.Visible = true;
				}
	
					// if no items out of stock
				else
				{
				
					Response.Redirect("htmlcodes/notfound.htm");
				
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
			else 
			{
				productid.Text = "Incorrect id";
			}
		}

		private void locateAt_Click(object sender, System.EventArgs e)
		{
			string itemID = productid.Text.Trim();
			// only search if our string is proper
			if(itemID != "" && itemID.Length == 11)
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();// open the connection
				string strSql;

				// add the query
				strSql = "SELECT warehouse, location, contactInfo, distanceFr,quantity, totalprice" +
						 " FROM availability, warehouses where name = warehouse AND available = 1" +
						 " AND productid = '" + itemID + "'";
			
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{	
					sqlGRID.Visible = false;
					sqlGRID2.DataSource = sqlRdr;
					sqlGRID2.DataBind();
					sqlGRID2.Visible = true; 
				}
				// if no items out of stock
				else
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
			else 
			{
				productid.Text = "Incorrect id";
			}
		}

		private void author_Click(object sender, System.EventArgs e)
		{
			string itemID = authorname.Text.Trim();
			// only search if our string is proper
			if(itemID != "")
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();// open the connection
				string strSql;
				// add the query
				strSql = "(SELECT productid, SUM(quantity) as TotalQuantity " +
						 " FROM availability where productid IN (SELECT DISTINCT storeid " +
						 " FROM books, product where productnumber = ISBN AND author LIKE '%" + itemID + "%')" +
						 " GROUP BY productid) UNION (SELECT productid, SUM(quantity) as TotalQuantity " +
						 " FROM availability where productid IN (SELECT DISTINCT storeid FROM music, product " +
						 " where productnumber = albumid AND artist LIKE '%" + itemID + "%') " +
						 " GROUP BY productid)"; 

			
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true; }
					// if no items out of stock
				else
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
			else 
			{
				authorname.Text = "Empty name";
			}
		}

		private void prodquantity_Click(object sender, System.EventArgs e)
		{
			string itemID = TextBox1.Text.Trim();
			// only search if our string is proper
			if(itemID != "")
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();// open the connection
				string strSql;
				// add the query
				strSql = "SELECT productid, sum(quantity) as NumberProducts" +
						 " FROM availability GROUP BY productid HAVING sum(quantity) > '" +
						 itemID + "'";


			
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true; }
					// if no items out of stock
				else
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
			else 
			{
				 TextBox1.Text = "no quantity";
			}
		}

		private void warehousefind_Click(object sender, System.EventArgs e)
		{
			string itemID = TextBox2.Text.Trim();
			// only search if our string is proper
			if(itemID != "")
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection();
				sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
				sqlConn.Open();// open the connection
				string strSql;
				// add the query
				strSql = "SELECT productid, count(*) as NumberOfWarehouses " +
						 "FROM availability where available = 1 GROUP BY productid " +
						 "HAVING count(*) >= '" + itemID + "'";
			
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true; 	
				}
					// if no items out of stock
				else
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
			else 
			{
				TextBox2.Text = "no quantity";
			}
		}

		private void feedback_Click(object sender, System.EventArgs e)
		{
			
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection();
			sqlConn.ConnectionString = "Persist Security Info=False;User ID=gheocr; Password=mihail;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";
			sqlConn.Open();// open the connection
			

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT * " +
				"FROM feedback ";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				sqlGRID.Visible = false;

				sqlGRID2.DataSource = sqlRdr;
				sqlGRID2.DataBind();
				sqlGRID2.Visible = true;
				
			}


			// Close the sql connection at the end
			sqlConn.Close();
		}

	


		



	}
}
