using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient; 
using System.Web.Security;

namespace proj1.shop
{
	/// <summary>
	/// Summary description for cart.
	/// </summary>
	public class cart : System.Web.UI.Page
	{
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		public string bConnString = "server=IISQLSRV.cs.washington.edu; uid=bkk; pwd=mydbpw; database=gheocr_inventory";
		public double totalPrice;
		public int customerID;
		public string warehouse;
		protected System.Web.UI.WebControls.DataList listCart;
		protected System.Web.UI.WebControls.RadioButtonList listAddress;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.TextBox newAName;
		protected System.Web.UI.WebControls.TextBox newAAddress1;
		protected System.Web.UI.WebControls.TextBox newAAddress2;
		protected System.Web.UI.WebControls.TextBox newACity;
		protected System.Web.UI.WebControls.TextBox newAState;
		protected System.Web.UI.WebControls.TextBox newAZip;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.RadioButtonList rbShippingMethods;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox txtSpecialInstructions;
		protected System.Web.UI.WebControls.Button Button4;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Panel Panel1;
		public Hashtable warehouses;
		public Hashtable companies;
		public Hashtable companyShipOpts;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!Page.IsPostBack)
				//Initiate the counter of dynamically added controls
				this.NumberOfControls = 0;                
			else
				//Controls must be repeatedly be created on postback
				this.createControls();
			
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();
			
			IEnumerator en = Request.Form.GetEnumerator();
			string qSql;
			SqlCommand qCmd;
			string newQ,qID;
			bool cartUpdated = false;

			while(en.MoveNext()) 
			{
				if (((string)en.Current).StartsWith("q_")) 
				{
					newQ = Request.Form[(string)en.Current];
					qID = ((string)en.Current).Substring(2);
					if (newQ == "0") 
					{
						qSql = "DELETE FROM ShoppingCart WHERE id=" + qID;
					} 
					else
					{
						qSql = "UPDATE ShoppingCart SET quantity=" + newQ +	"WHERE id=" + qID;
					}
					qCmd = new SqlCommand(qSql, conn);
					qCmd.ExecuteNonQuery();
					cartUpdated = true;
				}
			}

			if (cartUpdated) Response.Write("Cart Updated<br><br>");

			SqlCommand getCID = new SqlCommand("SELECT customerID FROM bkrell_billing.dbo.Login WHERE " +
				"login='" + Context.User.Identity.Name + "'", conn);
			customerID = (int)getCID.ExecuteScalar();

			string cartSql = "SELECT albumid + '0' AS storeid, albumname, artist, price, discount, quantity, id, " +
				"((price - discount) * quantity) AS itemcost " +
				"FROM music, product, ShoppingCart " +
				"WHERE music.albumid = product.productnumber AND product.isbook=0 " +
				"AND ShoppingCart.productnumber = product.productnumber AND ShoppingCart.isbook=0 " +
				"AND login='" + Context.User.Identity.Name + "' " +
				"UNION " +
				"SELECT ISBN + '1' AS storeid, title, author, price, discount, quantity, id, " +
				"((price - discount) * quantity) AS itemcost " +
				"FROM books, product, ShoppingCart " +
				"WHERE books.ISBN = product.productnumber AND product.isbook=1 " +
				"AND ShoppingCart.productnumber = product.productnumber AND ShoppingCart.isbook=1 " +
				"AND login='" + Context.User.Identity.Name + "' ";

			SqlCommand cmdCart = new SqlCommand(cartSql, conn);
			SqlDataReader dr = cmdCart.ExecuteReader();

			
			listCart.DataSource = dr;
			listCart.DataBind();

			dr.Close();


			if (!Page.IsPostBack) bindAddresses();
			
			conn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Button4.Click += new System.EventHandler(this.Button4_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		
		// a Property that manages a counter stored in ViewState
		protected int NumberOfControls
		{
			get{return (int)ViewState["NumControls"];}
			set{ViewState["NumControls"] = value;}
		}

		// This routine creates the controls and assigns a generic ID
		private void createControls()
		{
			int count = this.NumberOfControls;

			//Response.Write(count.ToString());
			//Response.End();
			for(int i = 0; i < count; i++)
			{
				RadioButtonList rbl = new RadioButtonList();
				rbl.ID = "partnerRB_" + i.ToString();
				
				//Add the Controls to the container of your choice
				Panel1.Controls.Add(rbl);
			}
		}

		public void bindAddresses() 
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			string addressSql = "SELECT addressID, '<strong>' + Name + '</strong> -  ' + Address1 + ', ' + City AS addressString " +
				"FROM bkrell_billing.dbo.Customer_Address AS CA, bkrell_billing.dbo.Login AS L WHERE CA.customerID = L.customerID " +
				"AND L.login='" + Context.User.Identity.Name + "' " + 
				"ORDER BY isPrimaryShipping DESC";

			SqlCommand cmdAddress = new SqlCommand(addressSql, conn);
			SqlDataReader dra = cmdAddress.ExecuteReader();

			listAddress.DataValueField = "addressID";
			listAddress.DataTextField = "addressString";
			listAddress.DataSource = dra;
			listAddress.DataBind();

			dra.Close();
			

			conn.Close();
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();
			
			SqlCommand cmdNewA = new SqlCommand("INSERT INTO bkrell_billing.dbo.Customer_Address " +
				"(customerID, Name, Address1, Address2, City, State, Zip) VALUES(" +
				customerID + ", " +
				"'" + newAName.Text + "', " +
				"'" + newAAddress1.Text + "', " +
				"'" + newAAddress2.Text + "', " +
				"'" + newACity.Text + "', " +
				"'" + newAState.Text + "', " +
				"'" + newAZip.Text + "')", conn);
			cmdNewA.ExecuteNonQuery();

			conn.Close();
			
			bindAddresses();
		}

		public void computeTotals(object sender, System.Web.UI.WebControls.DataListItemEventArgs e)
		{
			if (e.Item.ItemType == ListItemType.Item ||
				e.Item.ItemType == ListItemType.AlternatingItem) 
			{
				totalPrice += Convert.ToDouble(
					DataBinder.Eval(e.Item.DataItem, "itemcost"));
				// could pretty easily add some "you saved this much" thing - but it's not a receipt - who cares
			}
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			SqlCommand cmdDelA = new SqlCommand("DELETE FROM bkrell_billing.dbo.Customer_Address " +
				"WHERE addressID=" + listAddress.SelectedItem.Value.ToString(), conn);
			cmdDelA.ExecuteNonQuery();

			conn.Close();
			
			bindAddresses();
		}

		public struct ProductQuantity 
		{
			public string productID;
			public int quantity;

			public ProductQuantity(string pID, int q) 
			{
				productID = pID;
				quantity = q;
			}
		}

		public void calculateShipping() 
		{
			// new hashtable to determine companies
			companies = new Hashtable();
			warehouses = new Hashtable();
			//Hashtable cart = new Hashtable();
			Hashtable cart;
			companyShipOpts = new Hashtable();
			
			string sql;
			if (listAddress.SelectedIndex != -1) 
			{
				
				Label1.Text = "";
				rbShippingMethods.Visible = true;
				Label2.Visible = true;
				Button4.Visible = true;
				Label4.Visible = true;
				txtSpecialInstructions.Visible = true;

				SqlConnection conn = new SqlConnection(bConnString);
				conn.Open();

				// move cart contents into hashtable
				SqlCommand cmdC = new SqlCommand("SELECT (productnumber + cast(isbook AS char)), quantity, company " +
					"FROM bkk.ShoppingCart WHERE login='" + Context.User.Identity.Name + "'", conn);
				SqlDataReader drC = cmdC.ExecuteReader();
				while(drC.Read()) 
				{
					if (!companies.ContainsKey(drC.GetString(2))) 
					{
						companies.Add(drC.GetString(2), new Hashtable());
						companyShipOpts.Add(drC.GetString(2), new RadioButtonList());
					}

					cart = (Hashtable)companies[drC.GetString(2)];
					cart.Add(drC.GetString(0).Trim(), drC.GetInt32(1));
				}
				drC.Close();

				// now loop through other companies
				IDictionaryEnumerator cEnum = companies.GetEnumerator();
				IDictionaryEnumerator ctEnum;
				RadioButtonList cShipOpts;
				SqlCommand orderInfo,cmdPartnerSO,cGetCity;
				SqlDataReader rO,mr2;
				double w;
				int itemCount;
				string dCity;
				Label tmpLabel;

				while (cEnum.MoveNext()) 
				{
					if ((string)cEnum.Key != " ") 
					{
						cart = (Hashtable)cEnum.Value;
						cShipOpts = (RadioButtonList)companyShipOpts[(string)cEnum.Key];
						
						// now get weight and number of items
						orderInfo = new SqlCommand("SELECT SUM(C.quantity), SUM(P.weight * C.quantity) " +
							"FROM bkk.ShoppingCart C, product P " +
							"WHERE P.storeid = (C.productnumber + CAST(C.isbook AS char)) " +
							"AND C.company='" + (string)cEnum.Key + "'", conn);
						rO = orderInfo.ExecuteReader();
						rO.Read();
						
						itemCount = rO.GetInt32(0);
						w = rO.GetDouble(1);

						rO.Close();

						// what city are we shipping to?

						cGetCity = new SqlCommand("SELECT City FROM bkrell_billing.dbo.Customer_Address " +
							"WHERE AddressID=" + listAddress.SelectedValue, conn);
						dCity = (string)cGetCity.ExecuteScalar();

						// now get the shipping options
						cmdPartnerSO = new SqlCommand("SELECT shippingoptionid, vendor, shippingoption, price " +
							"FROM partner_shipping " +
							"WHERE pricingType='flat' " +
							"AND companyname='" + (string)cEnum.Key + "' " +
							"AND maxweight >= " + w + " AND maximumitems >= " + itemCount + " AND cities NOT LIKE '%" + dCity + "%' " +
							"UNION " +
							"SELECT shippingoptionid, vendor, shippingoption, (price * " + w + ") " +
							"FROM partner_shipping " +
							"WHERE pricingType='perPound' " +
							"AND companyname='" + (string)cEnum.Key + "' " +
							"AND maxweight >= " + w + " AND maximumitems >= " + itemCount + " AND cities NOT LIKE '%" + dCity + "%' " +
							"UNION " +
							"SELECT shippingoptionid, vendor, shippingoption, (price * " + itemCount + ") " +
							"FROM partner_shipping " +
							"WHERE pricingType='perUnit' " +
							"AND companyname='" + (string)cEnum.Key + "'" +
							"AND maxweight >= " + w + " AND maximumitems >= " + itemCount + " AND cities NOT LIKE '%" + dCity + "%'", conn);

						mr2 = cmdPartnerSO.ExecuteReader();

						while (mr2.Read()) 
						{
							//mr2.Read();
							cShipOpts.Items.Add(new ListItem("<b>" + mr2.GetString(1) + "</b> - " +
								mr2.GetString(2) + " (" + String.Format("{0:C}", mr2.GetDecimal(3)) + ")", 
								String.Format("{0:D}", (string)cEnum.Key + "~" + mr2.GetString(0))));
							//cShipOpts.Items.Add(new ListItem("brian", mr2.GetString(0)));
						} 

						mr2.Close();

						tmpLabel = new Label();

						//cartEnum
						tmpLabel.Text = "The following items will be shipped by our partner, " + (string)cEnum.Key + "\n";
						tmpLabel.Text += "<ul>\n";

						ctEnum = cart.GetEnumerator();

						while(ctEnum.MoveNext()) 
						{
							tmpLabel.Text += "<li>" + ctEnum.Key + "</li>\n";
						}
						tmpLabel.Text += "</ul>\n";
						tmpLabel.Text += "Select how you want the above items to be shipped:<p>";

						cShipOpts.ID = "partnerRB_" + NumberOfControls.ToString();

						Panel1.Controls.Add(tmpLabel);
						Panel1.Controls.Add(cShipOpts);
						
						this.NumberOfControls++;

						tmpLabel = new Label();
						tmpLabel.Text = "<p>";
						Panel1.Controls.Add(tmpLabel);

						Panel1.Visible = true;

						//Label3.Text = "You have chosen " + cart.Count + " different products from " + cEnum.Key;
						

					}
				}
				
				// now look at our own products
				// determine if a warehouse with enough quantity is in the destination city
				cart = (Hashtable)companies[" "];

				if (cart == null) 
				{
					// none of our own products - ignore
				} 
				else
				{
					sql = "SELECT A.warehouse " +
						"FROM bkk.ShoppingCart AS C, availability AS A, warehouses AS W " +
						"WHERE (C.productnumber + cast(C.isbook AS char)) = A.productid " +
						"AND C.company=' ' " +
						"AND A.warehouse = W.name " +
						"AND C.login='" + Context.User.Identity.Name + "' " +
						"AND A.quantity >= C.quantity " +
						"AND W.Location=(SELECT City FROM bkrell_billing.dbo.Customer_Address WHERE AddressID=" + listAddress.SelectedValue + ") " +
						"GROUP BY warehouse " +
						"HAVING COUNT(warehouse) = (SELECT COUNT(*) FROM bkk.ShoppingCart WHERE login='" + Context.User.Identity.Name + "') ";

					SqlCommand inCity = new SqlCommand(sql,conn);
					warehouse = (string)inCity.ExecuteScalar();


					if (warehouse == null) 
					{
						// can any warehouse fill entire order?
						sql = "SELECT A.warehouse " +
							"FROM bkk.ShoppingCart AS C, availability AS A " +
							"WHERE (C.productnumber + cast(C.isbook AS char)) = A.productid " +
							"AND C.company=' ' " +
							"AND C.login='" + Context.User.Identity.Name + "' " +
							"AND A.quantity >= C.quantity " +
							"GROUP BY warehouse " +
							"HAVING COUNT(warehouse) = (SELECT COUNT(*) FROM bkk.ShoppingCart WHERE login='" + Context.User.Identity.Name + "') ";

						SqlCommand notInCity = new SqlCommand(sql,conn);
						warehouse = (string)notInCity.ExecuteScalar();

						if (warehouse == null) 
						{
							// need to use multiple warehouses
							

							SqlCommand cmdW = new SqlCommand("SELECT warehouse,productid, ISNULL(quantity,0) FROM availability", conn);
							SqlDataReader drW = cmdW.ExecuteReader();

							int curQuantity;
							int curCartQuantity;
							string curProductID;
							Hashtable curHT;
							
							while(drW.Read()) 
							{
								curQuantity = drW.GetInt16(2);
								curProductID = drW.GetString(1);
								
								if (cart.Contains(curProductID) && curQuantity > 0) 
								{
									curCartQuantity = ((int)cart[curProductID]);
									if (curCartQuantity == 0) 
									{
										// do nothing - no more needed
									} 
									else if (curCartQuantity > curQuantity) 
									{
										cart[curProductID] = ((int)cart[curProductID]) - curQuantity;
										if (!warehouses.ContainsKey(drW.GetString(0))) 
										{
											warehouses.Add(drW.GetString(0), new Hashtable());
										}
										curHT = (Hashtable)warehouses[drW.GetString(0)];
										curHT.Add(curProductID, curQuantity);

										//warehouses.Add(drW.GetString(0), new ProductQuantity(curProductID, curQuantity));
									} 
									else 
									{
										cart[curProductID] = 0;
										if (!warehouses.ContainsKey(drW.GetString(0))) 
										{
											warehouses.Add(drW.GetString(0), new Hashtable());
										}
										curHT = (Hashtable)warehouses[drW.GetString(0)];
										curHT.Add(curProductID, curCartQuantity);


										//warehouses.Add(drW.GetString(0), new ProductQuantity(curProductID, curCartQuantity));
									}
								}
							}

							drW.Close();
							
							IDictionaryEnumerator cartEnum = cart.GetEnumerator();

							while (cartEnum.MoveNext()) 
							{
								if (((int)cartEnum.Value) > 0) 
								{
									Response.Redirect("htmlcodes/nostock.htm");
								}
							}
						} 
						else 
						{
							//Label1.Text = "out of city " + warehouse;
						}
					} 
					else 
					{
						//Label1.Text = warehouse;
					}

					if (warehouse != null) 
					{
						// use warehouses hashtable
						warehouses.Add(warehouse, new Hashtable());
						IDictionaryEnumerator ec = cart.GetEnumerator();

						while(ec.MoveNext()) 
						{
							((Hashtable)warehouses[warehouse]).Add(ec.Key, ec.Value);
						}

					}

					// loop through products in warehouses to add the information  to the ShoppingCart_Warehouse table
					IDictionaryEnumerator enW = warehouses.GetEnumerator();
					IDictionaryEnumerator curWE;
					string curW;
					SqlCommand cmdCW;

					// first clear existing assignments, if present
					cmdCW = new SqlCommand("DELETE FROM bkk.ShoppingCart_Warehouse WHERE login='" + Context.User.Identity.Name + "'", conn);
					cmdCW.ExecuteNonQuery();

					while (enW.MoveNext()) 
					{
						curW = (string)enW.Key;
						curWE = ((Hashtable)enW.Value).GetEnumerator();

						while (curWE.MoveNext()) 
						{
							cmdCW = new SqlCommand("INSERT INTO bkk.ShoppingCart_Warehouse (login, warehouseName, productid, quantity) " +
								"VALUES('" + Context.User.Identity.Name + "', '" + curW + "', '" + curWE.Key + "', " + curWE.Value + ")",
								conn);
							cmdCW.ExecuteNonQuery();
						}
					}

					SqlCommand getWeight = new SqlCommand("SELECT SUM(C.Quantity * P.Weight) " +
						"FROM bkk.ShoppingCart C, Product P " +
						"WHERE C.productnumber = P.productnumber AND C.isbook = P.isbook " +
						"AND C.login='" + Context.User.Identity.Name + "' AND C.company=' '", conn);
					double weight = (double)getWeight.ExecuteScalar();

					SqlCommand getItems = new SqlCommand("SELECT SUM(Quantity) FROM bkk.ShoppingCart " +
						"WHERE login='" + Context.User.Identity.Name + "' AND company=' '", conn);
					int items = (int)getItems.ExecuteScalar();

					SqlCommand getCity = new SqlCommand("SELECT City FROM bkrell_billing.dbo.Customer_Address " +
						"WHERE AddressID=" + listAddress.SelectedValue, conn);
					string destCity = (string)getCity.ExecuteScalar();

					// now get warehouse list
					if (warehouse == null) 
					{
						// iterate through warehouses
						IDictionaryEnumerator we = warehouses.GetEnumerator();
						while (we.MoveNext()) 
						{
							warehouse += "'" + (string)we.Key + "',";
						}
						warehouse = warehouse.Substring(0, warehouse.Length - 1);
					} 
					else 
					{
						warehouse = "'" + warehouse + "'";
					}

					SqlCommand shippingOptions = new SqlCommand("SELECT ShippingOptionID, ShippingOptionName FROM shen321_shipping.dbo.ShippingOption", conn);
					SqlDataReader wbe = shippingOptions.ExecuteReader();


					SqlCommand cmdM;
					SqlDataReader mr;
					
					SqlConnection conn2 = new SqlConnection(bConnString);
					conn2.Open();
					
					rbShippingMethods.Items.Clear();
					
					while(wbe.Read())
					{
						cmdM = new SqlCommand();
						cmdM.Connection = conn2;
						cmdM.CommandType = CommandType.StoredProcedure;
						cmdM.CommandText = "shen321_shipping.bkk.GetShippingMethods";
						cmdM.Parameters.Add("@Weight", SqlDbType.VarChar, 20);
						cmdM.Parameters["@Weight"].Value = String.Format("{0:F4}", weight);
						cmdM.Parameters.Add("@Items", SqlDbType.VarChar, 10);
						cmdM.Parameters["@Items"].Value = String.Format("{0:D}", items);
						cmdM.Parameters.Add("@ShippingOption", SqlDbType.VarChar, 10);
						cmdM.Parameters["@ShippingOption"].Value = String.Format("{0:D}", wbe.GetInt32(0));
						cmdM.Parameters.Add("@ShipToCity", SqlDbType.VarChar, 100);
						cmdM.Parameters["@ShipToCity"].Value = destCity;
						cmdM.Parameters.Add("@WarehouseList", SqlDbType.VarChar, 500);
						cmdM.Parameters["@WarehouseList"].Value = warehouse;

						mr = cmdM.ExecuteReader();

						if (mr.HasRows) 
						{
							mr.Read();
							rbShippingMethods.Items.Add(new ListItem("<b>" + wbe.GetString(1) + "</b> - " +
								mr.GetString(1) + " (" + String.Format("{0:C}", mr.GetDecimal(2)) + ", " +
								String.Format("{0:D}", mr.GetInt32(3)) + " days)", 
								String.Format("{0:D}", mr.GetInt32(0))));
						} 
						else 
						{
							//temp = new ListItem("<b>" + wbe.GetString(1) + "</b> - Unavailable", "");
							//temp.
							// ignore
						}
						mr.Close();
						//wbe.GetString(1);

					}




					conn2.Close();
					wbe.Close();
				}

				conn.Close();




			} 
			else 
			{
				Label1.Text = "You must select a shipping address.";
			}

			
		}

		private void Button3_Click(object sender, System.EventArgs e)
		{
			calculateShipping();
		}

		public void proceedToBilling() 
		{

			bool partnerSO = true;
			// check partner shipping

			//int i;

			string tmpForm;
			string[] tmpParts;

			if (listAddress.SelectedIndex > -1 && rbShippingMethods.SelectedIndex > -1 || partnerSO) 
			{
				Session["selectedAddress"] = Convert.ToInt32(listAddress.SelectedValue);

				if (rbShippingMethods.SelectedIndex == -1)
				{
					Session["selectedShippingMethod"] = -1;
				} 
				else 
				{
					Session["selectedShippingMethod"] = Convert.ToInt32(rbShippingMethods.SelectedValue);
					Session["specialInstructions"] = txtSpecialInstructions.Text;
				}

				try 
				{
					HttpCookie cookie = new HttpCookie("Mycookie");
					cookie.Values.Add("address",Convert.ToString((int)Session["selectedAddress"]));
					cookie.Values.Add("shipping",Convert.ToString((int)Session["selectedShippingMethod"]));
					cookie.Values.Add("instructions",(string)Session["specialInstructions"]);

					// go through radiobuttonlists for partner companies
					for (int xx = 0; xx < this.NumberOfControls; xx++) 
					{
						tmpForm = Request.Form["partnerRB_" + xx.ToString()];
						tmpParts = tmpForm.Split('~');

						cookie.Values.Add("companyShip~" + tmpParts[0], tmpParts[1]);
					}
					

					cookie.Expires = DateTime.MaxValue; // Never Expires
					Response.AppendCookie(cookie);
					Response.Cookies.Add(cookie);
					Response.AppendCookie(cookie);
					
				}
				catch
				{

				}
				/*HttpCookie cookie = Request.Cookies["Mycookie"];

				selectedAddress = Convert.ToInt32(cookie.Values["address"]);
				selectedShippingMethod =  Convert.ToInt32(cookie.Values["shipping"]);
				specialInstructions =  cookie.Values["instructions"];*/
				Response.Redirect("billing.aspx");
			} 
			else 
			{
				calculateShipping();
				Label3.Text = "You must select a shipping method.";
			}
		}

		private void Button4_Click(object sender, System.EventArgs e)
		{
			//RadioButtonList rbl = (RadioButtonList)Panel1.FindControl("partnerRB_1");
			//Label4.Text = rbl.SelectedIndex.ToString();
			proceedToBilling();
		}
	}
}
