using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace proj1
{
	/// <summary>
	/// Summary description for invoice.
	/// </summary>
	public class invoice : System.Web.UI.Page
	{
		public System.Web.UI.WebControls.DataList listItems;
		public System.Web.UI.WebControls.DataList invoiceDetail;
		public double totalPrice;
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			string sqlItems = "SELECT it.itemName, ii.Quantity, ii.UnitPrice, ii.DiscountAmount, ii.DiscountPercent, " +
				"(((ii.unitPrice - ii.discountAmount) - (ii.unitPrice * ii.discountPercent)) * ii.Quantity) AS itemCost, " +
				"ii.shipWarehouse, ii.ShipDate " +
				"FROM Invoice_Item ii, Items it " +
				"WHERE ii.itemID = it.itemID " +
				"AND ii.invoiceID = " + Request.QueryString["id"] + " " +
				"ORDER BY ii.shipWarehouse";

			SqlConnection conn = new SqlConnection("server=IISQLSRV.cs.washington.edu; uid=bkk; pwd=mydbpw; database=bkrell_billing");		
			conn.Open();

			SqlCommand cmd = new SqlCommand(sqlItems, conn);
			SqlDataReader dr = cmd.ExecuteReader();

			listItems.DataSource = dr;
			listItems.DataBind();
			
			dr.Close();

			string sqlInvoice = "SELECT i.invoiceDate, i.discountAmount, i.discountPercent, sm.shippingMethodDesc, i.shippingCost, i.TaxRate, " +
				"bc.FirstName AS bFirstName, bc.LastName AS bLastName, bc.Email AS bEmail, bc.Phone AS bPhone, bc.PhoneExt AS bPhoneExt, " +
				"sa.Name AS sName, sa.Address1 AS sAddress1, sa.Address2 AS sAddress2, sa.City AS sCity, sa.State AS sState, sa.Zip AS sZip, " +
				"p.paymentDate, p.paymentAmount, p.Completed, ct.cardTypeDesc, p.CreditCardNumber, p.CreditCardExp, p.CreditCardCVN, " +
				"ba.Name AS bName, ba.Address1 AS bAddress1, ba.Address2 AS bAddress2, ba.City AS bCity, ba.State AS bState, ba.Zip AS bZip, " +
				"i.specialInstructions, i.isGift, i.giftMessage " +
				"FROM Invoice i, Customer bc, Customer_Address sa, ShippingMethod sm, Payment_CreditCard p, Customer_Address ba, CreditCardTypes ct " +
				"WHERE i.Buyer = bc.customerID AND i.ShipTo = sa.addressID AND i.shippingMethod = sm.shippingMethodID " +
				"AND i.paymentID = p.paymentID AND p.BillingAddress = ba.addressID AND p.cardTypeID = ct.cardTypeID " +
				"AND i.invoiceID=" + Request.QueryString["id"];
			
			SqlCommand cmdDetail = new SqlCommand(sqlInvoice, conn);
			SqlDataReader r = cmdDetail.ExecuteReader();

			invoiceDetail.DataSource = r;
			invoiceDetail.DataBind();
			
			//DataBinder.Eval(Container.DataItem, "discountAmount");
			//Double.(object)DataBinder.Eval(asdf,""))
			r.Close();
			conn.Close();

			totalPrice = 0.0;
		}
		
		public void computeTotals(object sender, System.Web.UI.WebControls.DataListItemEventArgs e)
		{
			if (e.Item.ItemType == ListItemType.Item ||
				e.Item.ItemType == ListItemType.AlternatingItem) 
			{
				totalPrice += Convert.ToDouble(
					DataBinder.Eval(e.Item.DataItem, "itemCost"));
				// could pretty easily add some "you saved this much" thing - but it's not a receipt - who cares
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
