using System;
using System.IO;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Web.Security;


/*	Class WebForm2
 *  Content: This is the main form for our program
 *  Author: Razvan Gheoca v1.2 
 */
namespace proj1
{
	/// <summary>
	/// Summary description for WebForm2.
	/// </summary>
	public class WebForm200 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Button titleloc;
		protected System.Web.UI.WebControls.Button nameloc;
		protected System.Web.UI.WebControls.TextBox nameed;
		protected System.Web.UI.WebControls.TextBox titleed;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Button bookloc;
		protected System.Web.UI.WebControls.TextBox booked;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Button alloc;
		protected System.Web.UI.WebControls.DataGrid sqlGRID;

		private SqlConnection sqlConn;// Declare a connection object
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.HyperLink HyperLink1;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Button Button1;
		private SqlDataReader sqlRdr;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection();
			// Put user code to initialize the page here
			sqlConn.ConnectionString = "Persist Security Info=False;User ID=bkk; Password=mydbpw;Initial Catalog=gheocr_inventory;Data Source=iisqlsrv.cs.washington.edu;";

			// get logged in user's name
			sqlConn.Open();

			SqlCommand cmdName = new SqlCommand("SELECT FirstName FROM bkrell_billing.dbo.Login AS L, bkrell_billing.dbo.Customer AS C " +
				"WHERE L.CustomerID = C.CustomerID " +
				"AND login='" + Context.User.Identity.Name + "'", sqlConn);
			string firstName = (string)cmdName.ExecuteScalar();

			Label4.Text = "Welcome back, " + firstName;

			sqlConn.Close();
		}

		// adds the button event on the primary sql grid
		protected virtual void sqlGRID_OnItemCommand(object isa, DataGridCommandEventArgs e)
		{
			// check to an item information page
			if(((Button)(e.CommandSource)).Text == "check")
			{ 
				searchproduct(e.Item.Cells[2].Text);
			}
			else if (((Button)(e.CommandSource)).Text == "add to") 
			{
				// do this
				addtocart(e.Item.Cells[2].Text);
			}
			else
			{
				return;
			}
		}

		private void addtocart(string itemID) 
		{
			if (itemID != "" && itemID.Length == 11) 
			{
				sqlConn.Open();// open the connection
				sqlCom = new SqlCommand("INSERT INTO ShoppingCart (login, productnumber, isbook) VALUES (" +
					"'" + Context.User.Identity.Name + "', '" + itemID.Substring(0,10) + "', " + itemID.Substring(10,1) + ")", sqlConn);
				sqlCom.ExecuteNonQuery();

				sqlConn.Close();
			} 
			else 
			{
				Response.Redirect("htmlcodes/notfound.htm");
			}
		}

		private void searchproduct(string itemID)
		{
			// only search if our string is proper
			if(itemID != "" && itemID.Length == 11)
			{
				sqlConn.Open();// open the connection
				string strSql;
					
				// check if out product is book music or other...
				if(itemID.EndsWith("0"))
				{
					// Execute query -- Here you could make 'strSql' any query you want
					strSql = "SELECT storeid,productnumber as albumid,price , discount, weight,albumname, type,artist,genre,company, tracks," +
						"aboutproduct,similaritems,releasedate FROM product, music where albumid = productnumber AND storeid = '" + itemID + "'";
				}
				else if(itemID.EndsWith("1"))
				{
					strSql ="SELECT storeid,productnumber as ISBN,price , discount, weight, title, author,genre,content,publisher, nrpages," +
						"aboutproduct,similaritems,releasedate FROM product, books where isbn = productnumber AND storeid = '" + itemID + "'";
				}
				else
				{
					return;
				}
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true;
				}
	
					// if no items out of stock
				else
				{
				
					Response.Redirect("htmlcodes/notfound.htm");
				
				}
			
				// Close the sql connection at the end
				sqlConn.Close();
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.titleloc.Click += new System.EventHandler(this.titleloc_Click);
			this.sqlGRID.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.sqlGRID_OnItemCommand);
			this.nameloc.Click += new System.EventHandler(this.nameloc_Click);
			this.bookloc.Click += new System.EventHandler(this.bookloc_Click);
			this.alloc.Click += new System.EventHandler(this.alloc_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		// adds the button event on the primary sql grid

		private void titleloc_Click(object sender, System.EventArgs e)
		{
			if ( titleed.Text != "") 
			{
				sqlConn.Open();// open the connection
		
				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "(SELECT storeid,title,author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
					" FROM (books JOIN product ON productnumber = isbn AND title LIKE '%" + titleed.Text + "%'),availability " + 
					" WHERE productnumber= ISBN AND storeid = productid " +
					" GROUP by storeid,title,author,price,discount, aboutproduct, releasedate )" +
					" UNION " +
					" (SELECT storeid,albumname as title,artist as author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
					" FROM (music JOIN product ON productnumber = albumid AND albumname='" + titleed.Text + "'), availability"+
					" WHERE storeid = productid" +
					" GROUP by storeid,albumname,artist,price,discount, aboutproduct, releasedate)";

				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					//sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true;
				}
				else 
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}

				// Close the sql connection at the end
				sqlConn.Close();
			}
			else
			{
				titleed.Text = "Empty name";
			}
		}

		private void nameloc_Click(object sender, System.EventArgs e)
		{
			if ( nameed.Text != "") 
			{
				sqlConn.Open();// open the connection
		
				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "(SELECT storeid,title,author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
					" FROM (books JOIN product ON productnumber = isbn AND author LIKE '%" + nameed.Text + "%'),availability " + 
					" WHERE productnumber= ISBN AND storeid = productid " +
					" GROUP by storeid,title,author,price,discount, aboutproduct, releasedate )" +
					" UNION " +
					" (SELECT storeid,albumname as title,artist as author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
					" FROM (music JOIN product ON productnumber = albumid AND artist='" + nameed.Text + "'), availability"+
					" WHERE storeid = productid" +
					" GROUP by storeid,albumname,artist,price,discount, aboutproduct, releasedate)";

				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					//sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true;
				}
				else 
				{
					Response.Redirect("htmlcodes/notfound.htm");
				}

				// Close the sql connection at the end
				sqlConn.Close();
			}
			else
			{
				nameed.Text = "Empty name";
			}
		}

		private void bookloc_Click(object sender, System.EventArgs e)
		{
			if(booked.Text != "") 
			{
				sqlConn.Open();// open the connection
			

				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "(SELECT storeid,title,author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
					" FROM (books JOIN product ON productnumber = isbn AND (genre LIKE '%" + booked.Text + 
					"%' OR content LIKE '%" + booked.Text + "%')),availability " + 
					" WHERE productnumber= ISBN AND storeid = productid " +
					" GROUP by storeid,title,author,price,discount, aboutproduct, releasedate )";

				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					//sqlGRID2.Visible = false;
					sqlGRID.DataSource = sqlRdr;
					sqlGRID.DataBind();
					sqlGRID.Visible = true;
				}


				// Close the sql connection at the end
				sqlConn.Close();
			}
			else
			{
				booked.Text = "please enter text";
			}
		}
		

		private void alloc_Click(object sender, System.EventArgs e)
		{
			sqlConn.Open();// open the connection
			

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "(SELECT storeid,title,author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
			" FROM (books JOIN product ON productnumber = isbn),availability " + 
			" WHERE productnumber= ISBN AND storeid = productid " +
			" GROUP by storeid,title,author,price,discount, aboutproduct, releasedate )" +
			" UNION " +
			" (SELECT storeid,albumname as title,artist as author, price, discount, aboutproduct, releasedate, sum(quantity) as availableitems" +
			" FROM (music JOIN product ON productnumber = albumid), availability"+
			" WHERE storeid = productid" +
			" GROUP by storeid,albumname,artist,price,discount, aboutproduct, releasedate)";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				//sqlGRID2.Visible = false;
				sqlGRID.DataSource = sqlRdr;
				sqlGRID.DataBind();
				sqlGRID.Visible = true;
			}


			// Close the sql connection at the end
			sqlConn.Close();
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			FormsAuthentication.SignOut();
			Response.Redirect("browsing.aspx");
		}
	}
}
