using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient; 
using System.Web.Security;

namespace proj1.shop
{
	/// <summary>
	/// Summary description for billing.
	/// </summary>
	public class billing : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataList listItems;
		public int selectedAddress;
		public int selectedShippingMethod;
		public string specialInstructions;
		public Hashtable warehouses;
		public string bConnString = "server=IISQLSRV.cs.washington.edu; uid=bkk; pwd=mydbpw; database=gheocr_inventory";
		public double subtotalPrice;
		public double totalPrice;
		public double shippingCost;
		public double taxRate;
		protected System.Web.UI.WebControls.Label lblSubtotal;
		protected System.Web.UI.WebControls.Label lblShipping;
		protected System.Web.UI.WebControls.Label lblTax;
		protected System.Web.UI.WebControls.Label lblTotal;
		protected System.Web.UI.WebControls.Label lblInstructions;
		protected System.Web.UI.WebControls.Label lblShipAddress2;
		protected System.Web.UI.WebControls.Label lblShipAddress3;
		protected System.Web.UI.WebControls.Label lblShipAddress1;
		protected System.Web.UI.WebControls.DropDownList listCardTypes;
		protected System.Web.UI.WebControls.TextBox txtCCNum;
		protected System.Web.UI.WebControls.TextBox txtExpDate;
		protected System.Web.UI.WebControls.TextBox txtCVN;
		protected System.Web.UI.WebControls.RadioButtonList listAddress;
		protected System.Web.UI.WebControls.TextBox newAName;
		protected System.Web.UI.WebControls.TextBox newAAddress1;
		protected System.Web.UI.WebControls.TextBox newAAddress2;
		protected System.Web.UI.WebControls.TextBox newACity;
		protected System.Web.UI.WebControls.TextBox newAState;
		protected System.Web.UI.WebControls.TextBox newAZip;
		protected System.Web.UI.WebControls.Button Button3;
		public double taxCost;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label1;
		public int customerID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			try 
			{
				object k = Context.Session;
				selectedAddress = (int)Session["selectedAddress"];
				selectedShippingMethod = (int)Session["selectedShippingMethod"];
				specialInstructions = (string)Session["specialInstructions"];
			} 
			catch
			{
				
				HttpCookie cookie = Request.Cookies["Mycookie"];

				selectedAddress = Convert.ToInt32(cookie.Values["address"]);
				selectedShippingMethod =  Convert.ToInt32(cookie.Values["shipping"]);
				specialInstructions =  cookie.Values["instructions"];
				//selectedAddress = 209;
				//selectedShippingMethod = 4;
				//specialInstructions = "handle with care";
			}
			// Put user code to initialize the page here
			//Response.Write(selectedAddress + " //d " + selectedShippingMethod + " // " + specialInstructions);

			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();


			//get customer id
			SqlCommand cmdCID = new SqlCommand("SELECT CustomerID FROM bkrell_billing.dbo.Login WHERE login='" + Context.User.Identity.Name + "'", conn);
			customerID = (int)cmdCID.ExecuteScalar();

			// get shipping cost
			SqlCommand cmdShip = new SqlCommand("SELECT UnitOfPricing, PricePerUnit " +
				"FROM shen321_shipping.bkk.VendorShippingOptionDetail " +
				"WHERE VendorShippingOptionID = " + selectedShippingMethod, conn);
			SqlDataReader drShip = cmdShip.ExecuteReader();
			drShip.Read();
			string pricingUnit;
			double pricePerUnit;

			pricingUnit = drShip.GetString(0);
			pricePerUnit = drShip.GetSqlMoney(1).ToDouble();

			drShip.Close();

			if (pricingUnit == "Flat") 
			{
				shippingCost = pricePerUnit;
			} 
			else if (pricingUnit == "Weight") 
			{
				// calculate weight
				SqlCommand getWeight = new SqlCommand("SELECT SUM(C.Quantity * P.Weight) " +
					"FROM bkk.ShoppingCart C, Product P " +
					"WHERE C.productnumber = P.productnumber AND C.isbook = P.isbook " +
					"AND C.login='" + Context.User.Identity.Name + "'", conn);
				double weight = (double)getWeight.ExecuteScalar();

				shippingCost = weight * pricePerUnit;
			} 
			else 
			{
				// calculate num items
				SqlCommand getItems = new SqlCommand("SELECT SUM(Quantity) FROM bkk.ShoppingCart " +
					"WHERE login='" + Context.User.Identity.Name + "'", conn);
				int items = (int)getItems.ExecuteScalar();

				shippingCost = items * pricePerUnit;
			}

			taxRate = 0.09;
			totalPrice = shippingCost;

			string cartSql = "SELECT productid, (artist + ' - ' + albumname) AS itemName, price, discount, " +
				"quantity, quantity*(price-discount) AS itemCost, warehouseName " +
				"FROM music, product, ShoppingCart_Warehouse " +
				"WHERE music.albumid + '0' = product.storeid " +
				"AND ShoppingCart_Warehouse.productid = product.storeid " +
				"AND login='" + Context.User.Identity.Name + "' " +
				"UNION " +
				"SELECT productid, (author + ' - ' + title) AS itemName, price, discount, " +
				"quantity, quantity*(price-discount) AS itemCost, warehouseName " +
				"FROM books, product, ShoppingCart_Warehouse " +
				"WHERE books.ISBN + '1' = product.storeid " +
				"AND ShoppingCart_Warehouse.productid = product.storeid " +
				"AND login='" + Context.User.Identity.Name + "'";

			SqlCommand cmdCart = new SqlCommand(cartSql, conn);
			SqlDataReader drCart = cmdCart.ExecuteReader();

			listItems.DataSource = drCart;
			listItems.DataBind();

			//taxCost = (1 + taxRate) * totalPrice;

			drCart.Close();

			lblSubtotal.Text = String.Format("{0:c}", subtotalPrice);
			lblShipping.Text = String.Format("{0:c}", shippingCost);
			lblTax.Text = String.Format("{0:c}", taxCost);
			lblTotal.Text = String.Format("{0:c}", totalPrice);

			// ship to address

			SqlCommand cmdShipAddress = new SqlCommand("SELECT Name, Address1, Address2, City, State, Zip " +
				"FROM bkrell_billing.dbo.Customer_Address WHERE addressID=" + selectedAddress, conn);
			SqlDataReader drSA = cmdShipAddress.ExecuteReader();

			drSA.Read();
			lblShipAddress1.Text = drSA.GetString(0);
			lblShipAddress2.Text = drSA.GetString(1);
			if (drSA.GetString(2) != "") lblShipAddress2.Text += " / " + drSA.GetString(2);
			lblShipAddress3.Text = drSA.GetString(3) + ", " + drSA.GetString(4) + " " + drSA.GetString(5);

			drSA.Close();

			lblInstructions.Text = specialInstructions;

			SqlCommand cmdCardTypes = new SqlCommand("SELECT cardTypeID, cardTypeDesc " +
				"FROM bkrell_billing.dbo.CreditCardTypes", conn);
			SqlDataReader drCardTypes = cmdCardTypes.ExecuteReader();

			listCardTypes.DataValueField = "cardTypeID";
			listCardTypes.DataTextField = "cardTypeDesc";
			listCardTypes.DataSource = drCardTypes;
			listCardTypes.DataBind();

			drCardTypes.Close();

			if (!Page.IsPostBack) bindAddresses();

		}

		public void bindAddresses() 
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			string addressSql = "SELECT addressID, '<strong>' + Name + '</strong> -  ' + Address1 + ', ' + City AS addressString " +
				"FROM bkrell_billing.dbo.Customer_Address AS CA, bkrell_billing.dbo.Login AS L WHERE CA.customerID = L.customerID " +
				"AND L.login='" + Context.User.Identity.Name + "' " + 
				"ORDER BY isPrimaryBilling DESC";

			SqlCommand cmdAddress = new SqlCommand(addressSql, conn);
			SqlDataReader dra = cmdAddress.ExecuteReader();

			listAddress.DataValueField = "addressID";
			listAddress.DataTextField = "addressString";
			listAddress.DataSource = dra;
			listAddress.DataBind();

			dra.Close();
			

			conn.Close();
			try 
			{

				HttpCookie cookie = new HttpCookie("Mycookie");
				cookie.Values.Add("address",Convert.ToString((int)Session["selectedAddress"]));
				cookie.Values.Add("shipping",Convert.ToString((int)Session["selectedShippingMethod"]));
				cookie.Values.Add("instructions",(string)Session["specialInstructions"]);
				cookie.Expires = DateTime.MaxValue; // Never Expires
				Response.AppendCookie(cookie);
				Response.Cookies.Add(cookie);
				Response.AppendCookie(cookie);
			}
			catch 
			{
			
			} 
		}

		public void computeTotals(object sender, System.Web.UI.WebControls.DataListItemEventArgs e)
		{
			if (e.Item.ItemType == ListItemType.Item ||
				e.Item.ItemType == ListItemType.AlternatingItem) 
			{
				double itemp = Convert.ToDouble(
					DataBinder.Eval(e.Item.DataItem, "itemCost"));

				subtotalPrice += itemp;
				taxCost += (itemp * taxRate);
				totalPrice = totalPrice + (itemp * (1 + taxRate));
				//Response.Write(totalPrice);
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);





		}
		#endregion

		/**
		private void Button2_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();

			SqlCommand cmdDelA = new SqlCommand("DELETE FROM bkrell_billing.dbo.Customer_Address " +
				"WHERE addressID=" + listAddress.SelectedItem.Value.ToString(), conn);
			cmdDelA.ExecuteNonQuery();
			
			conn.Close();
			
			bindAddresses();
		}
*/
		private void Button3_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn = new SqlConnection(bConnString);
			conn.Open();
			
			SqlCommand cmdNewA = new SqlCommand("INSERT INTO bkrell_billing.dbo.Customer_Address " +
				"(customerID, Name, Address1, Address2, City, State, Zip) VALUES(" +
				customerID + ", " +
				"'" + newAName.Text + "', " +
				"'" + newAAddress1.Text + "', " +
				"'" + newAAddress2.Text + "', " +
				"'" + newACity.Text + "', " +
				"'" + newAState.Text + "', " +
				"'" + newAZip.Text + "')", conn);
			cmdNewA.ExecuteNonQuery();

			conn.Close();
			
			bindAddresses();
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			SqlConnection conn2 = new SqlConnection(bConnString);
			conn2.Open();
			SqlConnection conn = new SqlConnection(bConnString);		
			conn.Open();
			if (txtCCNum.Text == "" || txtExpDate.Text == "" || txtCVN.Text == "" || listAddress.SelectedIndex == -1) 
			{
				Label1.Text = "Must enter billing information.";
			}
			else
			{
				Label1.Text = "";
				// we have confirmed that all the data is there

				//get vendor info
				
				int vendorID;
				int guaranteedTime;

				SqlCommand cmdV = new SqlCommand("SELECT O.VendorID, D.GuaranteedTime " +
					"FROM shen321_shipping.dbo.VendorShippingOption AS O, shen321_shipping.bkk.VendorShippingOptionDetail AS D " +
					"WHERE O.vendorShippingOptionID = D.vendorShippingOptionID " +
					"AND O.VendorShippingOptionID=" + selectedShippingMethod, conn);
				SqlDataReader drV = cmdV.ExecuteReader();
				drV.Read();

				vendorID = drV.GetInt32(0);
				guaranteedTime = drV.GetInt32(1);

				drV.Close();

				// add package
				string sqlWarehouses = "SELECT warehouseName, SUM(Quantity) AS NumItems, SUM(P.weight * CW.Quantity) AS Weight " +
					"FROM bkk.ShoppingCart_Warehouse AS CW, product AS P " +
					"WHERE CW.productid = P.storeid " +
					"AND login='" + Context.User.Identity.Name + "' " +
					"GROUP BY warehouseName";
				SqlCommand cmdWarehouses = new SqlCommand(sqlWarehouses, conn);
				SqlDataReader drWarehouses = cmdWarehouses.ExecuteReader();
				
				SqlCommand cmdAddPackage;

				while(drWarehouses.Read()) 
				{
					// add package for each warehouse the order pulls from

					// get vendorwarehouseid
					SqlCommand cmdvwhid = new SqlCommand("SELECT vendorWarehouseID " +
						"FROM shen321_shipping.dbo.VendorWarehouse AS VW, shen321.WarehouseLink AS W " +
						"WHERE VW.warehouseID = W.warehouseID " +
						"AND warehouseName='" + drWarehouses.GetString(0) + "' AND VendorID=" + vendorID, conn2);
					int vwhid = (int)cmdvwhid.ExecuteScalar();

					cmdAddPackage = new SqlCommand("INSERT INTO shen321_shipping.dbo.Package " +
						"(Weight, NumberOfItems, VendorShippingOptionID, SpecialDeliveryInstructions, VendorWarehouseID, CustomerID, ExpectedDeliveryTime) " +
						"VALUES(" +
						drWarehouses.GetSqlDouble(2) + ", " +
						drWarehouses.GetInt32(1) + ", " +
						selectedShippingMethod + ", '" +
						specialInstructions + "', " +
						vwhid + ", " +
						customerID + ", " +
						"DATEADD(d, " + guaranteedTime + ", GETDATE()))", conn2);



					cmdAddPackage.ExecuteNonQuery();

				}
				
				drWarehouses.Close();

				// next step - add payment

				SqlCommand cmdPayment = new SqlCommand("INSERT INTO bkrell_billing.dbo.Payment_CreditCard " +
					"(PaymentDate, PaymentAmount, Completed, BillingAddress, cardTypeId, CreditCardNumber, CreditCardExp, CreditCardCVN) " +
					"VALUES(GETDATE(), " + 
					totalPrice + ", " +
					"1, " +
					listAddress.SelectedValue + ", " +
					listCardTypes.SelectedValue + ", " +
					"'" + txtCCNum.Text + "', " +
					"'" + txtExpDate.Text + "', " +
					"'" + txtCVN.Text + "'); " +
					"SELECT @@IDENTITY", conn);
				int paymentID = Convert.ToInt32(cmdPayment.ExecuteScalar().ToString());

				// next step - add invoice
				
				string strSql = "INSERT INTO bkrell_billing.dbo.Invoice " +
					"(invoiceDate,Buyer,ShipTo,shippingMethod,ShippingCost,TaxRate,paymentTypeID,paymentID,SpecialInstructions)" +
					" VALUES(" +
					"GETDATE(), " +
					customerID + ", " +
					selectedAddress + ", " +
					selectedShippingMethod + ", " +
					shippingCost + ", " +
					taxRate + ", " +
					"0, " +
					paymentID + ", " +
					"'" + specialInstructions + "');" +
					"SELECT @@IDENTITY";
				SqlCommand cmdInvoice = new SqlCommand(strSql, conn);
				int invoiceID = Convert.ToInt32(cmdInvoice.ExecuteScalar().ToString());

		
				// next step - add invoiceitems and decrease availability
				SqlCommand cmdCartW = new SqlCommand("SELECT I.itemID, CW.productid, CW.quantity, P.price, P.discount, WL.warehouseID, CW.warehouseName " +
					"FROM bkk.ShoppingCart_Warehouse AS CW, product AS P, shen321.WarehouseLink AS WL, " +
					"	bkrell_billing.dbo.ItemProductLink I " +
					"WHERE CW.warehouseNAme = WL.warehouseName " +
					"AND CW.productid = P.storeid " +
					"AND I.productNumber = LEFT(CW.productid,10) " +
					"AND CW.login='" + Context.User.Identity.Name + "'", conn);
				SqlDataReader drCartW = cmdCartW.ExecuteReader();

				while(drCartW.Read()) 
				{
					// add item

					//Response.Write(drCartW.GetInt32(5));
					//Response.End();

					strSql = "INSERT INTO bkrell_billing.dbo.Invoice_Item " +
						"(invoiceID,itemID,Quantity,UnitPrice,DiscountAmount,ShipWarehouse,ShipDate) " +
						"VALUES(" +
						invoiceID + ", " +
						drCartW.GetInt32(0) + ", " +
						drCartW.GetInt32(2) + ", " +
						drCartW.GetSqlMoney(3) + ", " +
						drCartW.GetSqlMoney(4) + ", " +
						drCartW.GetString(5) + ", " +
						"DATEADD(d, " + guaranteedTime + ", GETDATE()))";
					SqlCommand cmdItem = new SqlCommand(strSql, conn2);
					cmdItem.ExecuteNonQuery();

					// decrease availability

					strSql = "UPDATE availability SET quantity = (quantity - " + drCartW.GetInt32(2) + ") " +
						"WHERE warehouse='" + drCartW.GetString(6) + "' AND productid='" + drCartW.GetString(1) + "'";
					SqlCommand cmdAvail = new SqlCommand(strSql, conn2);
					cmdAvail.ExecuteNonQuery();
				}
				drCartW.Close();


				strSql = "DELETE FROM gheocr_inventory.bkk.ShoppingCart " +
					" WHERE login = '" + Context.User.Identity.Name + "'";
				SqlCommand delCart = new SqlCommand(strSql, conn);
				delCart.ExecuteNonQuery();


				strSql = "DELETE FROM gheocr_inventory.bkk.ShoppingCart_Warehouse " +
					" WHERE login = '" + Context.User.Identity.Name + "'";
				SqlCommand delCW = new SqlCommand(strSql, conn);
				delCW.ExecuteNonQuery();
				conn.Close();
				conn2.Close();
				Response.Redirect("orderplaced.aspx");
				return;
			}
			conn.Close();
			conn2.Close();

			
		}
	}
}
