<%@ Page language="c#" Codebehind="Invoice.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.Invoice" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Invoice</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<FORM id="Form1" method="post" runat="server">
			<H1>Invoice
				<asp:label id="LabelInvoiceName" runat="server">(Invoice Name)</asp:label></H1>
			<P><a href="CustomerInvoices.aspx">Return to Invoice List</a></P>
			<P>
				<TABLE id="Table1" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Order Date:</STRONG></TD>
						<TD><asp:label id="LabelOrderDate" runat="server">(Order Date)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<H3>Ship To:</H3>
			<P><asp:label id="LabelShipTo" runat="server">(Ship To)</asp:label></P>
			<H3>Bill To:</H3>
			<P><asp:label id="LabelBillTo" runat="server">(Bill To)</asp:label></P>
			<P>
				<TABLE id="Table2" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Payment Type:</STRONG></TD>
						<TD><asp:label id="LabelPaymentType" runat="server">(Payment Type)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P><asp:label id="LabelCCInfo" runat="server" Visible="False">(Credit Card Info)</asp:label></P>
			<H3>Items Purchased:</H3>
			<P><asp:datagrid id="GridItemsPurchased" runat="server" AutoGenerateColumns="False" CellPadding="1"
					CellSpacing="1" BorderWidth="1px">
					<Columns>
						<asp:BoundColumn DataField="uID" HeaderText="ISBN/CDID"></asp:BoundColumn>
						<asp:BoundColumn DataField="itemName" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="type" HeaderText="Book or CD"></asp:BoundColumn>
						<asp:BoundColumn DataField="warehouse" HeaderText="Source Warehouse"></asp:BoundColumn>
						<asp:BoundColumn DataField="tNumber" HeaderText="Tracking Number"></asp:BoundColumn>
						<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
						<asp:BoundColumn DataField="uP" HeaderText="Unit Price"></asp:BoundColumn>
						<asp:BoundColumn DataField="totalPrice" HeaderText="Item Total"></asp:BoundColumn>
					</Columns>
				</asp:datagrid></P>
			<H3>Packages:</H3>
			<P>
				<asp:DataGrid id="DataGridPackages" runat="server" BorderWidth="1px" CellSpacing="1" CellPadding="1"
					AutoGenerateColumns="False">
					<Columns>
						<asp:BoundColumn DataField="TrackingNumber" HeaderText="Tracking Number"></asp:BoundColumn>
						<asp:BoundColumn DataField="Status" HeaderText="Status"></asp:BoundColumn>
						<asp:BoundColumn DataField="NumberItems" HeaderText="Item Count"></asp:BoundColumn>
						<asp:BoundColumn DataField="Weight" HeaderText="Weight"></asp:BoundColumn>
						<asp:BoundColumn DataField="DeliveryDate" HeaderText="Delivery Date"></asp:BoundColumn>
						<asp:BoundColumn DataField="SourceWarehouseID" HeaderText="Source Warehouse"></asp:BoundColumn>
						<asp:BoundColumn DataField="SpecialInstructions" HeaderText="Special Instructions"></asp:BoundColumn>
					</Columns>
				</asp:DataGrid></P>
			<H3>Cost Information:</H3>
			<P>
				<TABLE id="Table3" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD><STRONG>Subtotal:</STRONG></TD>
						<TD>$
							<asp:label id="LabelSubtotal" runat="server">(Subtotal)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Tax:</STRONG></TD>
						<TD>$
							<asp:label id="LabelTax" runat="server">(Tax)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Shipping:</STRONG></TD>
						<TD>$
							<asp:label id="LabelShipping" runat="server">(Shipping)</asp:label></TD>
					</TR>
					<TR>
						<TD><STRONG>Total:</STRONG></TD>
						<TD>$
							<asp:label id="LabelTotal" runat="server">(Total)</asp:label></TD>
					</TR>
				</TABLE>
			</P>
		</FORM>
	</body>
</HTML>
