<%@ Page language="c#" Codebehind="Checkout.aspx.cs" AutoEventWireup="false" Inherits="DatabaseProj.Checkout" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Checkout</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<H1>Select Billing and Shipping Destinations</H1>
			<H3>Bill To:</H3>
			<P><asp:label id="LabelBillTo" runat="server">(Bill To)</asp:label></P>
			<P><asp:checkbox id="CheckBoxShipToBill" runat="server" Checked="True" Text="Ship to My Billing Address"
					AutoPostBack="True"></asp:checkbox></P>
			<table>
				<tr>
					<td style="HEIGHT: 26px">First Name:</td>
					<td style="HEIGHT: 26px"><asp:textbox id="TextBoxFirstName" runat="server" Enabled="False"></asp:textbox><FONT color="red">*</FONT></td>
					<TD style="HEIGHT: 26px"><asp:requiredfieldvalidator id="RequiredFieldValidatorFirstName" runat="server" Enabled="False" ControlToValidate="TextBoxFirstName"
							ErrorMessage="First Name is a required field"></asp:requiredfieldvalidator></TD>
				</tr>
				<tr>
					<td>Last Name:</td>
					<td><asp:textbox id="TextBoxLastName" runat="server" Enabled="False"></asp:textbox><FONT color="red">*</FONT></td>
					<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorLastName" runat="server" Enabled="False" ControlToValidate="TextBoxLastName"
							ErrorMessage="Last Name is a required field"></asp:requiredfieldvalidator></TD>
				</tr>
				<tr>
					<td>Street Address:</td>
					<td><asp:textbox id="TextBoxStreetAddress" runat="server" Enabled="False"></asp:textbox><FONT color="red">*</FONT></td>
					<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorStreetAddress" runat="server" Enabled="False" ControlToValidate="TextBoxStreetAddress"
							ErrorMessage="Street Address is a required field"></asp:requiredfieldvalidator></TD>
				</tr>
				<tr>
					<td>Apartment Address:</td>
					<td><asp:textbox id="TextBoxApartmentAddress" runat="server" Enabled="False"></asp:textbox><FONT color="red"></FONT></td>
					<TD></TD>
				</tr>
				<tr>
					<td>City:</td>
					<td><asp:textbox id="TextBoxCity" runat="server" Enabled="False"></asp:textbox><FONT color="red">*</FONT></td>
					<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorCity" runat="server" Enabled="False" ControlToValidate="TextBoxCity"
							ErrorMessage="City is a required field"></asp:requiredfieldvalidator></TD>
				</tr>
				<tr>
					<td>State:</td>
					<td><asp:textbox id="TextBoxState" runat="server" Enabled="False" MaxLength="2"></asp:textbox><FONT color="red">*</FONT></td>
					<TD><asp:requiredfieldvalidator id="RequiredFieldValidatorState" runat="server" Enabled="False" ControlToValidate="TextBoxState"
							ErrorMessage="State is a required field"></asp:requiredfieldvalidator></TD>
				</tr>
				<tr>
					<td style="HEIGHT: 25px">Zip Code:</td>
					<td style="HEIGHT: 25px"><asp:textbox id="TextBoxZip" runat="server" Enabled="False" MaxLength="5" Width="96px"></asp:textbox><FONT color="red">*</FONT>-
						<asp:textbox id="TextBoxZipExtended" runat="server" Enabled="False" MaxLength="4" Width="40px"></asp:textbox></td>
					<TD style="HEIGHT: 25px"><asp:requiredfieldvalidator id="RequiredFieldValidatorZipCode" runat="server" Enabled="False" ControlToValidate="TextBoxZip"
							ErrorMessage="The first five digits of the zip code is a required field."></asp:requiredfieldvalidator>&nbsp;
						<asp:regularexpressionvalidator id="RegularExpressionValidatorZipCodeFormat" runat="server" ErrorMessage="Zip Code is misformatted. "
							ControlToValidate="TextBoxZip" ValidationExpression="[0-9]{5}"></asp:regularexpressionvalidator>
						<asp:regularexpressionvalidator id="RegularExpressionValidatorZipCodeExtFormat" runat="server" ErrorMessage="Extended Zip Code is misformatted."
							ControlToValidate="TextBoxZipExtended" ValidationExpression="[0-9]{4}"></asp:regularexpressionvalidator></TD>
				</tr>
				<tr>
					<td>Phone Number:</td>
					<td>(
						<asp:textbox id="TextBoxAreaCode" runat="server" Enabled="False" MaxLength="3" Width="40px"></asp:textbox>)
						<asp:textbox id="TextBoxPhonePrefix" runat="server" Enabled="False" MaxLength="3" Width="40px"></asp:textbox>-
						<asp:textbox id="TextBoxPhoneEnd" runat="server" Enabled="False" MaxLength="4" Width="56px"></asp:textbox></td>
					<TD>
						<asp:regularexpressionvalidator id="RegularExpressionValidatorAreaCode" runat="server" ErrorMessage="Area Code is misformatted. "
							ControlToValidate="TextBoxAreaCode" ValidationExpression="[0-9]{3}"></asp:regularexpressionvalidator>&nbsp;
						<asp:regularexpressionvalidator id="RegularExpressionValidatorPhonePrefix" runat="server" ErrorMessage="Phone prefix is misformatted. "
							ControlToValidate="TextBoxPhonePrefix" ValidationExpression="[0-9]{3}"></asp:regularexpressionvalidator>&nbsp;
						<asp:regularexpressionvalidator id="RegularExpressionValidatorPhoneEnd" runat="server" ErrorMessage="Phone end is misformatted."
							ControlToValidate="TextBoxPhoneEnd" ValidationExpression="[0-9]{4}"></asp:regularexpressionvalidator>&nbsp;&nbsp;
						<asp:CustomValidator id="CustomValidatorPhone" runat="server" ErrorMessage="Incomplete Phone Information"></asp:CustomValidator></TD>
				</tr>
			</table>
			<P>
				<asp:Button id="ButtonContinue" runat="server" Text="Continue"></asp:Button></P>
		</form>
	</body>
</HTML>
