using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace CSE444_project2
{
	/// <summary>
	/// Summary description for payment1.
	/// </summary>
	public class payment1 : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=bklee02; pwd=password; database=bklee02_billing";

		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.DropDownList DropDownList1;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Label Label18;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected string card_type;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.CheckBox CheckBox1;
		protected string card_num;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)
			{
				string id = (string)(Session["ID"]);			
				

				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection

				string strSql = "select card_num, card_type " +
					"from creditcard " +
					"where holder = '" + id + "'";
				
				
				// The command needs to know the query and the connection
				
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();


				if(sqlRdr.HasRows)
				{
					
					DataGrid1.DataSource = sqlRdr;
					DataGrid1.DataBind();
					DataGrid1.Visible = true;
				}
				else
				{
					Label7.Visible = false;
				}

				sqlConn.Close();
				DropDownList1.Items.Add("VISA");
				DropDownList1.Items.Add("MASTER");
				DropDownList1.Items.Add("AMEX");
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.DataGrid1.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.DataGrid1_ItemCommand);
			this.CheckBox1.CheckedChanged += new System.EventHandler(this.CheckBox1_CheckedChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DataGrid1_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			if(e.CommandName == "Select")
			{
				string type = e.Item.Cells[2].Text;
				if(type.Equals("VISA"))
				{
					DropDownList1.SelectedIndex = 0;
					this.card_type = "VISA";
				}
				else if(type.Equals("MASTER"))
				{
					DropDownList1.SelectedIndex = 1;
					this.card_type = "MASTER";
				}
				else if(type.Equals("AMEX"))
				{
					DropDownList1.SelectedIndex = 2;
					this.card_type = "AMEX";
				}
				
				this.card_num = e.Item.Cells[1].Text;
				TextBox1.Text = card_num;
			}
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			Session.Add("ID", (string)(Session["ID"]));
			Session.Add("Ship_to_ID", (string)(Session["Ship_to_ID"]));
			Session.Add("Ship_to_ZipCode", (string)(Session["Ship_to_ZipCode"]));
			Session.Add("card_type", card_type);
			Session.Add("card_num", card_num);
			Server.Transfer("PlaceOrder.aspx");
		}

		private void CheckBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			if(DropDownList1.SelectedIndex == 0)
			{
				this.card_type = "VISA";
			}
			else if(DropDownList1.SelectedIndex == 1)
			{
				this.card_type = "MASTER";
			}
			else if(DropDownList1.SelectedIndex == 2)
			{
				this.card_type = "AMEX";
			}
			card_num = TextBox1.Text;
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			Session.Add("ID", (string)(Session["ID"]));		
			Response.Redirect("transaction2.aspx");
		}


	}
}
