<companyInfo>
  <shipping>
  { for $shipping in document("shipping_raw.xml")/result,
    $vendor in $shipping/vendor
    return
      <vendor>
        { $vendor/name, $vendor/url, $vendor/toll-free,
          for $method in $vendor/method
          return
            <method id="{($method/id)}">
            {
              $method/option,
              let $price := $method/price/text() where $method/pricing_unit = 'flat  ' return <price><flat>{ $price }</flat></price>,
              let $price := $method/price/text() where $method/pricing_unit = 'items ' return <price><perUnit>{ $price }</perUnit></price>,
              let $price := $method/price/text() where $method/pricing_unit = 'weight' return <price><perPound>{ $price }</perPound></price>,

              for $restrictions in $method/restrictions
              return
                <restrictions>
                {
                  $restrictions/maximumWeight,
                  $restrictions/maximumitems,
                  for $cities in $restrictions/cities
                  return <cities>{ $cities/city/text() }</cities>
                }
                </restrictions>
            }
            </method>
        }
      </vendor>
  }
  </shipping>
</companyInfo>
