using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace kmd
{


	/// <summary>
	/// Summary description for viewcart.
	/// </summary>
	public class viewcart : System.Web.UI.Page
	{
		private string custID = "";
		private string type = "";
		private string itemid = "";
		private string oldQuant = "";
		private string company = "";
		private string errorOpen = "<b><font color='red'><big><big><big>";
		private string errorClose = "</big></big></big></font></b><br>";
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV; uid=kristamd; pwd=TeamKMR; database=kristamd_inventory";
		protected System.Web.UI.WebControls.Label errorLabel;
		protected System.Web.UI.WebControls.DataGrid bookGrid;
		protected System.Web.UI.WebControls.DataGrid cdGrid;
		protected System.Web.UI.WebControls.Label itemIDLable;
		protected System.Web.UI.WebControls.Label nameLable;
		protected System.Web.UI.WebControls.TextBox quantText;
		protected System.Web.UI.WebControls.Button quantButton;
		protected System.Web.UI.HtmlControls.HtmlTable quantTable;
		protected System.Web.UI.WebControls.Button checkoutButton;
		protected System.Web.UI.WebControls.Label totalLabel;
		protected System.Web.UI.WebControls.Label noItems;

		private void Page_Load(object sender, System.EventArgs e)
		{

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
			
			custID = getCustID();
			if (custID == "") 
			{
				makeInvisible();
				this.errorLabel.Text += errorOpen + "You must be logged in to have a cart." + errorClose;
				return;
			}
			if (this.Context.Request.QueryString.Count >= 2) 
			{
				if (this.Context.Request.QueryString.GetValues("type") == null)
				{ displayCart(); return; }
				this.type = this.Context.Request.QueryString.GetValues("type")[0];
				if (this.Context.Request.QueryString.GetValues("id") != null) 
				{
					String[] idCompany = (this.Context.Request.QueryString.GetValues("id")[0]).Split(new char[] {','});
					this.itemid = idCompany[0];
					this.type = this.Context.Request.QueryString.GetValues("type")[0];
					this.company = idCompany[1];
					showChangeQuantity();
				}
				else if (this.Context.Request.QueryString.GetValues("remove") != null)
				{
					String[] idCompany = (this.Context.Request.QueryString.GetValues("remove")[0]).Split(new char[] {','});
					this.itemid = idCompany[0];
					this.type = this.Context.Request.QueryString.GetValues("type")[0];
					this.company = idCompany[1];
					removeItem();
				}
				else if (this.Context.Request.QueryString.GetValues("addproduct") != null &&
					this.Context.Request.QueryString.GetValues("quantity") != null ) 
				{
					string quant = this.Context.Request.QueryString.GetValues("quantity")[0];
					this.itemid = this.Context.Request.QueryString.GetValues("addproduct")[0];
					this.company = this.Context.Request.QueryString.GetValues("company")[0];
					addItem(quant);
				}
			} 
			else 
			{
				this.quantTable.Visible = false;
			}
			displayCart();
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.checkoutButton.Click += new System.EventHandler(this.checkoutButton_Click);
			this.quantButton.Click += new System.EventHandler(this.quantButton_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private string getCustID() 
		{
			object id = Session["customerid"];
			if (id == null) { return ""; }
			return id.ToString();
		}

		private void displayCart() 
		{
			try 
			{
				bool booksEmpty = !getbooks();
				bool cdsEmpty = !getcds();
				if (booksEmpty && cdsEmpty) 
				{
					makeInvisible();
					this.noItems.Text = errorOpen + "There are no items in your cart.  Click 'Shop/Search' to browse our store!" + errorClose;
				} 
				else 
				{
					getTotal();
					this.checkoutButton.Visible = true;
				}
			}
			catch(Exception e1) 
			{
				errorLabel.Text = errorOpen + "ERROR:" + e1.Message.ToString() + errorClose;
			}

		}

		private bool getbooks() 
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
	

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT idNum+','+allProducts.partnerCompany as ID, title as Title, discount as 'Price With Discount', "
					+"shoppingCarts.quantity " +
				"FROM allProducts, books, shoppingCarts " +
				"WHERE custID = '" + this.custID + "' and itemID = allProducts.idNum and " + 
					"idNum = books.isbn and type='book' and allProducts.partnerCompany = shoppingCarts.partnerCompany";
							
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				bookGrid.DataSource = sqlRdr;
				bookGrid.DataBind();
				bookGrid.Visible = true;
			}
			else
			{
				return false;
			}
			
			// Close the sql connection at the end
			sqlConn.Close();
			return true;

		}

		private bool getcds() 
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
	

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT idNum+','+allProducts.partnerCompany as ID, albumName as Album, discount as 'Price With Discount', "
					+"shoppingCarts.quantity " +
				"FROM allProducts, cds, shoppingCarts " +
				"WHERE custID = '" + this.custID + "' and itemID = allProducts.idNum and " + 
				"idNum = cdid and allProducts.type='cd' and allProducts.partnerCompany = shoppingCarts.partnerCompany";
							
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				cdGrid.DataSource = sqlRdr;
				cdGrid.DataBind();
				cdGrid.Visible = true;
			}
			else
			{
				return false;
			}
			
			// Close the sql connection at the end
			sqlConn.Close();
			return true;

		}


		private void removeItem() 
		{
			this.quantTable.Visible = false;
			string quant = "";
			//find out how much we're putting back with first try/catch
			try 
			{
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection
	
				//do query first to find the quantity
				string strSql = "select quantity from shoppingcarts " +
					"where custID = '" + this.custID + "' and itemID = '"
					+ this.itemid + "' and itemType = '" + this.type + "' and partnerCompany='" + company +"'";
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader
				if (sqlRdr.Read()) 
				{
					quant = sqlRdr.GetSqlInt32(0).ToString();
					if (quant == "") 
					{ 
						this.noItems.Text += errorOpen + "Unable to remove item." + errorClose;
					}
				}
				else
				{
					this.noItems.Text += errorOpen + "Unable to remove item." + errorClose;
				}
				sqlConn.Close();
			}
			catch(Exception e1) 
			{
				errorLabel.Text = errorOpen + "Item is not in your cart." + errorClose;
			}

			//the updating!
			SqlTransaction myTrans;
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand();

			myTrans = sqlConn.BeginTransaction();

				try 
				{

				sqlCom.Connection = sqlConn;
				sqlCom.Transaction = myTrans;

				//Update the AvailQuantity in AllProducts
				string strSql = "UPDATE  allproducts " +
					"SET availQuantity = availQuantity + " + quant + 
					" WHERE idNum = '" + this.itemid + "' and type = '" + this.type + "' and partnerCompany='" + company +"'";

				sqlCom.CommandText = strSql;
				sqlCom.ExecuteNonQuery();

				//Update the user's shopping cart
				strSql = "delete from shoppingCarts " +
					"where custID = '" + this.custID + "' and itemID = '" + this.itemid +
						"' and itemType = '"  + this.type + "' and partnerCompany='" + company +"'";

				sqlCom.CommandText = strSql;
				sqlCom.ExecuteNonQuery();
				myTrans.Commit();

				sqlConn.Close();
				
			}
			catch(Exception e1) 
			{
				myTrans.Rollback();
				errorLabel.Text = errorOpen + "ERROR: Unable to delete item." + errorClose;
			}
			// Close the sql connection at the end

		}

		private void showChangeQuantity() 
		{
			this.quantTable.Visible = true;

			try {

				string strSql = "";
				if (this.type == "book") 
				{
					strSql = "select title, shoppingcarts.quantity " +
						"FROM books, shoppingCarts " +
						"WHERE custID = '" + this.custID + "' and itemID = isbn and itemID = '" +
								this.itemid + "' and partnerCompany='" + company +"'";
				} else {
					strSql = "select albumName, shoppingcarts.quantity " +
						"FROM cds, shoppingCarts " +
						"WHERE custID = '" + this.custID + "' and itemID = cdid and itemID = '" +
							this.itemid + "' and partnerCompany='" + company +"'";
				}
				
					this.itemIDLable.Text = this.itemid;
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				
				// Get the answer from the reader and write it to the label.
				if (sqlRdr.Read()) 
				{
					string quant = sqlRdr.GetSqlInt32(1).ToString();
					if (quant != null) 
					{ 
						this.quantText.Text = quant.ToString();
						this.oldQuant = quant.ToString();
					}
					System.Data.SqlTypes.SqlString itemName = sqlRdr.GetSqlString(0);
					this.nameLable.Text = itemName.ToString();

				}
				else
				{
					this.noItems.Text += errorOpen + "You must first add the item to your cart to change the quantity." + errorClose;
				}
				
				// Close the sql connection at the end
				sqlConn.Close();
			}
			catch(Exception e1) 
			{
				errorLabel.Text = errorOpen + "ERROR:" + e1.Message.ToString() + errorClose;
			}

		}

		private void quantButton_Click(object sender, System.EventArgs e)
		{
			changeQuant(quantText.Text);
		}

		private void changeQuant(string newQuant)
		{	
			if (checkQuant(newQuant) )
			{
				quantTable.Visible = false;
				SqlTransaction myTrans;
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand();

				myTrans = sqlConn.BeginTransaction();
				try 
				{

					sqlCom.Connection = sqlConn;
					sqlCom.Transaction = myTrans;

					string strSql = "UPDATE   shoppingcarts " +
						"SET quantity = " + newQuant +
						" WHERE  custId = '" + this.custID + 
						"' and itemID = '" + this.itemid + "' and itemType = '" +
							this.type + "' and partnerCompany='" + company +"'";;

					sqlCom.CommandText = strSql;
					sqlCom.ExecuteNonQuery();

					strSql = "UPDATE  allproducts " +
						"SET availQuantity = availQuantity - " + newQuant + " + " + oldQuant + 
						" WHERE idNum = '" + this.itemid + "' and type = '" +
							this.type + "' and partnerCompany='" + company +"'";

					sqlCom.CommandText = strSql;
					sqlCom.ExecuteNonQuery();


					myTrans.Commit();

				
				}
				catch(Exception e1) 
				{
					myTrans.Rollback();
					errorLabel.Text = errorOpen + "ERROR: Unable to Complete your request. Try requesting a smaller quantity." + errorClose;
				}
				// Close the sql connection at the end
				sqlConn.Close();
				displayCart();
			}
			else 
			{
				errorLabel.Text = errorOpen + "Invalid quantity.  Please enter a positive whole number." + errorClose;
			}

		}
		private void addItem(string quant) 
		{
			this.quantTable.Visible = false;

			if (checkQuant(quant)) 
			{

				try 
				{
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection
	
					//do query to see if it's already in the cart
					string strSql = "select * from shoppingcarts " +
						"where custID = '" + this.custID + "' and itemID = '"
						+ this.itemid + "' and itemType = '" + this.type + "' and partnerCompany='" + company +"'";
					sqlCom = new SqlCommand(strSql, sqlConn);	
					// Execute the command
					sqlRdr = sqlCom.ExecuteReader();

					// Get the answer from the reader
					if (sqlRdr.HasRows) 
					{
						sqlConn.Close();
						this.noItems.Text += errorOpen + "Item is already in your cart!  Try changing the quantity." + errorClose;
						return;
					}
					sqlConn.Close();
				}
				catch(Exception e1) 
				{
					errorLabel.Text = errorOpen + e1 + errorClose;
				}

				//the updating!
				SqlTransaction myTrans;
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand();

				myTrans = sqlConn.BeginTransaction();

				try 
				{

					sqlCom.Connection = sqlConn;
					sqlCom.Transaction = myTrans;

					//Update the AvailQuantity in AllProducts
					string strSql = "UPDATE  allproducts " +
						"SET availQuantity = availQuantity - " + quant + 
						" WHERE idNum = '" + this.itemid + "' and type = '" +
							this.type + "' and partnerCompany='" + this.company +"'";

					sqlCom.CommandText = strSql;
					sqlCom.ExecuteNonQuery();

					//Update the user's shopping cart
					strSql = "insert into shoppingcarts " +
						"values ('" + this.custID + "', '" + this.itemid + "', '" + this.type + "', " + quant + ", '"+ this.company + "'" + ")";

					sqlCom.CommandText = strSql;
					sqlCom.ExecuteNonQuery();
					myTrans.Commit();

				
				}
				catch(Exception e1) 
				{
					myTrans.Rollback();
					errorLabel.Text = errorOpen + "Unable to add item.  Please try a smaller quantity." + errorClose;
				}
				sqlConn.Close();
			} 
			else 
			{
				errorLabel.Text = errorOpen + "Invalid quantity.  Please enter a positive whole number." + errorClose;
			}


		}

		//to make sure values entered are valid.
		private bool checkQuant(string n) 
		{
			try 
			{
				int num = Int32.Parse(n);
				if (num <= 0) { return false; }
			} 
			catch (Exception e) 
			{
				return false;
			}
			return true;
		}


		private void checkoutButton_Click(object sender, System.EventArgs e)
		{
			this.Server.Transfer("checkout.aspx");
		}


		private void getTotal() 
		{
			try 
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection
	

				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "select cast (sum(shoppingcarts.quantity*discount) as money) as Total " +
					"from allProducts, shoppingcarts " +
					"where custid = '" + this.custID +
						"' and idNum = itemID and type = itemtype and shoppingCarts.partnerCompany = allProducts.partnerCompany";
							
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.Read()) 
				{
					System.Data.SqlTypes.SqlMoney total = sqlRdr.GetSqlMoney(0);
					int labelLength = totalLabel.Text.IndexOf("$")+1;
					if (labelLength <= 0) { labelLength = totalLabel.Text.Length; }
					totalLabel.Text = totalLabel.Text.Substring(0,labelLength);
					totalLabel.Text += total.ToString();
				}
				else
				{
					totalLabel.Visible = false;
				}
			} 
			catch (Exception e1) 
			{
				errorLabel.Text = errorOpen + "ERROR:" + e1.Message.ToString() + errorClose;
			}
			// Close the sql connection at the end
			sqlConn.Close();
		}
		private void makeInvisible() 
		{
			this.checkoutButton.Visible = false;
			this.quantTable.Visible = false;
			this.totalLabel.Visible = false;
		}
	}
}
