<%@ Page language="c#" Codebehind="admin_invoice.aspx.cs" AutoEventWireup="false" Inherits="phase1.WebForm1" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Invoice Browser</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK media="screen" href="style.css" type="text/css" rel="StyleSheet">
	</HEAD>
	<body MS_POSITIONING="GridLayout">
		<!--#include file="header.html"-->
		<form id="browser" method="post" runat="server">
			<div>
				<h1>Invoice Browser</h1>
				<h2>Ryan Phillips (bitman@u)</h2>
			</div>
			<div id="inputBlock">
				<p>Display information for invoice number <INPUT id="fieldInvoiceNumber" type="text" size="5" runat="server">
					<INPUT id="submitInvoiceNumber" type="submit" value="Submit" runat="server">
				</p>
				<p>Count&nbsp;products being shipped to <INPUT id="fieldCity" type="text" size="10" runat="server">
					<INPUT id="submitCity" type="button" value="Submit" runat="server"></p>
				<H3>Invoice List</H3>
				<P>Or list invoices that:</P>
				<ul>
					<li>
						have an expected ship date that has passed. <INPUT id="checkOverdueInvoices" type="checkbox" runat="server">
					<li>
						contain at least <INPUT id="fieldProductCount" type="text" size="1" runat="server">
					products.
					<li>
						include products from more than <INPUT id="fieldWarehouseCount" type="text" size="1" name="Text1" runat="server">
					warehouses.
					<li>
						pertain to a customer named <INPUT id="fieldCustomerName" type="text" size="22" name="Text1" runat="server">.
					</li>
				</ul>
				<p>Leave all fields empty to view all invoices.</p>
				<P><INPUT id="submitInvoice" type="button" value="Submit" runat="server"></P>
				<P><INPUT id="checkShowQuery" type="checkbox" runat="server"> Show query string.</P>
			</div>
			<div id="invoiceBlock"><asp:datalist id="invoicePage" runat="server" Visible="False" RepeatLayout="Flow">
					<ItemTemplate>
						<div class="invoice">
							<TABLE border="0">
								<TR>
									<TD vAlign="top">Invoice ID
									</TD>
									<TD><%# DataBinder.Eval(Container.DataItem, "id") %></TD>
								</TR>
								<TR>
									<TD>Order Date
									</TD>
									<TD><%# DataBinder.Eval(Container.DataItem, "orderdate") %></TD>
								</TR>
								<TR>
									<TD>Shipping Method
									</TD>
									<TD><%# DataBinder.Eval(Container.DataItem, "shippingmethod") %></TD>
								</TR>
								<TR>
									<TD>Payment Amount
									</TD>
									<TD><%# DataBinder.Eval(Container.DataItem, "paymentamount") %></TD>
								</TR>
								<TR>
									<TD>Payment Method
									</TD>
									<TD><%# DataBinder.Eval(Container.DataItem, "paymentmethod") %></TD>
								</TR>
								<TR>
									<TD vAlign="top">Buyer
									</TD>
									<TD>
										<TABLE border="0">
											<TR>
												<TD>Customer ID
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "buyerid") %></TD>
											</TR>
											<TR>
												<TD>Name
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "buyername") %></TD>
											</TR>
											<TR>
												<TD>Phone Number
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "buyerphone") %></TD>
											</TR>
											<TR>
												<TD>Email
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "buyeremail") %></TD>
											</TR>
											<TR>
												<TD vAlign="top">Address
												</TD>
												<TD>
													<ADDRESS><%# DataBinder.Eval(Container.DataItem, "buyer_address1") %><BR>
														<%# DataBinder.Eval(Container.DataItem, "buyer_address2") %>
														<BR>
														<%# DataBinder.Eval(Container.DataItem, "buyer_city") %>
														,
														<%# DataBinder.Eval(Container.DataItem, "buyer_state") %>
														<%# DataBinder.Eval(Container.DataItem, "buyer_zip") %>
													</ADDRESS>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">Recipient
									</TD>
									<TD>
										<TABLE border="0">
											<TR>
												<TD>Customer ID
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "recipientid") %></TD>
											</TR>
											<TR>
												<TD>Name
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "recipientname") %></TD>
											</TR>
											<TR>
												<TD>Phone Number
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "recipientphone") %></TD>
											</TR>
											<TR>
												<TD>Email
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "recipientemail") %></TD>
											</TR>
											<TR>
												<TD vAlign="top">Address
												</TD>
												<TD>
													<ADDRESS><%# DataBinder.Eval(Container.DataItem, "recipient_address1") %><BR>
														<%# DataBinder.Eval(Container.DataItem, "recipient_address2") %>
														<BR>
														<%# DataBinder.Eval(Container.DataItem, "recipient_city") %>
														,
														<%# DataBinder.Eval(Container.DataItem, "recipient_state") %>
														<%# DataBinder.Eval(Container.DataItem, "recipient_zip") %>
													</ADDRESS>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top">Credit Card Information
									</TD>
									<TD>
										<TABLE>
											<TR>
												<TD>Card Number
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "creditcardnumber") %></TD>
											</TR>
											<TR>
												<TD>Card Company
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "company") %></TD>
											</TR>
											<TR>
												<TD>Expiration Date
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "expiremonth") %>/<%# DataBinder.Eval(Container.DataItem, "expireyear") %></TD>
											</TR>
											<TR>
												<TD>Cardholder Name
												</TD>
												<TD><%# DataBinder.Eval(Container.DataItem, "cc_name") %></TD>
											</TR>
											<TR>
												<TD vAlign="top">Card Address
												</TD>
												<TD>
													<ADDRESS><%# DataBinder.Eval(Container.DataItem, "cc_address1") %><BR>
														<%# DataBinder.Eval(Container.DataItem, "cc_address2") %>
														<BR>
														<%# DataBinder.Eval(Container.DataItem, "cc_city") %>
														,
														<%# DataBinder.Eval(Container.DataItem, "cc_state") %>
														<%# DataBinder.Eval(Container.DataItem, "cc_zip") %>
													</ADDRESS>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
							</TABLE>
						</div>
					</ItemTemplate>
				</asp:datalist></div>
			<div id="tableBlock">
				<p><asp:datagrid id="itemGrid" runat="server" Width="100%" AutoGenerateColumns="False" BorderColor="Tan"
						BorderWidth="1px" BackColor="LightGoldenrodYellow" CellPadding="2" GridLines="None" ForeColor="Black">
						<FooterStyle BackColor="Tan"></FooterStyle>
						<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="PaleGoldenrod"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" BackColor="Tan"></HeaderStyle>
						<Columns>
							<asp:BoundColumn Visible="False" DataField="id" HeaderText="Item ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="productid" HeaderText="Product ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="name" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="deliverydate" HeaderText="Delivery Date" DataFormatString="{0:yyyy-MM-dd}"></asp:BoundColumn>
							<asp:BoundColumn DataField="warehouse" HeaderText="Warehouse Number"></asp:BoundColumn>
							<asp:BoundColumn DataField="unitprice" HeaderText="Unit Price" DataFormatString="{0:C}"></asp:BoundColumn>
							<asp:BoundColumn DataField="totaladjustment" HeaderText="Price Adjustment" DataFormatString="{0:C}"></asp:BoundColumn>
							<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
							<asp:BoundColumn DataField="totalprice" HeaderText="Total Price" DataFormatString="{0:C}"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="DarkSlateBlue" BackColor="PaleGoldenrod"></PagerStyle>
					</asp:datagrid></p>
				<p>
					<asp:DataGrid id="itemMiniGrid" runat="server" Width="100%" AutoGenerateColumns="False" BorderColor="Tan"
						BorderWidth="1px" BackColor="LightGoldenrodYellow" CellPadding="2" GridLines="None" ForeColor="Black">
						<FooterStyle BackColor="Tan"></FooterStyle>
						<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="PaleGoldenrod"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" BackColor="Tan"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="productid" HeaderText="Product ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="name" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="copies" HeaderText="Number of Copies Destined for Given City"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="DarkSlateBlue" BackColor="PaleGoldenrod"></PagerStyle>
					</asp:DataGrid></p>
				<p><asp:datagrid id="invoiceGrid" runat="server" Visible="False" Width="100%" AutoGenerateColumns="False"
						BorderColor="Tan" BorderWidth="1px" BackColor="LightGoldenrodYellow" CellPadding="2" GridLines="None"
						ForeColor="Black">
						<FooterStyle BackColor="Tan"></FooterStyle>
						<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="PaleGoldenrod"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" BackColor="Tan"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="id" HeaderText="ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="buyername" HeaderText="Buyer"></asp:BoundColumn>
							<asp:BoundColumn DataField="recipientname" HeaderText="Recipient"></asp:BoundColumn>
							<asp:BoundColumn DataField="orderdate" HeaderText="Order Date" DataFormatString="{0:yyyy-MM-dd}"></asp:BoundColumn>
							<asp:BoundColumn DataField="shippingmethod" HeaderText="Shipping Method"></asp:BoundColumn>
							<asp:BoundColumn DataField="paymentmethod" HeaderText="Payment Method"></asp:BoundColumn>
							<asp:BoundColumn DataField="paymentamount" HeaderText="Payment Amount" DataFormatString="{0:C}"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="DarkSlateBlue" BackColor="PaleGoldenrod"></PagerStyle>
					</asp:datagrid></p>
			</div>
			<p><TEXTAREA id="areaQueryString" rows="10" readOnly cols="120" runat="server"></TEXTAREA></p>
		</form>
	</body>
</HTML>
