<%@ Page language="c#" Codebehind="checkout.aspx.cs" AutoEventWireup="false" Inherits="phase2.checkout" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>checkout</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK media="screen" href="style.css" type="text/css" rel="StyleSheet">
	</HEAD>
	<body>
		<!--#include file="header.html"-->
		<form id="Form1" method="post" runat="server">
			<H1>Checkout</H1>
			<DL>
				<asp:label id="errorLabel" runat="server"></asp:label></DL>
			<asp:panel id="shippingAddrPanel" runat="server" visible="true">
				<H2>Address</H2>
				<P>Please select a shipping address.<BR>
					<asp:RadioButton id="myAddrRadio" runat="server" Checked="True" Text="My Shipping Address" GroupName="whichAddr"
						AutoPostBack="True"></asp:RadioButton>&nbsp;
					<asp:Button id="changeShippingAddr" runat="server" Text="Change" Height="24px"></asp:Button><BR>
					<asp:RadioButton id="otherAddrRadio" runat="server" Text="Someone Else" GroupName="whichAddr" AutoPostBack="True"></asp:RadioButton></P>
				<asp:DataGrid id="shippingAddrGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
					BorderWidth="1px" BackColor="White" AutoGenerateColumns="False">
					<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
					<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
					<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
					<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="name" HeaderText="Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="address1" HeaderText="Address"></asp:BoundColumn>
						<asp:BoundColumn DataField="address2" HeaderText="Address 2"></asp:BoundColumn>
						<asp:BoundColumn DataField="city" HeaderText="City"></asp:BoundColumn>
						<asp:BoundColumn DataField="state" HeaderText="State"></asp:BoundColumn>
						<asp:BoundColumn DataField="zip" HeaderText="ZIP code"></asp:BoundColumn>
					</Columns>
					<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
				</asp:DataGrid>
				<asp:Panel id="blankAddrPanel" runat="server" visible="true">
					<P>
						<asp:Label id="addrNoteLabel" runat="server">Please Enter</asp:Label></P>
					<asp:Panel id="otherPersonNamePanel" runat="server">
						<DL>
							<DT>Name*
								<DD>
									<asp:TextBox id="name" runat="server" Columns="40" MaxLength="255"></asp:TextBox></DD></DL>
					</asp:Panel>
					<DL>
						<DT>Address*
							<DD>
								<asp:TextBox id="address1" runat="server" Columns="40" MaxLength="255"></asp:TextBox>
								<DT>Address 2
									<DD>
										<asp:TextBox id="address2" runat="server" Columns="40" MaxLength="255"></asp:TextBox>
										<DT>City*
											<DD>
												<asp:TextBox id="city" runat="server" Columns="20" MaxLength="255"></asp:TextBox>
												<DT>State*
													<DD>
														<asp:TextBox id="state" runat="server" Columns="2" MaxLength="2"></asp:TextBox>
														<DT>ZIP*
															<DD>
																<asp:TextBox id="zip" runat="server" Columns="10" MaxLength="10"></asp:TextBox></DD></DL>
				</asp:Panel>
				<P>
					<asp:Button id="shippingAddrButton" runat="server" visible="true" Text="Submit"></asp:Button></P>
			</asp:panel>
			<asp:panel id="shippingOptsPanel" runat="server" visible="true">
				<H2>Shipping Options</H2>
				<P>Items will be shipped from the warehouse:
					<asp:Label id="warehouseLabel" runat="server"></asp:Label></P>
				<P>
					<asp:DataGrid id="ShippingOptsGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
						BorderWidth="1px" BackColor="White" AutoGenerateColumns="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:ButtonColumn DataTextField="Option" HeaderText="Option" DataTextFormatString="{0}"></asp:ButtonColumn>
							<asp:BoundColumn DataField="Package_Cost" HeaderText="Cost"></asp:BoundColumn>
							<asp:BoundColumn DataField="Days_to_Deliver" HeaderText="Delivery time (days)"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>
					<asp:DataGrid id="AdminPackagesGrid" runat="server" Height="56px" CellPadding="4" BorderColor="#CC9966"
						BorderStyle="None" BorderWidth="1px" BackColor="White" AutoGenerateColumns="False" Width="752px"
						Visible="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="Weight" HeaderText="Weight"></asp:BoundColumn>
							<asp:BoundColumn DataField="Num_Items" HeaderText="Num_Items"></asp:BoundColumn>
							<asp:BoundColumn DataField="Shipping_Vendor" HeaderText="Shipping_Vendor"></asp:BoundColumn>
							<asp:BoundColumn DataField="Shipping_Option" HeaderText="Shipping_Option"></asp:BoundColumn>
							<asp:BoundColumn DataField="Delivery_Notes" HeaderText="Delivery_Notes"></asp:BoundColumn>
							<asp:BoundColumn DataField="Warehouse" HeaderText="Warehouse"></asp:BoundColumn>
							<asp:BoundColumn DataField="Delivery_Date" HeaderText="Delivery_Date"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>
					<asp:DataGrid id="AdminInventoryGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
						BorderWidth="1px" BackColor="White" AutoGenerateColumns="False" Visible="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="idNum" HeaderText="idNum"></asp:BoundColumn>
							<asp:BoundColumn DataField="type" HeaderText="type"></asp:BoundColumn>
							<asp:BoundColumn DataField="quantity" HeaderText="quantity"></asp:BoundColumn>
							<asp:BoundColumn DataField="warehouse" HeaderText="warehouse"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>
					<asp:Button id="skip2button" runat="server" Text="Okay, that's a mighty fine warehouse"></asp:Button></P>
			</asp:panel>
			<asp:panel id="methodOfPaymentPanel" runat="server" DESIGNTIMEDRAGDROP="1214" visible="true"
				Height="56px">
				<H2>Summary of Order</H2>
				<TABLE id="costSummaryTable" borderColor="#ffb7d4" cellSpacing="0" cols="4" cellPadding="2"
					border="2" runat="server">
					<TR>
						<TD>Item Cost with discounts</TD>
						<TD>Tax</TD>
						<TD>Shipping</TD>
						<TD>Total</TD>
					</TR>
					<TR>
						<TD id="itemCostBox" runat="server"></TD>
						<TD id="taxBox" runat="server"></TD>
						<TD id="shippingCostBox" runat="server"></TD>
						<TD id="totalCostBox" runat="server"></TD>
					</TR>
				</TABLE>
				<P><BR>
					Payment Method:<BR>
					<asp:RadioButton id="creditRadio" runat="server" visible="true" Checked="True" Text="Credit Card"
						GroupName="howPay" AutoPostBack="True"></asp:RadioButton>&nbsp;
					<asp:Button id="changeCreditCardButton" runat="server" Text="Change" Height="24px"></asp:Button><BR>
					<asp:RadioButton id="pigeonRadio" runat="server" Text="Carrier Pigeon" GroupName="howPay" AutoPostBack="True"></asp:RadioButton></P>
				<P>
					<asp:DataGrid id="creditGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
						BorderWidth="1px" BackColor="White" AutoGenerateColumns="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="cardnumber" HeaderText="Card Number"></asp:BoundColumn>
							<asp:BoundColumn DataField="company" HeaderText="Company"></asp:BoundColumn>
							<asp:BoundColumn DataField="expiremonth" HeaderText="Expiration Month"></asp:BoundColumn>
							<asp:BoundColumn DataField="expireyear" HeaderText="Expiration Year"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<asp:Panel id="creditPanel" runat="server">
					<DL>
						<DT>Please Enter Card Information:<BR>
							CardNumber* <SMALL>Note: This is very unsecure. We recommend Carrier Pidgeon.</SMALL>
							<DD>
								<asp:TextBox id="cardNumText" runat="server" Columns="16" MaxLength="16"></asp:TextBox>
								<DT>Company*
									<DD>
										<asp:TextBox id="cardCompanyText" runat="server" Columns="20" MaxLength="20"></asp:TextBox>
										<DT>Expiration Month*
											<DD>
												<asp:TextBox id="exprMonthText" runat="server" Columns="2" MaxLength="2"></asp:TextBox>
												<DT>Expiration Year* <SMALL>(four digits)</SMALL>
													<DD>
														<asp:TextBox id="yearBox" runat="server" Columns="4" MaxLength="4"></asp:TextBox></DD></DL>
				</asp:Panel>
				<P>
					<asp:Button id="methodOfPaymentSubmit" runat="server" Text="Submit"></asp:Button></P>
			</asp:panel><asp:panel id="confirmPanel" runat="server" visible="true">
				<H2>Confirmation</H2>
				<P>You have decided to purchase:</P>
				<P>
					<asp:DataGrid id="confirmItemsGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
						BorderWidth="1px" BackColor="White" AutoGenerateColumns="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="quantity" HeaderText="Quantity"></asp:BoundColumn>
							<asp:BoundColumn DataField="title" HeaderText="Title"></asp:BoundColumn>
							<asp:BoundColumn DataField="type" HeaderText="Book / CD"></asp:BoundColumn>
							<asp:BoundColumn DataField="id" HeaderText="ISBN / CD id"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>Your items will be shipped to:</P>
				<ADDRESS>
					<asp:Label id="confirmAddress" runat="server"></asp:Label></ADDRESS>
				<P>You have chosen the shipping option:
					<asp:Label id="confirmShippingLabel" runat="server"></asp:Label></P>
				<P>Payment will be made by:
					<asp:Label id="confirmPaymentLabel" runat="server"></asp:Label></P>
				<P>
					<asp:DataGrid id="confirmCreditGrid" runat="server" CellPadding="4" BorderColor="#CC9966" BorderStyle="None"
						BorderWidth="1px" BackColor="White" AutoGenerateColumns="False">
						<FooterStyle ForeColor="#330099" BackColor="#FFFFCC"></FooterStyle>
						<SelectedItemStyle Font-Bold="True" ForeColor="#663399" BackColor="#FFCC66"></SelectedItemStyle>
						<ItemStyle ForeColor="#330099" BackColor="White"></ItemStyle>
						<HeaderStyle Font-Bold="True" ForeColor="#FFFFCC" BackColor="#990000"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="cardnumber" HeaderText="Card Number"></asp:BoundColumn>
							<asp:BoundColumn DataField="company" HeaderText="Company"></asp:BoundColumn>
							<asp:BoundColumn DataField="expiremonth" HeaderText="Expiration Month"></asp:BoundColumn>
							<asp:BoundColumn DataField="expireyear" HeaderText="Expiration Year"></asp:BoundColumn>
						</Columns>
						<PagerStyle HorizontalAlign="Center" ForeColor="#330099" BackColor="#FFFFCC"></PagerStyle>
					</asp:DataGrid></P>
				<P>Are you sure you want to buy all this junk from our website?</P>
				<P>
					<asp:Button id="confirmFinalSubmit" runat="server" Text="I sure am! Gimmie, gimmie!"></asp:Button></P>
			</asp:panel></form>
	</body>
</HTML>
