using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ImportBookDetails.
	/// </summary>
	/// 
	public class ImportBookDetails : System.Web.UI.Page
	{
		private string ISBN;
		private string CID;
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton login_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		private SqlDataReader sqlRdr;

		private void Page_Load(object sender, System.EventArgs e)
		{
			string[] id;

			if (Request.QueryString["id"] != null)
			{
				char[] delim = {'!'};
				id = (Request.QueryString["id"]).Split(delim);
				ISBN = id[0];
				CID = id[1];

				string query = "select	Title, Author, Category, Publisher, Weight, " +
					"Price * 1.1 as Price, Discount * 1.1 as Discount, " +
					"CompanyName, Quantity, rtrim(ISBN) + '!' + cast(CID as varchar(10)) as ISBN " +
					"from	importBooks3 " +
					"where	ISBN = '" + ISBN + "' and " +
					"CID = " + CID;
				bookDetail(query);
			}
			Session["LastPage"] = "ImportBookdetails.aspx";
		}

		private void bookDetail(string query)
		{
			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Books_grid.DataSource = sqlRdr;
				Books_grid.DataBind();
				Books_grid.Visible = true;
			}
			else 
			{
				Books_grid.Visible = false;
			}
			sqlConn.Close();
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			login_btn.Visible= true;
			logout_btn.Visible = false;
			checkout_btn.Visible = false;
			return;
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			Server.Transfer("ShoppingCart.aspx");
		}

		private void login_btn_Click(object sender, System.EventArgs e)
		{
			Session["NextPage"] = "BookDetails.aspx";
			Server.Transfer("Index.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			//If Logged in go to Checkout page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("Checkout.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "Checkout.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}
		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
