using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for NewAddress.
	/// </summary>
	public class NewAddress : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label lname_lbl;
		protected System.Web.UI.WebControls.TextBox lname_txt;
		protected System.Web.UI.WebControls.Label fname_lbl;
		protected System.Web.UI.WebControls.Label zip_lbl;
		protected System.Web.UI.WebControls.TextBox zip_txt;
		protected System.Web.UI.WebControls.TextBox state_txt;
		protected System.Web.UI.WebControls.Label state_lbl;
		protected System.Web.UI.WebControls.Label city_lbl;
		protected System.Web.UI.WebControls.TextBox city_txt;
		protected System.Web.UI.WebControls.TextBox street_txt;
		protected System.Web.UI.WebControls.Label street_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.Button AddAddr_btn;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.TextBox firstname_txt;
		
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "NewAddress.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.AddAddr_btn.Click += new System.EventHandler(this.AddAddr_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			Server.Transfer("Index.aspx");
		}

		private void AddAddr_btn_Click(object sender, System.EventArgs e)
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			int aid;

			string sqlquery = "select		count(zip) + 1 as id " +
				"from		address " +
				"where		customerid = " + Session["CustomerID"] +
				"group by	customerid";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				aid = sqlRdr.GetInt32(0);
			}
			else
			{
				aid = 1;
			}
			sqlConn.Close();


			sqlquery = "insert address(customerid, fname, lname, Street, " +
				"City, State, Zip, AID) " +
				"values (" + Session["CustomerID"] + ",'" + firstname_txt.Text + "', '" + lname_txt.Text +
				"' , '" + street_txt.Text + "', '" + city_txt.Text + "', '" +
				state_txt.Text + "', " + zip_txt.Text + ", " + aid + ")";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			
			sqlConn.Close();

			Server.Transfer("Shipping.aspx");	
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			//If Logged in go to ShoppingCart page
			if (Session["CustomerID"] != null)
			{
				Server.Transfer("ShoppingCart.aspx");
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "ShoppingCart.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}
	}
}
