using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ChngQtyImportBooks.
	/// </summary>
	public class ChngQtyImportBooks : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label msg_lbl;
		protected System.Web.UI.WebControls.Button chngqty_but;
		protected System.Web.UI.WebControls.TextBox newqty_txt;
		protected System.Web.UI.WebControls.DataGrid detail_grid;
	
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		private string ISBN;
		private string CID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "ChngQtyImportMusic.aspx";

			if (Request.QueryString["id"] != null)
			{
				char[] delim = {'!'};
				string[] tokens = (Request.QueryString["id"]).Split(delim);
				
				ISBN = tokens[0];
				CID = tokens[1];
				
				sqlConn = new SqlConnection(billing);
				displayDetails();
			}
		}

		private void displayDetails()
		{
			string query = "select y.Title, y.Author, y.Category, " +
				"y.Publisher, s.Price, s.Qty, s.Price * s.Qty as Total " +
				"from importShoppingCart3 as s, susik82_Inv.dbo.importBooks3 as y " +
				"where s.ItemID = '" + ISBN + "' and " +
				"s.CompanyID = " + CID + " and " +
				"s.type = 'b' and s.CompanyID = y.CID and s.ItemID = y.ISBN";

			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
				
			if (sqlRdr.HasRows) 
			{
				detail_grid.DataSource = sqlRdr;
				detail_grid.DataBind();
				detail_grid.Visible = true;
			}
			sqlConn.Close();
		}

		private void chngqty_but_Click(object sender, System.EventArgs e)
		{
			string qty = newqty_txt.Text;

			string query = "update importShoppingCart3 " +
				"set Qty = " + qty + 
				" where CID = " + Session["CustomerID"] + 
				" and CompanyID = " + CID + " and type = 'b' and " +
				"ItemID = '" + ISBN + "'";
			
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();

			Server.Transfer("ShoppingCart.aspx");
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.chngqty_but.Click += new System.EventHandler(this.chngqty_but_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}