using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ImportMusicDetails.
	/// </summary>
	public class ImportMusicDetails : System.Web.UI.Page
	{
		private string MusicID;
		private string CID;
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton login_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			string[] id;

			if (Request.QueryString["id"] != null)
			{
				char[] delim = {'!'};
				id = (Request.QueryString["id"]).Split(delim);
				MusicID = id[0];
				CID = id[1];

				string query = "select AlbumName, Artist, RecordCompany, Type, " +
					"Weight, (1.1 * Price) as Price, (1.1 * discount) as Discount, Quantity, " +
					"rtrim(id) + '!' + cast(CID as varchar(10)) as ID " +
					"from importmusic3 " +
					"where ID = '" + MusicID + "' and " +
					"CID = " + CID;

				musicDetail(query);
			}

			Session["LastPage"] = "ImportMusicDetails.aspx";
		}

		private void musicDetail(string query)
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;

			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Music_grid.DataSource = sqlRdr;
				Music_grid.DataBind();
				Music_grid.Visible = true;
			}
			else 
			{
				Music_grid.Visible = false;
			}
			sqlConn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
		
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
		
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
		
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
		
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
		
		}
	}
}
