using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for PartnerShipping.
	/// </summary>
	public class PartnerShipping : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.DataGrid ShippingVendors_grid;
		protected System.Web.UI.WebControls.Label ShippingVendors_lbl;
		protected System.Web.UI.WebControls.Label display_lbl;
		protected System.Web.UI.WebControls.Panel ShippingVendors_pnl;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		private int CID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			Session["LastPage"] = "PartnerShipping.aspx";
			
			loginName_lbl.Text = "Logged in as " +
				Convert.ToString(Session["CustomerName"]);
			
			sqlConn = new SqlConnection(billing);
			
			getCID();
			updateLabel();
			postShippingMethods();
		}

		private void getCID()
		{
			string query = "select min(CompanyID) from ImportShoppingCart3";

			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				CID = sqlRdr.GetInt32(0);
				sqlConn.Close();
			}
			else
			{
				// shouldn't get here, but regardless we are done here
				Server.Transfer("PartnerSuccess.aspx");
			}
		}

		private void updateLabel()
		{
			string query = "select	CompanyName " +
				"from	susik82_Inv.dbo.ImportBooks3 " +
				"where	cid = " + CID + " " +
				"group by CompanyName";

			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				string cName = sqlRdr.GetString(0);
				display_lbl.Text = "Buying from " + cName;
			}

			sqlConn.Close();
		}

		private void postShippingMethods()
		{
			string query = "select	s.Name, s.Weight, s.Price, " +
				"cast(s.CID as varchar(10)) + '!' + cast(s.MID as varchar(10)) as mid " +
				"from	xindig_shipping.dbo.importShipping3 as s " +
				"where	s.CID = " + CID + " and s.MID not in " +
					"(select	si.MID " +
					"from	xindig_shipping.dbo.importShippingInstructions as si, " +
						"(select	city " +
						"from 	address " +
						"where	customerid = " + Session["CustomerID"] + " and " +
							"AID = " + Session["AddrID"] + ") as dest " +
					"where	dest.city = si.city and si.CID = " + CID + ")";

			sqlConn.Open();
			sqlCom = new SqlCommand(query, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				ShippingVendors_grid.DataSource = sqlRdr;
				ShippingVendors_grid.DataBind();
				ShippingVendors_pnl.Visible = true;
			}

			sqlConn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
