using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Register.
	/// </summary>
	public class Register : System.Web.UI.Page
	{
		
		private string login;
		private string pw;
		private string rpw;
		private string fname;
		private string lname;
		private string street;
		private string city;
		private string state;
		private string zip;
		private string phone;
		private string email;
		private string ccNum;
		private string ccExpMonth;
		private string ccExpYear;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.Button register_but;
		protected System.Web.UI.WebControls.Label slash_lbl;
		protected System.Web.UI.WebControls.TextBox ccexpireYear_txt;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label ccnum_lbl;
		protected System.Web.UI.WebControls.TextBox ccexpireMonth_txt;
		protected System.Web.UI.WebControls.TextBox ccnum_txt;
		protected System.Web.UI.WebControls.Label display_lbl;
		protected System.Web.UI.WebControls.Label email_lbl;
		protected System.Web.UI.WebControls.TextBox email_txt;
		protected System.Web.UI.WebControls.Label phone_lbl;
		protected System.Web.UI.WebControls.TextBox phone_txt;
		protected System.Web.UI.WebControls.Label zip_lbl;
		protected System.Web.UI.WebControls.TextBox zip_txt;
		protected System.Web.UI.WebControls.TextBox state_txt;
		protected System.Web.UI.WebControls.Label state_lbl;
		protected System.Web.UI.WebControls.Label city_lbl;
		protected System.Web.UI.WebControls.TextBox city_txt;
		protected System.Web.UI.WebControls.TextBox street_txt;
		protected System.Web.UI.WebControls.Label street_lbl;
		protected System.Web.UI.WebControls.Label lname_lbl;
		protected System.Web.UI.WebControls.TextBox lname_txt;
		protected System.Web.UI.WebControls.Label fname_lbl;
		protected System.Web.UI.WebControls.Label rtype_pw_lbl;
		protected System.Web.UI.WebControls.Label pw_lbl;
		protected System.Web.UI.WebControls.TextBox firstname_txt;
		protected System.Web.UI.WebControls.TextBox repeat_pw_txt;
		protected System.Web.UI.WebControls.Label login_lbl;
		protected System.Web.UI.WebControls.TextBox pw_txt;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.TextBox login_txt;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		private SqlDataReader sqlRdr;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;
				logout_btn.Visible = true;
			}

			Session["LastPage"] = "Register.aspx";
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.register_but.Click += new System.EventHandler(this.register_but_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void register_but_Click(object sender, System.EventArgs e)
		{
			string strsql;

			login = login_txt.Text;
			pw = pw_txt.Text;
			rpw = repeat_pw_txt.Text;
			fname = firstname_txt.Text;
			lname = lname_txt.Text;
			street = street_txt.Text;
			city = city_txt.Text;
			state = state_txt.Text;
			zip = zip_txt.Text;
			phone = phone_txt.Text;
			email = email_txt.Text;
			ccNum = ccnum_txt.Text;
			ccExpMonth = ccexpireMonth_txt.Text;
			ccExpYear = ccexpireYear_txt.Text;

			strsql = "select * " +
				"from login " +
				"where loginid = '" + login + "'";

			if (checkLogin(strsql))
			{
				display_lbl.Text = "Error, login is taken";
				display_lbl.Visible = true;
			}
			else if (!pw.Equals(rpw))
			{
				display_lbl.Text = "Error, passwords do not match";
				display_lbl.Visible = true;
			}
			else
			{
				display_lbl.Text = "Success, login created!";
				display_lbl.Visible = true;
				createLogin();
			}
		}

		private void createLogin()
		{
			string strsql;
			int nextCustomerID;
			
			strsql = "select	count(*)" +
				"from customer";

			nextCustomerID = getNextCustomerID(strsql);
			
			strsql = "insert into	customer(customerid, lname, fname, phone, email) " +
				"values(" + nextCustomerID + ", '" + lname + "', '" + fname + "', '" + 
				phone + "', '" + email + "')";
			
			executeSqlQuery(strsql);

			strsql = "insert into	login(customerid, loginid, password) " +
				"values(" + nextCustomerID + ", '" + login + "', '" + pw + "')";

			executeSqlQuery(strsql);

			strsql = "insert into	address(customerid, street, city, state, zip, lname, fname, AID) " +
				"values(" + nextCustomerID + ", '" + street + "', '" + city + 
				"', '" + state + "', " + zip + ", '" + lname + "', '" + fname + "', 1)";
			
			executeSqlQuery(strsql);

			strsql = "insert into	ccpayment(customerid, creditcardno, expirationmonth, expirationyear) " +
				"values(" + nextCustomerID + ", '" + ccNum + "', " + ccExpMonth + ", " + ccExpYear + ")";
			
			executeSqlQuery(strsql);
		}

		private void executeSqlQuery(string sqlquery)
		{
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			sqlConn.Close();
		}

		private int getNextCustomerID(string sqlquery) 
		{
			int retVal;

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				sqlRdr.Read();
				retVal = sqlRdr.GetInt32(0) + 1;
				sqlConn.Close();

				return retVal;
			}
			else
			{
				// oh snap
			}

			sqlConn.Close();
			return -5000;
		}

		private bool checkLogin(string sqlquery)
		{
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			bool val = sqlRdr.HasRows;
			
			sqlConn.Close();
	
			return val;
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			loginName_lbl.Text = "Not Logged In";
			loginName_lbl.Visible = true;
			loginName_lbl.ForeColor = Color.Red;
			return;
		}
	}
}
