using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for Management.
	/// </summary>
	public class Management : System.Web.UI.Page
	{
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private string shipping = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_shipping";
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		private string strsql;

		protected System.Web.UI.WebControls.Button Inv_btn;
		protected System.Web.UI.WebControls.Button ShipMethod_btn;
		protected System.Web.UI.WebControls.Button Warehouses_btn;
		protected System.Web.UI.WebControls.DataGrid Music_grid;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.DataGrid Book_grid;
		protected System.Web.UI.WebControls.Label Book_lbl;
		protected System.Web.UI.WebControls.Panel Book_pnl;
		protected System.Web.UI.WebControls.Panel Warehouse_pnl;
		protected System.Web.UI.WebControls.DataGrid Warehouse_grid;
		protected System.Web.UI.WebControls.Label Warehouse_lbl;		
		protected System.Web.UI.WebControls.DataGrid city_grid;
		protected System.Web.UI.WebControls.Panel city_pnl;
		protected System.Web.UI.WebControls.Image Image1;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox ShipMethod_txt;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Inv_btn.Click += new System.EventHandler(this.Inv_btn_Click);
			this.ShipMethod_btn.Click += new System.EventHandler(this.ShipMethod_btn_Click);
			this.Warehouses_btn.Click += new System.EventHandler(this.Warehouses_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Inv_btn_Click(object sender, System.EventArgs e)
		{
			Warehouse_pnl.Visible = false;
			city_pnl.Visible = false;

			strsql = "select 	AlbumName, Artist, sold.qty as Quantity, " +
					"((price - discount) * sold.qty) as GrossSale " +
				"from	susik82_Inv.dbo.Music as m, " +
					"(select		itemid, sum(amount) as qty " +
					"from		invoice " +
					"where		type = 'm' " +
					"group by	itemid)	as sold " +
				"where	sold.itemid = m.id";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(strsql, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				Music_grid.DataSource = sqlRdr;
				Music_grid.DataBind();
				Music_pnl.Visible = true;
			}
			else
			{
				Music_pnl.Visible = false;
			}
			sqlConn.Close();

			strsql = "select 	Title, Author, sold.qty as Quantity, " +
				"((price - discount) * sold.qty) as GrossSale " +
			"from	susik82_Inv.dbo.Books as b, " +
				"(select		itemid, sum(amount) as qty " +
				"from		invoice " +
				"where		type = 'b' " +
				"group by	itemid)	as sold " +
			"where	sold.itemid = b.isbn";

			sqlConn.Open();
			sqlCom = new SqlCommand(strsql, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				Book_grid.DataSource = sqlRdr;
				Book_grid.DataBind();
				Book_pnl.Visible = true;
			}
			else
			{
				Book_pnl.Visible = false;
			}
			sqlConn.Close();
		}

		private void Warehouses_btn_Click(object sender, System.EventArgs e)
		{
			Book_pnl.Visible = false;
			Music_pnl.Visible = false;
			city_pnl.Visible = false;
			
			strsql = "select 	WNumber, Street, City, State, ZIP, name, " +
					"BookID, MusicID, Quantity, (100 - Quantity) as Sold " +
				"from 	susik82_Inv.dbo.warehouses, " +
					"susik82_Inv.dbo.availability as a, " +
					"xindig_shipping.dbo.Shipping_warehouse " +
				"where 	warehouseID = Wnumber and " +
				"warehouse = wnumber " +
				"order by Wnumber";

			sqlConn = new SqlConnection(shipping);
			sqlConn.Open();
			sqlCom = new SqlCommand(strsql, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				Warehouse_grid.DataSource = sqlRdr;
				Warehouse_grid.DataBind();
				Warehouse_pnl.Visible = true;
			}
			else
			{
				Warehouse_pnl.Visible = false;
			}
			sqlConn.Close();

		}

		private void ShipMethod_btn_Click(object sender, System.EventArgs e)
		{
			string city = ShipMethod_txt.Text;
			string sqlquery;

			Book_pnl.Visible = false;
			Music_pnl.Visible = false;
			Warehouse_pnl.Visible = false;

			sqlquery = "select	Name, Opt, Weight, count.count as Count " +
				"from	xindig_shipping.dbo.shipping_price as sp, " +
					"(select		mid, count(mid) as count " +
					"from		xindig_shipping.dbo.shipping_price as sp, " +
							"(select	distinct pi.invoiceid, pkg.name, pkg.opt, pkg.weight " +
							"from	invoice, " +
								"xindig_shipping.dbo.package_invoice as pi, " +
								"xindig_shipping.dbo.packages as pkg, " +
								"xindig_shipping.dbo.shipping_price as sp, " +
								"(select	customerid, aid " +
								"from	address " +
								"where	city = '" + city + "') as city " +
							"where	city.customerid = invoice.buyer and " +
								"pi.invoiceid = invoice.invoiceid and " +
								"pi.trackingNo = pkg.trackingNo and " +
								"pkg.aid = city.aid) as s " +
					"where		s.name = sp.name and " +
							"s.opt = sp.opt and " +
							"s.weight = sp.weight " +
					"group by	mid) as count " +
				"where	count.mid = sp.mid";

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				city_grid.DataSource = sqlRdr;
				city_grid.DataBind();
				city_pnl.Visible = true;
			}
			else
			{
				city_pnl.Visible = false;
			}
			sqlConn.Close();
		}
	}
}
