using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ItemAdded.
	/// </summary>
	public class ItemAdded : System.Web.UI.Page
	{
		private string inventory = "server=IISQLSRV; uid=susik82; pwd=Serge; database=susik82_Inv";
		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";
		private SqlConnection sqlConn;
		private SqlCommand sqlCom;
		private SqlDataReader sqlRdr;
		private string id;

		protected System.Web.UI.WebControls.ImageButton shoppingCart_btn;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Stock_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.Label Item_lbl;
	
		private void Page_Load(object sender, System.EventArgs e)
		{

			Session["LastPage"] = "MusicAdded.aspx";

			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = Color.Black;

				//Server.Transfer("ShoppingCart.aspx");
				if ( Request.QueryString["id"] != null )
				{
					id = Request.QueryString["id"];
                    
					string strsql = "select	Price, Discount, AlbumName " +
						"from		music, " +
						"(select	MusicID, sum(quantity) as Quantity " +
						"from		availability " +
						"group by	musicid) as x " +
						"where		id = " + id + " and " +
						"id = x.MusicID and Quantity <> 0";

					string[] results = musicAvailability(strsql);
					
					if(results[0] != "")
					{
						
						Stock_lbl.Visible = false;
						addToShoppingCart(id, results[1], results[0]);
					}
					else
					{
						Item_lbl.Text = "SORRY, but the item you have requested " + 
							"cannot be added.";
						Stock_lbl.Visible = true;
						Item_lbl.ForeColor = Color.Red;
						Item_lbl.Visible = true;
					}
				}
				else
				{
					// oh snap
				}
			}
			else //Otherwise go to login/register page
			{
				Session["NextPage"] = "MusicAdded.aspx";
				Server.Transfer("NotLoggedIn.aspx");
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.shoppingCart_btn.Click += new System.Web.UI.ImageClickEventHandler(this.shoppingCart_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private string[] musicAvailability(string sqlquery)
		{
			string[] retVal = {"", ""};

			sqlConn = new SqlConnection(inventory);
			sqlConn.Open();

			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			
			sqlRdr = sqlCom.ExecuteReader();

			if (sqlRdr.HasRows)
			{
				double regular, discount;
				// we want to return the price that this is going out for
				sqlRdr.Read();
				
				retVal[0] = sqlRdr.GetString(2);
				
				regular = sqlRdr.GetFloat(0);
				discount = sqlRdr.GetFloat(1);
				
				retVal[1] = Convert.ToString(regular - discount);

				sqlConn.Close();
				return retVal;
			}
			else
			{
				sqlConn.Close();
				return retVal;
			}
		}

		private void addToShoppingCart(string id, string price, string name)
		{
			string sqlquery;

			sqlquery = "select * " +
						"from shoppingCart " +
						"Where CID = " + Session["CustomerID"] + 
						" and ID = " + id + " and type = 'm'";
			
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();

			if(sqlRdr.HasRows)
			{
				Item_lbl.Text = "The item you requested is already in your shopping cart.";
				Item_lbl.ForeColor = Color.Black;
				Item_lbl.Visible = true;
				Stock_lbl.Visible = false;
			}
			else
			{
				sqlConn.Close();
                sqlquery = "insert shoppingCart(CID, ID, qty, price, type) " +
					"values(" + Session["CustomerID"] + ", " + id + ", 1, " + price + ", 'm')";

				Item_lbl.Text = name + " has been successfuly added to your cart.";
				Item_lbl.ForeColor = Color.Black;
				Item_lbl.Visible = true;

				sqlConn = new SqlConnection(billing);
				sqlConn.Open();
				sqlCom = new SqlCommand(sqlquery, sqlConn);
				sqlRdr = sqlCom.ExecuteReader();
				sqlConn.Close();

			}
			sqlConn.Close();
		}

		private void shoppingCart_btn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			Server.Transfer("ShoppingCart.aspx");
		}

		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			Server.Transfer("Index.aspx");
			return;
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Checkout.aspx");
		}
	}//END OF public class ItemAdded : System.Web.UI.Page
}
