using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace _404_Not_Found
{
	/// <summary>
	/// Summary description for ShoppingCart.
	/// </summary>
	public class ShoppingCart : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label loginName_lbl;
		protected System.Web.UI.WebControls.Label Site_title_lbl;
		protected System.Web.UI.WebControls.Label Site_slogan_lbl;
		protected System.Web.UI.WebControls.LinkButton home_link;
		protected System.Web.UI.WebControls.Label Total_lbl;
		protected System.Web.UI.WebControls.LinkButton contShop_btn;
		protected System.Web.UI.WebControls.DataGrid Books_grid;
		protected System.Web.UI.WebControls.Label Books_lbl;
		protected System.Web.UI.WebControls.LinkButton checkout_btn;
		protected System.Web.UI.WebControls.LinkButton logout_btn;
		protected System.Web.UI.WebControls.Panel Books_pnl;
		protected System.Web.UI.WebControls.Panel Music_pnl;
		protected System.Web.UI.WebControls.Label Music_lbl;
		protected System.Web.UI.WebControls.DataGrid Music_grid;

		private string billing = "server=IISQLSRV; uid=xinpl; pwd=rainday; database=xindig_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if (Session["CustomerID"] != null)
			{
				loginName_lbl.Text = "Logged in as " +
					Convert.ToString(Session["CustomerName"]);
				loginName_lbl.ForeColor = System.Drawing.Color.Black;
				logout_btn.Visible = true;
				checkout_btn.Visible = true;
				loadCart();
			}
			else
			{
				Books_lbl.Text = "Please login to access this feature";
			}

			Session["LastPage"] = "ShoppingCart.aspx";
		}

		private void loadCart()
		{
			SqlConnection sqlConn;
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;
			
			string sqlquery = "select	AlbumName, Artist, y.Price, " +
				"qty as Quantity, (qty * y.price) as Total, x.id as ID " +
				"from	shoppingCart as y, susik82_Inv.dbo.music as x " +
				"where	y.id = x.id and " +
				" y.type = 'm' and " +
				" y.cid = " + Session["CustomerID"];

			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Music_grid.DataSource = sqlRdr;
				Music_grid.DataBind();
				Music_pnl.Visible = true;
			}
			
			sqlConn.Close();
		
			sqlquery = "select	Title, Author, y.Price, qty as Quantity, " +
				"(qty * y.price) as Total, x.ISBN as ISBN " +
				"from	shoppingCart as y, susik82_Inv.dbo.books as x " +
				"where	y.id = x.ISBN and " +
				"y.type = 'b' and " +
				"y.cid = " + Session["CustomerID"];
			
			sqlConn = new SqlConnection(billing);
			sqlConn.Open();
			sqlCom = new SqlCommand(sqlquery, sqlConn);	

			sqlRdr = sqlCom.ExecuteReader();
			
			if (sqlRdr.HasRows) 
			{
				Books_grid.DataSource = sqlRdr;
				Books_grid.DataBind();
				Books_pnl.Visible = true;
				//Books_lbl.Visible = true;
			}

			sqlConn.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.logout_btn.Click += new System.EventHandler(this.logout_btn_Click);
			this.checkout_btn.Click += new System.EventHandler(this.checkout_btn_Click);
			this.home_link.Click += new System.EventHandler(this.home_link_Click);
			this.contShop_btn.Click += new System.EventHandler(this.contShop_btn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void home_link_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Index.aspx");
		}

		private void contShop_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Search.aspx");
		}

		private void Music_grid_ItemCommand(object sender, DataGridCommandEventArgs e)
		{
			Music_lbl.Text = "e.CommandName";
			Server.Transfer("Search.aspx");
		}

		private void logout_btn_Click(object sender, System.EventArgs e)
		{
			Session["CustomerID"] = null;
			Session["CustomerName"] = null;
			Server.Transfer("Index.aspx");
		}

		private void checkout_btn_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("Checkout.aspx");
		}
	}
}
