using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace phase2
{
	/// <summary>
	/// Summary description for checkout.
	/// </summary>
	public class checkout : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid billingaddress;
		protected System.Web.UI.WebControls.CheckBox sameaddress;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox dline1;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.TextBox dcity;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox dstate;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.TextBox dzip;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.TextBox dphone;
		protected System.Web.UI.WebControls.TextBox demail;
		protected System.Web.UI.WebControls.Button cpayment;
		protected System.Web.UI.WebControls.Label Label2;
		protected String customerid;
		protected System.Web.UI.WebControls.TextBox dname;
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=djwatson; pwd=login4me; database=djwatson_shipping";
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			
			customerid = Session["CustomerID"] as string;
			Session.Add( "CustomerID", customerid );
			this.haveEnoughStock();
			// Put user code to initialize the page here
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection
			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "select FirstName,LastName,StreetAddress,City,State,Zip from MattMckenzieBilling.dbo.Customers where customerID = '" + customerid + "'";

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();
			billingaddress.DataSource = sqlRdr;
			billingaddress.DataBind();
			sqlRdr.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.sameaddress.CheckedChanged += new System.EventHandler(this.sameaddress_CheckedChanged);
			this.cpayment.Click += new System.EventHandler(this.cpayment_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void sameaddress_CheckedChanged(object sender, System.EventArgs e)
		{
		}

		private bool haveEnoughStock()
		{
			SqlConnection connection = new SqlConnection( strSqlString );
			SqlCommand sqlCommand;

			connection.Open();	// open the connection
			
			string strSql = "select (sum(numinstock) - qty) as diff " +
				"from djwatson_shipping.dbo.cart, jblat_inventory.dbo.Bookstock " +
				"where book = ProductID and CustomerID = '" + customerid + "' and type = 'book' " + " and company = '444h' " +
				"group by ProductID, qty ";

			sqlCommand = new SqlCommand(strSql, connection);	
			sqlRdr = sqlCommand.ExecuteReader();
			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt64(0) < 0)
				{
					Response.Redirect("outofstock.aspx");
					return false;
				}
			}
			sqlRdr.Close();
			strSql =	"select (sum(numinstock) - qty) as diff " +
				"from djwatson_shipping.dbo.cart, jblat_inventory.dbo.Musicstock " +
				"where cd = ProductID and CustomerID = '" + customerid + "' and type = 'cd' " + " and company = '444h' " +
				"group by ProductID, qty ";

			sqlCommand = new SqlCommand(strSql, connection);	
			sqlRdr = sqlCommand.ExecuteReader();

			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt32(0) < 0)
				{
					Response.Redirect("outofstock.aspx");
					return false;
				}
			}

			sqlRdr.Close();

			strSql = "select (pb.quantity - Cart.Qty) as diff " +
				"from Cart, jblat_inventory.djwatson.PartnerBooks as pb " +
				"where pb.ISBN = ProductID and CustomerID = '" + customerid + "' and type = 'book' and Cart.company <> '444h'";


			sqlCommand = new SqlCommand(strSql, connection);	
			sqlRdr = sqlCommand.ExecuteReader();

			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt32(0) < 0)
				{
					Response.Redirect("outofstock.aspx");
					return false;
				}

			}
			sqlRdr.Close();
			strSql = "select (pm.quantity - Cart.Qty) as diff " +
				"from Cart, jblat_inventory.bovinium.PartnerMusic as pm " +
				"where pm.CDID = ProductID and CustomerID = '" + customerid + "' and type = 'cd' and Cart.company <> '444h'";


			sqlCommand = new SqlCommand(strSql, connection);	
			sqlRdr = sqlCommand.ExecuteReader();

			while(sqlRdr.Read())
			{
				if(sqlRdr.GetInt32(0) < 0)
				{
					Response.Redirect("outofstock.aspx");
					return false;
				}
			}

			sqlRdr.Close();
			connection.Close();
			return true;


		}
		private void cpayment_Click(object sender, System.EventArgs e)
		{
			Session["shiptocustomer"] = sameaddress.Checked;
			if(!sameaddress.Checked)
			{
				Session.Add( "altname", dname.Text );
				Session.Add( "altemail", demail.Text );
				Session.Add( "altline1", dline1.Text );
				Session.Add( "altcity", dcity.Text );
				Session.Add( "altstate", dstate.Text );
				Session.Add( "altzip", dzip.Text );
			} 

			Response.Redirect("checkout2.aspx");
		}
	}
}
