using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace phase2_management
{
	/// <summary>
	/// Summary description for shippingmethods.
	/// </summary>
	public class shippingmethods : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid DataGridShippingMethods;
		protected System.Web.UI.WebControls.TextBox TextBoxCity;
		protected System.Web.UI.WebControls.Label LabelCity;
		protected System.Web.UI.WebControls.Button ButtonOK;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidatorCity;
		protected System.Web.UI.WebControls.Label LabelShippingMethods;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
		}

		private void getShippingData( )
		{
			string query =	"select * " +
							"from shipmethods " +
							"where city = '' or city = '" + this.TextBoxCity.Text + "'";

			DataSet dataSet = SQL.Query( query, "djwatson_shipping" );

			this.DataGridShippingMethods.DataSource = dataSet;
			DataTable dataTable = dataSet.Tables[0];

			getItemData( dataTable );

			this.DataGridShippingMethods.DataBind();
		}

		private void getItemData( DataTable dataTable )
		{
			DataColumn dataColumnTimesUsed = new DataColumn( "timesused", typeof(int) );

			dataTable.Columns.Add( dataColumnTimesUsed );

			SqlConnection connection = new SqlConnection( SQL.ConnectString + SQL.DefaultDatabase );
			connection.Open();

			foreach( DataRow row in dataTable.Rows )
			{
				string vendor = row["vendor"].ToString();
				string method = row["method"].ToString();

				string query =	"select count(InvoiceID) as timesused " +
								"from ShippingInfo " +
								"where Vendor = '" + vendor + "' and ShipOption = '" + method + "'";

				SqlCommand command = new SqlCommand( query, connection );
				SqlDataReader dataReader = command.ExecuteReader();

				if( dataReader.HasRows )
				{
					dataReader.Read();

					int ordinalTimesused = dataReader.GetOrdinal( "timesused" );

					if( dataReader.IsDBNull( ordinalTimesused ) )
						row["timesused"] = 0;
					else
						row["timesused"] = dataReader.GetInt32( ordinalTimesused );
				}

				dataReader.Close();
			}

			connection.Close();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ButtonOK.Click += new System.EventHandler(this.ButtonOK_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ButtonOK_Click(object sender, System.EventArgs e)
		{
			getShippingData();
		}
	}
}
