using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace turnin
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class ChangeQuantity : System.Web.UI.Page
	{
		protected string productID = "";
		protected string company;
		protected System.Web.UI.WebControls.DataList Cart;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label output;
		protected System.Web.UI.WebControls.LinkButton product;
		protected System.Web.UI.WebControls.TextBox newQuantity;	  // Declare a reader to read the query result
		private void Page_Load(object sender, System.EventArgs e)
		{
			System.Collections.Specialized.NameValueCollection nv = Request.QueryString;

			if(!User.Identity.IsAuthenticated) 
			{
				if (nv.Get("id") != null)
				{
					if(nv.Get("company") != null) 
					{
						Response.Redirect("Login.aspx?ReturnUrl=ChangeQuantity.aspx?id=" + nv.Get("id") + "&company=" + nv.Get("company"));
					}
					Response.Redirect("Login.aspx?ReturnUrl=ChangeQuantity.aspx?id=" + nv.Get("id"));
				} 
				else 
				{
					Response.Redirect("Login.aspx");
				}
			}
			//if already logged in

			if (nv.Get("id") != null) 
			{
				productID = nv.Get("id");
				product.Text = productID;
				if(nv.Get("company") == null) 
				{
					this.company = "444j";
				} 
				else 
				{
					this.company = nv.Get("company");
				}
			} 
			else 
			{
				//there was no ID passed, redirect to cart
				Response.Redirect("ViewCart.aspx");
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.product.Click += new System.EventHandler(this.LinkButton1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			if(newQuantity.Text.Trim(new char[] { ' ' }) == "0") 
			{
				//delete the item
				Response.Redirect("ViewCart.aspx?remove=" + productID + "&company=" + company);
			} 
			else 
			{
				try 
				{
					SqlDataAdapter adapter =
						new SqlDataAdapter ("update ShoppingCart set quantity = " + newQuantity.Text.Trim(new char[] { ' ' }) +
						" where companyName = '" + company + "' AND prodID = '" + productID + "' AND customerID = '" + Context.User.Identity.Name + "' ",
						"server=IISQLSRV.cs.washington.edu;uid=vaeniel;pwd=voide;database=vaeniel_billing");
					DataSet ds = new DataSet ();
					adapter.Fill (ds);
					Response.Redirect("ViewCart.aspx");
				} 
				catch (Exception ex) 
				{
					output.Text = "Invalid quantity.";
				}
			}
		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("ViewProduct.aspx?ISBN_ASIN=" + productID + "&company=" + company);
		}
	}
}
