<%@ Control Language="c#" AutoEventWireup="false" Codebehind="VerboseMusic.ascx.cs" Inherits="aldenk.VerboseMusic" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<asp:panel id="pnl_All" runat="server">
<asp:label id="lbl_Album" runat="server"></asp:label><br/>
<asp:label id="lbl_Artist" runat="server"></asp:label><br/>
<asp:label id="lbl_Year" runat="server"></asp:label><br/>
<asp:label id="lbl_Genres" runat="server"></asp:label><br/>
<asp:label id="lbl_Price" runat="server"></asp:label><br/><br/>
<p>
		<asp:datagrid id="dg_Tracks" runat="server">
			<columns>
				<asp:templatecolumn headertext="Track #">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.number") %>' id="Label1">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Title">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.title") %>' id="Label2">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Length (mm:ss)">
					<itemtemplate>
						<asp:label runat="server" text='<%# (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))/60).ToString() + ":" + ((Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60)<10 ? "0" + (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60).ToString(): (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60).ToString()) %>' id="Label3">
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</asp:datagrid></p>
<p></p>
<p></p>
<p>Availability<br/>
		<asp:datagrid id="dg_Availability" runat="server" autogeneratecolumns="false" cellpadding="3">
			<columns>
				<asp:templatecolumn headertext="Warehouse ID">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.ID") %>'>
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="City">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.state")).ToString().ToUpper() + ", " + DataBinder.Eval(Container, "DataItem.city") %>'>
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="# In Stock">
					<itemtemplate>
						<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.quantity") %>'>
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Address">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.streetNum") + " " + DataBinder.Eval(Container, "DataItem.city") + " " + (DataBinder.Eval(Container, "DataItem.state")).ToString().ToUpper() + ", " + DataBinder.Eval(Container, "DataItem.zip")) %>'>
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn headertext="Contact">
					<itemtemplate>
						<asp:label runat="server" text='<%# (DataBinder.Eval(Container, "DataItem.manager") + " at (" + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(0,3) + ") " + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(4,3) + "-" + DataBinder.Eval(Container, "DataItem.phone").ToString().Substring(7)) %>'>
						</asp:label>
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</asp:datagrid></p>
<small><asp:label id="lbl_Keywords" runat="server"></asp:label></small><br/>
</asp:panel>
<asp:label id="lbl_Error" runat="server"></asp:label>
