<%@ Control Language="c#" AutoEventWireup="false" Codebehind="VerboseWarehouse.ascx.cs" Inherits="aldenk.VerboseWarehouse" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<asp:panel id="pnl_Admin" runat="server">
<p>
<asp:label id="lbl_Id" runat="server"></asp:label><br>
<asp:label id="lbl_Manager" runat="server"></asp:label><br>
<asp:label id="lbl_Phone" runat="server"></asp:label><br>
<asp:label id="lbl_Fax" runat="server"></asp:label></p>
<p>
<asp:label id="lbl_Add1" runat="server"></asp:label><br>
<asp:label id="lbl_Add2" runat="server"></asp:label><br>
<asp:label id="lbl_Add3" runat="server"></asp:label><br></p>
<asp:datagrid id="dg_Tracks" runat="server" autogeneratecolumns="false">
		<columns>
			<asp:templatecolumn headertext="Track #">
				<itemtemplate>
					<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.number") %>' id="Label1">
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Title">
				<itemtemplate>
					<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.title") %>' id="Label2">
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Length (mm:ss)">
				<itemtemplate>
					<asp:label runat="server" text='<%# (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))/60).ToString() + ":" + ((Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60)<10 ? "0" + (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60).ToString(): (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.duration"))%60).ToString()) %>' id="Label3">
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</asp:datagrid>
<p>&nbsp;</p>
<asp:label id="lbl_Vendors" runat="server"></asp:label><br>
<asp:datagrid id="dg_Vendors" runat="server" cellpadding="3" autogeneratecolumns="false">
		<columns>
			<asp:templatecolumn headertext="Name">
				<itemtemplate>
					<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.Name") %>'>
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="URL">
				<itemtemplate>
					<a href='ViewWarehouse.aspx?ID=<%# DataBinder.Eval(Container, "DataItem.url") %>'>
						<%# DataBinder.Eval(Container, "DataItem.url") %>
					</a>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Phone">
				<itemtemplate>
					<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.phone") %>'>
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</asp:datagrid>
<p>&nbsp;</p>
<asp:label id="lbl_ShippedCount" runat="server"></asp:label><br>
<asp:label id="lbl_Stock" runat="server"></asp:label><br>
<asp:datagrid id="dg_Stock" runat="server" cellpadding="3" autogeneratecolumns="false">
		<columns>
			<asp:templatecolumn headertext="Title">
				<itemtemplate>
					<a href='ViewProduct.aspx?ISBN_ASIN=<%# DataBinder.Eval(Container.DataItem, "ISBN_ASIN") %>&company=<%# DataBinder.Eval(Container.DataItem, "company") %>'>
						<%# DataBinder.Eval(Container.DataItem, "title").ToString().Replace("&","&amp;") %>
					</a>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Quantity">
				<itemtemplate>
					<asp:label runat="server" text='<%# DataBinder.Eval(Container, "DataItem.quantity") %>'>
					</asp:label>
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</asp:datagrid>
</asp:panel>
<asp:label id="lbl_Error" runat="server"></asp:label>
