namespace aldenk
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Data.SqlClient;

	/// <summary>
	///		Summary description for ProductBrief.
	/// </summary>
	public class ProductBrief : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.Table Table1;
		protected System.Web.UI.WebControls.Label lbl_Name;
		protected System.Web.UI.WebControls.Label lbl_Artist;
		protected System.Web.UI.WebControls.Label lbl_Year;
		protected System.Web.UI.WebControls.Label lbl_ASIN;
		protected System.Web.UI.WebControls.Label lbl_Label;

		protected string queryConnectStr = "server=iisqlsrv.cs.washington.edu; uid=aldenk; pwd=drmonroe2337; database=aldenk_inventory";

		protected string asin;
		protected string name;
		protected string artists;
		protected string year;
		protected string label;
		protected bool lookup;

		public string ASIN
		{
			get
			{	return asin;	}
			set
			{	asin = value;	}
		}
		public string Name
		{
			get
			{	return name;	}
			set
			{	name = value;	}
		}
		public string Artists
		{
			get
			{	return artists;	}
			set
			{	artists = value;	}
		}
		public string Year
		{
			get
			{	return year;	}
			set
			{	year = value;	}
		}
		public string Label
		{
			get
			{	return label;	}
			set
			{	label = value;	}
		}
		public string Lookup
		{
			get
			{	return lookup.ToString();	}
			set
			{	lookup = Convert.ToBoolean(value);	}
		}



		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if (lookup)
			{
				string strSql;
				System.Data.SqlClient.SqlConnection sqlConn = new SqlConnection();
				System.Data.SqlClient.SqlCommand sqlCmd;
				System.Data.SqlClient.SqlDataReader sqlRdr;
				#region < populate >
					#region < get what="album basics" >
						try
						{
							// Start a new connection to the database specified in strSqlString
							//sqlConn = new SqlConnection( queryConnectStr );
							sqlConn.ConnectionString = queryConnectStr;
							sqlConn.Open();	// open the connection

							strSql = "SELECT artists, name, year, label FROM Music WHERE ASIN=\'" + this.asin + "\'";
							
							// The command needs to know the query and the connection
							sqlCmd = new SqlCommand(strSql, sqlConn);	
							// Execute the command
							sqlRdr = sqlCmd.ExecuteReader();

							// Get the answer from the reader and write it to the label.
							if (sqlRdr.Read()) 
							{
								artists = sqlRdr["artists"].ToString();
								name = sqlRdr["name"].ToString();
								year = sqlRdr["year"].ToString();
								label = sqlRdr["label"].ToString();
							}
							else
							{
								//lbl_Error.Text = "Unable find artist.  Please check the id or try again later.";
							}
						}
						catch (Exception e1)
						{
							//lbl_Error.Text = "Unable find artist.  Please check the id or try again later.";
						}
						finally
						{
							// ensure close connection
							sqlConn.Close();
						}
					#endregion
				#endregion </ populate >
			}
			else
			{}
			this.lbl_Name.Text = this.name;
			this.lbl_Artist.Text = this.artists;
			this.lbl_Year.Text = this.year;
			this.lbl_ASIN.Text = this.asin;
			this.lbl_Label.Text = this.label;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion


	}
}
