using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Globalization;

namespace turnin
{
	/// <summary>
	/// Summary description for Registration.
	/// </summary>
	public class Registration : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=vaeniel; pwd=voide; database=vaeniel_billing";
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox customerID;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.TextBox password;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox password2;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox customerName;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.TextBox street;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.TextBox city;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.TextBox zipcode;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.TextBox email;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.TextBox phoneNumber;
		protected System.Web.UI.WebControls.Label output;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Button Submit;
		protected System.Web.UI.WebControls.DropDownList state;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Submit.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		
		public bool IsInteger ( string s ) 
		{ 
			for (int i = 0; i < s.Length; i ++) 
				if (! char.IsNumber(s [i])) 
					return false; 
			return true; 

		} 

		private void Button1_Click(object sender, System.EventArgs e)
		{
			//process the form
			if(customerID.Text.Length == 0)
			{
				output.Text = "Please enter a user name.";
			} 
			else if(password.Text.Length == 0 || password2.Text.Length == 0)
			{
				output.Text = "Please enter a password.";
			} 
			else if(password.Text != password2.Text) 
			{
				output.Text = "Password and Confirm password do not match.";
			} 
			else  if(customerName.Text.Length == 0)
			{
				output.Text = "Please enter your full name.";
			} 
			else if(street.Text.Length == 0) 
			{
				output.Text = "Please enter your street address.";
			}
			else if(city.Text.Length == 0) 
			{
				output.Text = "Please enter a city.";
			}
			else if(zipcode.Text.Length < 5 || !IsInteger(zipcode.Text)) 
			{
				output.Text = "Please enter a valid zip code.";
			}
			else if(email.Text.Length == 0) 
			{
				output.Text = "Please enter your email address.";
			}
			else if(phoneNumber.Text.Length < 10 || !IsInteger(phoneNumber.Text)) 
			{
				output.Text = "Please enter your phone number.";
			} 
			else 
			{
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection

				// Execute query -- search for the entered customerID
				string strSql = "SELECT customerID FROM Customers " +
					"WHERE customerID = '" + customerID.Text + "'";
						
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

			

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					output.Text = "Invalid user name. Please select another.";
				} 
				else 
				{	sqlRdr.Close();
					sqlConn.Close();
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection
					strSql = "INSERT INTO Customers values('" + customerID.Text + "', '" + 
						 customerName.Text + "', '" + street.Text + "', '" + city.Text + "', '" + state.SelectedValue + "', " +
						 zipcode.Text + ", '" + email.Text + "', '" + phoneNumber.Text + "')";
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					sqlRdr.Close();
					sqlConn.Close();
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection
					strSql = "INSERT INTO Logins values('" + customerID.Text + "', '" + password.Text + "', 0)";
					sqlCom = new SqlCommand(strSql, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
					Response.Redirect("Login.aspx");
				}
			}
		}
	}
}
