using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace brianks4
{
	/// <summary>
	/// Summary description for Tracking.
	/// </summary>
	public class Tracking : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=brianks; pwd=scudmonkey; database=bksshipping";
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.Label lbl_History;
		protected System.Web.UI.WebControls.HyperLink href_Inventory;
		private string strSqlString2 = "server=IISQLSRV.cs.washington.edu; uid=brianks; pwd=scudmonkey; database=vaeniel_billing";

	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!User.Identity.IsAuthenticated) 
			{
				Response.Redirect("Login.aspx?ReturnUrl=Tracking.aspx");
			}
		}

		public bool IsInteger ( string s ) 
		{ 
			for (int i = 0; i < s.Length; i ++) 
				if (! char.IsNumber(s [i])) 
					return false; 
			return true; 

		} 

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.TextBox1.TextChanged += new System.EventHandler(this.TextBox1_TextChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			try 
			{
				if (TextBox1.Text != "" && IsInteger(TextBox1.Text) )
				{
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();
					string strSql = "SELECT invoice# as 'Invoice Number', #ofitems as 'Number of items', " +
						"shipmethod as 'Shipping Method', shipcompany as 'Shipping Company', " +
						"expectdeltime as 'Expected Delivery Time', status as 'Status'" +
						"FROM packages " +
						"WHERE invoice# = " + TextBox1.Text + " AND contactID = '" + Context.User.Identity.Name + "' ";
						
					sqlCom = new SqlCommand(strSql, sqlConn);
					sqlRdr = sqlCom.ExecuteReader();

					if (sqlRdr.HasRows) 
					{
						DataGrid1.DataSource = sqlRdr;
						DataGrid1.DataBind();
						DataGrid1.Visible = true;
					} 
					else 
					{
						DataGrid1.Visible = false;
					}
					sqlConn.Close();
				} 
				else 
				{
					DataGrid1.Visible = false;
				}
			} 
			catch (Exception exc) 
			{
			}
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			sqlConn = new SqlConnection( strSqlString2 );
			sqlConn.Open();
			string strSql2 = "SELECT a.invoice, a.prodID, a.title, a.quantity, a.singlePrice, a.warehouse, a.shipDate" +
				" FROM purchasedItems AS a, Invoices AS b " + 
				" WHERE a.invoice = b.invoiceID AND b.buyer = '" + Context.User.Identity.Name + "' ";
			sqlCom = new SqlCommand(strSql2, sqlConn);
			sqlRdr = sqlCom.ExecuteReader();
			if (sqlRdr.HasRows)
			{
				DataGrid2.DataSource = sqlRdr;
				DataGrid2.DataBind();
				DataGrid2.Visible = true;
				lbl_History.Visible = false;
			} 
			else
			{
				DataGrid2.Visible = false;
				lbl_History.Text = "You have not purchased any items.";
				lbl_History.Visible = true;
			}
			sqlConn.Close();
		}

		private void TextBox1_TextChanged(object sender, System.EventArgs e)
		{
			Button1_Click(Button1, e);
		}
	}
}
