using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace turnin
{
	/// <summary>
	/// Summary description for ViewCart.
	/// </summary>
	public class ViewCart : System.Web.UI.Page
	
	{
		protected System.Web.UI.WebControls.Label output;
		protected string productID;
		protected string company;
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.WebControls.DataList Cart;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;	  // Declare a reader to read the query result
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=vaeniel; pwd=voide; database=vaeniel_billing";

		private void Page_Load(object sender, System.EventArgs e)
		{
			System.Collections.Specialized.NameValueCollection nv = Request.QueryString;

			if(!User.Identity.IsAuthenticated) 
			{
				if (nv.Get("add") != null)
				{
					if(nv.Get("company") != null) 
					{
						Response.Redirect("Login.aspx?ReturnUrl=ViewCart.aspx?add=" + nv.Get("add") + "&company=" + nv.Get("company"));
					}
					Response.Redirect("Login.aspx?ReturnUrl=ViewCart.aspx?add=" + nv.Get("add"));
				} 
				else if (nv.Get("remove") != null)
				{
					if(nv.Get("company") != null) 
					{
						Response.Redirect("Login.aspx?ReturnUrl=ViewCart.aspx?remove=" + nv.Get("remove") + "&company=" + nv.Get("company"));
					}
					Response.Redirect("Login.aspx?ReturnUrl=ViewCart.aspx?remove=" + nv.Get("remove"));
				} 
				else 
				{
					Response.Redirect("Login.aspx?ReturnUrl=ViewCart.aspx");
				}
			}
			
			SqlDataAdapter adapter;
			DataSet ds;
			DataTable table;
			string quantity = "";
			
			if (nv.Get("add") != null)
			{
				this.productID = nv.Get("add");
				if(nv.Get("company") == null) 
				{
					this.company = "444j";
				} 
				else 
				{
					this.company = nv.Get("company");
				}
				adapter =
					new SqlDataAdapter ("select ID from Indexes " +
					"where ID = \'" + productID + "\' AND company = '" + company + "' ",
					"server=IISQLSRV.cs.washington.edu;uid=vaeniel;pwd=voide;database=aldenk_inventory");
				ds = new DataSet ();
				adapter.Fill (ds);
				table = ds.Tables[0];
				if (table.Rows.Count > 0) 
				{
					//valid product ID, so check if there's already one in the cart
					adapter =
						new SqlDataAdapter ("select quantity from ShoppingCart " +
						"where customerID = '" + Context.User.Identity.Name + "' AND prodID = '" +
						productID + "' AND companyName = '" + company + "' ",
						"server=IISQLSRV.cs.washington.edu;uid=vaeniel;pwd=voide;database=vaeniel_billing");
					ds = new DataSet ();
					adapter.Fill (ds);
					table = ds.Tables[0];
					if (table.Rows.Count > 0) 
					{
						//item already in cart, do nothing
					} 
					else 
					{
						//item not in shopping cart, add it
						adapter =
							new SqlDataAdapter ("insert into ShoppingCart values('" + Context.User.Identity.Name +
							"', '" + productID + "', 1, '" + company + "' ) ",
							"server=IISQLSRV.cs.washington.edu;uid=vaeniel;pwd=voide;database=vaeniel_billing");
						ds = new DataSet ();
						adapter.Fill (ds);
					}
				} 
				else 
				{
					output.Text = "Invalid product ID.";
				}
				
			} 
			else if (nv.Get("remove") != null)
			{
				this.productID = nv.Get("remove");
				if(nv.Get("company") == null) 
				{
					this.company = "444j";
				} 
				else 
				{
					this.company = nv.Get("company");
				}
				try 
				{
					 adapter =
						new SqlDataAdapter ("delete from ShoppingCart " +
						"where companyName = '" + company + "' AND prodID = '" + productID + "' AND customerID = '" + Context.User.Identity.Name + "' ",
						"server=IISQLSRV.cs.washington.edu;uid=vaeniel;pwd=voide;database=vaeniel_billing");
					ds = new DataSet ();
					adapter.Fill (ds);
				} 
				catch (Exception ex) 
				{
					output.Text = "Database error.";
				}
			}

			//display the shopping cart
			try
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection

				string strSql = "SELECT a.prodID, a.quantity, b.now, a.companyName " +
					" from vaeniel_billing.dbo.ShoppingCart AS a, aldenk_inventory.dbo.Prices AS b " +
					" where a.prodID = b.ISBN_ASIN AND a.companyName = b.company AND customerID = '" + Context.User.Identity.Name + "' ";
						
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				if (sqlRdr.HasRows) 
				{
					Cart.DataSource = sqlRdr;
					Cart.DataBind();
					Cart.Visible = true;
				}
			}
			catch (Exception ex)
			{
				output.Text = "Database error.";
			}
			finally
			{
				// ensure close connection
				sqlConn.Close();
			}
	
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("Checkout.aspx");
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("Inventory.aspx");
		}

	}
}
