using System;
using System.Collections;
using System.Text.RegularExpressions;
using System.IO;
using System.ComponentModel;
using System.Data; 
using System.Drawing;
using System.Configuration;
using System.Data.SqlClient;
using System.Text; 
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Security.Cryptography;


namespace prinsess_inventory.Classes
{
	/// <summary>
	/// Summary description for Categories.
	/// </summary>
	public class Categories
	{
		public Categories()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public static DataSet getAllCategories(string productType)
		{
			string connectionString = ConfigurationSettings.AppSettings.Get("connstring");
			SqlConnection objConn = new SqlConnection(connectionString);

			SqlCommand objCommand = new SqlCommand("sp_getAllCategories", objConn);
			objCommand.CommandType = CommandType.StoredProcedure;
			objConn.Open();

			objCommand.Parameters.Add("@productType", SqlDbType.VarChar, 50);
			objCommand.Parameters["@productType"].Value = productType;

			objConn.Close();
			
			//pipe that transfers all the information from database to the dataset
			SqlDataAdapter objDataAdapter = new SqlDataAdapter();
			objDataAdapter.SelectCommand = objCommand; //gonna use the command object
			DataSet objDataSet = new DataSet();//create the virutal database
			
			objDataAdapter.Fill(objDataSet,"viewcategories");
			

			return objDataSet;
		}
	}
}
