using System;
using System.Collections;
using System.Text.RegularExpressions;
using System.IO;
using System.ComponentModel;
using System.Data; 
using System.Drawing;
using System.Configuration;
using System.Data.SqlClient;
using System.Text; 
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Security.Cryptography;

namespace prinsess_inventory.Classes
{
	/// <summary>
	/// Summary description for Categories.
	/// </summary>
	public class Invoices
	{
		public Invoices()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public static DataSet getInvoices(int customerID)
		{
			string connectionString = ConfigurationSettings.AppSettings.Get("connstringPhil");
			SqlConnection objConn = new SqlConnection(connectionString);

			SqlCommand objCommand = new SqlCommand("getInvoices", objConn);
			objCommand.CommandType = CommandType.StoredProcedure;
			objConn.Open();

			objCommand.Parameters.Add("@custID", SqlDbType.Int, 50);
			objCommand.Parameters["@custID"].Value = customerID;

			objConn.Close();
			
			//pipe that transfers all the information from database to the dataset
			SqlDataAdapter objDataAdapter = new SqlDataAdapter();
			objDataAdapter.SelectCommand = objCommand; //gonna use the command object
			DataSet objDataSet = new DataSet();//create the virutal database
			
			objDataAdapter.Fill(objDataSet,"viewinvoices");
			
			return objDataSet;
		}
	/*public static void package(int customerID) 
		{
			SqlCommand sqlCom;
			SqlDataReader sqlRdr;

			SqlConnection sqlConn = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringPhil"));
			sqlConn.Open();	// open the connection


			// make invoice
			string strSql = 
				"INSERT INTO Invoices VALUES ( " + // invoiceID
				Session["customerID"] + ", " + // buy_customerID
				"null" + ", " + // ship_customerID (old)
				"null" + ", " + // addressID (old)
				"null" + ", " + // shippingmethod (old)
				"GETDATE()" + ", " + // transdate
				"0" + ", " + // shippingcost
				"0" + ", " + // taxes
				"0" + ", " + // discount
				"0" + ", " + // total
				"0" + // shipdate
				")";

				
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			sqlRdr.Close();

			int invoiceID = 0;
			strSql = "SELECT IDENT_CURRENT('Invoices') AS nextIndex";
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			if (sqlRdr.Read()) 
			{
				invoiceID = Convert.ToInt32(sqlRdr.GetValue(0));
			}
			sqlRdr.Close();

			if (invoiceID == 0) 
			{
				return;
			}			


	// start actual packaging sequence
			string city = "Seattle";
			string state = "WA";

			strSql = "SELECT warehouseID FROM iisqlsrv.prinsess_inventory.dbo.Warehouse WHERE city = '" + city + "' AND state = '" + state + "' " +
				" UNION " +

			" SELECT warehouseID FROM iisqlsrv.prinsess_inventory.dbo.Warehouse WHERE city != '" + city + "' AND state != '" + state + "'";

			sqlCom = new SqlCommand(strSql, sqlConn);	

		sqlRdr = sqlCom.ExecuteReader();

			// iterate through warehouses
			while (sqlRdr.Read()) 
			{
				int warehouseID = Convert.ToInt32(sqlRdr.GetValue(0));
				int packageID = 0;
				
				string strSql2 = 
					"SELECT productID, quantity " + 
					" FROM iisqlsrv.prinsess_inventory.dbo.ShoppingCart "  +
					" WHERE customerID = " + customerID + "";

			SqlConnection sqlConn2 = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringPhil"));
				sqlConn2.Open();	// open the connection

				SqlCommand sqlCom2 = new SqlCommand(strSql2, sqlConn2);	

			SqlDataReader sqlRdr2 = sqlCom2.ExecuteReader();							
				
				// iterate through the shopping cart
				while (sqlRdr2.Read()) 
				{

				int productID = Convert.ToInt32(sqlRdr2.GetValue(0));
					int quantity = Convert.ToInt32(sqlRdr2.GetValue(1));
					

				// lookup availability for the package in the warehouse
					string strSql3 = "SELECT conditionID " +
						" FROM iisqlsrv.prinsess_inventory.dbo.Availability " +
						" WHERE productID = " + productID + " AND" +
						" warehouseID = " + warehouseID + "";

					SqlConnection sqlConn3 = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringPhil"));
					sqlConn3.Open();	// open the connection
					SqlCommand sqlCom3 = new SqlCommand(strSql3, sqlConn3);	
					SqlDataReader sqlRdr3 = sqlCom3.ExecuteReader();

					if (sqlRdr3.Read()) 
					{
						// make package if it doesn't exist
						SqlConnection sqlConn4 = new SqlConnection( ConfigurationSettings.AppSettings.Get("connstringMaxine"));
						sqlConn4.Open();	// open the connection
						SqlCommand sqlCom4;

					SqlDataReader sqlRdr4;

						if (packageID == 0) 
						{
							string strSql4 = "INSERT INTO Package VALUES (" + 
								"'adsf'" + "," + 
								"0" + "," + // numItems
								"0" + "," + // weight
								"1" + "," + // methodID
								"1" + "," + // vendorID

							warehouseID + "," + 
								"'dname'" + "," + // name
								"'daddress'" + "," + // address
								"'dcity'" + "," + // city

							"'dstate'" + "," + // state
								"'dcontact'" + "," + // contact
								"GETDATE()" + "," + // time
								"GETDATE()" + "," + // pickuptime
								"'status'" + "," + // status
								"0" + "," + //fragile
								"'notes'" + // notes
								")";
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();

							strSql4 = "SELECT IDENT_CURRENT('Package') AS nextIndex";

							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							if (sqlRdr4.Read()) 
							{
								packageID = Convert.ToInt32(sqlRdr4.GetValue(0));
							} 
							else 
							{
								// something went wrong
							}
							sqlRdr4.Close();
						}
						
						// we have stuff
						// two cases here, either we have more than quantity needed
						// or we have less than quantity needed
					int haveQuantity = Convert.ToInt32(sqlRdr3.GetValue(0));
						int usedQuantity = 0;
					if (haveQuantity > quantity) 
						{

					// we have more in this warehouse than we need

							// update availability to new value
							string strSql4 = "UPDATE iisqlsrv.prinsess_inventory.dbo.Availability " +
								" SET conditionID = " + (haveQuantity - quantity) +
								" WHERE warehouseID = " + warehouseID + " AND " +
								" productID = " + productID + "";

							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();
							
							// we have the amount needed for this product
							strSql4 = "DELETE FROM iisqlsrv.prinsess_inventory.dbo.ShoppingCart " +
								" WHERE productID = " + productID + "";
							usedQuantity = quantity;

							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();							
						} 
						else 
						{
							// we're using all of it up from this warehouse
							
							// delete it or set quantity to 0?
							string strSql4 = "DELETE FROM iisqlsrv.prinsess_inventory.dbo.Availability " + 
								" WHERE warehouseID = " + warehouseID + " AND " +
								" productID = " + productID + "";
							
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();

							// update to new quantity
							strSql4 = "UPDATE iisqlsrv.prinsess_inventory.dbo.ShoppingCart " +
								" SET quantity = " + (haveQuantity - quantity) +
								" WHERE productID = " + productID + "";
							
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();

							usedQuantity = haveQuantity;
						}
						
						// insert into package
						if (usedQuantity > 0) 
						{
							string strSql4 = "INSERT INTO PkgProduct VALUES (" + packageID + ", " + productID + ", " + usedQuantity + ")";
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();	
							
							// update weight
							strSql4 = "SELECT weight FROM isqlsrv.prinsess_inventory.dbo.Products WHERE productID = " + productID + "";

						sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							double weight = 0;
							if (sqlRdr4.Read()) 
							{
								weight = Convert.ToDouble(sqlRdr4.GetValue(0));

						} 
							else 
							{

							// something went wrong

							}
						sqlRdr4.Close();
	
							strSql4 = "UPDATE Packages SET weight = weight + " + (quantity * weight) + " WHERE packageID = " + packageID + "";
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();	

							// update numItems
							strSql4 = "UPDATE Packages SET numItems = numItems + 1 WHERE packageID = " + packageID + "";
							sqlCom4 = new SqlCommand(strSql4, sqlConn4);	
							sqlRdr4 = sqlCom4.ExecuteReader();
							sqlRdr4.Close();
						}
					}
					// done with this product
					sqlRdr3.Close();
				}
				// done with this warehouse
				sqlRdr2.Close();

				// add the package into the invoice
				if (packageID != 0) 
				{
					strSql2 = "INSERT INTO InvoicePackage VALUES(" + invoiceID + ", " + packageID + ")";

					sqlCom2 = new SqlCommand(strSql2, sqlConn2);
					sqlRdr2 = sqlCom2.ExecuteReader();	
					sqlRdr2.Close();
				}

			}
			sqlRdr.Close();
		}*/

}

}