using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace mtoh412_shipping
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class shipping : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;
		protected System.Web.UI.WebControls.Button pkgdetailsbtn;
		protected System.Web.UI.WebControls.Label pkgdetailserrorlbl;
		protected System.Web.UI.WebControls.DataGrid pkgdetailsgrid;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.WebControls.RadioButton r1;
		protected System.Web.UI.WebControls.RadioButton r2;
		protected System.Web.UI.WebControls.DataGrid pkgviewgrid;
		protected System.Web.UI.WebControls.Label pkgviewnone;
		protected System.Web.UI.WebControls.TextBox minweighttxt;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DataGrid minweightgrid;
		protected System.Web.UI.WebControls.Button numCompletebtn;
		protected System.Web.UI.WebControls.Button numEnRoutebtn;
		protected System.Web.UI.WebControls.DataGrid numCompletegrid;
		protected System.Web.UI.WebControls.DataGrid numEnRoutegrid;
		protected System.Web.UI.WebControls.TextBox weighttxt;
		protected System.Web.UI.WebControls.TextBox itemstxt;
		protected System.Web.UI.WebControls.Button optionsbtn;
		protected System.Web.UI.WebControls.Label entervalslbl;
		protected System.Web.UI.WebControls.DataGrid optionsgrid;
		protected System.Web.UI.WebControls.TextBox citytxt;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Button itemsbyvendorbtn;
		protected System.Web.UI.WebControls.DataGrid itemsbyvendorgrid;
		protected System.Web.UI.WebControls.TextBox whtxt;
		protected System.Web.UI.WebControls.Button cheapestbtn;
		protected System.Web.UI.WebControls.Label fillfieldslbl;
		protected System.Web.UI.WebControls.TextBox pkgdetailstxt;
		private string strSqlString = "server=IISQLSRV; uid=mtoh412; pwd=FloppyPsalms; database=mtoh412_shipping";

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.pkgdetailsbtn.Click += new System.EventHandler(this.pkgdetailsbtn_Click);
			this.pkgdetailsgrid.SelectedIndexChanged += new System.EventHandler(this.pkgdetailsgrid_SelectedIndexChanged);
			this.r1.CheckedChanged += new System.EventHandler(this.r1_CheckedChanged);
			this.r2.CheckedChanged += new System.EventHandler(this.r2_CheckedChanged);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.numCompletebtn.Click += new System.EventHandler(this.numCompletebtn_Click);
			this.numEnRoutebtn.Click += new System.EventHandler(this.numEnRoutebtn_Click);
			this.itemsbyvendorbtn.Click += new System.EventHandler(this.itemsbyvendorbtn_Click);
			this.optionsbtn.Click += new System.EventHandler(this.optionsbtn_Click);
			this.cheapestbtn.Click += new System.EventHandler(this.cheapestbtn_Click);
			this.optionsgrid.SelectedIndexChanged += new System.EventHandler(this.optionsgrid_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void pkgdetailsbtn_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection


			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT * " +
				"FROM package " + 
				"WHERE packageID = '" + this.pkgdetailstxt.Text + "'";
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				pkgdetailsgrid.DataSource = sqlRdr;
				pkgdetailsgrid.DataBind();
				pkgdetailsgrid.Visible = true;

				this.pkgdetailserrorlbl.Visible = false;
			} 
			else 
			{
				if (pkgdetailstxt.Text.Length != 0)
				{
					this.pkgdetailserrorlbl.Visible = true;
					pkgdetailsgrid.Visible = false;
				} 
				else
				{
					this.pkgdetailserrorlbl.Visible = false;
				}
			}
			

			//			// Get the answer from the reader and write it to the label.
			//			if (sqlRdr.HasRows) 
			//			{
			//				sqlRdr.Read();
			//				this.SpamsSentLabel.Text = "Number of Spams Sent: " + sqlRdr.GetInt32(0);
			//			}
			//			else 
			//			{
			//				this.SpamsSentLabel.Text = "Invalid Country";
			//			}


			// Close the sql connection at the end
			sqlConn.Close();
		}

		//All packages view
		private void r1_CheckedChanged(object sender, System.EventArgs e)
		{
			if (r1.Checked )
			{

				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection


				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "SELECT packageID 'PkgID', trackingNum 'Tracking #', dname 'Name', dcity 'City', dstate 'State', status 'Status' " +
					"FROM package"; // + 
						
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					pkgviewgrid.DataSource = sqlRdr;
					pkgviewgrid.DataBind();
					pkgviewgrid.Visible = true;
					pkgviewnone.Visible = false;
				}
				else 
				{
					pkgviewnone.Visible = true;
					pkgviewgrid.Visible = false;
				}
		

				// Close the sql connection at the end
				sqlConn.Close();

			}

		}

		private void r2_CheckedChanged(object sender, System.EventArgs e)
		{
			if (r2.Checked)
			{
				// Start a new connection to the database specified in strSqlString
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection


				// Execute query -- Here you could make 'strSql' any query you want
				string strSql = "SELECT packageID 'PkgID', trackingNum 'Tracking #', dname 'Name', dcity 'City', dstate 'State', status 'Status' " +
					"FROM package " + 
					"WHERE dtime >= '" + DateTime.Today.Date.ToShortDateString() + "' AND dtime < '" + DateTime.Today.Date.AddDays(1).ToString() + "'"; 
						
				// The command needs to know the query and the connection
				sqlCom = new SqlCommand(strSql, sqlConn);	
				// Execute the command
				sqlRdr = sqlCom.ExecuteReader();

				// Get the answer from the reader and write it to the label.
				if (sqlRdr.HasRows) 
				{
					pkgviewgrid.DataSource = sqlRdr;
					pkgviewgrid.DataBind();
					pkgviewgrid.Visible = true;
					pkgviewnone.Visible = false;
				}
				else 
				{
					pkgviewnone.Visible = true;
					pkgviewgrid.Visible = false;
				}
			}
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			if (minweighttxt.Text.Length == 0)
			{
				return;
			}


			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "SELECT packageID 'PkgID', trackingNum 'Tracking #', weight 'Weight', dname 'Name', dcity 'City', dstate 'State'" +
				"FROM package " + 
				"WHERE weight >= " + this.minweighttxt.Text;
						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				minweightgrid.DataSource = sqlRdr;
				minweightgrid.DataBind();
				minweightgrid.Visible = true;
			} 
			else 
			{
				minweightgrid.Visible = false;
			}
		
		}

		private void numCompletebtn_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection


			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "select v.vendorName 'Vendor', count(*) as 'Items completed' " + 
						"from Package p, Vendors v " +
						"where 	p.status = 'completed' AND p.vendorID = v.vendorID " +
						"group by p.vendorID, v.vendorName " +
						"order by v.vendorName";

						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				numCompletegrid.DataSource = sqlRdr;
				numCompletegrid.DataBind();
				numCompletegrid.Visible = true;
			} 
			else 
			{
				numCompletegrid.Visible = false;
			}
		
		}

		private void numEnRoutebtn_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection


			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = "select v.vendorName 'Vendor', count(*) as 'Items en-route' " + 
				"from Package p, Vendors v " +
				"where (p.status = 'pending' OR p.status = 'in progress') AND p.vendorID = v.vendorID " +
				"group by p.vendorID, v.vendorName " +
				"order by v.vendorName";

						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				numEnRoutegrid.DataSource = sqlRdr;
				numEnRoutegrid.DataBind();
				numEnRoutegrid.Visible = true;
			} 
			else 
			{
				numEnRoutegrid.Visible = false;
			}
		
		}

		private void optionsbtn_Click(object sender, System.EventArgs e)
		{

			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			if (itemstxt.Text.Length == 0 || weighttxt.Text.Length == 0) 
				{
					entervalslbl.Visible = true;
					optionsgrid.Visible = false;
					return;
				}

			// Execute query -- Here you could make 'strSql' any query you want

				
			string strSql = 
				"SELECT distinct shipOption " +
				"FROM methods " + 
				"WHERE   (maxItems >= " + itemstxt.Text + " OR maxItems is null) " +
				"AND (maxWeight >= " + weighttxt.Text + " OR maxWeight is null)";

						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				optionsgrid.DataSource = sqlRdr;
				optionsgrid.DataBind();
				optionsgrid.Visible = true;
				entervalslbl.Visible = false;
			} 
			else 
			{
				optionsgrid.Visible = false;
			}
		
		}

		private void optionsgrid_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void itemsbyvendorbtn_Click(object sender, System.EventArgs e)
		{
			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection


			// Execute query -- Here you could make 'strSql' any query you want
			string strSql = 
				
				"SELECT v.vendorName 'Vendor', complete.numCompleted as 'Items completed', enroute.numEnRoute as 'Items en-route' " +
				"FROM 	Vendors v " +

					"LEFT OUTER JOIN " +
					
					"(select p.vendorID, v.vendorName, count(*) as numCompleted " +
					"from Package p, Vendors v " +
					"where 	p.status = 'completed' AND p.vendorID = v.vendorID " +
					"group by p.vendorID, v.vendorName) as complete " +
					
					"ON complete.vendorID = v.vendorID " +

					"LEFT OUTER JOIN " +
					
					"(select p.vendorID, v.vendorName, count(*) as numEnRoute " +
					"from Package p, Vendors v " +
					"where 	(p.status = 'pending' OR p.status = 'in progress') AND p.vendorID = v.vendorID " +
					"group by p.vendorID, v.vendorName) as enroute " +

					"ON enroute.vendorID = v.vendorID";

						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				itemsbyvendorgrid.DataSource = sqlRdr;
				itemsbyvendorgrid.DataBind();
				itemsbyvendorgrid.Visible = true;
			} 
			else 
			{
				itemsbyvendorgrid.Visible = false;
			}

		}

		private void cheapestbtn_Click(object sender, System.EventArgs e)
		{

			// Start a new connection to the database specified in strSqlString
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			//check to make sure all fields are filled in
			if (itemstxt.Text.Length == 0 || weighttxt.Text.Length == 0 || whtxt.Text.Length == 0 || citytxt.Text.Length == 0) 
			{
				fillfieldslbl.Visible = true;
				optionsgrid.Visible = false;
				return;
			}
			
			fillfieldslbl.Visible = false;

			// Execute query -- Here you could make 'strSql' any query you want

			string weight = weighttxt.Text;
			string city = citytxt.Text;
			string wh = whtxt.Text;
			string items = itemstxt.Text;

			string strSql = 
			"SELECT v.vendorName 'Vendor Name', m.shipOption 'Shipping Option', costs0.cost 'Total Cost' " +
			"FROM Methods m,  VendorWarehouse vw, Vendors v, " +
				"(SELECT (" + weight + " * pricePerUnit) as cost, methodID " + 
				"FROM Methods " +
				"WHERE unitOfPrice = 'weight' " +					
								
				"UNION " +
					
				"SELECT pricePerUnit as cost, methodID " +
				"FROM Methods " +
				"WHERE unitOfPrice = 'flat' " +	
								
				"UNION " +
									
				"SELECT (" + items + " * pricePerUnit) as cost, methodID " + 
				"FROM Methods " +
				"WHERE unitOfPrice = 'numItems' " +
				") costs0 " +
			"WHERE 	costs0.methodID = m.methodID " +
				"AND m.vendorID = v.vendorID " +
				"AND vw.warehouseID = '" + wh + "' " + 		
				"AND m.vendorID = vw.vendorID " + 			//vendor must ship out of that warehouse
				"AND (maxItems >= " + items + " OR maxItems is null) " +		
				"AND (maxWeight >= " + weight + " OR maxWeight is null) " + 	
				"AND m.methodID NOT IN (	SELECT distinct nst.methodID " +		// methods that don't ship to selected city
											"FROM noShippingTo nst, prohibitedCities pc " +				
											"WHERE nst.prohibCityID = pc.prohibCityID " +
											"AND pc.city = '" + city + "') " +		

				//compare cost to all other costs
				"AND costs0.cost <= all ( " +
								"SELECT costs.cost " +
								"FROM Methods m,  VendorWarehouse vw,  " +
									"(SELECT (" + weight + " * pricePerUnit) as cost, methodID " + 
									"FROM Methods " +
									"WHERE unitOfPrice = 'weight' " +				
													
									"UNION " +
										
									"SELECT pricePerUnit as cost, methodID " +
									"FROM Methods " +
									"WHERE unitOfPrice = 'flat'	" +

									"UNION " +
									
									"SELECT (" + items + " * pricePerUnit) as cost, methodID " + 
									"FROM Methods " +
									"WHERE unitOfPrice = 'numItems' " +
									") costs " +
								"WHERE 	costs.methodID = m.methodID " +
									"AND vw.warehouseID = '" + wh + "' " + 		
									"AND m.vendorID = vw.vendorID " + 			//vendor must ship out of that warehouse
									"AND (maxItems >= " + items + " OR maxItems is null) " +		
									"AND (maxWeight >= " + weight + " OR maxWeight is null) " + 	
									"AND m.methodID NOT IN (	SELECT distinct nst.methodID " +		// methods that don't ship to selected city
																"FROM noShippingTo nst, prohibitedCities pc " +				
																"WHERE nst.prohibCityID = pc.prohibCityID " +
																"AND pc.city = '" + city + "') " +	
													
				") ";	

						
			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				optionsgrid.DataSource = sqlRdr;
				optionsgrid.DataBind();
				optionsgrid.Visible = true;

			} 
			else 
			{
				optionsgrid.Visible = false;
			}
		
		}

		private void pkgdetailsgrid_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
/*
		private void pkgviewsradio_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (pkgviewsradio.DataValueField=="all")
			{
				testlbl.Text = "all";
			} 
			else 
			{
				testlbl.Text = "today";
			}
		}
		*/
	}
}
