<%@ Page language="c#" Codebehind="registration.aspx.cs" AutoEventWireup="false" Inherits="phase2.registration" %>
<%@ Register TagPrefix="user" TagName="header" src="header.ascx" %>
<%@ Register TagPrefix="user" TagName="LoginControl" src="loginControl.ascx" %>
<%@ Register TagPrefix="user" TagName="SearchControl" src="searchControl.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>De Opslag: Register a new account</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
		<form Runat="server">
			<H1>
				<H3>
					<user:header id="Header" title="De Opslag" runat="server" Quote="Get one before your neighbor does."></user:header>
					<TABLE id="Table1">
						<TR>
							<TD vAlign="top" align="left">
								<user:loginControl id="Logincontrol1" Runat="server" Width="200" BackColor="#99ccff"></user:loginControl>
								<user:searchControl id="Searchcontrol2" Runat="server" Width="200" BackColor="#99ccff"></user:searchControl></TD>
							<TD vAlign="middle" align="left">
								<H2>
									<asp:Label id="PageFuncLabel" runat="server">Register for a new account</asp:Label>
									<table cellPadding="4">
										<TR>
											<TD align="right">First Name
											</TD>
											<TD>
												<asp:textbox id="fname" Runat="server" MaxLength="40"></asp:textbox>*
											</TD>
											<TD>
												<asp:requiredfieldvalidator id="RequiredFieldValidator1" ControlToValidate="fname" ErrorMessage="Please enter your first name."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Last Name
											</TD>
											<TD>
												<asp:textbox id="lname" Runat="server" MaxLength="40"></asp:textbox>*
											</TD>
											<TD>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator2" ControlToValidate="lname" ErrorMessage="Please enter your last name."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Street Address
											</TD>
											<TD>
												<asp:textbox id="Address" Runat="server" MaxLength="100"></asp:textbox>*
											</TD>
											<TD>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator3" ControlToValidate="Address" ErrorMessage="Please enter your address."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator></TD>
										</TR>
										<TR>
											<TD align="right">City
											</TD>
											<TD>
												<asp:textbox id="City" Runat="server" MaxLength="100"></asp:textbox>*
											</TD>
											<TD>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator4" ControlToValidate="City" ErrorMessage="Please enter your city."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator></TD>
										</TR>
										<TR>
											<TD align="right">State
											</TD>
											<TD>
												<asp:dropdownlist id="StateList" Runat="server">
													<asp:ListItem Text="AL" RunAt="server" />
													<asp:ListItem Text="AK" RunAt="server" />
													<asp:ListItem Text="AR" RunAt="server" />
													<asp:ListItem Text="AZ" RunAt="server" />
													<asp:ListItem Text="CA" RunAt="server" />
													<asp:ListItem Text="CO" RunAt="server" />
													<asp:ListItem Text="CT" RunAt="server" />
													<asp:ListItem Text="DC" RunAt="server" />
													<asp:ListItem Text="DE" RunAt="server" />
													<asp:ListItem Text="FL" RunAt="server" />
													<asp:ListItem Text="GA" RunAt="server" />
													<asp:ListItem Text="HI" RunAt="server" />
													<asp:ListItem Text="IA" RunAt="server" />
													<asp:ListItem Text="ID" RunAt="server" />
													<asp:ListItem Text="IL" RunAt="server" />
													<asp:ListItem Text="IN" RunAt="server" />
													<asp:ListItem Text="KS" RunAt="server" />
													<asp:ListItem Text="KY" RunAt="server" />
													<asp:ListItem Text="LA" RunAt="server" />
													<asp:ListItem Text="MA" RunAt="server" />
													<asp:ListItem Text="MD" RunAt="server" />
													<asp:ListItem Text="ME" RunAt="server" />
													<asp:ListItem Text="MI" RunAt="server" />
													<asp:ListItem Text="MN" RunAt="server" />
													<asp:ListItem Text="MO" RunAt="server" />
													<asp:ListItem Text="MS" RunAt="server" />
													<asp:ListItem Text="MT" RunAt="server" />
													<asp:ListItem Text="NC" RunAt="server" />
													<asp:ListItem Text="ND" RunAt="server" />
													<asp:ListItem Text="NE" RunAt="server" />
													<asp:ListItem Text="NH" RunAt="server" />
													<asp:ListItem Text="NJ" RunAt="server" />
													<asp:ListItem Text="NM" RunAt="server" />
													<asp:ListItem Text="NV" RunAt="server" />
													<asp:ListItem Text="NY" RunAt="server" />
													<asp:ListItem Text="OH" RunAt="server" />
													<asp:ListItem Text="OK" RunAt="server" />
													<asp:ListItem Text="OR" RunAt="server" />
													<asp:ListItem Text="PA" RunAt="server" />
													<asp:ListItem Text="RI" RunAt="server" />
													<asp:ListItem Text="SC" RunAt="server" />
													<asp:ListItem Text="SD" RunAt="server" />
													<asp:ListItem Text="TN" RunAt="server" />
													<asp:ListItem Text="TX" RunAt="server" />
													<asp:ListItem Text="UT" RunAt="server" />
													<asp:ListItem Text="VA" RunAt="server" />
													<asp:ListItem Text="VT" RunAt="server" />
													<asp:ListItem Text="WA" RunAt="server" />
													<asp:ListItem Text="WI" RunAt="server" />
													<asp:ListItem Text="WV" RunAt="server" />
													<asp:ListItem Text="WY" RunAt="server" />
												</asp:dropdownlist>*
											</TD>
										</TR>
										<TR>
											<TD align="right">Zipcode
											</TD>
											<TD>
												<asp:textbox id="zipcode5" Runat="server" MaxLength="5" Width="45"></asp:textbox>*-
												<asp:textbox id="zipcode4" Runat="server" MaxLength="4" Width="35"></asp:textbox></TD>
											<TD>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator5" ControlToValidate="zipcode5" ErrorMessage="Please enter your zipcode."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator>
												<asp:regularexpressionvalidator id="RegularExpressionValidator1" Runat="server" ControlToValidate="zipcode5" ErrorMessage="Invalid zipcode"
													Display="Dynamic" ValidationExpression="^(\d{5})$"></asp:regularexpressionvalidator>
												<asp:regularexpressionvalidator id="RegularExpressionValidator2" Runat="server" ControlToValidate="zipcode4" ErrorMessage="Invalid zipcode extension"
													Display="Dynamic" ValidationExpression="^(\d{0}|\d{4})$"></asp:regularexpressionvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Company
											</TD>
											<TD>
												<asp:textbox id="company" Runat="server" MaxLength="50"></asp:textbox></TD>
										</TR>
										<TR>
											<TD align="right">Day Phone
											</TD>
											<TD>
												<asp:textbox id="dayphone" Runat="server" MaxLength="10" Width="77"></asp:textbox>
												<asp:textbox id="dayphone_ext" Runat="server" MaxLength="6" Width="50"></asp:textbox></TD>
											<TD>
												<asp:regularexpressionvalidator id="RegularExpressionValidator3" Runat="server" ControlToValidate="dayphone" ErrorMessage="Invalid phone number"
													Display="Dynamic" ValidationExpression="^(\d{10})$"></asp:regularexpressionvalidator>
												<asp:regularexpressionvalidator id="RegularExpressionValidator4" Runat="server" ControlToValidate="dayphone_ext"
													ErrorMessage="Invalid phone number extension" Display="Dynamic" ValidationExpression="^[\d\-]{0,6}$"></asp:regularexpressionvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Night Phone
											</TD>
											<TD>
												<asp:textbox id="nightphone" Runat="server" MaxLength="10" Width="77"></asp:textbox>
												<asp:textbox id="nightphone_ext" Runat="server" MaxLength="6" Width="50"></asp:textbox></TD>
											<TD>
												<asp:regularexpressionvalidator id="RegularExpressionValidator5" Runat="server" ControlToValidate="nightphone" ErrorMessage="Invalid phone number"
													Display="Dynamic" ValidationExpression="^(\d{10})$"></asp:regularexpressionvalidator>
												<asp:regularexpressionvalidator id="RegularExpressionValidator6" Runat="server" ControlToValidate="nightphone_ext"
													ErrorMessage="Invalid phone number extension" Display="Dynamic" ValidationExpression="^[\d\-]{0,6}$"></asp:regularexpressionvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Email
											</TD>
											<TD>
												<asp:textbox id="email" Runat="server" MaxLength="100"></asp:textbox>*</TD>
											<TD>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator6" ControlToValidate="email" ErrorMessage="Please enter your email address."
													Display="Dynamic" RunAt="server"></asp:requiredfieldvalidator>
												<asp:regularexpressionvalidator id="RegularExpressionValidator7" Runat="server" ControlToValidate="email" ErrorMessage="Invalid email address"
													ValidationExpression="^[\w\.-]+@[\w-]+\.[\w\.-]+$"></asp:regularexpressionvalidator>
												<asp:Label id="EmailLabel" runat="server" Width="105px" ForeColor="Crimson" BackColor="White"></asp:Label></TD>
										</TR>
										<TR>
											<TD align="right">Password
											</TD>
											<TD>
												<asp:textbox id="password" Runat="server" MaxLength="50"></asp:textbox>*
											</TD>
										</TR>
										<TR>
											<TD align="right">Credit Card Number
											</TD>
											<TD>
												<asp:textbox id="ccNumber" Runat="server" MaxLength="16"></asp:textbox>*
											</TD>
											<TD>
												<asp:regularexpressionvalidator id="RegularExpressionValidator8" Runat="server" ControlToValidate="ccNumber" ErrorMessage="Invalid credit card number"
													Display="Dynamic" ValidationExpression="^[\d\-]{15,20}$"></asp:regularexpressionvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Expiration Date
											</TD>
											<TD>
												<asp:textbox id="ccExpDate" Runat="server" MaxLength="50"></asp:textbox>*
											</TD>
											<TD>
												<asp:regularexpressionvalidator id="Regularexpressionvalidator9" Runat="server" ControlToValidate="ccExpDate" ErrorMessage="Invalid expiration date: format MMYY"
													Display="Dynamic" ValidationExpression="^(\d{4})$"></asp:regularexpressionvalidator></TD>
										</TR>
										<TR>
											<TD align="right">Notes
											</TD>
											<TD>
												<asp:TextBox id="notes" Runat="server" MaxLength="50"></asp:TextBox></TD>
										</TR>
										<TR>
											<TD align="right">Mailing List
											</TD>
											<TD>
												<asp:CheckBox id="mailingList" runat="server"></asp:CheckBox></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<asp:Button id="register" Runat="server" Text="Register Me"></asp:Button></TD>
											<TD></TD>
										</TR>
									</table>
								</H2>
							</TD>
						</TR>
					</TABLE>
				</H3>
			</H1>
			<H1>&nbsp;</H1>
			&nbsp;
		</form>
	</body>
</HTML>
