using System;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace PageInheritanceSample
{
	/// <summary>
	/// Summary description for AdvancedPageInheritanceBase.
	/// </summary>
	public class AdvancedPageInheritanceBase : PageBase
	{
		protected TextBox searchBox;

		protected System.Web.UI.WebControls.Label loginTitle;
		protected System.Web.UI.WebControls.TextBox loginName;
		protected System.Web.UI.WebControls.Button logoutButton;
		protected System.Web.UI.WebControls.Label userNameLabel;
		protected System.Web.UI.WebControls.TextBox loginPassword;
		protected System.Web.UI.WebControls.Button cartButton;
		protected System.Web.UI.WebControls.Label passwordLabel;
		protected System.Web.UI.WebControls.Button loginButton;
		protected System.Web.UI.HtmlControls.HtmlTable LoginTable;
		HtmlForm form;
		//protected TextBox 

		public AdvancedPageInheritanceBase()
		{
			PageTitle = "Main Page";
		}

		protected override void OnInit(System.EventArgs e)
		{
			form = new HtmlForm();
			BuildPage();
			base.OnInit(e);
		}

		protected virtual void BuildPage()
		{
			////////////////////////////////////////////////////////
			// Build the page and include the generated form

			this.Controls.AddAt( 0, new LiteralControl( @"
				<!DOCTYPE HTML PUBLIC -//W3C//DTD HTML 4.0 Transitional//EN >
				<html>
					<head>
						<title>" + PageTitle + @"</title>
					</head>
					<body background='greyinvaders2.gif'>
						<table width='100%' height='100%'>
							<tr height='64'>
								<td bgcolor='#000099' align='center' colspan='2'>
									<span style='FONT-WEIGHT: bold; FONT-SIZE: 42pt; COLOR: white; FONT-FAMILY: verdana' />
										De Opslag </SPAN>
								</td>
							</tr>
							<tr height='28'>
								<td bgcolor='#000099' align='center' colspan='2' style='HEIGHT: 26px'>
									<span style='FONT-WEIGHT: bold; FONT-SIZE: 12pt; COLOR: white; FONT-FAMILY: verdana' />
									We kick ass so you don't have to.</SPAN>
								</td>
							</tr>
							<tr>
								<td valign='left' bgcolor='#99ccff'>
									
							
				") );
			AddLogin();
			this.Controls.Add( form );

			this.Controls.Add( new LiteralControl( @"
</td>
							<td align='center' width='800' valign='middle'>
							</td>							
						</tr>
				") );
			
		//	AddSearch();
			this.Controls.Add(form);

			this.Controls.Add( new LiteralControl( @"
						<tr>
							<td colspan=2><small>This is our footer</small></td>
						</tr>
						</table>
					</body>
				</html>
			"));
		}

		protected virtual HtmlForm GenerateHtmlForm()
		{
			HtmlForm form = new HtmlForm();
			//AddSearch(form);
//			AddControlsFromDerivedPage(form);
			return form;
		}

		protected void AddLogin()
		{
			AddControlsFromDerivedPage(form);
		}

		protected void AddSearch()
		{
			searchBox = new TextBox();
			Button searchButton = new Button();
			searchButton.Text = "Search";
			searchButton.Click += new EventHandler( this.OnSearchButtonClicked );
			form.Controls.Add( searchBox );
			form.Controls.Add( searchButton );
			form.Controls.Add( new LiteralControl("<br>") );
		}

		protected void OnSearchButtonClicked( object sender, EventArgs e )
		{
			string searchText = searchBox.Text;
		}

		protected virtual void AddControlsFromDerivedPage(HtmlForm form)
		{
			int count = this.Controls.Count;
			for( int i = 0; i<count; ++i )
			{
				System.Web.UI.Control ctrl  = this.Controls[0];
				form.Controls.Add( ctrl );
				this.Controls.Remove( ctrl );
			}
		}
	}
}
