using System.Web.UI.WebControls;
using System.Data;

namespace myprj
{
	// Calculate shipping cost
	public class MyShipping 
	{
		private void shipping_cost(DataList list, int numItems, double weight)
		{
			DataView shipView;

			MyDB.setDB("shipping");
			
			// Bind prices to DataList *to be created*
			MyDB.bindSQL(list,
				"SELECT vendorname, shipoption, price=rateperunit*"+weight+
				" FROM methods "+
				"WHERE ratingunit='weight' "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems "+
				"UNION "+
				"SELECT vendorname, shipoption, price=rateperunit*"+numItems+
				" FROM methods "+
				"WHERE ratingunit='items' "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems "+
				"UNION "+
				"SELECT vendorname, shipoption, price=fixedrate "+
				"FROM methods "+
				"WHERE isfixedrate=1 "+
				"AND "+weight+"<maxweight "+
				"AND "+numItems+"<maxitems ");				
		}
	}
}