/*
 * Asif Daud and Matt Lidstrom
 * CSE444
 * Prof. Sucio
 * 
 * Project Phase2 (home page)
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace Femron
{
	/// <summary>
	/// This form is used perform various queries on the Inventory Database
	/// </summary>
	/// 
	public class Index : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlComBooks;	// Declare a command object for books
		private SqlCommand sqlComMusic; // Declare a command object for music
		//private SqlCommand sqlComCart;
		protected System.Web.UI.WebControls.Label lblTitle;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Web.UI.WebControls.TextBox BrowseBox;
		protected System.Web.UI.WebControls.DropDownList lstSearchOptions;
		protected System.Web.UI.WebControls.Button btnSearch;
		protected System.Web.UI.WebControls.DropDownList lstSearchOptions2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid datagrdMusic;
		protected System.Web.UI.WebControls.DataGrid datagrdBooks;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		static DataSet bookData;
		static DataSet musicData;
		
		protected System.Web.UI.WebControls.HyperLink lnkRegister;
		protected System.Web.UI.WebControls.HyperLink lnkLogin;
		protected System.Web.UI.WebControls.LinkButton lnkBtnCart;
		
		private string strSqlString = "server=IISQLSRV; uid=asifd; pwd=8asif4; database=sultan_inventory";
		protected System.Web.UI.WebControls.Label lblStatus;
		protected System.Web.UI.WebControls.LinkButton lnkBtnMyAccount;
		protected System.Web.UI.WebControls.HyperLink HyperLink1;
		private string accountID;	//string that passes along the accountID

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			accountID = this.Request["accountID"];
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSearch.Click += new System.EventHandler(this.btnSearch_Click);
			this.datagrdBooks.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdBooks_ItemCommand);
			this.datagrdBooks.CancelCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdBooks_CancelCommand);
			this.datagrdBooks.EditCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdBooks_EditCommand);
			this.datagrdBooks.UpdateCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdBooks_UpdateCommand);
			this.datagrdMusic.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdMusic_ItemCommand);
			this.datagrdMusic.CancelCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdMusic_CancelCommand);
			this.datagrdMusic.EditCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdMusic_EditCommand);
			this.datagrdMusic.UpdateCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.datagrdMusic_UpdateCommand);
			this.lnkBtnCart.Click += new System.EventHandler(this.lnkBtnCart_Click);
			this.lnkBtnMyAccount.Click += new System.EventHandler(this.lnkBtnMyAccount_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		//execute a stored procedure
		private DataSet runStoredProcedure(string conString, SqlCommand sqlCom, params SqlParameter[] paramList)
		{
			sqlCom.CommandType = CommandType.StoredProcedure;

			foreach(SqlParameter param in paramList)
				sqlCom.Parameters.Add(param);

			SqlDataAdapter sD = new SqlDataAdapter(sqlCom);
			DataSet data = new DataSet();
			
			sD.Fill(data);
			
			return data;
		}

		private void btnSearch_Click(object sender, System.EventArgs e)
		{
			lblStatus.Visible = false;

////////////////////////////////////////////////////////////////////////////
///////////////////////////// All //////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
			if(lstSearchOptions.SelectedIndex == 0) //All 
			{
				if(BrowseBox.Text == "")
				{
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();
					datagrdBooks.Visible = false;
					datagrdMusic.Visible = false;

					
					//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
					sqlComMusic = new SqlCommand("sp_AllMusic", sqlConn);
					musicData = runStoredProcedure(strSqlString, sqlComMusic);

					//display the data in the grid
					if(musicData.Tables[0].Rows.Count > 0)
					{
						datagrdMusic.DataSource = musicData;
						datagrdMusic.DataBind();
						datagrdMusic.Visible = true;
					}

					//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
					sqlComBooks = new SqlCommand("sp_AllBooks", sqlConn);
					bookData = runStoredProcedure(strSqlString, sqlComBooks);

					//display the data in the grid
					if(bookData.Tables[0].Rows.Count > 0)
					{
						datagrdBooks.DataSource = bookData;
						datagrdBooks.DataBind();

						int offset = datagrdMusic.Items.Count * 39;
						datagrdBooks.Style["TOP"] = offset.ToString() + "px";

						datagrdBooks.Visible = true;
					}

					sqlConn.Close();
				}
				else
				{
					if(lstSearchOptions2.SelectedIndex == 0) //Title
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
						sqlComBooks = new SqlCommand("sp_BooksByTitle", sqlConn);
						bookData = runStoredProcedure(strSqlString, sqlComBooks, new SqlParameter("@title",BrowseBox.Text));

						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
						sqlComMusic = new SqlCommand("sp_MusicByTitle", sqlConn);
						musicData = runStoredProcedure(strSqlString, sqlComMusic, new SqlParameter("@title",BrowseBox.Text));

						//display the data in the grid
						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();

							foreach(DataGridItem i in datagrdMusic.Items)
							{
								i.Cells[8].Text.Remove(3, 2);
							}

							datagrdMusic.Visible = true;
						}

						//datagrdMusic.Visible = false;

						// Close the sql connection at the end
						sqlConn.Close();                    
					}
					else if(lstSearchOptions2.SelectedIndex == 1) //Author/musician
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComBooks = new SqlCommand("sp_BooksByAuthor", sqlConn);
				
						//create and add the parameter
						string name = BrowseBox.Text.Trim();
						string fname, lname;

						int a = name.IndexOf(' ', 1);
				
						if(a > 0)
						{
							fname = name.Substring(0, a);
							lname = name.Substring(a+1);
						}
						else
						{
							fname = name;
							lname = " ";
						}

						
						//run the stored procedure
						bookData = runStoredProcedure(strSqlString, sqlComBooks,new SqlParameter("@fName",fname),new SqlParameter("@lName",lname));
						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						//run the stored procedure
						musicData = runStoredProcedure(strSqlString, sqlComMusic,new SqlParameter("@fName",fname),new SqlParameter("@lName",lname));
						//display the data in the grid

						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();
							datagrdMusic.Visible = true;
						}

						sqlConn.Close();
						
					}
					else
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComBooks = new SqlCommand("sp_BooksByKeyword", sqlConn);

						//run the stored procedure
						bookData = runStoredProcedure(strSqlString, sqlComBooks,new SqlParameter("@keyword",BrowseBox.Text));
						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComMusic = new SqlCommand("sp_MusicByKeyword", sqlConn);

						//run the stored procedure
						musicData = runStoredProcedure(strSqlString, sqlComMusic,new SqlParameter("@keyword",BrowseBox.Text));
						//display the data in the grid
						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();
							datagrdMusic.Visible = true;
						}

						sqlConn.Close();			

					}
				}
			}

				///////////////////////////////////////////////////////////////////////////////
				/////////////////////////////////// BOOKS /////////////////////////////////////
				///////////////////////////////////////////////////////////////////////////////
			else if(lstSearchOptions.SelectedIndex == 1)	//Books
			{
				if(BrowseBox.Text == "")
				{
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();
					datagrdBooks.Visible = false;
					datagrdMusic.Visible = false;

					//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
					sqlComBooks = new SqlCommand("sp_AllBooks", sqlConn);
					bookData = runStoredProcedure(strSqlString, sqlComBooks);

					//display the data in the grid
					if(bookData.Tables[0].Rows.Count > 0)
					{
						datagrdBooks.DataSource = bookData;
						datagrdBooks.DataBind();
						datagrdBooks.Visible = true;
					}

					sqlConn.Close();
				}
				
				else
				{
					if(lstSearchOptions2.SelectedIndex == 0)
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
						sqlComBooks = new SqlCommand("sp_BooksByTitle", sqlConn);
						bookData = runStoredProcedure(strSqlString, sqlComBooks, new SqlParameter("@title",BrowseBox.Text));

						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						//datagrdMusic.Visible = false;

						// Close the sql connection at the end
						sqlConn.Close();
					}
					else if(lstSearchOptions2.SelectedIndex == 1)
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComBooks = new SqlCommand("sp_BooksByAuthor", sqlConn);
				
						//create and add the parameter
						string name = BrowseBox.Text.Trim();
						string fname, lname;

						int a = name.IndexOf(' ', 1);
				
						if(a > 0)
						{
							fname = name.Substring(0, a);
							lname = name.Substring(a+1);
						}
						else
						{
							fname = name;
							lname = " ";
						}

						
						//run the stored procedure
						bookData = runStoredProcedure(strSqlString, sqlComBooks,new SqlParameter("@fName",fname),new SqlParameter("@lName",lname));
						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						sqlConn.Close();

					}
					else
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComBooks = new SqlCommand("sp_BooksByKeyword", sqlConn);

						//run the stored procedure
						bookData = runStoredProcedure(strSqlString, sqlComBooks,new SqlParameter("@keyword",BrowseBox.Text));
						//display the data in the grid
						if(bookData.Tables[0].Rows.Count > 0)
						{
							datagrdBooks.DataSource = bookData;
							datagrdBooks.DataBind();
							datagrdBooks.Visible = true;
						}

						sqlConn.Close();
					}
				}
			}


				/////////////////////////////////////////////////////////////////////////////////
				////////////////////////// MUSIC ////////////////////////////////////////////////
				/////////////////////////////////////////////////////////////////////////////////
			else //Music
			{
				if(BrowseBox.Text == "")
				{
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();
					datagrdBooks.Visible = false;
					datagrdMusic.Visible = false;

					//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
					sqlComMusic = new SqlCommand("sp_AllMusic", sqlConn);
					musicData = runStoredProcedure(strSqlString, sqlComMusic);

					//display the data in the grid
					if(musicData.Tables[0].Rows.Count > 0)
					{
						datagrdMusic.DataSource = musicData;
						datagrdMusic.DataBind();
						datagrdMusic.Visible = true;
					}

					sqlConn.Close();
				}

				else
				{
					if(lstSearchOptions2.SelectedIndex == 0)
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the address of the warehosues where the book entered is stocked
						sqlComMusic = new SqlCommand("sp_MusicByTitle", sqlConn);
						musicData = runStoredProcedure(strSqlString, sqlComMusic, new SqlParameter("@title",BrowseBox.Text));

						//display the data in the grid
						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();
							datagrdMusic.Visible = true;
						}

						//datagrdMusic.Visible = false;

						// Close the sql connection at the end
						sqlConn.Close();

					}
					else if(lstSearchOptions2.SelectedIndex == 1)
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComMusic = new SqlCommand("sp_MusicByArtist", sqlConn);
				
						//create and add the parameter
						string name = BrowseBox.Text.Trim();
						string fname, lname;

						int a = name.IndexOf(' ', 1);
				
						if(a > 0)
						{
							fname = name.Substring(0, a);
							lname = name.Substring(a+1);
						}
						else
						{
							fname = name;
							lname = " ";
						}

						
						//run the stored procedure
						musicData = runStoredProcedure(strSqlString, sqlComMusic,new SqlParameter("@fName",fname),new SqlParameter("@lName",lname));
						//display the data in the grid
						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();
							datagrdMusic.Visible = true;
						}

						sqlConn.Close();
					}
					else
					{
						// Start a new connection to the database specified in strSqlString
						sqlConn = new SqlConnection(strSqlString);
						sqlConn.Open();
						datagrdBooks.Visible = false;
						datagrdMusic.Visible = false;

						//initialize a new command object for the stored procedure that displays the music by the artist entered
						sqlComMusic = new SqlCommand("sp_MusicByKeyword", sqlConn);

						//run the stored procedure
						musicData = runStoredProcedure(strSqlString, sqlComMusic,new SqlParameter("@keyword",BrowseBox.Text));
						//display the data in the grid
						if(musicData.Tables[0].Rows.Count > 0)
						{
							datagrdMusic.DataSource = musicData;
							datagrdMusic.DataBind();
							datagrdMusic.Visible = true;
						}

						sqlConn.Close();
	                    
					}
				}
			}
		}

		private void datagrdMusic_EditCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{			
			datagrdMusic.EditItemIndex = e.Item.ItemIndex;
			datagrdMusic.DataSource = musicData;
			datagrdMusic.DataBind();
			datagrdMusic.Visible = true;
		}

		private void datagrdBooks_EditCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			datagrdBooks.EditItemIndex = e.Item.ItemIndex;
			datagrdBooks.DataSource = bookData;
			datagrdBooks.DataBind();
			datagrdBooks.Visible = true;
		}

		private void datagrdMusic_UpdateCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			checkLoggedIn();
			lblStatus.Visible = false;

			//extract the entered quantity
			TextBox qtyText = (TextBox)e.Item.Cells[2].Controls[0];

			//update the quantity
			e.Item.Cells[2].Text = qtyText.Text;

			//reset the EditItemIndex
			datagrdMusic.EditItemIndex = -1;
		}

		private void datagrdMusic_CancelCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			lblStatus.Visible = false;

			datagrdMusic.EditItemIndex = -1;
			datagrdMusic.DataSource = musicData;
			datagrdMusic.DataBind();
			datagrdMusic.Visible = true;
		}

		private void datagrdBooks_CancelCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			lblStatus.Visible = false;

			datagrdBooks.EditItemIndex = -1;
			datagrdBooks.DataSource = bookData;
			datagrdBooks.DataBind();
			datagrdBooks.Visible = true;
		}

		private void datagrdBooks_UpdateCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			checkLoggedIn();
			lblStatus.Visible = false;

			//extract the entered quantity
			TextBox qtyText = (TextBox)e.Item.Cells[2].Controls[0];

			//update the quantity
			e.Item.Cells[2].Text = qtyText.Text;

			//reset the EditItemIndex
			datagrdBooks.EditItemIndex = -1;
		}

		private void lnkBtnCart_Click(object sender, System.EventArgs e)
		{
			if(accountID == null)
				Response.Redirect("Login.aspx?back=ShoppingCart.aspx");

			Response.Redirect("ShoppingCart.aspx?accountID=" + accountID);
		}

		//redirects to the login page if the user is not logged in
		private void checkLoggedIn()
		{
			if(accountID == null)
				Response.Redirect("Login.aspx?back=Index.aspx");
		}

		private void datagrdMusic_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			checkLoggedIn();
			
			lblStatus.Visible = false;

			if(e.CommandName == "add")
			{
				int stockQuantity = Convert.ToInt32(datagrdMusic.Items[e.Item.ItemIndex].Cells[3].Text);
				int newQuantity;
				
				try
				{
					newQuantity = Convert.ToInt32(datagrdMusic.Items[e.Item.ItemIndex].Cells[2].Text);
				}
				catch(Exception)
				{
					lblStatus.Text = "Please press \"Update Quantity\" before trying to add an item to your cart";
					lblStatus.Visible = true;
					return;
				}

				if(newQuantity <= stockQuantity)
				{	
					//if(accountID != null)
					//{				
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();

					sqlComMusic = new SqlCommand("lidstrom_billing.dbo.sp_addToShoppingCart", sqlConn);

					//run the stored procedure
					sqlComMusic.Parameters.Add(new SqlParameter("@accountID", accountID));
					sqlComMusic.Parameters.Add(new SqlParameter("@itemID", (datagrdMusic.Items[e.Item.ItemIndex].Cells[11].Text)));
					sqlComMusic.Parameters.Add(new SqlParameter("@itemType", "M"));
					sqlComMusic.Parameters.Add(new SqlParameter("@quantity", newQuantity));
					sqlComMusic.Parameters.Add(new SqlParameter("@CompanyName", (datagrdMusic.Items[e.Item.ItemIndex].Cells[12].Text)));

					sqlComMusic.CommandType = CommandType.StoredProcedure;
					sqlComMusic.ExecuteNonQuery();
					sqlConn.Close();

					lblStatus.Text = "Successfully added the album to your Cart!";
					lblStatus.Visible = true;
					//}
				}

				else
				{
					lblStatus.Text = "Unable to add to cart!  The requested quantity exceeded the stock quantity";
					lblStatus.Visible = true;
				}
			}
		}

		private void datagrdBooks_ItemCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			checkLoggedIn();
			
			lblStatus.Visible = false;

			if(e.CommandName == "add")
			{
				int stockQuantity = Convert.ToInt32(datagrdBooks.Items[e.Item.ItemIndex].Cells[3].Text);
				int newQuantity = Convert.ToInt32(datagrdBooks.Items[e.Item.ItemIndex].Cells[2].Text);

				if(newQuantity <= stockQuantity)
				{	
					//if(accountID != null)
					//{				
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();

					sqlComBooks = new SqlCommand("lidstrom_billing.dbo.sp_addToShoppingCart", sqlConn);

					//run the stored procedure
					sqlComBooks.Parameters.Add(new SqlParameter("@accountID", accountID));
					sqlComBooks.Parameters.Add(new SqlParameter("@itemID", datagrdBooks.Items[e.Item.ItemIndex].Cells[11].Text));
					sqlComBooks.Parameters.Add(new SqlParameter("@itemType", "B"));
					sqlComBooks.Parameters.Add(new SqlParameter("@quantity", newQuantity));
					sqlComBooks.Parameters.Add(new SqlParameter("@CompanyName", (datagrdBooks.Items[e.Item.ItemIndex].Cells[12].Text)));

					sqlComBooks.CommandType = CommandType.StoredProcedure;
					sqlComBooks.ExecuteNonQuery();
					
					sqlConn.Close();

					lblStatus.Text = "Successfully added the book to your Cart!";
					lblStatus.Visible = true;
					//}
				}

				else
				{
					lblStatus.Text = "Unable to add to cart!  The requested quantity exceeded the stock quantity";
					lblStatus.Visible = true;
				}
			}
		}

		private void lnkBtnMyAccount_Click(object sender, System.EventArgs e)
		{
			checkLoggedIn();

			Response.Redirect("UpdateAccount.aspx?accountID=" + this.accountID);
		}

		/*private void datagrdMusic_SortCommand(object source, System.Web.UI.WebControls.DataGridSortCommandEventArgs e)
		{
			dataView1.Sort = e.SortExpression;
			DataGrid1.DataBind();
		}*/

	}
}
