using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace Femron
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class UpdateAccount : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Label Label15;
		protected System.Web.UI.WebControls.TextBox fname;
		protected System.Web.UI.WebControls.TextBox lname;
		protected System.Web.UI.WebControls.TextBox acctName;
		protected System.Web.UI.WebControls.TextBox mi;
		protected System.Web.UI.WebControls.TextBox PObox;
		protected System.Web.UI.WebControls.TextBox city;
		protected System.Web.UI.WebControls.TextBox state;
		protected System.Web.UI.WebControls.TextBox zip;
		protected System.Web.UI.WebControls.TextBox stAddress;
		protected System.Web.UI.WebControls.TextBox email;
		protected System.Web.UI.WebControls.TextBox homePhone;
		protected System.Web.UI.WebControls.TextBox cellPhone;
		protected System.Web.UI.WebControls.Button submit;
		protected System.Web.UI.WebControls.Button reset;
		protected System.Web.UI.WebControls.TextBox passConfirm;
		protected System.Web.UI.WebControls.Label Label16;
		protected System.Web.UI.WebControls.Label passLabel;
		protected System.Web.UI.WebControls.Label stAddressLabel;
		protected System.Web.UI.WebControls.Label cityLabel;
		protected System.Web.UI.WebControls.Label stateLabel;
		protected System.Web.UI.WebControls.Label zipLabel;
		protected System.Web.UI.WebControls.Label passConfirmLabel;
		protected System.Web.UI.WebControls.Label Label1;		
		protected System.Web.UI.WebControls.Button btnCancel;
		
		private SqlConnection sqlConn;		// Declare a connection object
		private SqlCommand sqlComm;			// Declare a SQL command object
		protected System.Web.UI.WebControls.Label lblOldPassword;
		protected System.Web.UI.WebControls.TextBox oldPass;
		private string strSqlString = "server=IISQLSRV; uid=msl3; pwd=kmaart; database=lidstrom_billing";
		protected System.Web.UI.WebControls.TextBox pass;

		private string accountID;

		//original data strings
		private string fnameStr, lnameStr, miStr, acctNameStr, oldPassStr, stAddressStr, POboxStr, cityStr, stateStr, zipStr, emailStr,
			homePhoneStr, cellPhoneStr;
		protected System.Web.UI.WebControls.Label homePhoneLabel;
		protected System.Web.UI.WebControls.Label lblHistory;
		protected System.Web.UI.WebControls.Label lblInvoice;
		protected System.Web.UI.WebControls.TextBox txtInvoice;
		protected System.Web.UI.WebControls.DataGrid datagridHistory;
		protected System.Web.UI.WebControls.Button btnInvoice;
		protected System.Web.UI.WebControls.DataGrid datagridInvoice;
		protected System.Web.UI.WebControls.Label lblOldPass;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			this.accountID = Request["accountID"];

			
			this.sqlConn = new SqlConnection(strSqlString);
			this.sqlConn.Open();

			this.sqlComm = new SqlCommand("sp_getAccountInfo",sqlConn);
			this.sqlComm.Parameters.Add(new SqlParameter("@accountID", accountID));

			this.sqlComm.CommandType = CommandType.StoredProcedure;
			DataSet data = new DataSet();
			(new SqlDataAdapter(this.sqlComm)).Fill(data);

			DataRow customerData = data.Tables[0].Rows[0];
			
			//extract the account info
			this.fnameStr	  = (customerData[0] == null)  ? "" : (string)customerData[0];
			this.lnameStr	  = (customerData[1] == null)  ? "" : (string)customerData[1];
			this.miStr		  = (customerData[2] == null)  ? "" : (string)customerData[2];
			this.acctNameStr  = (customerData[3] == null)  ? "" : (string)customerData[3];
			this.oldPassStr   = (customerData[4] == null)  ? "" : (string)customerData[4];
			this.stAddressStr = (customerData[5] == null)  ? "" : (string)customerData[5];
			this.POboxStr	  = (customerData[6] == null)  ? "" : (string)customerData[6];
			this.cityStr	  = (customerData[7] == null)  ? "" : (string)customerData[7];
			this.stateStr     = (customerData[8] == null)  ? "" : (string)customerData[8];
			this.zipStr       = (customerData[9] == null)  ? "" : (string)customerData[9];
			this.emailStr     = (customerData[10] == null) ? "" : (string)customerData[10];
			this.homePhoneStr = (customerData[11] == null) ? "" : (string)customerData[11];
			this.cellPhoneStr = (customerData[12] == null) ? "" : (string)customerData[12];
			
			if(!this.IsPostBack)
			{
				//populate the text fields with the information from account
				this.fname.Text		= this.fnameStr;
				this.lname.Text		= this.lnameStr;
				this.mi.Text		= this.miStr;
				this.acctName.Text	= this.acctNameStr;
				this.stAddress.Text = this.stAddressStr;
				this.PObox.Text		= this.POboxStr;
				this.city.Text		= this.cityStr;
				this.state.Text		= this.stateStr;
				this.zip.Text		= this.zipStr;
				this.email.Text		= this.emailStr;
				this.homePhone.Text = this.homePhoneStr;
				this.cellPhone.Text = this.cellPhoneStr;
			}

			this.displayHistory(getPurchaseHistory());
		}

		/**  -- MATT NOTES --
		 * 
		 *  ASIF - you should use the following function to get the data set containing all
		 *  delivery information pertaining to a particular invoice....
		 * 
		 *  - I limited the stored procedure it uses to only get invoice information for
		 *    invoices related to the current accountID (the purchaser)
		 * 
		 *  - You should use the dataset here to populate a new datagrid (placed on the side?),
		 *    because this datagrid does not require any user input don't worry about doing
		 *	  bound columns or anything... I couldn't do this myself because I have no access
		 *    to the layout without being able to open the project.
		 * 
		 * 
		 *  - So to get this up and running make a
		 *			- datagrid which is populated by the returned DataSet and
		 * 
		 *			- a new text box whose text is used to get the invoice id
		 *				- I've referenced where this needs to go in the code below 
		 * 
		 */
		private void displayInvoice(DataSet data)
		{
			this.datagridInvoice.DataSource = data;
			datagridInvoice.DataBind();
			datagridInvoice.Visible = true;
		}

		private DataSet getInvoiceDeliveryInfo()
		{
			DataSet invoiceInfo = new DataSet();
			this.sqlConn = new SqlConnection(strSqlString);
			this.sqlConn.Open();
            
			this.sqlComm = new SqlCommand("lidstrom_billing.dbo.sp_getInvoiceDeliveryInfo",sqlConn);
			this.sqlComm.Parameters.Add("@invoiceID", txtInvoice.Text);
				this.sqlComm.Parameters.Add("@accountID", this.accountID);
			this.sqlComm.CommandType = CommandType.StoredProcedure;

			(new SqlDataAdapter(this.sqlComm)).Fill(invoiceInfo);

			this.sqlConn.Close();
			
			return invoiceInfo;
		}

		/** -- MATT NOTES --
		 * 
		 * ASIF - this is pretty much the same idea as the preceding function. However, this time all it needs is a datagrid
		 *			with which to populate with its returned DataSet.
		 * 
		 * 
		 * So yeah, thats pretty much it... I'm pretty sure these will work better than ShoppingCart.getShippingInfo() did...
		 *			tell me if they don't and I'll pull my hair out in frustration 
		 * 
		 */

		private void displayHistory(DataSet data)
		{
			this.datagridHistory.DataSource = data;
			datagridHistory.DataBind();
			datagridHistory.Visible = true;
		}

		private DataSet getPurchaseHistory()
		{
			DataSet purchaseHistory = new DataSet();
			this.sqlConn = new SqlConnection(strSqlString);
			this.sqlConn.Open();
	            
			this.sqlComm = new SqlCommand("lidstrom_billing.dbo.sp_getPurchaseHistory",sqlConn);
			this.sqlComm.Parameters.Add("@accountID", this.accountID);
			this.sqlComm.CommandType = CommandType.StoredProcedure;
		
			(new SqlDataAdapter(this.sqlComm)).Fill(purchaseHistory);

			this.sqlConn.Close();

			return purchaseHistory;
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			this.submit.Click += new System.EventHandler(this.submit_Click);
			this.reset.Click += new System.EventHandler(this.reset_Click);
			this.btnInvoice.Click += new System.EventHandler(this.btnInvoice_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		
		private void submit_Click(object sender, System.EventArgs e)
		{
			bool errorFlag = false;

			if(pass.Text != "")
			{
				passLabel.Visible = false;
				
				if(passConfirm.Text == "")
				{
					passConfirmLabel.Text = "! must confirm the input password";
					passConfirmLabel.Visible = true;
					errorFlag = true;
				}
				else
				{
					passConfirmLabel.Visible = false;
				}
			}
			
			if (stAddress.Text == "")
			{
				stAddressLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				stAddressLabel.Visible = false;
			}
			
			if (city.Text == "")
			{
				cityLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				cityLabel.Visible = false;
			}
			
			if (state.Text == "")
			{
				stateLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				stateLabel.Visible = false;
			}
			
			if (zip.Text == "")
			{
				zipLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				zipLabel.Visible = false;
			}

			/*if(oldPass.Text != this.oldPassStr)
			{
				this.lblOldPass.Visible = true;
				errorFlag = true;
			}
			else
			{
				lblOldPass.Visible = false;
			}*/

			if(homePhone.Text == "")
			{
				homePhoneLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				homePhoneLabel.Visible = false;
			}

			if (pass.Text != passConfirm.Text)
			{
				//passwords do not agree
				passConfirmLabel.Text = "! passwords do not agree";
				passConfirmLabel.Visible = true;
				errorFlag = true;
			}
			else
			{
				passConfirmLabel.Visible = false;
			}

			if (!errorFlag)
			{
				try 
				{
					sqlConn = new SqlConnection(strSqlString);
					sqlConn.Open();
				
					sqlComm = new SqlCommand("sp_updateAccount", sqlConn);

					sqlComm.Parameters.Add(new SqlParameter("@accountID", this.accountID));

					SqlParameter _PASS = (pass.Text == "") ? new SqlParameter("@accountPass",oldPassStr) : 
						new SqlParameter("@accountPass",pass.Text);
					sqlComm.Parameters.Add(_PASS);
					
					SqlParameter _STADDRESS = new SqlParameter("@stAddress",stAddress.Text);
					sqlComm.Parameters.Add(_STADDRESS);

					SqlParameter _POBOX	= new SqlParameter("@POBox",PObox.Text);
					sqlComm.Parameters.Add(_POBOX);

					SqlParameter _ZIPCODE =	new	SqlParameter("@zipCode",zip.Text);
					sqlComm.Parameters.Add(_ZIPCODE);

					SqlParameter _CITY = new SqlParameter("@city",city.Text);
					sqlComm.Parameters.Add(_CITY);

					SqlParameter _STATE	= new SqlParameter("@state",state.Text);
					sqlComm.Parameters.Add(_STATE);

					SqlParameter _EMAIL	= new SqlParameter("@email",email.Text);
					sqlComm.Parameters.Add(_EMAIL);

					SqlParameter _HOMEPHONE	= new SqlParameter("@homePhone",homePhone.Text);
					sqlComm.Parameters.Add(_HOMEPHONE);

					SqlParameter _CELLPHONE	= new SqlParameter("@cellPhone",cellPhone.Text);
					sqlComm.Parameters.Add(_CELLPHONE);

					sqlComm.CommandType = CommandType.StoredProcedure;
					sqlComm.ExecuteNonQuery();

					sqlConn.Close();
					
					Response.Redirect("Index.aspx?accountID=" + this.accountID);
				}
				catch (Exception e1)
				{
					zipLabel.Text = e1.Message;// + e1.StackTrace;
					zipLabel.Visible = true;
				}
			}
		}

		private void reset_Click(object sender, System.EventArgs e)
		{
			oldPass.Text = this.oldPassStr;
			pass.Text = "";
			passLabel.Visible = false;
			passConfirm.Text = "";
			passConfirmLabel.Visible = false;
			stAddress.Text = this.stAddressStr;
			stAddressLabel.Visible = false;
			PObox.Text = this.POboxStr;
			city.Text = this.cityStr;
			cityLabel.Visible = false;
			state.Text = this.stateStr;
			stateLabel.Visible = false;
			zip.Text = this.zipStr;
			zipLabel.Visible = false;
			email.Text = this.emailStr;
			homePhone.Text = this.homePhoneStr;
			cellPhone.Text = this.cellPhoneStr;
		}

		private void btnCancel_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("Index.aspx?accountID=" + this.accountID);
		}

		private void btnInvoice_Click(object sender, System.EventArgs e)
		{
			if(txtInvoice.Text != null || txtInvoice.Text != "")
				this.displayInvoice(getInvoiceDeliveryInfo());
		}
	}
}
