using System;
using System.Collections;

namespace foofaraw.inventory
{
	/// <summary>
	/// Summary description for Book.
	/// </summary>
	public class Book
	{
		public Int64 isbn;
		public string title;
		public ArrayList authors;
		public string publisher;
		public DateTime date;
		public Decimal price;
		public string category;
		public int availible;
		public string disc_type;
		public DateTime disc_expire;
		public int disc_percent;

		public Book(Int64 isbn, string title, ArrayList authors, string publisher, 
					DateTime date, Decimal price, string category, int availible,
					string disc_type, DateTime disc_expire, int disc_percent)
		{
			this.isbn = isbn;
			this.title = title;
			this.authors = authors;
			this.publisher = publisher;
			this.date = date;
			this.price = price;
			this.category = category;
			this.availible = availible;
			this.disc_type = disc_type;
			this.disc_expire = disc_expire;
			this.disc_percent = disc_percent;
		}
	}
}
