using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace chuggins
{
	/// <summary>
	/// Summary description for showbookdetail.
	/// </summary>
	public class searchinventory : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.Label BookLabel;
		protected System.Web.UI.WebControls.Label MusicLabel;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.TextBox TextBox3;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		private string strSqlString = "server=IISQLSRV; uid=chuggins; pwd=moocow; database=chuggins_inventory";
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			try 
			{
				string a = Request.QueryString["inv"];
				int inv = int.Parse(a);

				search_for_inv(inv);
			} 
			catch(Exception) {}

			try 
			{
				string a = Request.QueryString["whar"];
				int whar = int.Parse(a);

				search_for_whar(whar);
			} 
			catch(Exception) {}

			try 
			{
				string a = Request.QueryString["who"];
				if(a!=null)
					search_for_who(a);
			} 
			catch(Exception) {}
		}

		private void search_for_who(string id) 
		{
			// Execute query -- Here you could make 'strSql' any query you want
			string strSqlbook = "select isbn,title,publishers.name,SUM(availible) as num " +
				"from books,publishers,wharehouses,book_inv,authors " +
				"where book_inv.bookid=books.isbn " +
				"and publisher=publishers.id " +
				"and book_inv.location=wharehouses.id " +
				"and authors.bookid=isbn " +
                "and authors.name=\'" + id + "\' " +
				"group by isbn,title,publishers.name " +
				"order by isbn";
			string strSqlmusic = "select cdid,title,record_companies.name,SUM(availible) as num " +
				"from music,record_companies,wharehouses,music_inv,artists " +
				"where music_inv.musicid=cdid " +
				"and recordco=record_companies.id " +
				"and music_inv.location=wharehouses.id " +
				"and artists.musicid=cdid " +
				"and artists.name=\'" + id + "\' " +
				"group by cdid,title,record_companies.name " +
				"order by cdid";

			publish_results(strSqlbook,strSqlmusic);
		}
		private void search_for_whar(int id) 
		{
			if(id>=0) 
			{
				// Execute query -- Here you could make 'strSql' any query you want
				string strSqlbook = "select isbn,title,publishers.name,count(DISTINCT wharehouses.id) as num " +
									"from books,publishers,wharehouses,book_inv " +
									"where book_inv.bookid=books.isbn " +
									"and publisher=publishers.id " +
									"and book_inv.location=wharehouses.id " +
									"group by isbn,title,publishers.name " +
									"having count(DISTINCT wharehouses.id) >= " + id.ToString() + " " +
									"order by isbn";
				string strSqlmusic = "select cdid,title,record_companies.name,count(DISTINCT wharehouses.id) as num " +
					"from music,record_companies,wharehouses,music_inv " +
					"where music_inv.musicid=cdid " +
					"and recordco=record_companies.id " +
					"and music_inv.location=wharehouses.id " +
					"group by cdid,title,record_companies.name " +
					"having count(DISTINCT wharehouses.id) >= " + id.ToString() + " " +
					"order by cdid";

				publish_results(strSqlbook,strSqlmusic);
			}
		}

		private void search_for_inv(int id) 
		{
			if(id>=0) 
			{
				// Execute query -- Here you could make 'strSql' any query you want
				string strSqlbook = "select isbn,title,publishers.name,SUM(availible) AS num " +
					"from books,publishers,wharehouses,book_inv,authors " +
					"where book_inv.bookid=books.isbn " +
					"and publisher=publishers.id " +
					"and book_inv.location=wharehouses.id " +
					"group by isbn,title,publishers.name " +
					"having SUM(availible) >= " + id.ToString() + " " +
					"order by isbn";
				string strSqlmusic = "select cdid,title,record_companies.name,SUM(availible) AS num " +
					"from music,record_companies,wharehouses,music_inv " +
					"where music_inv.musicid=music.cdid " +
					"and recordco=record_companies.id " +
					"and music_inv.location=wharehouses.id " +
					"group by cdid,title,record_companies.name " +
					"having SUM(availible) >= " + id.ToString() + " " +
					"order by cdid";

				publish_results(strSqlbook,strSqlmusic);
			}
		}

		private void publish_results(string strSqlbook,string strSqlmusic) 
		{
			this.MusicLabel.Text = "Music";
			this.BookLabel.Text = "Books";

			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSqlbook, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				DataGrid1.DataSource = sqlRdr;
				DataGrid1.DataBind();
				DataGrid1.Visible = true;
			}
			else 
			{
				this.Label1.Text = "<font color=\"red\">No Results.</font>";
			}
			sqlRdr.Close();

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSqlmusic, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				DataGrid2.DataSource = sqlRdr;
				DataGrid2.DataBind();
				DataGrid2.Visible = true;
			}
			else 
			{
				this.Label2.Text = "<font color=\"red\">No Results.</font>";
			}
			sqlRdr.Close();
			

			// Close the sql connection at the end
			sqlConn.Close();
		}

		private void Button1_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("searchinventory.aspx?inv=" + TextBox1.Text);
		}

		private void Button2_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("searchinventory.aspx?whar=" + TextBox2.Text);
		}
		private void Button3_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("searchinventory.aspx?who=" + TextBox3.Text);
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
