using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace chuggins
{
	/// <summary>
	/// Summary description for showbookdetail.
	/// </summary>
	public class showbookdetail : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label QueryReturn;
		private string strSqlString = "server=IISQLSRV; uid=chuggins; pwd=moocow; database=chuggins_inventory";
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			try 
			{
				string a = Request.QueryString["id"];
				int id = int.Parse(a);

				if(id>=0) 
				{
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection

					// Execute query -- Here you could make 'strSql' any query you want
					string strSql = "select authors.name,title,publishers.name,book_cat.name,book_cat.descr,price,weight " +
						"from books,publishers,book_cat,authors " +
						"where publisher=publishers.id " +
						"		and category=book_cat.id " +
						"       and isbn=authors.bookid " +
						"		and isbn=" + id.ToString();

					// The command needs to know the query and the connection
					sqlCom = new SqlCommand(strSql, sqlConn);	
					// Execute the command
					sqlRdr = sqlCom.ExecuteReader();

					// Get the answer from the reader and write it to the label.
					// Get the answer from the reader and write it to the label.
					if (sqlRdr.HasRows) 
					{
						sqlRdr.Read();
						string printout= "<b>Information for ISBN: " + id.ToString() +"</b><br>" +
							"Author(s): " + sqlRdr.GetString(0);
						string printout1 = "<br> Title: " + sqlRdr.GetString(1) + "<br>" +
							"Publisher: " + sqlRdr.GetString(2) + "<br>" +
							"Category: " + sqlRdr.GetString(3) + " - " +
							sqlRdr.GetString(4) + "<br>" +
							"Price: $" + sqlRdr.GetSqlMoney(5).ToString() + "<br>" +
							"Weight: " + sqlRdr.GetValue(6).ToString() + " lbs.<br>";
						while(sqlRdr.Read()) 
							printout = printout + ", " + sqlRdr.GetString(0);

						this.QueryReturn.Text = printout + printout1;
					}
					else 
					{
						this.QueryReturn.Text = "<font color=\"red\">The query you entered returned no " +
							"results.  Please try again.</font>";
					}
					sqlRdr.Close();
				

					// Close the sql connection at the end
					sqlConn.Close();
				}
			} 
			catch(Exception) {}
		}

		private void Button1_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("showbookdetail.aspx?id=" + TextBox1.Text);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
