using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;	// This is the library with the SQL types we're using below

namespace chuggins
{
	/// <summary>
	/// Summary description for showbookdetail.
	/// </summary>
	public class wharehouse : System.Web.UI.Page
	{
		private SqlConnection sqlConn;	// Declare a connection object
		private SqlCommand sqlCom;		  // Declare a command object
		private SqlDataReader sqlRdr;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.HtmlControls.HtmlForm Form2;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label QueryReturn;
		protected System.Web.UI.WebControls.Button Button2;
		private string strSqlString = "server=IISQLSRV; uid=chuggins; pwd=moocow; database=chuggins_inventory";
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			try 
			{
				string a = Request.QueryString["book"];
				int bid = int.Parse(a);

				if(bid>=0) 
				{

					// Execute query -- Here you could make 'strSql' any query you want
					string strSql = "select country,city,address,zipcode,availible,manager,telephone,fax " +
						"from books,wharehouses,book_inv " +
						"where bookid=isbn " +
						"and location=wharehouses.id " +
						"and isbn=" + bid.ToString() + " " +
						"group by isbn,country,city,address,zipcode,availible,manager,telephone,fax";

					publish(strSql);
				}
			} 
			catch(Exception) {}

			try 
			{
				string b = Request.QueryString["music"];
				int mid = int.Parse(b);

				if(mid>=0) 
				{

					// Execute query -- Here you could make 'strSql' any query you want
					string strSql = "select country,city,address,zipcode,availible,manager,telephone,fax " +
						"from music,wharehouses,music_inv " +
						"where musicid=cdid " +
						"and location=wharehouses.id " +
						"and cdid=" + mid.ToString() + " " +
						"group by cdid,country,city,address,zipcode,availible,manager,telephone,fax";

					publish(strSql);
				}
			} 
			catch(Exception) {}
		}

		private void publish(string strSql) 
		{
			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection

			// The command needs to know the query and the connection
			sqlCom = new SqlCommand(strSql, sqlConn);	
			// Execute the command
			sqlRdr = sqlCom.ExecuteReader();

			// Get the answer from the reader and write it to the label.
			// Get the answer from the reader and write it to the label.
			if (sqlRdr.HasRows) 
			{
				string final="The product is located in the following warehouses:<br><br>";
				string printout;
				while(sqlRdr.Read()) 
				{
					printout = sqlRdr.GetString(2) + "<br>" +
						sqlRdr.GetString(1) + ", " + sqlRdr.GetString(0) + " " + sqlRdr.GetInt32(3).ToString() +
						"<br>Currently <b>" + sqlRdr.GetInt32(4) + "</b> items in stock.<br>" +
						"Manager: " + sqlRdr.GetString(5) + "<br>" + 
						"Phone: " + sqlRdr.GetInt64(6) + "<br>Fax: " + sqlRdr.GetInt64(7);
					final = final + printout + "<br><br>";
				}

				this.QueryReturn.Text = final;
			}
			else 
			{
				this.QueryReturn.Text = "<font color=\"red\">Product not currently availible.</font>";
			}
			sqlRdr.Close();
				

			// Close the sql connection at the end
			sqlConn.Close();
		}

		private void Button1_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("warehouse.aspx?book=" + TextBox1.Text);
		}

		private void Button2_Click(object sender, System.EventArgs e) 
		{
			Response.Redirect("warehouse.aspx?music=" + TextBox2.Text);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
