<%@ Page language="c#" Codebehind="searchinventory.aspx.cs" AutoEventWireup="false" Inherits="chuggins.searchinventory" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Search the Database</title>
		<LINK href="book.css" type="text/css" rel="stylesheet">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body>
<div class="container">

<a href="entrypage.aspx"><img src="foo.jpg" border="0"></a>

<div class="header">
<a href="">Order History</a>
<a href="">View Cart</a>
</div>

<div class="navbox">
<a href="index.aspx">Inventory Home</a>
<a href="list_inventory.aspx">View Inventory</a>
<a href="outstock.aspx">Out of Stock</a>
<a href="searchinventory.aspx">Search Inventory</a>
<a href="showbookdetail.aspx">Find Book</a>
<a href="showmusicdetail.aspx">Find Music</a>
<a href="warehouse.aspx">Warehouses</a>
</div>

<div class="content">
<p class="title">Search the Database</p>
<p>There are three methods of searching the database.  First, enter a quantity in stock to
return all products with greater or equal numbers currently in inventory.  Second, enter
a number to return all products stored at that many or more warehouses.  Finally, enter the
name of an author or artist to return all works by them, as well as the number availible.</p>
<form id="Form1" method="post" runat="server">
	<table>
		<tr>
			<td>
				Number in Inventory:
			</td>
			<td>
				<asp:TextBox id="TextBox1" runat="server"></asp:TextBox>
				<asp:Button id="Button1" runat="server" Text="Search"></asp:Button>
			</td>
		</tr>
		<tr>
			<td>
				Number of Wharehouses:
			</td>
			<td>
				<asp:TextBox id="TextBox2" runat="server"></asp:TextBox>
				<asp:Button id="Button2" runat="server" Text="Search"></asp:Button>
			</td>
		</tr>
		<tr>
			<td>
				Author or Artist:
			</td>
			<td>
				<asp:TextBox id="TextBox3" runat="server"></asp:TextBox>
				<asp:Button id="Button3" runat="server" Text="Search"></asp:Button>
			</td>
		</tr>
	</table>
	<br>
	<h3>
		<asp:Label id="BookLabel" runat="server"></asp:Label></h3>
	<asp:DataGrid id="DataGrid1" runat="server" AutoGenerateColumns="False">
		<Columns>
			<asp:HyperLinkColumn DataNavigateUrlField="isbn" DataNavigateUrlFormatString="showbookdetail.aspx?id={0}"
				DataTextField="ISBN" HeaderText="ISBN"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="Title" HeaderText="Title"></asp:BoundColumn>
			<asp:BoundColumn DataField="name" HeaderText="Publisher"></asp:BoundColumn>
			<asp:BoundColumn DataField="num" HeaderText="Quantity"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
	<asp:Label id="Label1" runat="server"></asp:Label>
	<br>
	<br>
	<h3><asp:Label id="MusicLabel" runat="server"></asp:Label></h3>
	<asp:DataGrid id="DataGrid2" runat="server" AutoGenerateColumns="False">
		<Columns>
			<asp:HyperLinkColumn DataNavigateUrlField="cdid" DataNavigateUrlFormatString="showmusicdetail.aspx?id={0}"
				DataTextField="cdid" HeaderText="CDID"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="Title" HeaderText="Title"></asp:BoundColumn>
			<asp:BoundColumn DataField="name" HeaderText="Record Company"></asp:BoundColumn>
			<asp:BoundColumn DataField="num" HeaderText="Quantity"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>						
<asp:Label id="Label2" runat="server"></asp:Label>
</form>
</div>

<div class="footer">Copyright 2005, Foofaraw.com</div>

</div>
	</body>
</HTML>
