using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using foofaraw.transactions;

namespace foofaraw
{
	/// <summary>
	/// Summary description for transactionCustInfo.
	/// </summary>
	public class transactionCustInfo : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox tbFName;
		protected System.Web.UI.WebControls.TextBox tbLName;
		protected System.Web.UI.WebControls.TextBox tbZip;
		protected System.Web.UI.WebControls.TextBox tbEmail;
		protected System.Web.UI.WebControls.TextBox tbPhone;
		protected System.Web.UI.WebControls.TextBox tbAddress;
		protected System.Web.UI.WebControls.TextBox tbCity;
		protected System.Web.UI.WebControls.TextBox tbState;
		protected System.Web.UI.WebControls.Button submitInfo;
		protected System.Web.UI.WebControls.TextBox tsFName;
		protected System.Web.UI.WebControls.TextBox tsLName;
		protected System.Web.UI.WebControls.TextBox tsEmail;
		protected System.Web.UI.WebControls.TextBox tsPhone;
		protected System.Web.UI.WebControls.TextBox tsAddress;
		protected System.Web.UI.WebControls.TextBox tsCity;
		protected System.Web.UI.WebControls.TextBox tsState;
		protected System.Web.UI.WebControls.TextBox tsZip;
		protected System.Web.UI.WebControls.Label lError;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)
			{
				Login LoginController = (Login) Session["Login"];
				if(Session["transaction"] == null || LoginController == null)
					Response.Redirect("ShoppingCart.aspx");
                PopulateForm(LoginController);				

			}
		}

		private void PopulateForm(Login lc) 
		{
			tbFName.Text = lc.user.firstname;
			tbLName.Text = lc.user.lastname;
			tbZip.Text = lc.user.zip.ToString();
			tbEmail.Text = lc.user.email;
			tbPhone.Text = lc.user.phone.ToString();
			tbAddress.Text = lc.user.address;
			tbCity.Text = lc.user.city;
			tbState.Text = lc.user.state;

			tsFName.Text = lc.user.firstname;
			tsLName.Text = lc.user.lastname;
			tsZip.Text = lc.user.zip.ToString();
			tsEmail.Text = lc.user.email;
			tsPhone.Text = lc.user.phone.ToString();
			tsAddress.Text = lc.user.address;
			tsCity.Text = lc.user.city;
			tsState.Text = lc.user.state;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.submitInfo.Click += new System.EventHandler(this.submitInfo_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void submitInfo_Click(object sender, System.EventArgs e)
		{
			if(tbFName.Text == "" || tbLName.Text == "" || tbZip.Text == "" || tbEmail.Text == "" || tbPhone.Text == ""
				 || tbCity.Text == "" || tbState.Text == "" || tsFName.Text == "" || tsLName.Text == "" || tsZip.Text == ""
				 || tsEmail.Text == "" || tsPhone.Text == "" || tsCity.Text == "" || tsState.Text == "")
			{
				lError.Text = "You must fill out every field on this page.";

			} 
			else 
			{
				Transaction tran = (Transaction)Session["transaction"];
				tran.bFName = tbFName.Text;
				tran.bLName = tbLName.Text;
				tran.bAddress = tbAddress.Text;
				tran.bZip = tbZip.Text;
				tran.bEmail = tbEmail.Text;
				tran.bPhone = tbPhone.Text;
				tran.bCity = tbCity.Text;
				tran.bStateID = tbState.Text;

				tran.sFName = tsFName.Text;
				tran.sLName = tsLName.Text;
				tran.sAddress = tsAddress.Text;
				tran.sZip = tsZip.Text;
				tran.sEmail = tsEmail.Text;
				tran.sPhone = tsPhone.Text;
				tran.sCity = tsCity.Text;
				tran.sStateID = tsState.Text;
			
				Response.Redirect("transactionShippingOptions.aspx");
			}
		}
	}
}
