using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using foofaraw.transactions;

namespace foofaraw
{
	/// <summary>
	/// Summary description for WebForm2.
	/// </summary>
	public class WebForm2 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Button submitInfo;
		protected System.Web.UI.WebControls.DataList PackageList;
		protected System.Web.UI.WebControls.DropDownList ddlShippingOptions;
		protected System.Web.UI.WebControls.TextBox tbSpecialInstr;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//random_label.Text = ((Transaction) Session["transaction"]).packageList.
			if(!IsPostBack)
			{
				Transaction trans = (Transaction) Session["transaction"];
				
                if (trans != null) 
				{
					trans.DetermineWarehouses();
					 //Put user code to initialize the page here
					/*ArrayList cannedPackageList = new ArrayList();
					Package pack = new Package();
					BookCartItem a = new BookCartItem("what is the date today? an epic tale", "dhali lama","64", 500,3,12.1, 0);
					pack.bookList.Add(a.ItemID, a);
					a = new BookCartItem("ipods kick serious ass", "Steve","65",34,1,1.0, 0);
					pack.bookList.Add(a.ItemID, a);
					a = new BookCartItem("Amazing stories", "Wow!","60",11,2,13.5555, 0);
					pack.bookList.Add(a.ItemID, a);
					pack.warehouseID="4";
					pack.populateShippingOptions("compton");
					cannedPackageList.Add(pack);
				
					pack = new Package();
					a = new BookCartItem("What is?", "Amazing","37",13,1,16.2, 0);
					pack.bookList.Add(a.ItemID, a);
					a = new BookCartItem("ipods kick serious ass", "Steve","65",34,1,.3, 0);
					pack.bookList.Add(a.ItemID, a);
					pack.warehouseID="5";
					
					cannedPackageList.Add(pack);
					((Transaction)Session["transaction"]).packageList = cannedPackageList;*/
					//pack.populateShippingOptions("compton");
					foreach(Package p in trans.packageList)
					{
						p.populateShippingOptions(trans.sCity);
					}
					bind();
				} 
				else 
				{
					Response.Redirect("index.aspx");
				}

			}
		}

		private void bind()
		{
			// Put user code to initialize the page here
			Transaction trans = (Transaction) Session["transaction"];

			if (trans != null) 
			{
				trans = (Transaction) Session["transaction"];
				PackageList.DataSource = trans.packageList;
				PackageList.DataBind();			
			} 
		}

		private void saveShippingOptions()
		{
			Transaction trans = ((Transaction)Session["transaction"]);
			int i = 0;
			foreach(DataListItem item in PackageList.Items)
			{
				string methodID = ((DropDownList)item.FindControl("ddlShippingOptions")).SelectedItem.Value.ToString();
				Package pkg = ((Package)trans.packageList[i]);
				Hashtable ht = ((Hashtable)pkg.shippingOptionsHash);
				ShippingOption op = (ShippingOption)ht[Convert.ToInt32(methodID)];
				pkg.chosenOption = op;
				((Transaction)Session["transaction"]).packageList[i] = pkg;
				//string id = ((Label)item.FindControl("itemID")).Text.ToString();
				//double a = ((Package)item.DataItem).pkgWeight;
				//item.Dat
				i++;
				
			}

		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.submitInfo.Click += new System.EventHandler(this.submitInfo_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void submitInfo_Click(object sender, System.EventArgs e)
		{
			Transaction tran = (Transaction)Session["transaction"];
			tran.specialInstructions = tbSpecialInstr.Text;
			saveShippingOptions();
			Response.Redirect("transactionPayment.aspx");
			
			
		}

		
	}
}
