using System;
using System.Text.RegularExpressions;
using System.Data;
using SqlRequest;

namespace foofaraw.transactions
{
	public class Login
	{
		private bool login;		
		private SQLServer server = StaticServer.CaseyH;
		public User user;

		public Login()
		{
			login = false;
			user = null;
		}

		public bool LoggedIn() 
		{
			return login;
		}

		public void LoginUser(string login) 
		{
			SetUser(login);
			LoginUser();
		}

		public void LoginUser() 
		{
			login = true;
		}

		public bool AddNewUser(string login, string pass, string pass_confirm,
			string firstname, string lastname, string email, string phone, string address, 
			string city, string state, string zip) 
		{
				this.user = new User(login,pass,firstname,lastname,email,
					ConvertPhone(phone),address,city,state,int.Parse(zip));
				return InsertUser(this.user);
		}
		
		public bool CheckIfLoginUnique(string login) 
		{
			string sql = "select login from login where login='" + login + "'";
			DataTable result = ProcessQuery(sql).Tables[0];
			return result.Rows.Count==0;

		}

		public bool VerifyLoginAndPassword(string login, string password) 
		{
			string sql = "select pass from login where login='" + login + "'";			
			DataTable result = ProcessQuery(sql).Tables[0];
			if(result.Rows.Count==0)
				return false;
			else
				return result.Rows[0]["pass"].Equals(password);
		}

		public bool CheckIfPasswordsMatch(string pass1, string pass2) 
		{
			return pass1.Equals(pass2);
		}

		public string GetName() 
		{
			return user.firstname + " " + user.lastname;
		}

		public string GetLoginID()
		{
			return user.login;
		}

		private Int64 ConvertPhone(string number)
		{
			Regex r = new Regex("\\D");
			return Convert.ToInt64(r.Replace(number,""));
		}
		
		private bool InsertUser(User user) 
		{
			try
			{
				string sql = "insert into login(login,pass,firstname,lastname,email,phone,address,city,state,zip) " +
					"values('" + user.login + "','" + user.pass + "','" + user.firstname + "','" + 
					user.lastname + "','" + user.email + "'," + user.phone + ",'" + user.address + 
					"','" + user.city +  "','" + user.state + "'," + user.zip + ")";
				ProcessQuery(sql);
			}
			catch(Exception) 
			{
				return false;
			}
			return true;
		}

		private void SetUser(string name) 
		{
			string sql = "select * from login where login='" + name + "'";
			DataRow row= ProcessQuery(sql).Tables[0].Rows[0];
			string login = (string)row["login"];
			string pass = (string)row["pass"];
			string firstname = (string)row["firstname"];
			string lastname = (string)row["lastname"];
			string email = (string)row["email"];
			Int64 phone = Convert.ToInt64(row["phone"]);
			string address = (string)row["address"];
			string city = (string)row["city"];
			string state = (string)row["state"];
			int zip = Convert.ToInt32(row["zip"]);
			this.user = new User(login,pass,firstname,lastname,email,phone,address,city,state,zip);
		}

		private DataSet ProcessQuery(string query) 
		{
			SQLRequest request = new SQLRequest(this.server, query);          
			return request.Invoke();
		}
	}

	public class User 
	{
		public string login;
		public string pass;
		public string firstname;
		public string lastname;
		public string email;
		public Int64 phone;
		public string address;
		public string city;
		public string state;
		public int zip;

		public User(string login, string pass, string firstname, string lastname, 
			string email, Int64 phone, string address, string city, string state, int zip) 
		{
			this.login = login;
			this.pass = pass;
			this.firstname = firstname;
			this.lastname = lastname;
			this.email = email;
			this.phone = phone;
			this.address = address;
			this.city = city;
			this.state = state;
			this.zip = zip;
		}



	}
}
