using System;
using System.Data.SqlClient;
using System.Data;

namespace cse444project
{
	/// <summary>
	/// Summary description for QueryHelper.
	/// Used to connect to SQL databases. Has methods that take SQL query strings as parameters.
	/// </summary>
	public class QueryHelper
	{
		private static SqlConnection sqlConn;	// Declare a connection object
		private static SqlDataAdapter adpt;	// Declare an adapter to connect and query
		private static string strSqlString = "server=IISQLSRV; uid=triroot; pwd=changeME";

		public QueryHelper()
		{
		}

		public static DataSet ExecuteQuery(string strSql)
		{
			DataSet ds = new DataSet();
			sqlConn = new SqlConnection(strSqlString);
			adpt = new SqlDataAdapter(strSql, sqlConn);
			adpt.Fill(ds);
			sqlConn.Close();
			return ds;
		}

		public static void ExecuteNonQuery(string strSql)
		{
			// init and open connection to db
			sqlConn = new SqlConnection(strSqlString);
			sqlConn.Open();
			
			// execute command
			SqlCommand sqlCom = new SqlCommand(strSql, sqlConn);
			sqlCom.ExecuteNonQuery();

			// close connection to db
			sqlConn.Close();
		}

		
	}
}
