<%@ Page language="c#" Codebehind="NewUser.aspx.cs" AutoEventWireup="false" Inherits="gibble.NewUser" %>
<%@ Register TagPrefix="gibble" TagName="Navigation" Src="Navigation.ascx" %>
<%@ Register TagPrefix="gibble" TagName="LoginStatus" Src="LoginStatus.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>New User</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="gibble.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div class="content">
				<h1>Gibble.com</h1>
				<gibble:LoginStatus id="loginstatus" runat="server"></gibble:LoginStatus>
				<h2>New User</h2>
				<gibble:navigation id="nav" runat="server"></gibble:navigation>
				<div class="text">
					<asp:Panel id="pnlInfo" runat="server">
						<H3>Account Information</H3>
						<asp:Label id="lblError" runat="server" ForeColor="Red" Font-Size="XX-Small"></asp:Label>
						<TABLE>
							<TR>
								<TD>E-mail:</TD>
								<TD>
									<asp:TextBox id="txtEmail" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator9" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtEmail" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator></TD>
								<TD>(This will serve as your userID)</TD>
							<TR>
								<TD>First Name:</TD>
								<TD>
									<asp:TextBox id="txtFname" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator1" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtFname" ValidationExpression="[a-zA-z]+"></asp:RegularExpressionValidator></TD>
							<TR>
								<TD>Last Name:</TD>
								<TD>
									<asp:TextBox id="txtLname" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator2" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtLname" ValidationExpression="[a-zA-Z]+"></asp:RegularExpressionValidator></TD>
							<TR>
								<TD>Address:</TD>
								<TD>
									<asp:TextBox id="txtAddress" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator3" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtAddress" ValidationExpression="[\w\s\.]+"></asp:RegularExpressionValidator></TD>
							<TR>
								<TD>City:</TD>
								<TD>
									<asp:TextBox id="txtCity" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator4" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtCity" ValidationExpression="[a-zA-z]+"></asp:RegularExpressionValidator></TD>
							<TR>
								<TD>State:</TD>
								<TD>
									<asp:TextBox id="txtState" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator5" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtState" ValidationExpression="[a-zA-Z]{2}"></asp:RegularExpressionValidator></TD>
								<TD>(2-letter abbreviation)</TD>
							<TR>
								<TD>Zip:</TD>
								<TD>
									<asp:TextBox id="txtZip" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator6" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtZip" ValidationExpression="\d{5}"></asp:RegularExpressionValidator></TD>
								<TD>(5-digit)</TD>
							<TR>
								<TD>Primary Phone:</TD>
								<TD>
									<asp:TextBox id="txtPhone1" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator7" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtPhone1" ValidationExpression="\d{3}-\d{3}-\d{4}"></asp:RegularExpressionValidator></TD>
								<TD>(xxx-xxx-xxxx)</TD>
							<TR>
								<TD>Secondary Phone:</TD>
								<TD>
									<asp:TextBox id="txtPhone2" runat="server"></asp:TextBox>
									<asp:RegularExpressionValidator id="RegularExpressionValidator8" runat="server" ErrorMessage="Field not in correct format!"
										ControlToValidate="txtPhone2" ValidationExpression="(\d{3}-\d{3}-\d{4})?"></asp:RegularExpressionValidator></TD>
								<TD>(optional)</TD>
							<TR>
								<TD>Password:</TD>
								<TD>
									<asp:TextBox id="txtPw" runat="server" MaxLength="10" TextMode="Password"></asp:TextBox></TD>
								<TD>(upto 10 characters)</TD>
							<TR>
								<TD align="right" colSpan="3">
									<asp:Button id="btnSubmit" runat="server" CssClass="fancyButton" Text="Create Account"></asp:Button></TD>
							</TR>
						</TABLE>
					</asp:Panel>
					<asp:Panel id="pnlThankYou" runat="server" Visible="False">
						<H3>Thank you</H3>
						<P>Your account was successfully created.
						</P>
						<UL>
							<LI>
								<A href="BrowseInventory.aspx">Start shopping</A>
							<LI>
								<A href="MyAccount.aspx">My Account</A>
							</LI>
						</UL>
					</asp:Panel>
				</div>
			</div>
		</form>
	</body>
</HTML>
