<%@ Page language="c#" Codebehind="OrderHistory.aspx.cs" AutoEventWireup="false" Inherits="gibble.OrderHistory" %>
<%@ Register TagPrefix="gibble" TagName="Navigation" Src="Navigation.ascx" %>
<%@ Register TagPrefix="gibble" TagName="LoginStatus" Src="LoginStatus.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Gibble.com - Order History</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link type="text/css" rel="stylesheet" href="gibble.css">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div class="content">
				<h1>Gibble.com</h1>
				<gibble:LoginStatus id="loginstatus" runat="server"></gibble:LoginStatus>
				<h2>Order History</h2>
				<gibble:Navigation id="nav" runat="server" />
				<div class="text">
					<asp:Panel id="InvoicePanel" runat="server">
						<H3>All Invoices</H3>
						<P>
							<asp:Label id="lblNoInvoices" runat="server" Visible="False">Sorry, none found</asp:Label><BR>
							<asp:DataGrid id="InvoicesGrid" runat="server" BorderColor="White" BorderStyle="Ridge" BorderWidth="2px"
								CellSpacing="1" BackColor="White" CellPadding="3" GridLines="None" Font-Size="X-Small">
								<FooterStyle ForeColor="Black" BackColor="#C6C3C6"></FooterStyle>
								<SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#9471DE"></SelectedItemStyle>
								<ItemStyle ForeColor="Black" BackColor="#DEDFDE"></ItemStyle>
								<HeaderStyle Font-Bold="True" ForeColor="#E7E7FF" BackColor="#4A3C8C"></HeaderStyle>
								<Columns>
									<asp:ButtonColumn Text="View" CommandName="ViewDetails"></asp:ButtonColumn>
								</Columns>
								<PagerStyle HorizontalAlign="Right" ForeColor="Black" BackColor="#C6C3C6"></PagerStyle>
							</asp:DataGrid></P>
						<H3>Specific Invoice</H3>
						<P>
							<asp:Label id="lblErr" runat="server"></asp:Label><BR>
							<asp:TextBox id="txtInvoiceid" runat="server" MaxLength="10"></asp:TextBox>
							<asp:Button id="btnInvoiceSubmit" runat="server" Text="Submit" CssClass="fancyButton"></asp:Button>
							<asp:RegularExpressionValidator id="RegularExpressionValidator1" runat="server" ValidationExpression="[0-9]+" ControlToValidate="txtInvoiceid"
								ErrorMessage="*Invalid invoice id"></asp:RegularExpressionValidator></P>
					</asp:Panel>
					<asp:Panel id="InvoiceDetailPanel" runat="server">
						<H3>Invoice Details</H3>
						<P>
							<asp:Label id="lblNotFound" runat="server" Visible="False">Sorry, invoice not found</asp:Label></P>
						<P>
							<TABLE border="1">
								<TR>
									<TD>Invoice ID:</TD>
									<TD>
										<asp:Label id="lblInvoiceid" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Date ordered:</TD>
									<TD>
										<asp:Label id="lblDate" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Date shipped:</TD>
									<TD>
										<asp:Label id="lblShipdate" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Shipped to:</TD>
									<TD>
										<asp:Label id="lblShipAdd" runat="server"></asp:Label><BR>
										<asp:Label id="lblShipCity" runat="server"></asp:Label><BR>
										<asp:Label id="lblShipState" runat="server"></asp:Label><BR>
										<asp:Label id="lblShipZip" runat="server"></asp:Label></TD>
								</TR>
							</TABLE>
							<BR>
							<TABLE border="1">
								<TR>
									<TD>Subtotal:</TD>
									<TD>
										<asp:Label id="lblSubtotal" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Taxes (8.8%):</TD>
									<TD>
										<asp:Label id="lblTaxes" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Discounts:</TD>
									<TD>
										<asp:Label id="lblDiscounts" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Shipping Costs:</TD>
									<TD>
										<asp:Label id="lblShipcosts" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Grand Total:</TD>
									<TD>
										<asp:Label id="lblTotal" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Payment type:</TD>
									<TD>
										<asp:Label id="lblPayment" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Credit Card #:</TD>
									<TD>
										<asp:Label id="lblCCnum" runat="server"></asp:Label></TD>
								</TR>
								<TR>
									<TD>Exp. Date:</TD>
									<TD>
										<asp:Label id="lblCCExp" runat="server"></asp:Label></TD>
								</TR>
							</TABLE>
						</P>
					</asp:Panel>
					<asp:Panel id="FormPanel" runat="server"> <!--<H3>Order Tracking</H3>
						<P>Tracking number:
							<asp:TextBox id="trackingNumber" runat="server"></asp:TextBox>
							<asp:Button id="findButton" runat="server" Text="Track" CssClass="fancyButton"></asp:Button>
							<asp:Label id="errorInvalid" runat="server" Visible="False" ForeColor="Red">*invalid tracking number</asp:Label><BR>
						</P>
					!-->
						<H3>All packages belonging to this invoice</H3>
						<P>
							<asp:DataGrid id=PackagesGrid runat="server" DataSource="<%# packageInfoDataSet1 %>" PageSize="4" AllowPaging="True" DataKeyField="Tracking number" DataMember="package_info" BorderColor="White" BorderStyle="Ridge" BorderWidth="2px" CellSpacing="1" BackColor="White" CellPadding="3" GridLines="None" AutoGenerateColumns="False" Font-Size="X-Small">
								<FooterStyle ForeColor="Black" BackColor="#C6C3C6"></FooterStyle>
								<SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#9471DE"></SelectedItemStyle>
								<ItemStyle ForeColor="Black" BackColor="#DEDFDE"></ItemStyle>
								<HeaderStyle Font-Bold="True" ForeColor="#E7E7FF" BackColor="#4A3C8C"></HeaderStyle>
								<Columns>
									<asp:ButtonColumn Text="View" SortExpression="Tracking number" CommandName="Select"></asp:ButtonColumn>
									<asp:BoundColumn DataField="Tracking number" SortExpression="Tracking number" HeaderText="Tracking number"></asp:BoundColumn>
									<asp:BoundColumn DataField="Name" SortExpression="Name" HeaderText="Name"></asp:BoundColumn>
									<asp:BoundColumn DataField="City" SortExpression="City" HeaderText="City"></asp:BoundColumn>
									<asp:BoundColumn DataField="Weight" SortExpression="Weight" HeaderText="Weight"></asp:BoundColumn>
								</Columns>
								<PagerStyle HorizontalAlign="Right" ForeColor="Black" BackColor="#C6C3C6"></PagerStyle>
							</asp:DataGrid>
							<asp:Label id="lblNoPackages" runat="server" Visible="False" Font-Italic="True">You have no past orders</asp:Label></P>
					</asp:Panel>
					<asp:Panel id="DetailPanel" runat="server" Visible="False">
						<H3>Package Details</H3>
						<TABLE class="packageInfo" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Tracking Number</TD>
								<TD>
									<asp:label id="lblTracking" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>Item Count</TD>
								<TD>
									<asp:label id="lblItems" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>Weight</TD>
								<TD>
									<asp:label id="lblWeight" runat="server">Label</asp:label>lbs.</TD>
							</TR>
							<TR>
								<TD>Comments</TD>
								<TD>
									<asp:label id="lblComments" runat="server">Label</asp:label></TD>
							</TR>
						</TABLE>
						<H3>Source</H3>
						<TABLE class="packageInfo" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Warehouse Number</TD>
								<TD>
									<asp:label id="lblWarehouse" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>Location</TD>
								<TD>
									<asp:label id="lblLocation" runat="server">Label</asp:label></TD>
							</TR>
						</TABLE>
						<H3>Destination</H3>
						<TABLE class="packageInfo" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Name</TD>
								<TD>
									<asp:label id="lblName" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>Address</TD>
								<TD>
									<asp:label id="lblAddress1" runat="server">Label</asp:label><BR>
									<asp:label id="lblAddress2" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>City</TD>
								<TD>
									<asp:label id="lblCity" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>State</TD>
								<TD>
									<asp:label id="lblState" runat="server">Label</asp:label></TD>
							</TR>
							<TR>
								<TD>Zipcode</TD>
								<TD>
									<asp:Label id="lblZipcode" runat="server">Label</asp:Label></TD>
							</TR>
							<TR>
								<TD>Phone Number</TD>
								<TD>
									<asp:Label id="lblPhone" runat="server">Label</asp:Label></TD>
							</TR>
						</TABLE>
						<H3>Carrier</H3>
						<TABLE class="packageInfo" cellSpacing="0" cellPadding="3" border="1">
							<TR>
								<TD>Name</TD>
								<TD>
									<asp:Label id="lblAgent" runat="server">Label</asp:Label></TD>
							</TR>
							<TR>
								<TD>Option</TD>
								<TD>
									<asp:Label id="lblOption" runat="server">Label</asp:Label></TD>
							</TR>
							<TR>
								<TD>Price</TD>
								<TD>$
									<asp:Label id="lblPrice" runat="server">Label</asp:Label></TD>
							</TR>
							<TR>
								<TD>Status</TD>
								<TD>
									<asp:Label id="lblStatus" runat="server">Label</asp:Label></TD>
							</TR>
							<TR>
								<TD>Estimated Arrival</TD>
								<TD>
									<asp:Label id="lblDateExpected" runat="server">Label</asp:Label></TD>
							</TR>
						</TABLE>
						<P>
							<asp:Button id="btnBackToOrderHistory" runat="server" Text="<< Back to Order History" CssClass="fancyButton"></asp:Button></P>
					</asp:Panel>
				</div>
			</div>
		</form>
	</body>
</HTML>
