<%@ Page language="c#" Codebehind="Login.aspx.cs" AutoEventWireup="false" Inherits="gibble.Login" %>
<%@ Register TagPrefix="gibble" TagName="Navigation" Src="Navigation.ascx" %>
<%@ Register TagPrefix="gibble" TagName="LoginStatus" Src="LoginStatus.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Login</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="gibble.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div class="content">
				<h1>Gibble.com</h1>
				<gibble:LoginStatus id="loginstatus" runat="server"></gibble:LoginStatus>
				<h2>Sign in</h2>
				<gibble:navigation id="nav" runat="server"></gibble:navigation>
				<div class="text">
					<p>
						If you already have an account, please sign in.  Otherwise,
						<asp:HyperLink NavigateUrl="NewUser.aspx" id="lnkNewAccount" runat="server">create a new account</asp:HyperLink>.
					</p>
					<asp:Label id="lblError" runat="server"></asp:Label><br>
					<table>
						<tr>
							<td><asp:Label id="lblEmail" runat="server">E-mail:</asp:Label></td>
							<td><asp:TextBox id="txtEmail" runat="server" Width="248px"></asp:TextBox></td>
						<tr>
							<td><asp:Label id="lblPw" runat="server">Password:</asp:Label></td>
							<td><asp:TextBox id="txtPw" runat="server" Width="248px" TextMode="Password"></asp:TextBox></td>
						<tr>
							<td colspan="2" align="right"><asp:Button id="btnSubmit" runat="server" Text="Sign In" CssClass="fancyButton"></asp:Button></td>
						</tr>
					</table>
				</div>
			</div>
		</form>
	</body>
</HTML>
