
using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;



namespace RCCEBiz
{
	/// <summary>
	/// Summary description for Manager.
	/// </summary>
	public class managementPage : System.Web.UI.Page
	{
		private	  SqlConnection		sqlConn;				// Declare a connection object
		protected SqlDataReader		sqlRdr;				    // Declare reader to read query result
		private   SqlCommand		sqlCom;					// Declare a command object
		private	  SqlCommand		sqlComC;				// Declare a command object
		private   SqlDataReader sqlRdrC;					// Declare a reader to read the query result
		private string strSqlStringC = "server=IISQLSRV; uid=cjh4; pwd=changeMe; database=cjh_inventory";
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		private	  SqlConnection		sqlConnC;				// Declare a connection object
		private string strSqlString = "server=IISQLSRV; uid=acolinp; pwd=sm@sql05; database=acolinp_shipping";
		protected System.Web.UI.WebControls.TextBox CityName;
		protected System.Web.UI.WebControls.DataGrid ShipOptTbl;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Button Warehouse_Btn;
		protected System.Web.UI.WebControls.Button Book_CD_Btn;
		protected System.Web.UI.WebControls.DataGrid Datagrid1;
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.Button SbmtCity;



		private void Page_Load(object sender, System.EventArgs e)
		{
			if(	managementLogin.mgmtID == "" ) 
			{
				Server.Transfer("managementLogin.aspx");
			}

			sqlConnC = new SqlConnection(strSqlStringC);
			sqlConn = new SqlConnection(strSqlString);
			sqlConnC.Open();
			sqlConn.Open();
			ShipOptTbl.Visible = false;
			Datagrid1.Visible = false;
			DataGrid2.Visible = false;
			DataGrid3.Visible = false;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.SbmtCity.Click += new System.EventHandler(this.SbmtCity_Click);
			this.ShipOptTbl.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.displayCommand);
			this.Book_CD_Btn.Click += new System.EventHandler(this.Button1_Click);
			this.Warehouse_Btn.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		

		private void SbmtCity_Click(object sender, System.EventArgs e)
		{
			if( CityName.Text != "")
			{
				// The command needs to know a connection and a string to execute
				sqlCom = new SqlCommand("spGet_Shipping_Info '" + CityName.Text + "'" , sqlConn);
				// Execute Command
				sqlRdr = sqlCom.ExecuteReader();

				// Get answer from the reader and write it table
				if(sqlRdr.HasRows)
				{
					ShipOptTbl.DataSource = sqlRdr;
					ShipOptTbl.DataBind();
					ShipOptTbl.Visible = true;
					Datagrid1.Visible = false;
					DataGrid2.Visible = false;
					DataGrid3.Visible = false;
					Label1.Visible = false;
				}
				else
				{
					Label1.Text = "There is no information available for that city";
					Label1.Visible = true;
					Datagrid1.Visible = false;
					DataGrid2.Visible = false;
					DataGrid3.Visible = false;
				}
				// Close SQL connection
				sqlConn.Close();
			}

			else
			{
				Label1.Text = "Invalid city name. Please enter a city name";	
				Label1.Visible = true;
				Datagrid1.Visible = false;
				DataGrid2.Visible = false;
				DataGrid3.Visible = false;
			}
		}

		private void displayCommand(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			string method = e.Item.Cells[1].Text;
			string vendor = e.Item.Cells[2].Text;
			string meth_id = e.Item.Cells[6].Text;
			Response.Redirect("displayRestrictions.aspx?method=" + method + "&vendor=" + vendor + "&meth_id=" + meth_id);
		}


		private void Button1_Click(object sender, System.EventArgs e) 
		{
			// The command needs to know the query and the connection
			sqlComC = new SqlCommand("spGet_BookCD_Info", sqlConnC);	
			// Execute the command
			sqlRdrC = sqlComC.ExecuteReader();

			// Get the answer from the reader and write it to the LabelC.
			if (sqlRdrC.HasRows) 
			{
				Datagrid1.DataSource = sqlRdrC;
				Datagrid1.DataBind();
				Datagrid1.Visible = true;
				ShipOptTbl.Visible = false;
				DataGrid2.Visible = false;
				DataGrid3.Visible = false;
				Label1.Visible = false;
			}
			else 
			{
				Label1.Text = "no merhcandise available";
				Label1.Visible=true;
				Datagrid1.Visible = false;
				ShipOptTbl.Visible = false;
				DataGrid2.Visible = false;
				DataGrid3.Visible = false;
			}

			// Close the sql connection at the end
			sqlConnC.Close();


		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			string test = sqlConnC.State.ToString();
			if(test != "Open")	// open the connection
			{
				sqlConnC.Open();
			}

			// The command needs to know the query and the connection
			sqlComC = new SqlCommand("spGet_WarehouseQ1", sqlConnC);
			// Execute the command
			sqlRdrC = sqlComC.ExecuteReader();

			// Get the answer from the reader and write it to the LabelC.
			if (sqlRdrC.HasRows) 
			{
				Datagrid1.DataSource = sqlRdrC;
				Datagrid1.DataBind();
				Datagrid1.Visible = true;
				Label1.Visible = false;
				/*DataGrid4.Visible = false;*/
				
			}
			else 
			{
				Label1.Text = "no merhcandise available";
				Label1.Visible=true;
				Datagrid1.Visible = false;
				/*DataGrid3.Visible = false;*/
			}		

			// Close the sql connection at the end
			sqlComC.Cancel();
			sqlRdrC.Close();
			sqlConnC.Close();
			sqlConnC.Open();

			// Execute query -- Here you could make 'strSql' any query you want
			string strSql2 = " select * from cjh_inventory.dbo.warehousevendor"; 

			// The command needs to know the query and the connection
			sqlComC = new SqlCommand(strSql2, sqlConnC);	
			// Execute the command
			sqlRdrC = sqlComC.ExecuteReader();

			// Get the answer from the reader and write it to the LabelC.
			if (sqlRdrC.HasRows) 
			{
				DataGrid2.DataSource = sqlRdrC;
				DataGrid2.DataBind();
				DataGrid2.Visible = true;
				Label1.Visible=false;
				/*DataGrid4.Visible = false;*/
				
			}
			else 
			{
				Label1.Text = "no merhcandise available";
				Label1.Visible=true;
				DataGrid2.Visible = false;
				/*DataGrid3.Visible = false;*/
			}		

			// Close the sql connection at the end
			sqlComC.Cancel();
			sqlRdrC.Close();
			sqlConnC.Close();
			sqlConnC.Open();

			// The command needs to know the query and the connection
			sqlComC = new SqlCommand("spGet_WarehouseQ3", sqlConnC);
			// Execute the command
			sqlRdrC = sqlComC.ExecuteReader();

			// Get the answer from the reader and write it to the LabelC.
			if (sqlRdrC.HasRows) 
			{
				DataGrid3.DataSource = sqlRdrC;
				DataGrid3.DataBind();
				DataGrid3.Visible = true;
				Label1.Visible=false;
				/*DataGrid4.Visible = false;*/
				
			}
			else 
			{
				Label1.Text = "no merhcandise available";
				Label1.Visible=true;
				DataGrid3.Visible = false;
				/*DataGrid3.Visible = false;*/
			}		
			
			// Close the sql connection at the end
			sqlComC.Cancel();
			sqlRdrC.Close();
			sqlConnC.Close();

		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			managementLogin.mgmtID = "";
			Server.Transfer("index.aspx");
		}


		


	}
}

