using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace RCCEbiz
{
	/// <summary>
	/// Summary description for browseProducts.
	/// </summary>
	public class browseProducts : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.Panel Panel1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label error;
		protected System.Web.UI.WebControls.Label MissingInput;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.TextBox bookCnt;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox cdCnt;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Button Button3;	
		
		private SqlConnection sqlConn;		//connection object
		private SqlCommand sqlCom;			//command object
		private SqlDataReader sqlRdr;		//data reader object
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=rickyk; pwd=qwerty; database=rickyk_billing";
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if(	shoppingLogin.userID == "" ) 
			{
				Server.Transfer("shoppingLogin.aspx");
			}

			Panel1.Visible = false;
			MissingInput.Visible = false;
			error.Visible = false;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DataGrid1.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.AddBooktoCart);
			this.DataGrid2.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.AddCDtoCart);
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("shoppingPage.aspx");
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			string bookQuery = "SELECT Title, ISBN, Quality, convert(varchar, Price,101)as Price, convert(varchar, DiscountAmount, 101)as Discount,Category FROM cjh_inventory.dbo.Books";
			string cdQuery = "SELECT Title, BarCode, Genre, convert(varchar, Price,101)as Price, convert(varchar, DiscountAmount, 101)as Discount,Type FROM cjh_inventory.dbo.CD";
			string bookCount = "SELECT count(ISBN) FROM cjh_inventory.dbo.Books";
			string cdCount = "SELECT count(BarCode) FROM cjh_inventory.dbo.CD";
		
			try 
			{	
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	
		
				// the query for all the book products
				sqlCom = new SqlCommand(bookQuery, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();

				DataGrid1.DataSource = sqlRdr;
				DataGrid1.DataBind();
				sqlRdr.Close();			
				
				// query for all the CD products
				sqlCom = new SqlCommand(cdQuery, sqlConn);
				sqlRdr = sqlCom.ExecuteReader();
		
				DataGrid2.DataSource = sqlRdr;
				DataGrid2.DataBind();
				sqlRdr.Close();
		
				// query to find the count for the books
				sqlCom = new SqlCommand(bookCount, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
		
				if(sqlRdr.Read()) 
				{
					bookCnt.Text = sqlRdr.GetValue(0).ToString();
				}
				sqlRdr.Close();	
		
				// query for the count of the CDs
				sqlCom = new SqlCommand(cdCount, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
		
				if(sqlRdr.Read()) 
				{
					cdCnt.Text = sqlRdr.GetValue(0).ToString();
				}
				sqlRdr.Close();
		
				sqlConn.Close();	// Close the connection!
				Panel1.Visible = true;
				if(bookCnt.Text.Equals("0"))
					DataGrid1.Visible = false;
				else
					DataGrid1.Visible = true;
				if(cdCnt.Text.Equals("0"))
					DataGrid2.Visible = false;
				else
					DataGrid2.Visible = true;
				error.Visible = false;
			} 
			catch (Exception e1) 
			{
				string err = e1.Message;
				error.Visible = true;
			}
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			if(TextBox1.Text == "" || TextBox1.Text == " ") 
			{
				MissingInput.Visible = true;
			}
			else 
			{
				MissingInput.Visible = false;
				Panel1.Visible = true;
		
				string bookQuery = "SELECT Title, ISBN, Quality, convert(varchar, Price,101)as Price, convert(varchar, DiscountAmount, 101)as Discount,Category FROM cjh_inventory.dbo.Books WHERE Title LIKE '%" + TextBox1.Text + "%'";
				string cdQuery = "SELECT Title, BarCode, Genre, convert(varchar, Price,101)as Price, convert(varchar, DiscountAmount, 101)as Discount,Type FROM cjh_inventory.dbo.CD WHERE Title LIKE '%" + TextBox1.Text + "%'";
				string bookCount = "SELECT Count(ISBN) FROM cjh_inventory.dbo.Books WHERE Title LIKE '%" + TextBox1.Text + "%'";
				string cdCount = "SELECT Count(BarCode) FROM cjh_inventory.dbo.CD WHERE Title LIKE '%" + TextBox1.Text + "%'";
		
				try 
				{	
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection

					//query to count for the books
					sqlCom = new SqlCommand(bookCount, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
		
					if(sqlRdr.Read()) 
					{
						bookCnt.Text = sqlRdr.GetValue(0).ToString();
					}
					sqlRdr.Close();	
		
					// query for the book products
					sqlCom = new SqlCommand(bookQuery, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					DataGrid1.DataSource = sqlRdr;
					DataGrid1.DataBind();

					sqlRdr.Close();			
		
					//  query for the count the CDs
					sqlCom = new SqlCommand(cdCount, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
		
					if(sqlRdr.Read()) 
					{
						cdCnt.Text = sqlRdr.GetValue(0).ToString();
					}
					sqlRdr.Close();

					// query for the CD products
					sqlCom = new SqlCommand(cdQuery, sqlConn);
					sqlRdr = sqlCom.ExecuteReader();


					DataGrid2.DataSource = sqlRdr;
					DataGrid2.DataBind();

					sqlRdr.Close();

					sqlConn.Close();

					if(bookCnt.Text.Equals("0"))
						DataGrid1.Visible = false;
					else
						DataGrid1.Visible = true;
					if(cdCnt.Text.Equals("0"))
						DataGrid2.Visible = false;
					else
						DataGrid2.Visible = true;
					error.Visible = false;
				} 
				catch (Exception e1) 
				{
					string err = e1.Message;
					error.Visible = true;
				}
			}
		}

		private void Button3_Click(object sender, System.EventArgs e)
		{
			if(TextBox1.Text == "" || TextBox1.Text == " ") 
			{
				MissingInput.Visible = true;
			}
			else 
			{
				MissingInput.Visible = false;
				Panel1.Visible = true;
		
				string bookQuery = "SELECT Title, ISBN, Quality, convert(varchar, Price,101) as Price, convert(varchar, DiscountAmount, 101)as Discount,Category FROM cjh_inventory.dbo.Books WHERE ISBN IN " +
					"(SELECT DISTINCT ISBN FROM cjh_inventory.dbo.Author WHERE Author LIKE '%" + TextBox1.Text + "%')";
				string cdQuery = "SELECT Title, BarCode, Genre, convert(varchar, Price,101)as Price, convert(varchar, DiscountAmount, 101)as Discount,Type FROM cjh_inventory.dbo.CD WHERE BarCode IN (SELECT DISTINCT BarCode FROM cjh_inventory.dbo.Artist WHERE Artist LIKE '%" + TextBox1.Text + "%')";
				string bookCount = "SELECT Count(ISBN) FROM cjh_inventory.dbo.Books WHERE ISBN IN (SELECT DISTINCT ISBN FROM cjh_inventory.dbo.Author WHERE Author LIKE '%" + TextBox1.Text + "%')";
				string cdCount = "SELECT Count(BarCode) FROM cjh_inventory.dbo.CD WHERE BarCode IN (SELECT DISTINCT BarCode FROM cjh_inventory.dbo.Artist WHERE Artist LIKE '%" + TextBox1.Text + "%')";
		
				try 
				{	
					sqlConn = new SqlConnection( strSqlString );
					sqlConn.Open();	// open the connection

					//query to count for the books
					sqlCom = new SqlCommand(bookCount, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
		
					if(sqlRdr.Read()) 
					{
						bookCnt.Text = sqlRdr.GetValue(0).ToString();
					}
					sqlRdr.Close();	
		
					// query for the book products
					sqlCom = new SqlCommand(bookQuery, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();

					DataGrid1.DataSource = sqlRdr;
					DataGrid1.DataBind();

					sqlRdr.Close();			
		
					//  query for the count the CDs
					sqlCom = new SqlCommand(cdCount, sqlConn);	
					sqlRdr = sqlCom.ExecuteReader();
		
					if(sqlRdr.Read()) 
					{
						cdCnt.Text = sqlRdr.GetValue(0).ToString();
					}
					sqlRdr.Close();

					// query for the CD products
					sqlCom = new SqlCommand(cdQuery, sqlConn);
					sqlRdr = sqlCom.ExecuteReader();


					DataGrid2.DataSource = sqlRdr;
					DataGrid2.DataBind();

					sqlRdr.Close();

					sqlConn.Close();

					if(bookCnt.Text.Equals("0"))
						DataGrid1.Visible = false;
					else
						DataGrid1.Visible = true;
					if(cdCnt.Text.Equals("0"))
						DataGrid2.Visible = false;
					else
						DataGrid2.Visible = true;
					error.Visible = false;
				} 
				catch (Exception e1) 
				{
					string err = e1.Message;
					error.Visible = true;
				}
			}
		}

		private void AddBooktoCart(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			string ISBN = e.Item.Cells[3].Text;
			string item = e.Item.Cells[2].Text;
			float price = 0;
			float discount = 0;
			string p = e.Item.Cells[5].Text;
			if(!p.Equals("&nbsp;"))
				price = float.Parse(p);
			string dis = e.Item.Cells[6].Text;
			TextBox1.Text = dis;
			if(!dis.Equals("&nbsp;"))
				discount = float.Parse(dis);

			//If the user has selected the Book before, we have to update the quantity of that book
			if(shoppingCart.qty.ContainsKey(ISBN)) 
			{
				int q = (int) shoppingCart.qty[ISBN];
				q++;
				shoppingCart.qty[ISBN] = q;
			}	//else, we add the product into the Hash table
			else
			{
				shoppingCart.qty.Add(ISBN, 1);
				shoppingCart.category.Add(ISBN, "book");
				shoppingCart.price.Add(ISBN, price - discount);
				shoppingCart.item.Add(ISBN, item);
				shoppingCart.discount.Add(ISBN, discount);
			}
			Server.Transfer("shoppingCart.aspx");
		}


		private void AddCDtoCart(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			string BarCode = e.Item.Cells[3].Text;
			string item = e.Item.Cells[2].Text;
			float price = 0;
			float discount = 0;
			string p = e.Item.Cells[5].Text;
			if(!p.Equals("&nbsp;"))
				price = float.Parse(p);
			string dis = e.Item.Cells[6].Text;
			if(!dis.Equals("&nbsp;"))
				discount = float.Parse(dis);

			//If the user has selected the CD before, we have to update the quantity of that CD
			if(shoppingCart.qty.ContainsKey(BarCode)) 
			{
				int q = (int) shoppingCart.qty[BarCode];
				q++;
				shoppingCart.qty[BarCode] = q;
			}	//else, we add the product into the Hash table
			else
			{
				shoppingCart.qty.Add(BarCode, 1);
				shoppingCart.category.Add(BarCode, "CD");
				shoppingCart.price.Add(BarCode, price - discount);
				shoppingCart.item.Add(BarCode, item);
				shoppingCart.discount.Add(BarCode, discount);
			}
			Server.Transfer("shoppingCart.aspx");
		}

	}
}
