using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace RCCEbiz
{
	/// <summary>
	/// Summary description for checkOut.
	/// </summary>
	public class checkOut : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label UserError;
		protected System.Web.UI.WebControls.Label TotalLabel;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.TextBox CardNumber;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.DropDownList PaymentList;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.CheckBox CheckBox1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DropDownList MethodList;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.LinkButton MainLink;
		protected System.Web.UI.WebControls.Label CardError;


		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		protected System.Web.UI.WebControls.DataGrid Datagrid4;
		protected System.Web.UI.WebControls.Label Label13;		//data reader object

		
		private SqlConnection sqlConn;		//connection object
		private SqlCommand sqlCom;			//command object
		private SqlDataReader sqlRdr;
		private string strSqlString = "server=IISQLSRV.cs.washington.edu; uid=rickyk; pwd=qwerty; database=rickyk_billing";
	
		public static float total;
		public static float discount;
		public static string shipToID;
		public static string shipInstructions;
		public static string shipVendor;
		public static string shipMethod;
		public static string delivery;
		public static string payMethod;
		protected System.Web.UI.WebControls.DropDownList card;
		protected System.Web.UI.WebControls.CheckBox Checkbox2;
		protected System.Web.UI.WebControls.Label Label20;
		protected System.Web.UI.WebControls.Label Label21;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.TextBox TextBox3;
		protected System.Web.UI.WebControls.Label Label25;
		protected System.Web.UI.WebControls.TextBox TextBox5;
		protected System.Web.UI.WebControls.Label Label26;
		protected System.Web.UI.WebControls.TextBox TextBox6;
		protected System.Web.UI.WebControls.Label Label27;
		protected System.Web.UI.WebControls.TextBox TextBox7;
		protected System.Web.UI.WebControls.Label Label23;
		protected System.Web.UI.WebControls.TextBox TextBox12;
		protected System.Web.UI.WebControls.TextBox Textbox9;

		public static string cardNumber;
		public static string fname;
		public static string lname;
		public static string address;
		public static string state;
		public static string city;
		public static int zip;
		protected System.Web.UI.WebControls.Label disc;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.Label Label15;
		protected System.Web.UI.WebControls.Label Label16;
		public static string email;


		private void Page_Load(object sender, System.EventArgs e)
		{
			if(	shoppingLogin.userID == "" ) 
			{
				Server.Transfer("shoppingLogin.aspx");
			}

			DataGrid1.ShowHeader = false;
			DataGrid1.DataSource = shoppingCart.qty.Keys;
			DataGrid1.DataBind();
			
			DataGrid2.ShowHeader = false;
			DataGrid2.DataSource = shoppingCart.qty.Values;
			DataGrid2.DataBind();

			DataGrid3.ShowHeader = false;
			DataGrid3.DataSource = shoppingCart.item.Values;
			DataGrid3.DataBind();

			Datagrid4.ShowHeader = false;
			Datagrid4.DataSource = shoppingCart.price.Values;
			Datagrid4.DataBind();

			UserError.Visible = false;
			CardError.Visible = false;
			Label14.Visible = false;
			
			total = 0;
			IDictionaryEnumerator enumKey = shoppingCart.qty.GetEnumerator();
			while (enumKey.MoveNext()) 
			{
				string aKey = (string)enumKey.Key;
				total += ((int)shoppingCart.qty[aKey])*((float)shoppingCart.price[aKey]);
			}
			TotalLabel.Text = "Total Amount: US $ " + total.ToString();
			TotalLabel.Visible = true;

			discount = 0;
			enumKey = shoppingCart.qty.GetEnumerator();
			while (enumKey.MoveNext()) 
			{
				string aKey = (string)enumKey.Key;
				discount += ((int)shoppingCart.qty[aKey])*((float)shoppingCart.discount[aKey]);
			}
			disc.Text = "You save US $ " + discount.ToString() + " on discount";
			disc.Visible = true;

			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection	
			string strSql = "select city FROM rickyk_billing.dbo.customer WHERE customerid = '" + shoppingLogin.userID + "'";
			sqlCom = new SqlCommand(strSql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			if(sqlRdr.Read()) 
			{
				city = sqlRdr["city"].ToString();
			}
			sqlConn.Close();

			if(card.Items.Count == 0 )
			{
				card.Items.Clear();
				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection	
				strSql = "select DISTINCT card FROM rickyk_billing.dbo.creditcard WHERE userid = '" + shoppingLogin.userID + "'";
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				while(sqlRdr.Read()) 
				{
					string c = sqlRdr["card"].ToString();
					card.Items.Add(new ListItem(c,c));
				}
				sqlConn.Close();
			}
			
			if(MethodList.Items.Count == 0 )
			{
				MethodList.Items.Clear();

				Label11.Visible = false;

				sqlConn = new SqlConnection( strSqlString );
				sqlConn.Open();	// open the connection	
				strSql = " select vendors.name, methods.type, methods.time_guaranted, methods.price, methods.price_w_qual FROM acolinp_shipping.dbo.shipping_method as Methods, " +
					            " acolinp_shipping.dbo.shipping_vendor as vendors WHERE methods.ship_vend_id = vendors.ship_vend_id AND methods.ship_meth_id IN " +
								" (SELECT REST_ID FROM acolinp_shipping.dbo.Restriction where City = '" + city + "')";
				sqlCom = new SqlCommand(strSql, sqlConn);	
				sqlRdr = sqlCom.ExecuteReader();
				while(sqlRdr.Read()) 
				{
					string method = (string)sqlRdr["NAME"] + " " + (string)sqlRdr["TYPE"] +  "-" + (string)sqlRdr["time_guaranted"] +"days Price: US$ " + Convert.ToInt32(sqlRdr["price"]) + " " + (string)sqlRdr["price_w_qual"];
					MethodList.Items.Add(new ListItem(method,method));
				}
				sqlConn.Close();
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.MethodList.SelectedIndexChanged += new System.EventHandler(this.MethodList_SelectedIndexChanged);
			this.CheckBox1.CheckedChanged += new System.EventHandler(this.CheckBox1_CheckedChanged);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.MainLink.Click += new System.EventHandler(this.SignOutLink_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void SignOutLink_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("shoppingPage.aspx");
			MethodList.Items.Clear();
			card.Items.Clear();
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			cardNumber = "";
			bool userError = false;
			bool cardError = false;
			string s = MethodList.SelectedValue;
			shipVendor = s.Substring(0,s.IndexOf(" "));
			shipMethod = s.Substring(s.IndexOf(" ")+1,(s.IndexOf("-")-s.IndexOf(" "))-1);
			delivery = s.Substring(s.IndexOf("-")+1,(s.IndexOf("days")-s.IndexOf("-"))-1);
			shipInstructions = TextBox1.Text;
			payMethod = PaymentList.SelectedValue;
			if(Checkbox2.Checked)
				cardNumber = CardNumber.Text;
			else
				cardNumber = card.SelectedValue;
			if(CheckBox1.Checked == true)
			{
				shipToID = shoppingLogin.userID;
			} 
			else 
			{
				
				bool notempty = (TextBox2.Text != "" && TextBox2.Text != " ") &&
					(TextBox3.Text != "" && TextBox3.Text != " ") &&
					(TextBox5.Text != "" && TextBox5.Text != " ") &&
					(TextBox6.Text != "" && TextBox6.Text != " ") &&
					(TextBox7.Text != "" && TextBox7.Text != " ") &&
					(Textbox9.Text != "" && Textbox9.Text != " ") &&
					(TextBox12.Text != "" && TextBox12.Text != " ");
				if(notempty)
				{
					shipToID = TextBox2.Text + TextBox6.Text;
					fname = Textbox9.Text;
					lname = TextBox2.Text;
					address = TextBox3.Text;
					city = TextBox5.Text;
					state = TextBox12.Text;
					email = TextBox7.Text;
					zip = Convert.ToInt32(TextBox6.Text);
					UserError.Visible = false;
				}
				else 
				{
					userError = true;
					UserError.Visible = true;
				}


			}


			if( (payMethod == "Visa" || payMethod == "MasterCard") && cardNumber == "" )
			{
				cardError = true;
				CardError.Visible = true;
			} 
			else 
			{
				CardError.Visible = false;
			}


			if(userError == false && cardError == false)
			{
				MethodList.Items.Clear();
				card.Items.Clear();
				Server.Transfer("confirm.aspx");

			}
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			MethodList.Items.Clear();

			sqlConn = new SqlConnection( strSqlString );
			sqlConn.Open();	// open the connection	

			string Sql="";

			if(CheckBox1.Checked == true)
			{
				Sql = " select vendors.name, methods.type, methods.time_guaranted, methods.price, methods.price_w_qual FROM acolinp_shipping.dbo.shipping_method as Methods, " +
					" acolinp_shipping.dbo.shipping_vendor as vendors WHERE methods.ship_vend_id = vendors.ship_vend_id AND methods.ship_meth_id IN " +
					" (SELECT REST_ID FROM acolinp_shipping.dbo.Restriction where City = '" + city + "')";
			}
			else
			{
				Sql = " select vendors.name, methods.type, methods.time_guaranted, methods.price, methods.price_w_qual FROM acolinp_shipping.dbo.shipping_method as Methods, " +
					" acolinp_shipping.dbo.shipping_vendor as vendors WHERE methods.ship_vend_id = vendors.ship_vend_id AND methods.ship_meth_id IN " +
					" (SELECT REST_ID FROM acolinp_shipping.dbo.Restriction where City = '" + TextBox5.Text + "')";
			}

			sqlCom = new SqlCommand(Sql, sqlConn);	
			sqlRdr = sqlCom.ExecuteReader();
			while(sqlRdr.Read()) 
			{
				string method = (string)sqlRdr["NAME"] + " " + (string)sqlRdr["TYPE"] +  "-" + (string)sqlRdr["time_guaranted"] +"days Price: US$ " + Convert.ToDouble(sqlRdr["price"]) + " " + (string)sqlRdr["price_w_qual"];
				MethodList.Items.Add(new ListItem(method,method));
			}
			sqlConn.Close();

			if(MethodList.Items.Count == 0)
				Label14.Visible = true;
			else
			{
				Button1.Enabled = true;
				Label14.Visible = false;
			}

			MethodList.Visible = true;
		}

		private void CheckBox1_CheckedChanged(object sender, System.EventArgs e)
		{	
		}

		private void Button3_Click(object sender, System.EventArgs e)
		{
			Button1.Enabled = false;
			MethodList.Items.Clear();
			MethodList.Visible = false;
			if(Button3.Text.Equals("Click if you want to ship to different address"))
			{
				Button3.Text = "Click if you want to ship to yourself";
				TextBox2.Visible = true;
				TextBox3.Visible = true;
				TextBox5.Visible = true;
				TextBox6.Visible = true;
				TextBox7.Visible = true;
				Textbox9.Visible = true;
				TextBox12.Visible = true;
				Label2.Visible = true;
				Label20.Visible = true;
				Label21.Visible = true;
				Label25.Visible = true;
				Label5.Visible = true;
				Label23.Visible = true;
				Label26.Visible = true;
				Label27.Visible = true;
				Label1.Visible = false;
				CheckBox1.Checked = false;
			}
			else
			{
				Button3.Text = "Click if you want to ship to different address";
				TextBox2.Visible = false;
				TextBox3.Visible = false;
				TextBox5.Visible = false;
				TextBox6.Visible = false;
				TextBox7.Visible = false;
				Textbox9.Visible = false;
				TextBox12.Visible = false;
				Label2.Visible = false;
				Label20.Visible = false;
				Label21.Visible = false;
				Label25.Visible = false;
				Label5.Visible = false;
				Label23.Visible = false;
				Label26.Visible = false;
				Label27.Visible = false;
				Label1.Visible = true;
				CheckBox1.Checked = true;
			}


		}

		private void MethodList_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	}
}