using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace RCCEbiz
{
	/// <summary>
	/// Summary description for shoppingCart.
	/// </summary>
	public class shoppingCart : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label notFoundError;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox prodID;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.Button update;
		protected System.Web.UI.WebControls.TextBox quantity;
		protected System.Web.UI.WebControls.Label prodIDMissing;
		protected System.Web.UI.WebControls.Label quantityMissing;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label1;

		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.LinkButton LinkButton1;

		public static Hashtable qty;
		public static Hashtable category;
		public static Hashtable price;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Button remove;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DataGrid Datagrid4;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.Label Label9;
		public static Hashtable item;
		public static Hashtable discount;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if(	shoppingLogin.userID == "" ) 
			{
				Server.Transfer("shoppingLogin.aspx");
			}

			Label2.Text = shoppingLogin.userID;
			notFoundError.Visible = false;
			prodIDMissing.Visible = false;
			quantityMissing.Visible = false;

			DataGrid1.ShowHeader = false;
			DataGrid1.DataSource = qty.Keys;
			DataGrid1.DataBind();
			
			DataGrid2.ShowHeader = false;
			DataGrid2.DataSource = qty.Values;
			DataGrid2.DataBind();

			DataGrid3.ShowHeader = false;
			DataGrid3.DataSource = item.Values;
			DataGrid3.DataBind();

			Datagrid4.ShowHeader = false;
			Datagrid4.DataSource = price.Values;
			Datagrid4.DataBind();

			if(shoppingCart.qty.Count != 0)
				Button1.Enabled = true;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.remove.Click += new System.EventHandler(this.remove_Click);
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.update.Click += new System.EventHandler(this.update_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.DataGrid1.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.displayInfo);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void update_Click(object sender, System.EventArgs e)
		{
			bool valok = true;

			//check whether the ItemID and the Quantity is entered correctly
			if(prodID.Text == "" || prodID.Text == " ") { prodIDMissing.Visible = true; valok = false;}
			if(quantity.Text == "" || quantity.Text == " " || Int32.Parse(quantity.Text) < 0) { quantityMissing.Visible = true; valok = false;}
			
			if(valok == true) 
			{
				prodIDMissing.Visible = false;
				quantityMissing.Visible = false;

				//check whether the ItemID in the Shopping Cart
				if(!qty.ContainsKey(prodID.Text)) 
				{
					notFoundError.Visible = true; 
				} 
				else 
				{
					notFoundError.Visible = false;

					//Update the quantity
					qty[prodID.Text] = Int32.Parse(quantity.Text);
					Server.Transfer("shoppingCart.aspx");
				}
			}
		}

		private void Button3_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("browseProducts.aspx");
		}

		private void displayInfo(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
		{
			string ID = e.Item.Cells[1].Text;
			string category = shoppingCart.category[ID].ToString();
			
			if(category == "book") 
			{
				displayBook.isbn = ID;
				Server.Transfer("displayBook.aspx");
			}
			else
			{
				displayCD.barcode = ID;
				Server.Transfer("displayCD.aspx");
			}
		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("shoppingPage.aspx");
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("checkOut.aspx");
		}

		private void remove_Click(object sender, System.EventArgs e)
		{
			bool valok = true;

			//check whether the ItemID is entered correctly
			if(prodID.Text == "" || prodID.Text == " ") { prodIDMissing.Visible = true; valok = false;}
			
			if(valok == true) 
			{
				prodIDMissing.Visible = false;
				quantityMissing.Visible = false;

				//check whether the ItemID in the Shopping Cart
				if(!qty.ContainsKey(prodID.Text)) 
				{
					notFoundError.Visible = true; 
				} 
				else 
				{
					notFoundError.Visible = false;

					//remove
					qty.Remove(prodID.Text);
					price.Remove(prodID.Text);
					item.Remove(prodID.Text);
					category.Remove(prodID.Text);
					Server.Transfer("shoppingCart.aspx");
				}
			}
		}
	}
}
